GNU bug report logs - #39799
28.0.50; Most emoji sequences don’t render correctly

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Mike FABIAN <mfabian@HIDDEN>; dated Wed, 26 Feb 2020 14:30:03 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 39799 <at> debbugs.gnu.org:


Received: (at 39799) by debbugs.gnu.org; 29 Feb 2020 09:49:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 29 04:49:45 2020
Received: from localhost ([127.0.0.1]:34246 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7yki-0007kI-Qo
	for submit <at> debbugs.gnu.org; Sat, 29 Feb 2020 04:49:45 -0500
Received: from eggs.gnu.org ([209.51.188.92]:58067)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1j7ykh-0007k0-7d
 for 39799 <at> debbugs.gnu.org; Sat, 29 Feb 2020 04:49:43 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:58597)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1j7ykc-0004Go-1p; Sat, 29 Feb 2020 04:49:38 -0500
Received: from [176.228.60.248] (port=4481 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1j7ykb-0000sI-8f; Sat, 29 Feb 2020 04:49:37 -0500
Date: Sat, 29 Feb 2020 11:49:25 +0200
Message-Id: <83lfolena2.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Mike FABIAN <mfabian@HIDDEN>
In-reply-to: <s9dzhd1yg7y.fsf@HIDDEN> (message from Mike FABIAN on Sat, 29
 Feb 2020 09:01:37 +0100)
Subject: Re: bug#39799: 28.0.50; Most emoji sequences =?utf-8?Q?don?=
 =?utf-8?Q?=E2=80=99t?= render correctly
References: <s9dy2spfmmt.fsf@HIDDEN> <83lfongp4p.fsf@HIDDEN>
 <s9dlfonf9jp.fsf@HIDDEN> <835zfrglu5.fsf@HIDDEN>
 <m28skm52c8.fsf@HIDDEN> <83wo86g8pg.fsf@HIDDEN>
 <m2zhd23il2.fsf@HIDDEN> <83k146g46x.fsf@HIDDEN>
 <m2v9nq3etm.fsf@HIDDEN> <83imjqg1iv.fsf@HIDDEN>
 <m2imjq3cit.fsf@HIDDEN> <83a752fp2d.fsf@HIDDEN>
 <m2zhd21m8g.fsf@HIDDEN> <8336aufn4h.fsf@HIDDEN>
 <m2pndy1k6w.fsf@HIDDEN> <83v9nqe5x2.fsf@HIDDEN>
 <s9dzhd1yg7y.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39799
Cc: rpluim@HIDDEN, 39799 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Mike FABIAN <mfabian@HIDDEN>
> Cc: Robert Pluim <rpluim@HIDDEN>,  39799 <at> debbugs.gnu.org
> Date: Sat, 29 Feb 2020 09:01:37 +0100
> 
> > Emacs can only compose characters if the font supports all of the
> > codepoints that are being composed.  So you need to choose a font that
> > supports these compositions.
> 
> I think there are no fonts supporting both the emoji representations and
> text representations of emoji which have both.

Sorry, I don't understand: what does "which have both" refer to?

Emacs doesn't create the text and emoji presentations, it just hands
the sequences to the font backend and asks the backend to provide the
font glyphs to display that sequence.  The rest is between the font
backend and the font.  And of course all this depends on
composition-function-table being set up to support these sequences.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39799; Package emacs. Full text available.

Message received at 39799 <at> debbugs.gnu.org:


Received: (at 39799) by debbugs.gnu.org; 29 Feb 2020 09:40:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 29 04:40:39 2020
Received: from localhost ([127.0.0.1]:34241 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7ybu-0007Q8-Qy
	for submit <at> debbugs.gnu.org; Sat, 29 Feb 2020 04:40:39 -0500
Received: from eggs.gnu.org ([209.51.188.92]:57188)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1j7ybs-0007Po-Pb
 for 39799 <at> debbugs.gnu.org; Sat, 29 Feb 2020 04:40:37 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:58543)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1j7ybm-000809-9d; Sat, 29 Feb 2020 04:40:31 -0500
Received: from [176.228.60.248] (port=3892 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1j7ybl-0000K2-8a; Sat, 29 Feb 2020 04:40:29 -0500
Date: Sat, 29 Feb 2020 11:40:17 +0200
Message-Id: <83mu91enpa.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Mike FABIAN <mfabian@HIDDEN>
In-reply-to: <s9dblphzvan.fsf@HIDDEN> (message from Mike FABIAN on Sat, 29
 Feb 2020 08:50:40 +0100)
Subject: Re: bug#39799: 28.0.50; Most emoji sequences =?utf-8?Q?don?=
 =?utf-8?Q?=E2=80=99t?= render correctly
References: <s9dy2spfmmt.fsf@HIDDEN> <83lfongp4p.fsf@HIDDEN>
 <s9dlfonf9jp.fsf@HIDDEN> <835zfrglu5.fsf@HIDDEN>
 <m28skm52c8.fsf@HIDDEN> <83wo86g8pg.fsf@HIDDEN>
 <m2zhd23il2.fsf@HIDDEN> <83k146g46x.fsf@HIDDEN>
 <m2v9nq3etm.fsf@HIDDEN> <83imjqg1iv.fsf@HIDDEN>
 <m2imjq3cit.fsf@HIDDEN> <s9dtv3ad3h7.fsf@HIDDEN>
 <837e06foof.fsf@HIDDEN> <835zfqfohj.fsf@HIDDEN>
 <831rqefmsr.fsf@HIDDEN> <m2h7za1j0n.fsf@HIDDEN>
 <83tv3ae586.fsf@HIDDEN> <s9dblphzvan.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39799
Cc: rpluim@HIDDEN, 39799 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Mike FABIAN <mfabian@HIDDEN>
> Cc: Robert Pluim <rpluim@HIDDEN>,  39799 <at> debbugs.gnu.org
> Date: Sat, 29 Feb 2020 08:50:40 +0100
> 
> >> and #xFE0F is always composable according to composite.c, so I donʼt
> >> understand why composing only works with Noto Color Emoji. Or does the
> >> font need specific support for it?
> >
> > Yes, the font needs to have glyph variations, see
> > font-variation-glyphs and its underlying font-backend method
> > get_variation_glyphs.
> 
> http://unicode.org/reports/tr51/#Presentation_Style
> 
> doesn’t seem to say that the fonts should have the variations.

Please elaborate: which part thereof says that, and what are the
implications regarding the fonts?

The rendering of Emoji sequences is handled in Emacs via the font
backend: Emacs submits the sequence to the backend, and the backend
returns one or more glyphs that should be used to display the
sequence.  Emacs only submits a sequence of characters to the backend
if the sequence matches one of the composition rules in
composition-function-table.  And the possible match for such
composition rules is limited to character sequences that have the same
'face' text property, which in particular means the same font.  In the
case of variation selectors as part of the characters to be composed,
Emacs additionally tests that the face's font has a glyph for the
specified variation selector.

If you are saying some of the above contradicts Unicode, please point
out which part(s) and why.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39799; Package emacs. Full text available.

Message received at 39799 <at> debbugs.gnu.org:


Received: (at 39799) by debbugs.gnu.org; 29 Feb 2020 08:01:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 29 03:01:53 2020
Received: from localhost ([127.0.0.1]:34197 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7x4K-0004Gr-26
	for submit <at> debbugs.gnu.org; Sat, 29 Feb 2020 03:01:53 -0500
Received: from us-smtp-2.mimecast.com ([205.139.110.61]:27270
 helo=us-smtp-delivery-1.mimecast.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mfabian@HIDDEN>) id 1j7x4H-0004Gg-Ph
 for 39799 <at> debbugs.gnu.org; Sat, 29 Feb 2020 03:01:50 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=redhat.com;
 s=mimecast20190719; t=1582963309;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=HJsaBrK0RyBvTf2wHhLBFpvuM6ASqiSpuZ2FjSJ3Ing=;
 b=fvi94eezvpoh6LvzpEz5NFmywsuxg8WjHinIKd7vx9hD63PSzPnupNC7+5d38AXPKoEO/M
 NmEGqbIF11eVEQ46m9hyZIPzpxZhQ0ZcVWmo3dk6n9Xl4pNBjiP9IN51N66bQjKrLnPFrg
 k0/7LptEqw6rGXhF6ufzvimGRX+afn8=
Received: from mail-wr1-f71.google.com (mail-wr1-f71.google.com
 [209.85.221.71]) (Using TLS) by relay.mimecast.com with ESMTP id
 us-mta-180-_UVNllrnNqavWNrZteaCvw-1; Sat, 29 Feb 2020 03:01:40 -0500
X-MC-Unique: _UVNllrnNqavWNrZteaCvw-1
Received: by mail-wr1-f71.google.com with SMTP id m18so1297910wro.22
 for <39799 <at> debbugs.gnu.org>; Sat, 29 Feb 2020 00:01:40 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:organization:references:date
 :in-reply-to:message-id:user-agent:mime-version
 :content-transfer-encoding;
 bh=EBkWmUDmE9/xZg3gtkIfiEPN8xZvSGSMrC8CiOgeJuo=;
 b=Sgk9yWMWnUFu1MPCsxAAUOSAQjjZvjf57/X1Miboa+a2b0LmEhNN/0z+reAdy+14LS
 T/JhUkIYcxjvKkEUBrXqjyLj6SRDlfPCD8qEzQNhlx2uevSipThnUx3GFo2zxxBrkHOr
 j5NcgQgFHeihaeibOzOTw7GMquUZODZpZJT//QfkmFLHEJ3ItIPqACGCICvXlWoY/g8a
 fpxN71bB86NLId47qrBSjuS5XwoLJaIuj8z1zLlNznpM8tLsl/eRxqFFItKkXrLIge/o
 WrAnP8TqkzfJPHOcQwgAKZv4zzFyk8S4722f9alIweYN1o7n8Wr8yjpldjvxAnHaB8rO
 z8kg==
X-Gm-Message-State: APjAAAUui/aVEr32RS7DYgNs8LlJZzPTHXgKzaLI7AAlcwxOnn5+Blk3
 iaXuJEYijFoEdlWr+ylqk0s2HJ3sihYd+QI7NTz/7JkPQPKrXN8GfNJUur87NPir9MUdAhKlNqz
 qw/K/KEGsHAxNQg==
X-Received: by 2002:a7b:cb42:: with SMTP id v2mr9175254wmj.170.1582963298877; 
 Sat, 29 Feb 2020 00:01:38 -0800 (PST)
X-Google-Smtp-Source: APXvYqwwVQW5TWb318Jg1aN2JdfGSFpV6sr2G/euWsnFIZ9HtwXc4V8Ek6OTairh+kQiQWrauGy3Vg==
X-Received: by 2002:a7b:cb42:: with SMTP id v2mr9175237wmj.170.1582963298686; 
 Sat, 29 Feb 2020 00:01:38 -0800 (PST)
Received: from taka.site (ppp-46-244-193-84.dynamic.mnet-online.de.
 [46.244.193.84])
 by smtp.gmail.com with ESMTPSA id g25sm20841487wmh.3.2020.02.29.00.01.37
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 29 Feb 2020 00:01:38 -0800 (PST)
Received: from taka.site (localhost [IPv6:::1])
 by taka.site (Postfix) with ESMTP id 6B3CD900;
 Sat, 29 Feb 2020 09:01:37 +0100 (CET)
From: Mike FABIAN <mfabian@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#39799: 28.0.50; Most emoji sequences =?utf-8?Q?don?=
 =?utf-8?Q?=E2=80=99t?= render correctly
Organization: Red Hat
References: <s9dy2spfmmt.fsf@HIDDEN> <83lfongp4p.fsf@HIDDEN>
 <s9dlfonf9jp.fsf@HIDDEN> <835zfrglu5.fsf@HIDDEN>
 <m28skm52c8.fsf@HIDDEN> <83wo86g8pg.fsf@HIDDEN>
 <m2zhd23il2.fsf@HIDDEN> <83k146g46x.fsf@HIDDEN>
 <m2v9nq3etm.fsf@HIDDEN> <83imjqg1iv.fsf@HIDDEN>
 <m2imjq3cit.fsf@HIDDEN> <83a752fp2d.fsf@HIDDEN>
 <m2zhd21m8g.fsf@HIDDEN> <8336aufn4h.fsf@HIDDEN>
 <m2pndy1k6w.fsf@HIDDEN> <83v9nqe5x2.fsf@HIDDEN>
X-Face: "';
 oPz9V1+<,`}1ZuxRv~EiSusWq*{Yjr"Sdvbhq'?q=2R\\6Y9O/,SAE`{J|6I=|w/sQg<
 rW_N'E3IV6~f8?\l#Es`]S`mv',PY(`8{$$R?+gLu}Qv/Mn>)?uladFjJ@yl!_p_Jh; 5QxlD6zL:?r
 IXe4FfK$C^mWhh$o`yt; .r.FLZLQOWBt><!; -.DYZ)Nu&1?~*:\36\BGz]"L; nue;
 l\%sJ/]l{is5O Ew?0CF}dPS(ezG0xqUR)xa(L&&c;x{By"`oKvM&i!%+
Date: Sat, 29 Feb 2020 09:01:37 +0100
In-Reply-To: <83v9nqe5x2.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 28 Feb
 2020 23:52:09 +0200")
Message-ID: <s9dzhd1yg7y.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
X-Mimecast-Spam-Score: 0
X-Mimecast-Originator: redhat.com
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39799
Cc: Robert Pluim <rpluim@HIDDEN>, 39799 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> =E3=81=95=E3=82=93=E3=81=AF=E3=81=8B=E3=81=8D=
=E3=81=BE=E3=81=97=E3=81=9F:

>> From: Robert Pluim <rpluim@HIDDEN>
>> Cc: 39799 <at> debbugs.gnu.org,  mfabian@HIDDEN
>> Date: Fri, 28 Feb 2020 22:22:15 +0100
>>=20
>> One other thing: the #x24C2 is not composed with the following #xFE0F
>> when it=CA=BCs displayed using Google Noto Sans. If I get it to display
>> with Noto Color Emoji it *is* composed, even though I haven't set up
>> any composition-function-table entries for it. Where is that
>> composition coming from?
>
> Emacs can only compose characters if the font supports all of the
> codepoints that are being composed.  So you need to choose a font that
> supports these compositions.

I think there are no fonts supporting both the emoji representations and
text representations of emoji which have both.

--=20
Mike FABIAN <mfabian@HIDDEN>
=E7=9D=A1=E7=9C=A0=E4=B8=8D=E8=B6=B3=E3=81=AF=E3=81=84=E3=81=84=E4=BB=95=E4=
=BA=8B=E3=81=AE=E6=95=B5=E3=81=A0=E3=80=82





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39799; Package emacs. Full text available.

Message received at 39799 <at> debbugs.gnu.org:


Received: (at 39799) by debbugs.gnu.org; 29 Feb 2020 08:00:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 29 03:00:03 2020
Received: from localhost ([127.0.0.1]:34188 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7x2Z-0004Bj-76
	for submit <at> debbugs.gnu.org; Sat, 29 Feb 2020 03:00:03 -0500
Received: from us-smtp-2.mimecast.com ([207.211.31.81]:33195
 helo=us-smtp-delivery-1.mimecast.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mfabian@HIDDEN>) id 1j7x2X-0004Ad-KB
 for 39799 <at> debbugs.gnu.org; Sat, 29 Feb 2020 03:00:02 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=redhat.com;
 s=mimecast20190719; t=1582963196;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=C1mC67lPJcd/UPDLw/MQu8uAuLNjmlpS38RpCT4PagY=;
 b=Gw82kdOyHpkDSlvwwbhg1ObmI5Wuic2XsOlQVLSajH+FOMjqngJ/n0OE/qQBxuA068l6cT
 AgAA4+pFWXM3cd4g8DRJyMLcXVcEOkQIwwCEZWA7TnwZzT8UPUwWcO4EyIjXUMoKrRFfWI
 r4F4S5Z+tjeJStapC99nn4fxQOvRHrM=
Received: from mail-wr1-f69.google.com (mail-wr1-f69.google.com
 [209.85.221.69]) (Using TLS) by relay.mimecast.com with ESMTP id
 us-mta-279-DVQdKzYrPvqwjjGg1eOu5w-1; Sat, 29 Feb 2020 02:59:52 -0500
X-MC-Unique: DVQdKzYrPvqwjjGg1eOu5w-1
Received: by mail-wr1-f69.google.com with SMTP id n23so2513742wra.20
 for <39799 <at> debbugs.gnu.org>; Fri, 28 Feb 2020 23:59:52 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:organization:references:date
 :in-reply-to:message-id:user-agent:mime-version
 :content-transfer-encoding;
 bh=TEsC8pO78ohxMwubx1A7uwt/bI3ZbWOXstnzRCbfzcs=;
 b=bx5OPg5doWYOuahqOtLN2ISEKHvG/AFndlmfjI6PWvefuNAIlQNoCzE39hx3fDt+Om
 Nj2qGaQn9aL5DDqENB2QaLzVrdCs/ALmJt+OlNk98yShm/MnYJY+LAWZXmILxRaIp+ui
 lZwk56ZWmymjxgbRj5moMN0tJ+PZm1ePjt47YbCwJMy6O26bMw/EvIkgrUjWmra7tEeQ
 EhAnAqc+S8AP51DXCL47932KoAg1yZm639KDFN2FgEiejjEAyTeTVkBjwfE4OXT2+fvu
 3ZxoNPlLJiqZKA7J5UASw/zRPWmEO7SU9wFtGurI3O5Q8IQeyGjV7v3P2tSGKMWyDFUj
 VYaQ==
X-Gm-Message-State: APjAAAV+nFxEBNb8cj0vxKZiyZUMDR8eW+dvT3Qj7el+42oiHeAW3aDs
 VMTOx6eR2tPaPitULjxU0gvOtciYmlbDEsnWbRceNtXzr3qG5xCViJzOZgakSrkCxk3kOGvApIf
 HrSlrq19h6fuwkg==
X-Received: by 2002:adf:f588:: with SMTP id f8mr9749869wro.188.1582963191033; 
 Fri, 28 Feb 2020 23:59:51 -0800 (PST)
X-Google-Smtp-Source: APXvYqx7flXXZOpw+7xFaePzUn8rR7EdIEH3UuBFwVu1sdRfLxb3WDd4om03JxL1qc4VREKWtHaoww==
X-Received: by 2002:adf:f588:: with SMTP id f8mr9749839wro.188.1582963190727; 
 Fri, 28 Feb 2020 23:59:50 -0800 (PST)
Received: from taka.site (ppp-46-244-193-84.dynamic.mnet-online.de.
 [46.244.193.84])
 by smtp.gmail.com with ESMTPSA id z10sm5377295wmk.31.2020.02.28.23.59.50
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 28 Feb 2020 23:59:50 -0800 (PST)
Received: from taka.site (localhost [IPv6:::1])
 by taka.site (Postfix) with ESMTP id 68066900;
 Sat, 29 Feb 2020 08:59:49 +0100 (CET)
From: Mike FABIAN <mfabian@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#39799: 28.0.50; Most emoji sequences =?utf-8?Q?don?=
 =?utf-8?Q?=E2=80=99t?= render correctly
Organization: Red Hat
References: <s9dy2spfmmt.fsf@HIDDEN> <83lfongp4p.fsf@HIDDEN>
 <s9dlfonf9jp.fsf@HIDDEN> <835zfrglu5.fsf@HIDDEN>
 <m28skm52c8.fsf@HIDDEN> <83wo86g8pg.fsf@HIDDEN>
 <m2zhd23il2.fsf@HIDDEN> <83k146g46x.fsf@HIDDEN>
 <m2v9nq3etm.fsf@HIDDEN> <83imjqg1iv.fsf@HIDDEN>
 <m2imjq3cit.fsf@HIDDEN> <s9dtv3ad3h7.fsf@HIDDEN>
 <837e06foof.fsf@HIDDEN> <s9dzhd2bep8.fsf@HIDDEN>
 <83y2sme617.fsf@HIDDEN>
X-Face: "';
 oPz9V1+<,`}1ZuxRv~EiSusWq*{Yjr"Sdvbhq'?q=2R\\6Y9O/,SAE`{J|6I=|w/sQg<
 rW_N'E3IV6~f8?\l#Es`]S`mv',PY(`8{$$R?+gLu}Qv/Mn>)?uladFjJ@yl!_p_Jh; 5QxlD6zL:?r
 IXe4FfK$C^mWhh$o`yt; .r.FLZLQOWBt><!; -.DYZ)Nu&1?~*:\36\BGz]"L; nue;
 l\%sJ/]l{is5O Ew?0CF}dPS(ezG0xqUR)xa(L&&c;x{By"`oKvM&i!%+
Date: Sat, 29 Feb 2020 08:59:49 +0100
In-Reply-To: <83y2sme617.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 28 Feb
 2020 23:49:40 +0200")
Message-ID: <s9d4kv9zuve.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
X-Mimecast-Spam-Score: 0
X-Mimecast-Originator: redhat.com
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39799
Cc: rpluim@HIDDEN, 39799 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> =E3=81=95=E3=82=93=E3=81=AF=E3=81=8B=E3=81=8D=
=E3=81=BE=E3=81=97=E3=81=9F:

> If Gedit selects a font by looking at more than one codepoint (and I'm
> not sure this is how it works in Gedit), then Emacs doesn't work that
> way.

Yes, Gedit does this somehow with pango. It tries to avoid switching
fonts in places where it would look bad. For example, if you have a
default font supporting only ASCII and then there is a word containing
some non-ASCII character like =E2=80=9Cgr=C3=BCn=E2=80=9D it chooses a font=
 containing the
=E2=80=9C=C3=BC=E2=80=9D for the whole word to avoid the =E2=80=9C=C3=BC=E2=
=80=9D looking out of place.

> In any case, are these sequences displayed as composed characters?
> Does "C-u C-x =3D" tell that the base character U+24C2 was composed with
> the following variation selector?  According to the setup in
> japanese.el, they should compose, if the font used for U+24C2 also
> supports the variation selectors.

Yes, it does tell that it was composed with the following character:

             position: 255 of 257 (99%), column: 0
            character: =E2=93=82 (displayed as =E2=93=82) (codepoint 9410, =
#o22302, #x24c2)
              charset: unicode (Unicode (ISO10646))
code point in charset: 0x24C2
               script: symbol
               syntax: w =09which means: word
             category: .:Base, L:Left-to-right (strong), l:Latin
             to input: type "C-x 8 RET 24c2" or "C-x 8 RET CIRCLED LATIN CA=
PITAL LETTER M"
          buffer code: #xE2 #x93 #x82
            file code: #xE2 #x93 #x82 (encoded by coding system utf-8-unix)
              display: composed to form "=E2=93=82=EF=B8=8F" (see below)

Composed with the following character(s) "=EF=B8=8F" using this font:
  ftcrhb:-GOOG-Noto Color Emoji-normal-normal-normal-*-16-*-*-*-m-0-iso1064=
6-1
by these glyphs:
  [0 1 9410 50 20 0 20 15 4 nil]

Character code properties: customize what to show
  name: CIRCLED LATIN CAPITAL LETTER M
  general-category: So (Symbol, Other)
  decomposition: (circle 77) (circle 'M')

There are text properties here:
  fontified            nil

--=20
Mike FABIAN <mfabian@HIDDEN>
=E7=9D=A1=E7=9C=A0=E4=B8=8D=E8=B6=B3=E3=81=AF=E3=81=84=E3=81=84=E4=BB=95=E4=
=BA=8B=E3=81=AE=E6=95=B5=E3=81=A0=E3=80=82





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39799; Package emacs. Full text available.

Message received at 39799 <at> debbugs.gnu.org:


Received: (at 39799) by debbugs.gnu.org; 29 Feb 2020 07:50:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 29 02:50:54 2020
Received: from localhost ([127.0.0.1]:34170 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7wti-0003sG-El
	for submit <at> debbugs.gnu.org; Sat, 29 Feb 2020 02:50:54 -0500
Received: from us-smtp-2.mimecast.com ([205.139.110.61]:53854
 helo=us-smtp-delivery-1.mimecast.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mfabian@HIDDEN>) id 1j7wtg-0003s5-GT
 for 39799 <at> debbugs.gnu.org; Sat, 29 Feb 2020 02:50:53 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=redhat.com;
 s=mimecast20190719; t=1582962651;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=HxiPo8yFMmhUZdbc06VYwvX0/jimfr94jZMP7xwvyfE=;
 b=JZt49YJr2glt+ZxGrzkPRo7kgGilaw0iD//0UAAq/WQDO60QtSvJt2B4kwSIt3GK7W+3Et
 4xfcsT2xgc4wqTLxnXu3WtaV2R/2GZcCs6gDPJ1GbswTBObdmSWjIoWaIFYCLeypsYhoHS
 eOnoys5a9dnAUdxncAzlPjdtP/I+vkY=
Received: from mail-wr1-f69.google.com (mail-wr1-f69.google.com
 [209.85.221.69]) (Using TLS) by relay.mimecast.com with ESMTP id
 us-mta-280-NKZnZ5UrPQ6ALp4HzYRHEA-1; Sat, 29 Feb 2020 02:50:44 -0500
X-MC-Unique: NKZnZ5UrPQ6ALp4HzYRHEA-1
Received: by mail-wr1-f69.google.com with SMTP id f10so2516784wrv.1
 for <39799 <at> debbugs.gnu.org>; Fri, 28 Feb 2020 23:50:43 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:organization:references:date
 :in-reply-to:message-id:user-agent:mime-version
 :content-transfer-encoding;
 bh=DrOlHdMOIvtRheGxPWElLB8kkfLyzzuN8FET/At0SN4=;
 b=ETzsInClbI3lSNWJCL67M2PMpGZ2j9zmCL1YxQtJd/CcOz/dnQuohdjdNa97u8vXEd
 zjdxVb7+G8zoAk16T4G/h+ewA/wjlNpHNsMNIJgrBm+fgEgYaSHSVRJRVC7uy7e+0bwU
 /9lt+XqsRJR9v1YEPBCVF5+AhEmgjs3JMAkLYWD4oDN6T8v2raBpxfGo8HT2jz7YRbIi
 +NKcXzxmvMStCKKIChKtAa3G8y2Lnl5KK0TsJA7Ecb2dPyug+bfFv4qPufi5s64PzEb6
 WYNR6YNfeRzCWGQp096QJgdG103UNWcws/05EaGfrBqPi7QolDnRdAA5GwuSP/OXOJiI
 dmhg==
X-Gm-Message-State: APjAAAWnu82/rLSyzApJ5S6pMYFCbZFz9Y0HobePeFgkD/RgURvjHWzX
 GVt+9Raxv2TprlCgummaMxzxfYoucoGXHcJPWkbWaGagPZC6PUfXNuqffxbjgk/q1OMCGKDU61F
 XrB9/YxogcTMvig==
X-Received: by 2002:a7b:ce16:: with SMTP id m22mr8964394wmc.139.1582962642610; 
 Fri, 28 Feb 2020 23:50:42 -0800 (PST)
X-Google-Smtp-Source: APXvYqwikFRyYp834rgGjt15BecMya/rcbJ0E6kZIs0+mW6k+YH6p+L86nuai6quNzeLCJX/ZywFWw==
X-Received: by 2002:a7b:ce16:: with SMTP id m22mr8964375wmc.139.1582962642337; 
 Fri, 28 Feb 2020 23:50:42 -0800 (PST)
Received: from taka.site (ppp-46-244-193-84.dynamic.mnet-online.de.
 [46.244.193.84])
 by smtp.gmail.com with ESMTPSA id s8sm16699808wrt.57.2020.02.28.23.50.41
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 28 Feb 2020 23:50:41 -0800 (PST)
Received: from taka.site (localhost [IPv6:::1])
 by taka.site (Postfix) with ESMTP id BCAF2900;
 Sat, 29 Feb 2020 08:50:40 +0100 (CET)
From: Mike FABIAN <mfabian@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#39799: 28.0.50; Most emoji sequences =?utf-8?Q?don?=
 =?utf-8?Q?=E2=80=99t?= render correctly
Organization: Red Hat
References: <s9dy2spfmmt.fsf@HIDDEN> <83lfongp4p.fsf@HIDDEN>
 <s9dlfonf9jp.fsf@HIDDEN> <835zfrglu5.fsf@HIDDEN>
 <m28skm52c8.fsf@HIDDEN> <83wo86g8pg.fsf@HIDDEN>
 <m2zhd23il2.fsf@HIDDEN> <83k146g46x.fsf@HIDDEN>
 <m2v9nq3etm.fsf@HIDDEN> <83imjqg1iv.fsf@HIDDEN>
 <m2imjq3cit.fsf@HIDDEN> <s9dtv3ad3h7.fsf@HIDDEN>
 <837e06foof.fsf@HIDDEN> <835zfqfohj.fsf@HIDDEN>
 <831rqefmsr.fsf@HIDDEN> <m2h7za1j0n.fsf@HIDDEN>
 <83tv3ae586.fsf@HIDDEN>
X-Face: "';
 oPz9V1+<,`}1ZuxRv~EiSusWq*{Yjr"Sdvbhq'?q=2R\\6Y9O/,SAE`{J|6I=|w/sQg<
 rW_N'E3IV6~f8?\l#Es`]S`mv',PY(`8{$$R?+gLu}Qv/Mn>)?uladFjJ@yl!_p_Jh; 5QxlD6zL:?r
 IXe4FfK$C^mWhh$o`yt; .r.FLZLQOWBt><!; -.DYZ)Nu&1?~*:\36\BGz]"L; nue;
 l\%sJ/]l{is5O Ew?0CF}dPS(ezG0xqUR)xa(L&&c;x{By"`oKvM&i!%+
Date: Sat, 29 Feb 2020 08:50:40 +0100
In-Reply-To: <83tv3ae586.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 29 Feb
 2020 00:07:05 +0200")
Message-ID: <s9dblphzvan.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
X-Mimecast-Spam-Score: 0
X-Mimecast-Originator: redhat.com
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39799
Cc: Robert Pluim <rpluim@HIDDEN>, 39799 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> =E3=81=95=E3=82=93=E3=81=AF=E3=81=8B=E3=81=8D=
=E3=81=BE=E3=81=97=E3=81=9F:

>> From: Robert Pluim <rpluim@HIDDEN>
>> Cc: mfabian@HIDDEN,  39799 <at> debbugs.gnu.org
>> Date: Fri, 28 Feb 2020 22:47:36 +0100
>>=20
>> -fn "Noto Color Emoji" doesn=CA=BCt change the default font for me for s=
ome
>>  reason, but if I change the font after startup then those sequences
>>  display correctly.
>>=20
>>   (char-table-range composition-function-table #xFE0F)
>> =3D> ([".." 1 compose-gstring-for-variation-glyph])
>
> OK, so this feature already works for suitable fonts.
>
>> and #xFE0F is always composable according to composite.c, so I don=CA=BC=
t
>> understand why composing only works with Noto Color Emoji. Or does the
>> font need specific support for it?
>
> Yes, the font needs to have glyph variations, see
> font-variation-glyphs and its underlying font-backend method
> get_variation_glyphs.

http://unicode.org/reports/tr51/#Presentation_Style

doesn=E2=80=99t seem to say that the fonts should have the variations.

--=20
Mike FABIAN <mfabian@HIDDEN>
=E7=9D=A1=E7=9C=A0=E4=B8=8D=E8=B6=B3=E3=81=AF=E3=81=84=E3=81=84=E4=BB=95=E4=
=BA=8B=E3=81=AE=E6=95=B5=E3=81=A0=E3=80=82





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39799; Package emacs. Full text available.

Message received at 39799 <at> debbugs.gnu.org:


Received: (at 39799) by debbugs.gnu.org; 28 Feb 2020 22:07:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 28 17:07:26 2020
Received: from localhost ([127.0.0.1]:33910 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7nn4-0004DX-Dn
	for submit <at> debbugs.gnu.org; Fri, 28 Feb 2020 17:07:26 -0500
Received: from eggs.gnu.org ([209.51.188.92]:55357)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1j7nn2-0004DE-Jg
 for 39799 <at> debbugs.gnu.org; Fri, 28 Feb 2020 17:07:24 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:50069)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1j7nmx-0004f3-9h; Fri, 28 Feb 2020 17:07:19 -0500
Received: from [176.228.60.248] (port=1625 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1j7nmw-0006rq-Ed; Fri, 28 Feb 2020 17:07:18 -0500
Date: Sat, 29 Feb 2020 00:07:05 +0200
Message-Id: <83tv3ae586.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
In-reply-to: <m2h7za1j0n.fsf@HIDDEN> (message from Robert Pluim on Fri, 28
 Feb 2020 22:47:36 +0100)
Subject: Re: bug#39799: 28.0.50; Most emoji sequences =?utf-8?Q?don?=
 =?utf-8?Q?=E2=80=99t?= render correctly
References: <s9dy2spfmmt.fsf@HIDDEN> <83lfongp4p.fsf@HIDDEN>
 <s9dlfonf9jp.fsf@HIDDEN> <835zfrglu5.fsf@HIDDEN>
 <m28skm52c8.fsf@HIDDEN> <83wo86g8pg.fsf@HIDDEN>
 <m2zhd23il2.fsf@HIDDEN> <83k146g46x.fsf@HIDDEN>
 <m2v9nq3etm.fsf@HIDDEN> <83imjqg1iv.fsf@HIDDEN>
 <m2imjq3cit.fsf@HIDDEN> <s9dtv3ad3h7.fsf@HIDDEN>
 <837e06foof.fsf@HIDDEN> <835zfqfohj.fsf@HIDDEN>
 <831rqefmsr.fsf@HIDDEN> <m2h7za1j0n.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 39799
Cc: 39799 <at> debbugs.gnu.org, mfabian@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

> From: Robert Pluim <rpluim@HIDDEN>
> Cc: mfabian@HIDDEN,  39799 <at> debbugs.gnu.org
> Date: Fri, 28 Feb 2020 22:47:36 +0100
> 
> -fn "Noto Color Emoji" doesnʼt change the default font for me for some
>  reason, but if I change the font after startup then those sequences
>  display correctly.
> 
>   (char-table-range composition-function-table #xFE0F)
> => ([".." 1 compose-gstring-for-variation-glyph])

OK, so this feature already works for suitable fonts.

> and #xFE0F is always composable according to composite.c, so I donʼt
> understand why composing only works with Noto Color Emoji. Or does the
> font need specific support for it?

Yes, the font needs to have glyph variations, see
font-variation-glyphs and its underlying font-backend method
get_variation_glyphs.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39799; Package emacs. Full text available.

Message received at 39799 <at> debbugs.gnu.org:


Received: (at 39799) by debbugs.gnu.org; 28 Feb 2020 21:52:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 28 16:52:28 2020
Received: from localhost ([127.0.0.1]:33901 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7nYZ-0003hU-Qz
	for submit <at> debbugs.gnu.org; Fri, 28 Feb 2020 16:52:28 -0500
Received: from eggs.gnu.org ([209.51.188.92]:53034)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1j7nYY-0003hG-TE
 for 39799 <at> debbugs.gnu.org; Fri, 28 Feb 2020 16:52:27 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:49080)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1j7nYT-0002i1-Mr; Fri, 28 Feb 2020 16:52:21 -0500
Received: from [176.228.60.248] (port=4697 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1j7nYS-00030l-S8; Fri, 28 Feb 2020 16:52:21 -0500
Date: Fri, 28 Feb 2020 23:52:09 +0200
Message-Id: <83v9nqe5x2.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
In-reply-to: <m2pndy1k6w.fsf@HIDDEN> (message from Robert Pluim on Fri, 28
 Feb 2020 22:22:15 +0100)
Subject: Re: bug#39799: 28.0.50; Most emoji sequences =?utf-8?Q?don?=
 =?utf-8?Q?=E2=80=99t?= render correctly
References: <s9dy2spfmmt.fsf@HIDDEN> <83lfongp4p.fsf@HIDDEN>
 <s9dlfonf9jp.fsf@HIDDEN> <835zfrglu5.fsf@HIDDEN>
 <m28skm52c8.fsf@HIDDEN> <83wo86g8pg.fsf@HIDDEN>
 <m2zhd23il2.fsf@HIDDEN> <83k146g46x.fsf@HIDDEN>
 <m2v9nq3etm.fsf@HIDDEN> <83imjqg1iv.fsf@HIDDEN>
 <m2imjq3cit.fsf@HIDDEN> <83a752fp2d.fsf@HIDDEN>
 <m2zhd21m8g.fsf@HIDDEN> <8336aufn4h.fsf@HIDDEN> <m2pndy1k6w.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 39799
Cc: 39799 <at> debbugs.gnu.org, mfabian@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

> From: Robert Pluim <rpluim@HIDDEN>
> Cc: 39799 <at> debbugs.gnu.org,  mfabian@HIDDEN
> Date: Fri, 28 Feb 2020 22:22:15 +0100
> 
> One other thing: the #x24C2 is not composed with the following #xFE0F
> when itʼs displayed using Google Noto Sans. If I get it to display
> with Noto Color Emoji it *is* composed, even though I haven't set up
> any composition-function-table entries for it. Where is that
> composition coming from?

Emacs can only compose characters if the font supports all of the
codepoints that are being composed.  So you need to choose a font that
supports these compositions.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39799; Package emacs. Full text available.

Message received at 39799 <at> debbugs.gnu.org:


Received: (at 39799) by debbugs.gnu.org; 28 Feb 2020 21:51:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 28 16:51:07 2020
Received: from localhost ([127.0.0.1]:33897 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7nXH-0003eN-H2
	for submit <at> debbugs.gnu.org; Fri, 28 Feb 2020 16:51:07 -0500
Received: from eggs.gnu.org ([209.51.188.92]:52502)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1j7nXG-0003dp-7r
 for 39799 <at> debbugs.gnu.org; Fri, 28 Feb 2020 16:51:06 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:48957)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1j7nXA-0000wE-VF; Fri, 28 Feb 2020 16:51:01 -0500
Received: from [176.228.60.248] (port=4615 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1j7nXA-0002vS-A5; Fri, 28 Feb 2020 16:51:00 -0500
Date: Fri, 28 Feb 2020 23:50:47 +0200
Message-Id: <83wo86e5zc.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Mike FABIAN <mfabian@HIDDEN>
In-reply-to: <s9dv9nqbeia.fsf@HIDDEN> (message from Mike FABIAN on Fri, 28
 Feb 2020 22:14:53 +0100)
Subject: Re: bug#39799: 28.0.50; Most emoji sequences =?utf-8?Q?don?=
 =?utf-8?Q?=E2=80=99t?= render correctly
References: <s9dy2spfmmt.fsf@HIDDEN> <83lfongp4p.fsf@HIDDEN>
 <s9dlfonf9jp.fsf@HIDDEN> <835zfrglu5.fsf@HIDDEN>
 <m28skm52c8.fsf@HIDDEN> <83wo86g8pg.fsf@HIDDEN>
 <m2zhd23il2.fsf@HIDDEN> <83k146g46x.fsf@HIDDEN>
 <m2v9nq3etm.fsf@HIDDEN> <83imjqg1iv.fsf@HIDDEN>
 <m2imjq3cit.fsf@HIDDEN> <83a752fp2d.fsf@HIDDEN>
 <m2zhd21m8g.fsf@HIDDEN> <s9dv9nqbeia.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 39799
Cc: rpluim@HIDDEN, 39799 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

> From: Mike FABIAN <mfabian@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>,  39799 <at> debbugs.gnu.org
> Date: Fri, 28 Feb 2020 22:14:53 +0100
> 
> But would it be possible to display it in Symbola if not followed by the
> emoji representation selector and in Noto Color Emoji if followed by the
> emoji representation selector??

No.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39799; Package emacs. Full text available.

Message received at 39799 <at> debbugs.gnu.org:


Received: (at 39799) by debbugs.gnu.org; 28 Feb 2020 21:50:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 28 16:50:01 2020
Received: from localhost ([127.0.0.1]:33893 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7nWD-0003bT-0k
	for submit <at> debbugs.gnu.org; Fri, 28 Feb 2020 16:50:01 -0500
Received: from eggs.gnu.org ([209.51.188.92]:52208)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1j7nWB-0003b2-Kx
 for 39799 <at> debbugs.gnu.org; Fri, 28 Feb 2020 16:49:59 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:48885)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1j7nW6-00086n-4r; Fri, 28 Feb 2020 16:49:54 -0500
Received: from [176.228.60.248] (port=4547 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1j7nW5-0002kY-9i; Fri, 28 Feb 2020 16:49:53 -0500
Date: Fri, 28 Feb 2020 23:49:40 +0200
Message-Id: <83y2sme617.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Mike FABIAN <mfabian@HIDDEN>
In-reply-to: <s9dzhd2bep8.fsf@HIDDEN> (message from Mike FABIAN on Fri, 28
 Feb 2020 22:10:43 +0100)
Subject: Re: bug#39799: 28.0.50; Most emoji sequences =?utf-8?Q?don?=
 =?utf-8?Q?=E2=80=99t?= render correctly
References: <s9dy2spfmmt.fsf@HIDDEN> <83lfongp4p.fsf@HIDDEN>
 <s9dlfonf9jp.fsf@HIDDEN> <835zfrglu5.fsf@HIDDEN>
 <m28skm52c8.fsf@HIDDEN> <83wo86g8pg.fsf@HIDDEN>
 <m2zhd23il2.fsf@HIDDEN> <83k146g46x.fsf@HIDDEN>
 <m2v9nq3etm.fsf@HIDDEN> <83imjqg1iv.fsf@HIDDEN>
 <m2imjq3cit.fsf@HIDDEN> <s9dtv3ad3h7.fsf@HIDDEN>
 <837e06foof.fsf@HIDDEN> <s9dzhd2bep8.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 39799
Cc: rpluim@HIDDEN, 39799 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

> From: Mike FABIAN <mfabian@HIDDEN>
> Cc: rpluim@HIDDEN,  39799 <at> debbugs.gnu.org
> Date: Fri, 28 Feb 2020 22:10:43 +0100
> 
> Eli Zaretskii <eliz@HIDDEN> さんはかきました:
> 
> >> From: Mike FABIAN <mfabian@HIDDEN>
> >> Cc: Eli Zaretskii <eliz@HIDDEN>,  39799 <at> debbugs.gnu.org
> >> Date: Fri, 28 Feb 2020 18:30:12 +0100
> >> 
> >> U+24C2 is an Emoji which has both a text and an emoji presentation.
> >
> > I don't think I understand how this fact is relevant to which font
> > Emacs selects for a character.  Can you elaborate on the relation?
> 
> That means that U+24C2 should display using a black and white “text”
> font like Symbola and U+24C2 U+FE0E as well, if possible. But U+24C2
> U+FE0F should be displayed with a color emoji font like “Noto Color
> Emoji”, if possible.
> 
> That’s how it works in gedit for example.

If Gedit selects a font by looking at more than one codepoint (and I'm
not sure this is how it works in Gedit), then Emacs doesn't work that
way.

But regardless of how a font is selected, a single U+24C2 should be
displayed as its default glyph in a font, whereas U+24C2 followed by
U+FE0F should be displayed as a different glyph, the 16th variation of
U+24C2 provided by the font.  That variation could be a color one, or
it could be some other variation of the default glyph, it all depends
on what the font designer did.

> By browsing the emoji data files with Emacs, I noticed that all emoji
> which have text and emoji presentations *always* displayed in black and
> white for me (Symbola font) even when I tried to set the fontset to use
> “Noto Color Emoji” for these code points.

Emacs by default disregards the fontset for symbol and punctuation
characters.  Set use-default-font-for-symbols to nil to override that.

In any case, are these sequences displayed as composed characters?
Does "C-u C-x =" tell that the base character U+24C2 was composed with
the following variation selector?  According to the setup in
japanese.el, they should compose, if the font used for U+24C2 also
supports the variation selectors.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39799; Package emacs. Full text available.

Message received at 39799 <at> debbugs.gnu.org:


Received: (at 39799) by debbugs.gnu.org; 28 Feb 2020 21:47:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 28 16:47:46 2020
Received: from localhost ([127.0.0.1]:33889 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7nU2-0003W8-JQ
	for submit <at> debbugs.gnu.org; Fri, 28 Feb 2020 16:47:46 -0500
Received: from mail-wm1-f43.google.com ([209.85.128.43]:50599)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1j7nU0-0003Vn-MI
 for 39799 <at> debbugs.gnu.org; Fri, 28 Feb 2020 16:47:45 -0500
Received: by mail-wm1-f43.google.com with SMTP id a5so4915886wmb.0
 for <39799 <at> debbugs.gnu.org>; Fri, 28 Feb 2020 13:47:44 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version:content-transfer-encoding;
 bh=kzxCXb11E+t3/YHZZUz0HlO9qiOXPaw+aKDyqJ1A9rw=;
 b=FjjedcFY9QZGdS0YbaWPaRGNEZ2GAeChFakIvkjkYKwnBZE1PkxeQ1ryJbKBgpufKm
 pe+WYXM2UsHj4TazJMDquF+YIaflWHz8p7o/tkzF4x+8ZNwX7fWYr67BgCZHkpi7YERe
 uVNh/YntSXOOyt0DBnpEcViytIs8WEVjev9N0XEkfycsE7BWtqJzsFP47n+CT64ojK/M
 eX1DtvMaXNfRbbcIRH5vx1Dq24H9zWZbSWxMGP4RKcWjggFQv9hChHUTzX/GW425Wivh
 d5AJv6sd5Ff9o8TVR0tqywd+k+o48cysBYfFDRF/k6PTFBiQDDbSMdaRqnEATjSYC3Ld
 Qqvw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=kzxCXb11E+t3/YHZZUz0HlO9qiOXPaw+aKDyqJ1A9rw=;
 b=PTa/b1pzFRFm/eNN8MWVd0/V2YY1kM6LXaWfqOnS9SbcRThDRichf2mcPvvzQxpbr8
 xxPaC4hhGQUCBLuIqn/KXuahhhLs+jZLqGGnpfHCxlRyppB98RTD05JHjMwxTPwwjj7Y
 Cj37v/VqwqOdtlDtocfQ/wHP2YLuMfyDhW2b1V+mf0U/aZL8esCh/V96g5u3T8JiNY65
 sZK44Oh9unw8raPN6MMNxE9LMXRlmaJx9l6SnF0i/dQydDBfmhlqzvsjMdUYiCYO4Bs2
 9XIfo9FpwvnfYDYSJYtJBTVwDwUoTI+lMPdPdPkCO1RzVJjAgehNT0pQNxKx/w+B9xrL
 kmNg==
X-Gm-Message-State: APjAAAXSea7cTcJt0Iky4arMDItTxJjrrAD68ojkqJiSA0dT1Wx5gGbc
 vv7OfIwnsVWmzUfLitYUUMgsLENH
X-Google-Smtp-Source: APXvYqysWosI80PzUA/gwrrQc0A+0kYLKS8aEzH5SdxICepNvoo8IGxsTVe+6JtxTDgV1btOzhp/PQ==
X-Received: by 2002:a1c:1f56:: with SMTP id f83mr6582596wmf.101.1582926458419; 
 Fri, 28 Feb 2020 13:47:38 -0800 (PST)
Received: from rpluim-mac ([2a01:e34:ecfc:a860:4a8:8cd8:5d97:6a05])
 by smtp.gmail.com with ESMTPSA id 133sm4276502wmd.5.2020.02.28.13.47.37
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 28 Feb 2020 13:47:37 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#39799: 28.0.50; Most emoji sequences =?utf-8?Q?don?=
 =?utf-8?Q?=E2=80=99t?= render correctly
References: <s9dy2spfmmt.fsf@HIDDEN> <83lfongp4p.fsf@HIDDEN>
 <s9dlfonf9jp.fsf@HIDDEN> <835zfrglu5.fsf@HIDDEN>
 <m28skm52c8.fsf@HIDDEN> <83wo86g8pg.fsf@HIDDEN>
 <m2zhd23il2.fsf@HIDDEN> <83k146g46x.fsf@HIDDEN>
 <m2v9nq3etm.fsf@HIDDEN> <83imjqg1iv.fsf@HIDDEN>
 <m2imjq3cit.fsf@HIDDEN> <s9dtv3ad3h7.fsf@HIDDEN>
 <837e06foof.fsf@HIDDEN> <835zfqfohj.fsf@HIDDEN>
 <831rqefmsr.fsf@HIDDEN>
Date: Fri, 28 Feb 2020 22:47:36 +0100
In-Reply-To: <831rqefmsr.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 28 Feb
 2020 23:02:12 +0200")
Message-ID: <m2h7za1j0n.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39799
Cc: 39799 <at> debbugs.gnu.org, mfabian@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Fri, 28 Feb 2020 23:02:12 +0200, Eli Zaretskii <eliz@HIDDEN> said:

    >> Date: Fri, 28 Feb 2020 22:25:44 +0200
    >> From: Eli Zaretskii <eliz@HIDDEN>
    >> Cc: 39799 <at> debbugs.gnu.org
    >>=20
    >> Hmm... it's possible I was confused, and the functions I mentioned a=
re
    >> unrelated to variation selectors.  To see if that's so, try to
    >> configure composition-function-table to display such sequences as
    >> composed characters, and see what happens when you use a proper font
    >> (e.g., the one with which Gedit displays the variations).

    Eli> Looking into this some more reveals that we already have
    Eli> composition-function-table set up for variation selectors, see the=
 end
    Eli> of lisp/language/japanese.el.  Not sure why it's in japanese.el, b=
ut
    Eli> the code doesn't seem to be specific to Japanese characters, unless
    Eli> I'm missing something.  So some debugging is required to understand
    Eli> why we don't display sequences with variation selectors as intende=
d.
    Eli> Maybe DejaVu Sans doesn't support that?  What if you try

    Eli>   emacs -Q -fn Noto Color Emoji"

    Eli> does Emacs built with HarfBuzz then display the variation sequence=
s as
    Eli> expected?

-fn "Noto Color Emoji" doesn=CA=BCt change the default font for me for some
 reason, but if I change the font after startup then those sequences
 display correctly.

  (char-table-range composition-function-table #xFE0F)
=3D> ([".." 1 compose-gstring-for-variation-glyph])

and #xFE0F is always composable according to composite.c, so I don=CA=BCt
understand why composing only works with Noto Color Emoji. Or does the
font need specific support for it?

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39799; Package emacs. Full text available.

Message received at 39799 <at> debbugs.gnu.org:


Received: (at 39799) by debbugs.gnu.org; 28 Feb 2020 21:38:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 28 16:38:49 2020
Received: from localhost ([127.0.0.1]:33883 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7nLN-0003Bg-MC
	for submit <at> debbugs.gnu.org; Fri, 28 Feb 2020 16:38:49 -0500
Received: from mail-wr1-f43.google.com ([209.85.221.43]:43223)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1j7nLM-0003BK-Je
 for 39799 <at> debbugs.gnu.org; Fri, 28 Feb 2020 16:38:48 -0500
Received: by mail-wr1-f43.google.com with SMTP id e10so3287776wrr.10
 for <39799 <at> debbugs.gnu.org>; Fri, 28 Feb 2020 13:38:48 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version:content-transfer-encoding;
 bh=J9O3P0g/1NXA6XV/LNkqxYd4MuJEWfqpoo9vjAK0/4U=;
 b=VLPkDc+OdjFGUpFk7vA8o2tM2/X7mzDPzbrvqkqs7WU0ZEyMw0ko8/XSH6iZ4EaRmF
 xYJMhIYH2SywWR4ukdwk7aif8II5vQQWr77HEwZk/ZNIhxCNwelVh/FXxAjTTTZANP6Z
 vOSd8xRI59tn4BY5x4DPztwGWwJrTo2vq96sJUsBZAjSiRVqBA/8tqTq983I9Mqg/O1j
 ZcEviHmlos2Awx1qGcpYdKdQWZ1EjXfiwDiXf6JavSNTJbTm7prYHN5u6W4NmD/vssEY
 bFqFJX0B3dixbJanUQGOmqh9TU/3y/dt44zgowDNvIvyCvc8IhTizCDDFL7C8nE+AdlA
 ntog==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=J9O3P0g/1NXA6XV/LNkqxYd4MuJEWfqpoo9vjAK0/4U=;
 b=CAS8389q98UWSa1aCinTUb/q9WDPjtZR/J52S7gbtRM5CCu8WqA/sY/ft2jq+0q7SL
 5sR77pX8Kp44uIYwzzgoiaqxB8IvLh55VFxG9kMxtkR7sSa6bRoTKES322IOxrfIbkSH
 kKMizRRBw4gTEHIWLtDrZJp3dy7RI7G5N9+6FhFwuMT5OGk3zcHE/g925tnoAqYphViA
 QP3cpY/ZjRy0kS5N55TzJ9r9JHooLM3P2mOPfq/byDmwLCJ0cggO51r9n9GzRgZMBVgP
 2/FtT1eAPArqiUPe5SVPHz02ASoR20XJBU5G4Vp8roWJVub4JFLNAFMmN9qnXo01z5B/
 pYUA==
X-Gm-Message-State: APjAAAXcYMzIynTLXTvUBty7qOpWtcq2vTH9R64NTcjZMIOTrQ0ULtAH
 pZgLZYLHj/R9lYHAa+CaHq9bsDa8
X-Google-Smtp-Source: APXvYqwQ7HlpyPP3y3FkoQmQ5J4qAEm3XwnJnJRYfcqYkr1les+Ozufexg5425QkP0zO1YMsgbbffw==
X-Received: by 2002:adf:e8c7:: with SMTP id k7mr6314590wrn.140.1582925922427; 
 Fri, 28 Feb 2020 13:38:42 -0800 (PST)
Received: from rpluim-mac ([2a01:e34:ecfc:a860:4a8:8cd8:5d97:6a05])
 by smtp.gmail.com with ESMTPSA id e1sm14372203wrt.84.2020.02.28.13.38.41
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 28 Feb 2020 13:38:41 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
To: Mike FABIAN <mfabian@HIDDEN>
Subject: Re: bug#39799: 28.0.50; Most emoji sequences =?utf-8?Q?don?=
 =?utf-8?Q?=E2=80=99t?= render correctly
References: <s9dy2spfmmt.fsf@HIDDEN> <83lfongp4p.fsf@HIDDEN>
 <s9dlfonf9jp.fsf@HIDDEN> <835zfrglu5.fsf@HIDDEN>
 <m28skm52c8.fsf@HIDDEN> <83wo86g8pg.fsf@HIDDEN>
 <m2zhd23il2.fsf@HIDDEN> <83k146g46x.fsf@HIDDEN>
 <m2v9nq3etm.fsf@HIDDEN> <83imjqg1iv.fsf@HIDDEN>
 <m2imjq3cit.fsf@HIDDEN> <s9dtv3ad3h7.fsf@HIDDEN>
 <m24kva3814.fsf@HIDDEN> <s9do8tiz9d1.fsf@HIDDEN>
Date: Fri, 28 Feb 2020 22:38:41 +0100
In-Reply-To: <s9do8tiz9d1.fsf@HIDDEN> (Mike FABIAN's message of "Fri, 28
 Feb 2020 22:32:10 +0100")
Message-ID: <m2lfom1jfi.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39799
Cc: 39799 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Fri, 28 Feb 2020 22:32:10 +0100, Mike FABIAN <mfabian@HIDDEN> =
said:

    Mike> Robert Pluim <rpluim@HIDDEN> =E3=81=95=E3=82=93=E3=81=AF=E3=81=
=8B=E3=81=8D=E3=81=BE=E3=81=97=E3=81=9F:
    Mike> The presence of such selectors in a currently visible buffer make=
 my
    Mike> Emacs extremely slow and unresponsive, I can hardly finish typing=
 this
    Mike> e-mail.

    >> Can you try my patch from
    >> <https://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D39133#41> ? I proba=
bly
    >> should have pushed it already...

    Mike> Great, that makes it fast again. With this patch, I can type norm=
ally
    Mike> in a buffer containing variation selectors.

Thanks for testing. I=CA=BCll push it this weekend sometime.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39799; Package emacs. Full text available.

Message received at 39799 <at> debbugs.gnu.org:


Received: (at 39799) by debbugs.gnu.org; 28 Feb 2020 21:32:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 28 16:32:26 2020
Received: from localhost ([127.0.0.1]:33879 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7nFB-0002xJ-Vr
	for submit <at> debbugs.gnu.org; Fri, 28 Feb 2020 16:32:26 -0500
Received: from us-smtp-delivery-1.mimecast.com ([207.211.31.120]:55499
 helo=us-smtp-1.mimecast.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mfabian@HIDDEN>) id 1j7nFA-0002x1-IC
 for 39799 <at> debbugs.gnu.org; Fri, 28 Feb 2020 16:32:24 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=redhat.com;
 s=mimecast20190719; t=1582925539;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=V1sUpJNnkFW2zAZ3zBq/qjtj2tlNq8yFTwdnQk9707k=;
 b=IyUYYUQGvJEtcW3DhQ1/dJ9J6w1b87gkVddktTYEh/dTluhvjJoyG86XMZjWAf1PzbVn+3
 8ZLDe+fWmEBceuONMXS7xXQYWIEbW/2HC4bOYqlvNkyIczH3gyLRNHV1H8cy21IisKKUYD
 DXjhN5KnIfEHSkfQsLKZAw0lp/SfGy4=
Received: from mail-wr1-f70.google.com (mail-wr1-f70.google.com
 [209.85.221.70]) (Using TLS) by relay.mimecast.com with ESMTP id
 us-mta-285-7JODStajObu9Hz_GiuIq2A-1; Fri, 28 Feb 2020 16:32:13 -0500
X-MC-Unique: 7JODStajObu9Hz_GiuIq2A-1
Received: by mail-wr1-f70.google.com with SMTP id p11so1889053wrn.10
 for <39799 <at> debbugs.gnu.org>; Fri, 28 Feb 2020 13:32:12 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:organization:references:date
 :in-reply-to:message-id:user-agent:mime-version
 :content-transfer-encoding;
 bh=wRKOVaIY+ZYWoncArhx19tuXJ/l+3rZ7EYIjk2hNCoc=;
 b=Ext7Sgs2qPZGOeAqe7LrvnDXUTkA+xb+tzh50XhtgtoBKKDX77m3IhohqL8Fp/NmCg
 7kCPGxc5LoZ7GpXFrSdys+8zAzLzr7dHOYzj1tWMUfFv+Thh3Prb2H1t2QDoztBj3hOb
 xjyCefVSMQrCRgnJXgjCBl8TJCCfkLxleWc9x3/3vzmvpaVn00en4oQFET2Sh0vIj2BN
 prCkY8+TpZPxEuVSRGp1Hv595uKIhwO8l9v+FUSyukdWcohrqeujfqCsNc+CRCl/HuKa
 GAnls5wnWeJeSMPXCZ9OQCOTUvTLbKhVM/WIn0wd9EWadpu4XxSlvdhjqdpQNY1K1cmu
 exiQ==
X-Gm-Message-State: APjAAAWTyoZoGWNyEEdHU1BFFNvd5c8IZOm0Gm+EVYASe4VrQcOScyvT
 jEbDe0urk3zn2bN/3AOOB413lLf0c3DAdLiXuQXVBdlWaiZQrLVAZ3Shm8sFCA2qchLzE5lhf/m
 c3g3aOK1cff6QpA==
X-Received: by 2002:adf:fc85:: with SMTP id g5mr6491505wrr.52.1582925531932;
 Fri, 28 Feb 2020 13:32:11 -0800 (PST)
X-Google-Smtp-Source: APXvYqy2ldSSLtbS2XSvH50cXRYIOarW61qH+AE6Xvmi4sCXnBYkh6JBWkwIJIXF7Q+YGHSop1SBhg==
X-Received: by 2002:adf:fc85:: with SMTP id g5mr6491490wrr.52.1582925531631;
 Fri, 28 Feb 2020 13:32:11 -0800 (PST)
Received: from taka.site (ppp-46-244-193-84.dynamic.mnet-online.de.
 [46.244.193.84])
 by smtp.gmail.com with ESMTPSA id t1sm14828379wrs.41.2020.02.28.13.32.11
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 28 Feb 2020 13:32:11 -0800 (PST)
Received: from taka.site (localhost [IPv6:::1])
 by taka.site (Postfix) with ESMTP id 718D1900;
 Fri, 28 Feb 2020 22:32:10 +0100 (CET)
From: Mike FABIAN <mfabian@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#39799: 28.0.50; Most emoji sequences =?utf-8?Q?don?=
 =?utf-8?Q?=E2=80=99t?= render correctly
Organization: Red Hat
References: <s9dy2spfmmt.fsf@HIDDEN> <83lfongp4p.fsf@HIDDEN>
 <s9dlfonf9jp.fsf@HIDDEN> <835zfrglu5.fsf@HIDDEN>
 <m28skm52c8.fsf@HIDDEN> <83wo86g8pg.fsf@HIDDEN>
 <m2zhd23il2.fsf@HIDDEN> <83k146g46x.fsf@HIDDEN>
 <m2v9nq3etm.fsf@HIDDEN> <83imjqg1iv.fsf@HIDDEN>
 <m2imjq3cit.fsf@HIDDEN> <s9dtv3ad3h7.fsf@HIDDEN>
 <m24kva3814.fsf@HIDDEN>
X-Face: "';
 oPz9V1+<,`}1ZuxRv~EiSusWq*{Yjr"Sdvbhq'?q=2R\\6Y9O/,SAE`{J|6I=|w/sQg<
 rW_N'E3IV6~f8?\l#Es`]S`mv',PY(`8{$$R?+gLu}Qv/Mn>)?uladFjJ@yl!_p_Jh; 5QxlD6zL:?r
 IXe4FfK$C^mWhh$o`yt; .r.FLZLQOWBt><!; -.DYZ)Nu&1?~*:\36\BGz]"L; nue;
 l\%sJ/]l{is5O Ew?0CF}dPS(ezG0xqUR)xa(L&&c;x{By"`oKvM&i!%+
Date: Fri, 28 Feb 2020 22:32:10 +0100
In-Reply-To: <m24kva3814.fsf@HIDDEN> (Robert Pluim's message of "Fri, 28
 Feb 2020 19:01:59 +0100")
Message-ID: <s9do8tiz9d1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
X-Mimecast-Spam-Score: 0
X-Mimecast-Originator: redhat.com
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39799
Cc: 39799 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Robert Pluim <rpluim@HIDDEN> =E3=81=95=E3=82=93=E3=81=AF=E3=81=8B=E3=81=
=8D=E3=81=BE=E3=81=97=E3=81=9F:

>     Mike> The presence of such selectors in a currently visible buffer ma=
ke my
>     Mike> Emacs extremely slow and unresponsive, I can hardly finish typi=
ng this
>     Mike> e-mail.

> Can you try my patch from
> <https://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D39133#41> ? I probably
> should have pushed it already...

Great, that makes it fast again. With this patch, I can type normally
in a buffer containing variation selectors.

--=20
Mike FABIAN <mfabian@HIDDEN>
=E7=9D=A1=E7=9C=A0=E4=B8=8D=E8=B6=B3=E3=81=AF=E3=81=84=E3=81=84=E4=BB=95=E4=
=BA=8B=E3=81=AE=E6=95=B5=E3=81=A0=E3=80=82





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39799; Package emacs. Full text available.

Message received at 39799 <at> debbugs.gnu.org:


Received: (at 39799) by debbugs.gnu.org; 28 Feb 2020 21:27:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 28 16:27:19 2020
Received: from localhost ([127.0.0.1]:33874 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7nAF-0002lx-AI
	for submit <at> debbugs.gnu.org; Fri, 28 Feb 2020 16:27:19 -0500
Received: from us-smtp-delivery-1.mimecast.com ([205.139.110.120]:60526
 helo=us-smtp-1.mimecast.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mfabian@HIDDEN>) id 1j7nAC-0002lk-Ps
 for 39799 <at> debbugs.gnu.org; Fri, 28 Feb 2020 16:27:17 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=redhat.com;
 s=mimecast20190719; t=1582925236;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=MVfdCgtTt3YGUPPgDY554FEecSv+S3t4GeTpmkAMT6Y=;
 b=GWvylOApaYRdia+GyfRd/id1jkCcO5jN8QXQE7maYQaVe+qmBeLoswhqC6eYIz2h2Bjh0M
 No1Jf2AEbN90kbQZ05YnWRRsAvQ6zH46fDGvEVocp+gsNM5bDYOPJa5OaDh2sHqpIoxDdV
 il5Lm1k7wueon0hBQSk3KFycKmZFzEM=
Received: from mail-wr1-f72.google.com (mail-wr1-f72.google.com
 [209.85.221.72]) (Using TLS) by relay.mimecast.com with ESMTP id
 us-mta-202-1dgSg2QkMWWRbcFAtJk3cw-1; Fri, 28 Feb 2020 16:27:14 -0500
X-MC-Unique: 1dgSg2QkMWWRbcFAtJk3cw-1
Received: by mail-wr1-f72.google.com with SMTP id z15so1903552wrw.0
 for <39799 <at> debbugs.gnu.org>; Fri, 28 Feb 2020 13:27:14 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:organization:references:date
 :in-reply-to:message-id:user-agent:mime-version
 :content-transfer-encoding;
 bh=nsMKBM4n/iOe7IY4bUw8lrSoXqE/nW4S2soTl7tPp5o=;
 b=EfZMmjSR07M6aCEdk8a121Q5BR9xaNx4I3BDtpcG8wOe1wrQPSbdGyEtnzhaWBgCc5
 +ZHiGPPGVNskNnMNGvd0D7XEdW/ydhlCg4FqO0wg/h5CFacKMpzM6wYvrPRxWte5H7nJ
 vCJR+BHKF4bojp6L7Dbe51qPqPLDdxbPXymNSIKtRKU9rEhtk4V1QofK5vg1++qgrJ6b
 gQy8AsaXMaNzI6GK6bQY6uqOqBRhtHLaOrgK29f1Oz0u9D+oOrCKBXMJT8pZMsmneEd1
 mlzqycu/Q5DBeYAaPaJmvAIuVr0lYw1EDYvSDLA7XDraWAVyxje/DBVuVk/usWnPLWek
 Y+kg==
X-Gm-Message-State: APjAAAVwiWFuOt8jhZ6g3i9DYn4+a05EfhhHNrM5v1LTVoLO7fVFicaQ
 cvsMvxyXBSOTztpEpAvwTA4KNdBcCgH8IRKYv+RqVka6zXvKh9j46/3/ergxRDewTxNwIrfK+1e
 XYNajSAiuHt5Yww==
X-Received: by 2002:adf:df90:: with SMTP id z16mr6341330wrl.273.1582925232819; 
 Fri, 28 Feb 2020 13:27:12 -0800 (PST)
X-Google-Smtp-Source: APXvYqzOh8Bly2NPgKoPhgBqoo4dEpGYO8VyZ+Ll6YyTcJQrCdjoFl3lMUgPDE9AROT/P1+85NtbzA==
X-Received: by 2002:adf:df90:: with SMTP id z16mr6341318wrl.273.1582925232573; 
 Fri, 28 Feb 2020 13:27:12 -0800 (PST)
Received: from taka.site (ppp-46-244-193-84.dynamic.mnet-online.de.
 [46.244.193.84])
 by smtp.gmail.com with ESMTPSA id t131sm3886418wmb.13.2020.02.28.13.27.12
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 28 Feb 2020 13:27:12 -0800 (PST)
Received: from taka.site (localhost [IPv6:::1])
 by taka.site (Postfix) with ESMTP id 5470E900;
 Fri, 28 Feb 2020 22:27:11 +0100 (CET)
From: Mike FABIAN <mfabian@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#39799: 28.0.50; Most emoji sequences =?utf-8?Q?don?=
 =?utf-8?Q?=E2=80=99t?= render correctly
Organization: Red Hat
References: <s9dy2spfmmt.fsf@HIDDEN> <83lfongp4p.fsf@HIDDEN>
 <s9dlfonf9jp.fsf@HIDDEN> <835zfrglu5.fsf@HIDDEN>
 <m28skm52c8.fsf@HIDDEN> <83wo86g8pg.fsf@HIDDEN>
 <m2zhd23il2.fsf@HIDDEN> <83k146g46x.fsf@HIDDEN>
 <m2v9nq3etm.fsf@HIDDEN> <83imjqg1iv.fsf@HIDDEN>
 <m2imjq3cit.fsf@HIDDEN> <83a752fp2d.fsf@HIDDEN>
 <m2zhd21m8g.fsf@HIDDEN> <8336aufn4h.fsf@HIDDEN>
 <m2pndy1k6w.fsf@HIDDEN>
X-Face: "';
 oPz9V1+<,`}1ZuxRv~EiSusWq*{Yjr"Sdvbhq'?q=2R\\6Y9O/,SAE`{J|6I=|w/sQg<
 rW_N'E3IV6~f8?\l#Es`]S`mv',PY(`8{$$R?+gLu}Qv/Mn>)?uladFjJ@yl!_p_Jh; 5QxlD6zL:?r
 IXe4FfK$C^mWhh$o`yt; .r.FLZLQOWBt><!; -.DYZ)Nu&1?~*:\36\BGz]"L; nue;
 l\%sJ/]l{is5O Ew?0CF}dPS(ezG0xqUR)xa(L&&c;x{By"`oKvM&i!%+
Date: Fri, 28 Feb 2020 22:27:11 +0100
In-Reply-To: <m2pndy1k6w.fsf@HIDDEN> (Robert Pluim's message of "Fri, 28
 Feb 2020 22:22:15 +0100")
Message-ID: <s9dv9nqz9lc.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
X-Mimecast-Spam-Score: 0
X-Mimecast-Originator: redhat.com
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39799
Cc: Eli Zaretskii <eliz@HIDDEN>, 39799 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Robert Pluim <rpluim@HIDDEN> =E3=81=95=E3=82=93=E3=81=AF=E3=81=8B=E3=81=
=8D=E3=81=BE=E3=81=97=E3=81=9F:

> One other thing: the #x24C2 is not composed with the following #xFE0F
> when it=CA=BCs displayed using Google Noto Sans.

Yes, I also noticed the #xFE0F displayed as a box.

> If I get it to display
> with Noto Color Emoji it *is* composed, even though I haven't set up
> any composition-function-table entries for it. Where is that
> composition coming from?

No idea, I didn=E2=80=99t notice this until you mentioned it, but
I see this as well.

--=20
Mike FABIAN <mfabian@HIDDEN>
=E7=9D=A1=E7=9C=A0=E4=B8=8D=E8=B6=B3=E3=81=AF=E3=81=84=E3=81=84=E4=BB=95=E4=
=BA=8B=E3=81=AE=E6=95=B5=E3=81=A0=E3=80=82





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39799; Package emacs. Full text available.

Message received at 39799 <at> debbugs.gnu.org:


Received: (at 39799) by debbugs.gnu.org; 28 Feb 2020 21:22:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 28 16:22:24 2020
Received: from localhost ([127.0.0.1]:33870 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7n5U-0002b2-KL
	for submit <at> debbugs.gnu.org; Fri, 28 Feb 2020 16:22:24 -0500
Received: from mail-wm1-f50.google.com ([209.85.128.50]:40408)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1j7n5S-0002aa-Ev
 for 39799 <at> debbugs.gnu.org; Fri, 28 Feb 2020 16:22:22 -0500
Received: by mail-wm1-f50.google.com with SMTP id d138so3252075wmd.5
 for <39799 <at> debbugs.gnu.org>; Fri, 28 Feb 2020 13:22:22 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-transfer-encoding;
 bh=xBzrrf/hFkjY36P38aflGWZ2OB3JVE5dvHnBdW90Ce8=;
 b=ZjpkQqBwYccFJfrJReUChmrGgg9dMCJsltPQ1ve8LNmqPlNz6/KXx7X/nyvGykGqMc
 pKhUUq7THm1vJKe4pCGG5dT2Uc8qwaEF/3LxkDj4CTUqkptOLWIrWMupwVhf6Wtu50H3
 80eK56wSYWGWdVUl3kSHUshZe7DLKy9FkmHMw7862eB8jvRXYmp5Zv7HGdeOq7imQ3EQ
 mFFnbjYjuDEX83Z46zNMlEiE48tAHHOGjZAuVyAKi+wlHxOC+nGynNfxiX3JN7XykAaN
 IO2hk6RBMwcE/C1Gzn0byubOuLNuJORKdyuxOXuC8oCwOO4ndjSHONdGu4CayXqsK7OW
 Bdbg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:references:date
 :message-id:mime-version:content-transfer-encoding;
 bh=xBzrrf/hFkjY36P38aflGWZ2OB3JVE5dvHnBdW90Ce8=;
 b=c12sVtmXTBHe7GeRByMZyNukIbvleh8+IWGmaLwedfq77q+9yoJKNOaXLCjhPyJfiY
 h8n8+NHFsn0TvGAg8ixi+eKvn8htQi0W34PycSx2rL4oi0f2c22aQE0z7nu4v364s2tP
 FSeQO4iO1Ne/lXOvyh1b3UAymASOFrlNsPA1/ZiVwuJU3vf/qRQI/70JiE9DPI66vzbI
 G2SjzufEQFSyE4R7HcUhpC60/n8SlBmoL2fG7vmcg5Tyfxpjw4Y8qqy3SmorpHC5K0Yy
 M8KgmbaAfq8uHCxppXDz3wCHMBA6gC931Eon9M2quoSNtoAd+v1dr+18UC8EOfD0VA0j
 OKBQ==
X-Gm-Message-State: APjAAAUrYlo924CHNQfWwtt9GuuGK35a8uY8lMdK0A4L9SmpYVbvG13+
 5sFjQCIUibBKp/CIbTuX8Rs=
X-Google-Smtp-Source: APXvYqxaE8CHCaor9ET5EMEdwaCvdsQms1h9eFEuWUq7+zsrcDhl7X4AN3iHFz4WPDuvaQ7aOeBSxQ==
X-Received: by 2002:a1c:1b11:: with SMTP id b17mr6428959wmb.93.1582924936389; 
 Fri, 28 Feb 2020 13:22:16 -0800 (PST)
Received: from rpluim-mac ([2a01:e34:ecfc:a860:4a8:8cd8:5d97:6a05])
 by smtp.gmail.com with ESMTPSA id h205sm3770142wmf.25.2020.02.28.13.22.15
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 28 Feb 2020 13:22:15 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#39799: 28.0.50; Most emoji sequences =?utf-8?Q?don?=
 =?utf-8?Q?=E2=80=99t?= render correctly
In-Reply-To: <8336aufn4h.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 28 Feb
 2020 22:55:10 +0200")
References: <s9dy2spfmmt.fsf@HIDDEN> <83lfongp4p.fsf@HIDDEN>
 <s9dlfonf9jp.fsf@HIDDEN> <835zfrglu5.fsf@HIDDEN>
 <m28skm52c8.fsf@HIDDEN> <83wo86g8pg.fsf@HIDDEN>
 <m2zhd23il2.fsf@HIDDEN> <83k146g46x.fsf@HIDDEN>
 <m2v9nq3etm.fsf@HIDDEN> <83imjqg1iv.fsf@HIDDEN>
 <m2imjq3cit.fsf@HIDDEN> <83a752fp2d.fsf@HIDDEN>
 <m2zhd21m8g.fsf@HIDDEN> <8336aufn4h.fsf@HIDDEN>
Date: Fri, 28 Feb 2020 22:22:15 +0100
Message-ID: <m2pndy1k6w.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39799
Cc: 39799 <at> debbugs.gnu.org, mfabian@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Fri, 28 Feb 2020 22:55:10 +0200, Eli Zaretskii <eliz@HIDDEN> said:

    >> From: Robert Pluim <rpluim@HIDDEN>
    >> Cc: 39799 <at> debbugs.gnu.org,  mfabian@HIDDEN
    >> Date: Fri, 28 Feb 2020 21:38:07 +0100
    >>=20
    >> (set-fontset-font "fontset-default" '(#x2460 . #x24FF)
    >> '("Noto Color Emoji" . "iso10646-1") nil
    >> 'prepend)
    >>=20
    >> gives me:
    >>=20
    >> Debugger entered--Lisp error: (error "Fontset =E2=80=98default-fonts=
et=E2=80=99 does not exist")
    >> set-fontset-font("default-fontset" (9312 . 9471) ("Noto Color Emoji"=
 . "iso10646-1") nil prepend)
    >> (progn (set-fontset-font "default-fontset" '(9312 . 9471) '("Noto Co=
lor Emoji" . "iso10646-1") nil 'prepend))
    >> eval((progn (set-fontset-font "default-fontset" '(9312 . 9471) '("No=
to Color Emoji" . "iso10646-1") nil 'prepend)) t)

    Eli> You used "default-fontset" instead of "fontset-default", thus the
    Eli> error.

D'oh. Friday night strikes again :-)

With that fixed, neither the range or specific char variant makes any
difference, I need to use nil.

One other thing: the #x24C2 is not composed with the following #xFE0F
when it=CA=BCs displayed using Google Noto Sans. If I get it to display
with Noto Color Emoji it *is* composed, even though I haven't set up
any composition-function-table entries for it. Where is that
composition coming from?

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39799; Package emacs. Full text available.

Message received at 39799 <at> debbugs.gnu.org:


Received: (at 39799) by debbugs.gnu.org; 28 Feb 2020 21:15:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 28 16:15:06 2020
Received: from localhost ([127.0.0.1]:33866 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7myP-0002LW-Qb
	for submit <at> debbugs.gnu.org; Fri, 28 Feb 2020 16:15:06 -0500
Received: from us-smtp-1.mimecast.com ([207.211.31.81]:33238
 helo=us-smtp-delivery-1.mimecast.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mfabian@HIDDEN>) id 1j7myO-0002Kk-3H
 for 39799 <at> debbugs.gnu.org; Fri, 28 Feb 2020 16:15:04 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=redhat.com;
 s=mimecast20190719; t=1582924498;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=arMiySx9l0341KtYPjqS/4IezoumEkzT/B65jB8F/nE=;
 b=Hf64SD8TiiFy/Lhq0yq1Txb/WCg4FQ/r4ruVc212Fa90zH2p903q+Z0c3og1pyIAI5LiBx
 HptTzKJiksW2uKBEAq7qeiiVrh1n/mpnIoZ8XPia59eg1nLvr7+o7FN38VMP6WC5BGUqEe
 n9l/LKyK//4IqY/03hSiJ9NyRN6B0bk=
Received: from mail-wm1-f71.google.com (mail-wm1-f71.google.com
 [209.85.128.71]) (Using TLS) by relay.mimecast.com with ESMTP id
 us-mta-239-ghE6hCQROY-8w4UtY3eMRw-1; Fri, 28 Feb 2020 16:14:56 -0500
X-MC-Unique: ghE6hCQROY-8w4UtY3eMRw-1
Received: by mail-wm1-f71.google.com with SMTP id j130so1638345wmj.9
 for <39799 <at> debbugs.gnu.org>; Fri, 28 Feb 2020 13:14:56 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:organization:references:date
 :in-reply-to:message-id:user-agent:mime-version
 :content-transfer-encoding;
 bh=yYWJ2djxpkLw7ypYvay8dbcl5lgIM/dwkqJZlANcrjI=;
 b=OoiWVEbh5697wWqB2FtqE5x+HXN8+TPaVZUouADXZdsLADHU4oF6oYH70rvKOgIDoL
 5zn2/FYye2zPsR+KPw8dnOnNgH4XZ7JP/Jfe2gT8eGK61YY0gfH57uUL9ox+yKTwJ3/N
 FqShhVAYZBEg97hiXlf1CtqRV1A2Hkf5sEg/WXI7QkYrbmaRSqrKTtnJyqBKS8+G7MpU
 3OvYS4fhrrBLpa01iTpOd/9e8/Tdwt8UR0altG/HiAx5b1On3uRz5oQoYbN2c+C1wTFr
 Ro+A0QPwQWZwhY+Tp2s0s0d1WY2kv0lnwCr9+/CVOmWADHyxQgJMtYOU+4L9Uh4Ic3/L
 g3xA==
X-Gm-Message-State: APjAAAUeB8rqWt7mYjOaabQMvOEFgcQe0D/nwNGLQAQyg8a4Su3rTkKh
 3gylFShyz1m789veRaBcpohDMf1LHDf9eXZASGtPPSvGnWVhkaOfPHXBrCE22PLhkp9nbkxzu3+
 wc65+W6pCvnjvcg==
X-Received: by 2002:adf:cf02:: with SMTP id o2mr3755668wrj.27.1582924495135;
 Fri, 28 Feb 2020 13:14:55 -0800 (PST)
X-Google-Smtp-Source: APXvYqyZeryX9YAUvmILI3aZYEFQ44rzYbzqNNgbQ2crpIq766vO/G8K4SxeOGvu/lIhGn9lA9AggQ==
X-Received: by 2002:adf:cf02:: with SMTP id o2mr3755658wrj.27.1582924494949;
 Fri, 28 Feb 2020 13:14:54 -0800 (PST)
Received: from taka.site (ppp-46-244-193-84.dynamic.mnet-online.de.
 [46.244.193.84])
 by smtp.gmail.com with ESMTPSA id n2sm14702705wro.96.2020.02.28.13.14.54
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 28 Feb 2020 13:14:54 -0800 (PST)
Received: from taka.site (localhost [IPv6:::1])
 by taka.site (Postfix) with ESMTP id E601F900;
 Fri, 28 Feb 2020 22:14:53 +0100 (CET)
From: Mike FABIAN <mfabian@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#39799: 28.0.50; Most emoji sequences =?utf-8?Q?don?=
 =?utf-8?Q?=E2=80=99t?= render correctly
Organization: Red Hat
References: <s9dy2spfmmt.fsf@HIDDEN> <83lfongp4p.fsf@HIDDEN>
 <s9dlfonf9jp.fsf@HIDDEN> <835zfrglu5.fsf@HIDDEN>
 <m28skm52c8.fsf@HIDDEN> <83wo86g8pg.fsf@HIDDEN>
 <m2zhd23il2.fsf@HIDDEN> <83k146g46x.fsf@HIDDEN>
 <m2v9nq3etm.fsf@HIDDEN> <83imjqg1iv.fsf@HIDDEN>
 <m2imjq3cit.fsf@HIDDEN> <83a752fp2d.fsf@HIDDEN>
 <m2zhd21m8g.fsf@HIDDEN>
X-Face: "';
 oPz9V1+<,`}1ZuxRv~EiSusWq*{Yjr"Sdvbhq'?q=2R\\6Y9O/,SAE`{J|6I=|w/sQg<
 rW_N'E3IV6~f8?\l#Es`]S`mv',PY(`8{$$R?+gLu}Qv/Mn>)?uladFjJ@yl!_p_Jh; 5QxlD6zL:?r
 IXe4FfK$C^mWhh$o`yt; .r.FLZLQOWBt><!; -.DYZ)Nu&1?~*:\36\BGz]"L; nue;
 l\%sJ/]l{is5O Ew?0CF}dPS(ezG0xqUR)xa(L&&c;x{By"`oKvM&i!%+
Date: Fri, 28 Feb 2020 22:14:53 +0100
In-Reply-To: <m2zhd21m8g.fsf@HIDDEN> (Robert Pluim's message of "Fri, 28
 Feb 2020 21:38:07 +0100")
Message-ID: <s9dv9nqbeia.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
X-Mimecast-Spam-Score: 0
X-Mimecast-Originator: redhat.com
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39799
Cc: Eli Zaretskii <eliz@HIDDEN>, 39799 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Robert Pluim <rpluim@HIDDEN> =E3=81=95=E3=82=93=E3=81=AF=E3=81=8B=E3=81=
=8D=E3=81=BE=E3=81=97=E3=81=9F:

>>>>>> On Fri, 28 Feb 2020 22:13:14 +0200, Eli Zaretskii <eliz@HIDDEN> sai=
d:
>
>     >> (set-fontset-font nil #x24c2
>     >> '("Noto Color Emoji" . "iso10646-1") nil
>     >> 'prepend)
>     >>=20
>     >> in the frame displaying the character, then it does use Noto Color
>     >> Emoji. What am I missing?
>
>     Eli> Which part makes the difference: the "fontset-default" vs nil or
>     Eli> symbol-subgroup vs an explicit codepoint?
>
> symbol-subgroup in that context is (#x2460 . #x24FF)=09;; Enclosed
> Alphanumerics
> so I suspect it's the nil rather than "fontset-default". <time passes>
>
>      (set-fontset-font nil '(#x2460 . #x24FF)
>      '("Noto Color Emoji" . "iso10646-1") nil
>     'prepend)
>
> Makes the character display using Noto Color Emoji.

That works for me as well!

But would it be possible to display it in Symbola if not followed by the
emoji representation selector and in Noto Color Emoji if followed by the
emoji representation selector??

--=20
Mike FABIAN <mfabian@HIDDEN>
=E7=9D=A1=E7=9C=A0=E4=B8=8D=E8=B6=B3=E3=81=AF=E3=81=84=E3=81=84=E4=BB=95=E4=
=BA=8B=E3=81=AE=E6=95=B5=E3=81=A0=E3=80=82





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39799; Package emacs. Full text available.

Message received at 39799 <at> debbugs.gnu.org:


Received: (at 39799) by debbugs.gnu.org; 28 Feb 2020 21:10:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 28 16:10:56 2020
Received: from localhost ([127.0.0.1]:33860 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7muO-0002CO-6z
	for submit <at> debbugs.gnu.org; Fri, 28 Feb 2020 16:10:56 -0500
Received: from us-smtp-1.mimecast.com ([207.211.31.81]:20861
 helo=us-smtp-delivery-1.mimecast.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mfabian@HIDDEN>) id 1j7muM-0002C2-DI
 for 39799 <at> debbugs.gnu.org; Fri, 28 Feb 2020 16:10:54 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=redhat.com;
 s=mimecast20190719; t=1582924249;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=mg+/Chg3Y2xBigvDPEoSw/GhDU1XIcWEWS2VZw9/S6I=;
 b=ejz8BMWCCAxFzIu9jiseuhJgNMzYJS5Ei1w0duCjRrKXr97x3X6FjkHEwV8NUoGj+SqpUS
 Gzhm6BuWKBAowIZo6mDQheyS5sU0Jn4VMd2gHjAI/dTJ1+qHGDZxw2j4iSQnaWAk+Cuy7j
 cxdlzDXX+1AKNWXaDnyHbfvKZ3HkZnY=
Received: from mail-wr1-f71.google.com (mail-wr1-f71.google.com
 [209.85.221.71]) (Using TLS) by relay.mimecast.com with ESMTP id
 us-mta-201-WAxWkSTiM7eaFrtjITYFzw-1; Fri, 28 Feb 2020 16:10:46 -0500
X-MC-Unique: WAxWkSTiM7eaFrtjITYFzw-1
Received: by mail-wr1-f71.google.com with SMTP id m13so1875924wrw.3
 for <39799 <at> debbugs.gnu.org>; Fri, 28 Feb 2020 13:10:46 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:organization:references:date
 :in-reply-to:message-id:user-agent:mime-version
 :content-transfer-encoding;
 bh=Ptm7nfrg3apODr3giSg/r62lHezDHKkiPHKv7sjMEqk=;
 b=TLzvjajxFIpJDQpCBwr8woWX0mFFqNyKSz9F6h8AkvBN6U//40oZE3BRzl3KnlRzwh
 mzUldjAOMXnimlb1dwkftcFCNpr1RC+gK2PIQYVSVSRUIkil482g2NGAyHXdF1QkeziC
 O6z6wI5PK3Jfo8p66a3xK9/3IXycjJSvyRAuvVn7meAXvSK65ZIfpDCbrKyaEst2CHkf
 3O9DNNw254oMATmk3w/XIO4Y8zoVoa9dDJX6ZruuRDMwkN0VWCcJz3olCwdnQj8bD/E7
 vvcFjKsQ3THd9glyeklfGFgNzA3gZC/mPwgBpyoQIL7kGj2uVRCfVP94nBoIRVWjymwx
 rByw==
X-Gm-Message-State: APjAAAWLvgCilnJWJUzVbpC0AhUGtBoSWqSImxA3IpuvrVP1R8fFfhVg
 f7JiUrvRbUnu1Rmn6R83oDWzQhwJddD2Q4Ed/M2Iz8UWn6P5b+5aYHkbhInhJa8RUOJnkIZHbUn
 jEGtl6NVXGn33DQ==
X-Received: by 2002:adf:a48f:: with SMTP id g15mr6537201wrb.42.1582924244976; 
 Fri, 28 Feb 2020 13:10:44 -0800 (PST)
X-Google-Smtp-Source: APXvYqwL4m4Bf9heC4bIXZvt+454HILwkVgLV0wszmwlLSJZ0VfmujopduB52xliCf16yPzHuyrNlA==
X-Received: by 2002:adf:a48f:: with SMTP id g15mr6537189wrb.42.1582924244766; 
 Fri, 28 Feb 2020 13:10:44 -0800 (PST)
Received: from taka.site (ppp-46-244-193-84.dynamic.mnet-online.de.
 [46.244.193.84])
 by smtp.gmail.com with ESMTPSA id z9sm1749278wrh.91.2020.02.28.13.10.44
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 28 Feb 2020 13:10:44 -0800 (PST)
Received: from taka.site (localhost [IPv6:::1])
 by taka.site (Postfix) with ESMTP id 6CE59900;
 Fri, 28 Feb 2020 22:10:43 +0100 (CET)
From: Mike FABIAN <mfabian@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#39799: 28.0.50; Most emoji sequences =?utf-8?Q?don?=
 =?utf-8?Q?=E2=80=99t?= render correctly
Organization: Red Hat
References: <s9dy2spfmmt.fsf@HIDDEN> <83lfongp4p.fsf@HIDDEN>
 <s9dlfonf9jp.fsf@HIDDEN> <835zfrglu5.fsf@HIDDEN>
 <m28skm52c8.fsf@HIDDEN> <83wo86g8pg.fsf@HIDDEN>
 <m2zhd23il2.fsf@HIDDEN> <83k146g46x.fsf@HIDDEN>
 <m2v9nq3etm.fsf@HIDDEN> <83imjqg1iv.fsf@HIDDEN>
 <m2imjq3cit.fsf@HIDDEN> <s9dtv3ad3h7.fsf@HIDDEN>
 <837e06foof.fsf@HIDDEN>
X-Face: "';
 oPz9V1+<,`}1ZuxRv~EiSusWq*{Yjr"Sdvbhq'?q=2R\\6Y9O/,SAE`{J|6I=|w/sQg<
 rW_N'E3IV6~f8?\l#Es`]S`mv',PY(`8{$$R?+gLu}Qv/Mn>)?uladFjJ@yl!_p_Jh; 5QxlD6zL:?r
 IXe4FfK$C^mWhh$o`yt; .r.FLZLQOWBt><!; -.DYZ)Nu&1?~*:\36\BGz]"L; nue;
 l\%sJ/]l{is5O Ew?0CF}dPS(ezG0xqUR)xa(L&&c;x{By"`oKvM&i!%+
Date: Fri, 28 Feb 2020 22:10:43 +0100
In-Reply-To: <837e06foof.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 28 Feb
 2020 22:21:36 +0200")
Message-ID: <s9dzhd2bep8.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
X-Mimecast-Spam-Score: 0
X-Mimecast-Originator: redhat.com
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39799
Cc: rpluim@HIDDEN, 39799 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> =E3=81=95=E3=82=93=E3=81=AF=E3=81=8B=E3=81=8D=
=E3=81=BE=E3=81=97=E3=81=9F:

>> From: Mike FABIAN <mfabian@HIDDEN>
>> Cc: Eli Zaretskii <eliz@HIDDEN>,  39799 <at> debbugs.gnu.org
>> Date: Fri, 28 Feb 2020 18:30:12 +0100
>>=20
>> U+24C2 is an Emoji which has both a text and an emoji presentation.
>
> I don't think I understand how this fact is relevant to which font
> Emacs selects for a character.  Can you elaborate on the relation?

That means that U+24C2 should display using a black and white =E2=80=9Ctext=
=E2=80=9D
font like Symbola and U+24C2 U+FE0E as well, if possible. But U+24C2
U+FE0F should be displayed with a color emoji font like =E2=80=9CNoto Color
Emoji=E2=80=9D, if possible.

That=E2=80=99s how it works in gedit for example.

By browsing the emoji data files with Emacs, I noticed that all emoji
which have text and emoji presentations *always* displayed in black and
white for me (Symbola font) even when I tried to set the fontset to use
=E2=80=9CNoto Color Emoji=E2=80=9D for these code points.

But for emoji which do not have these variants, setting the fontset to
use =E2=80=9CNoto Color Emoji=E2=80=9D worked.

--=20
Mike FABIAN <mfabian@HIDDEN>
=E7=9D=A1=E7=9C=A0=E4=B8=8D=E8=B6=B3=E3=81=AF=E3=81=84=E3=81=84=E4=BB=95=E4=
=BA=8B=E3=81=AE=E6=95=B5=E3=81=A0=E3=80=82





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39799; Package emacs. Full text available.

Message received at 39799 <at> debbugs.gnu.org:


Received: (at 39799) by debbugs.gnu.org; 28 Feb 2020 21:02:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 28 16:02:34 2020
Received: from localhost ([127.0.0.1]:33851 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7mmI-0001tz-3p
	for submit <at> debbugs.gnu.org; Fri, 28 Feb 2020 16:02:34 -0500
Received: from eggs.gnu.org ([209.51.188.92]:44386)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1j7mmG-0001te-LC
 for 39799 <at> debbugs.gnu.org; Fri, 28 Feb 2020 16:02:32 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:47704)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1j7mmB-0003KL-FD; Fri, 28 Feb 2020 16:02:27 -0500
Received: from [176.228.60.248] (port=1667 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1j7mmA-0005Oa-7X; Fri, 28 Feb 2020 16:02:27 -0500
Date: Fri, 28 Feb 2020 23:02:12 +0200
Message-Id: <831rqefmsr.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: mfabian@HIDDEN, rpluim@HIDDEN
In-reply-to: <835zfqfohj.fsf@HIDDEN> (message from Eli Zaretskii on Fri, 28
 Feb 2020 22:25:44 +0200)
Subject: Re: bug#39799: 28.0.50;
 Most emoji sequences =?utf-8?Q?don=E2=80=99t?= render correctly
References: <s9dy2spfmmt.fsf@HIDDEN> <83lfongp4p.fsf@HIDDEN>
 <s9dlfonf9jp.fsf@HIDDEN> <835zfrglu5.fsf@HIDDEN>
 <m28skm52c8.fsf@HIDDEN> <83wo86g8pg.fsf@HIDDEN>
 <m2zhd23il2.fsf@HIDDEN> <83k146g46x.fsf@HIDDEN>
 <m2v9nq3etm.fsf@HIDDEN> <83imjqg1iv.fsf@HIDDEN>
 <m2imjq3cit.fsf@HIDDEN> <s9dtv3ad3h7.fsf@HIDDEN>
 <837e06foof.fsf@HIDDEN> <835zfqfohj.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 39799
Cc: 39799 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

> Date: Fri, 28 Feb 2020 22:25:44 +0200
> From: Eli Zaretskii <eliz@HIDDEN>
> Cc: 39799 <at> debbugs.gnu.org
> 
> Hmm... it's possible I was confused, and the functions I mentioned are
> unrelated to variation selectors.  To see if that's so, try to
> configure composition-function-table to display such sequences as
> composed characters, and see what happens when you use a proper font
> (e.g., the one with which Gedit displays the variations).

Looking into this some more reveals that we already have
composition-function-table set up for variation selectors, see the end
of lisp/language/japanese.el.  Not sure why it's in japanese.el, but
the code doesn't seem to be specific to Japanese characters, unless
I'm missing something.  So some debugging is required to understand
why we don't display sequences with variation selectors as intended.
Maybe DejaVu Sans doesn't support that?  What if you try

  emacs -Q -fn Noto Color Emoji"

does Emacs built with HarfBuzz then display the variation sequences as
expected?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39799; Package emacs. Full text available.

Message received at 39799 <at> debbugs.gnu.org:


Received: (at 39799) by debbugs.gnu.org; 28 Feb 2020 20:56:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 28 15:56:14 2020
Received: from localhost ([127.0.0.1]:33847 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7mgA-0001eF-C9
	for submit <at> debbugs.gnu.org; Fri, 28 Feb 2020 15:56:14 -0500
Received: from mail-wr1-f53.google.com ([209.85.221.53]:46577)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1j7mg8-0001dq-Ff
 for 39799 <at> debbugs.gnu.org; Fri, 28 Feb 2020 15:56:12 -0500
Received: by mail-wr1-f53.google.com with SMTP id j7so4530172wrp.13
 for <39799 <at> debbugs.gnu.org>; Fri, 28 Feb 2020 12:56:12 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version:content-transfer-encoding;
 bh=PA7iHqjXX/YkarbTRqlSw9ckn+BXx56c1kVVQ5RKKzo=;
 b=K9FBKK3vaDGgy38AL7CsPfgrOfTKVlvG2/Z6o4mEmAK639ye/yEIeEn9+8Hok6oPU1
 HQlXbwwkgyFAzi5/DQEEZFRxsmhfBIwPiLT8dkuKk5oUj0wPW/AH3ey+HVX2rsgIqRFo
 xDvB57rxCsPa8BqNdTQAlaH3DwENbQiLlLQmEzq7cLs8rGaBCrwcrmI7D9WCEe9jFCv4
 vrvq5WyJfz6RixcgbaD057GlQU11bJ87hhHpWnile6Wr4UuQitAJfsbyAKxi7KxEqEW5
 f1eSKngF6XPaptmORNtQnUk0rH9CEh/LVpDu8kn20b562BSIHKwqUlN26PdChW/UuPJm
 3m4Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=PA7iHqjXX/YkarbTRqlSw9ckn+BXx56c1kVVQ5RKKzo=;
 b=SNrnJG/P348sUdYRBO3N38JDMQzNMBm3lzglSl/nWrBAIe6ZSNBWDV1tudBPivDY24
 bgQOycKBOGiOLl1WNZJshmN47hSNev8vHZ4YvsY5DfQxmSfoXir/1hDlrFa+wqhBPypj
 TETIQ38wwY5VudzA9G2JuHRLwoNKB02QizWF/6aLKmFocED2nzyfhVG3BaSq/sBYLem+
 sfsktCZfFX+Y8z07OY0i+wdWc8+uY4QqU3EC8U3I6XpPV7cy97iRF/zLlSGeEBW5NXIP
 XNVKAED0DZ3DfA3KAUg6EpIjaktE19LlCRnpGL7pci4ygVl2ityc3NNEFUj7p3hk+QYp
 +UGQ==
X-Gm-Message-State: APjAAAW89/2XDyOvAC1/NH2rq/p5KmkkNuPJbnx3fhirvQx47ZJtaCMz
 DRMUt6vqGVHlPiVwTiDan8bfbfwn
X-Google-Smtp-Source: APXvYqwCep1KCPcX8FlncHbWjZV8RU1IR1OIKAe61tmC1Tfbm281ahkZQT891aESXOQi65G5Eu899Q==
X-Received: by 2002:adf:a4c4:: with SMTP id h4mr6372436wrb.112.1582923366171; 
 Fri, 28 Feb 2020 12:56:06 -0800 (PST)
Received: from rpluim-mac ([2a01:e34:ecfc:a860:4a8:8cd8:5d97:6a05])
 by smtp.gmail.com with ESMTPSA id z6sm13811762wrw.36.2020.02.28.12.56.05
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 28 Feb 2020 12:56:05 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#39799: 28.0.50; Most emoji sequences =?utf-8?Q?don?=
 =?utf-8?Q?=E2=80=99t?= render correctly
References: <s9dy2spfmmt.fsf@HIDDEN> <83lfongp4p.fsf@HIDDEN>
 <s9dlfonf9jp.fsf@HIDDEN> <835zfrglu5.fsf@HIDDEN>
 <m28skm52c8.fsf@HIDDEN> <83wo86g8pg.fsf@HIDDEN>
 <m2zhd23il2.fsf@HIDDEN> <83h7zafzwh.fsf@HIDDEN>
 <m2eeue3btv.fsf@HIDDEN> <838skmfox6.fsf@HIDDEN>
Date: Fri, 28 Feb 2020 21:56:04 +0100
In-Reply-To: <838skmfox6.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 28 Feb
 2020 22:16:21 +0200")
Message-ID: <m2v9nq1lej.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39799
Cc: rgm@HIDDEN, 39799 <at> debbugs.gnu.org, mfabian@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Fri, 28 Feb 2020 22:16:21 +0200, Eli Zaretskii <eliz@HIDDEN> said:

    >> One thing though: the code currently does set-char-table-range to a
    >> new value. Is there a chance that an entry already exists in
    >> composition-function-table for a particular character?

    Eli> Only if the non-leading character is a combining character, which I
    Eli> think is unlikely.  But in general, yes, this should be tested up
    Eli> front to avoid losing composition rules.

OK, I=CA=BCll take that into account.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39799; Package emacs. Full text available.

Message received at 39799 <at> debbugs.gnu.org:


Received: (at 39799) by debbugs.gnu.org; 28 Feb 2020 20:55:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 28 15:55:35 2020
Received: from localhost ([127.0.0.1]:33842 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7mfX-0001cN-2a
	for submit <at> debbugs.gnu.org; Fri, 28 Feb 2020 15:55:35 -0500
Received: from eggs.gnu.org ([209.51.188.92]:42123)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1j7mfV-0001c6-Pl
 for 39799 <at> debbugs.gnu.org; Fri, 28 Feb 2020 15:55:34 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:47527)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1j7mfQ-0005K6-CQ; Fri, 28 Feb 2020 15:55:28 -0500
Received: from [176.228.60.248] (port=1227 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1j7mfL-0001Tt-Br; Fri, 28 Feb 2020 15:55:26 -0500
Date: Fri, 28 Feb 2020 22:55:10 +0200
Message-Id: <8336aufn4h.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
In-reply-to: <m2zhd21m8g.fsf@HIDDEN> (message from Robert Pluim on Fri, 28
 Feb 2020 21:38:07 +0100)
Subject: Re: bug#39799: 28.0.50; Most emoji sequences =?utf-8?Q?don?=
 =?utf-8?Q?=E2=80=99t?= render correctly
References: <s9dy2spfmmt.fsf@HIDDEN> <83lfongp4p.fsf@HIDDEN>
 <s9dlfonf9jp.fsf@HIDDEN> <835zfrglu5.fsf@HIDDEN>
 <m28skm52c8.fsf@HIDDEN> <83wo86g8pg.fsf@HIDDEN>
 <m2zhd23il2.fsf@HIDDEN> <83k146g46x.fsf@HIDDEN>
 <m2v9nq3etm.fsf@HIDDEN> <83imjqg1iv.fsf@HIDDEN>
 <m2imjq3cit.fsf@HIDDEN> <83a752fp2d.fsf@HIDDEN> <m2zhd21m8g.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 39799
Cc: 39799 <at> debbugs.gnu.org, mfabian@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

> From: Robert Pluim <rpluim@HIDDEN>
> Cc: 39799 <at> debbugs.gnu.org,  mfabian@HIDDEN
> Date: Fri, 28 Feb 2020 21:38:07 +0100
> 
>      (set-fontset-font "fontset-default" '(#x2460 . #x24FF)
>      '("Noto Color Emoji" . "iso10646-1") nil
>     'prepend)
> 
> gives me:
> 
> Debugger entered--Lisp error: (error "Fontset ‘default-fontset’ does not exist")
>   set-fontset-font("default-fontset" (9312 . 9471) ("Noto Color Emoji" . "iso10646-1") nil prepend)
>   (progn (set-fontset-font "default-fontset" '(9312 . 9471) '("Noto Color Emoji" . "iso10646-1") nil 'prepend))
>   eval((progn (set-fontset-font "default-fontset" '(9312 . 9471) '("Noto Color Emoji" . "iso10646-1") nil 'prepend)) t)

You used "default-fontset" instead of "fontset-default", thus the
error.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39799; Package emacs. Full text available.

Message received at 39799 <at> debbugs.gnu.org:


Received: (at 39799) by debbugs.gnu.org; 28 Feb 2020 20:38:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 28 15:38:16 2020
Received: from localhost ([127.0.0.1]:33825 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7mOm-00011j-Gu
	for submit <at> debbugs.gnu.org; Fri, 28 Feb 2020 15:38:16 -0500
Received: from mail-wr1-f53.google.com ([209.85.221.53]:45534)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1j7mOl-00011R-Gz
 for 39799 <at> debbugs.gnu.org; Fri, 28 Feb 2020 15:38:15 -0500
Received: by mail-wr1-f53.google.com with SMTP id v2so4473572wrp.12
 for <39799 <at> debbugs.gnu.org>; Fri, 28 Feb 2020 12:38:15 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version:content-transfer-encoding;
 bh=y1UiDw3CwhYuV2Q+TayY4vYsn+fGsP2sYO5x/Nb+zu4=;
 b=Kr3j6c0EY4tS4FOBE5bk0iRy0UvIA5G4St7ppCIAM1xNx7p4bgfCt+D5+jRn5WHaH6
 QQeDUl/xgw3WVE8Llv+e6EEGnh7xw2rEN6+ezxVvQ0WbKtyzZIsDFzORy2cgiXLvM9d2
 p9N5Xqjnqv6AJtHfeUuXUWeSsBeCAXKoVxe03XXTXiUAOypu/OaAyrWSfGnJ7fVzV2xA
 FPF6TpVisPgZJ40d+xF6xjpUSAa4YpCfdl6o4CSFnENY6bVkkQTVLXZnDySszBA4Sw/2
 GKyEO0PwgXsfcxzjHDabGJRj9oFKRCU6G1YZVZqndXNhLPKHXFVofcQGtTIshyXuCuVy
 NbyQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=y1UiDw3CwhYuV2Q+TayY4vYsn+fGsP2sYO5x/Nb+zu4=;
 b=pITTdC+Lc1S8HgW7AnYg8IUIWDaMXfSovGXhNP9ytX3wh+XKliWuAcBF+QLIt4vTol
 xso/bmqH7SNkZaqEC1/AToc1HRd+cVJc8et5qb2/zjP4IPqT157vJg4WwockaXomQxDc
 uonz70ro+vISdFLq7ybi9uhMJae0rxTWOYQBSXAkBuPW8gFyeMCtS+WCDtGHOabCWOTB
 uZ9w9ZLlvOQZHasZHzVq3WhmjxQr/9p1+ttw2A+Gl2ZusTxV9MUMOvKq+6a3WwdZcy2E
 L4oroYygcYPlzdPzfgTmpsFs7kR+KiIRsqiz30bKdvG5nJsTUwvxxOAf2h5srI7yWJzD
 nrdg==
X-Gm-Message-State: APjAAAWKaofi3JaJCkciyMyE1767aSzv3bUQVzpghZB1VD5wLRwpfGhK
 NLCVXql3i+wBup+DhJy4XkE=
X-Google-Smtp-Source: APXvYqwBYolWuwErCpmgLuFEcaapRroPXVBy9yt5X4cqffsTGtchaNcruLUQHTRGxxZ6BlsaJ9W+zw==
X-Received: by 2002:a05:6000:114f:: with SMTP id
 d15mr6269876wrx.130.1582922289504; 
 Fri, 28 Feb 2020 12:38:09 -0800 (PST)
Received: from rpluim-mac ([2a01:e34:ecfc:a860:4a8:8cd8:5d97:6a05])
 by smtp.gmail.com with ESMTPSA id q6sm13942836wrf.67.2020.02.28.12.38.08
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 28 Feb 2020 12:38:08 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#39799: 28.0.50; Most emoji sequences =?utf-8?Q?don?=
 =?utf-8?Q?=E2=80=99t?= render correctly
References: <s9dy2spfmmt.fsf@HIDDEN> <83lfongp4p.fsf@HIDDEN>
 <s9dlfonf9jp.fsf@HIDDEN> <835zfrglu5.fsf@HIDDEN>
 <m28skm52c8.fsf@HIDDEN> <83wo86g8pg.fsf@HIDDEN>
 <m2zhd23il2.fsf@HIDDEN> <83k146g46x.fsf@HIDDEN>
 <m2v9nq3etm.fsf@HIDDEN> <83imjqg1iv.fsf@HIDDEN>
 <m2imjq3cit.fsf@HIDDEN> <83a752fp2d.fsf@HIDDEN>
Date: Fri, 28 Feb 2020 21:38:07 +0100
In-Reply-To: <83a752fp2d.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 28 Feb
 2020 22:13:14 +0200")
Message-ID: <m2zhd21m8g.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39799
Cc: 39799 <at> debbugs.gnu.org, mfabian@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Fri, 28 Feb 2020 22:13:14 +0200, Eli Zaretskii <eliz@HIDDEN> said:

    >> (set-fontset-font nil #x24c2
    >> '("Noto Color Emoji" . "iso10646-1") nil
    >> 'prepend)
    >>=20
    >> in the frame displaying the character, then it does use Noto Color
    >> Emoji. What am I missing?

    Eli> Which part makes the difference: the "fontset-default" vs nil or
    Eli> symbol-subgroup vs an explicit codepoint?

symbol-subgroup in that context is (#x2460 . #x24FF)	;; Enclosed
Alphanumerics
so I suspect it's the nil rather than "fontset-default". <time passes>

     (set-fontset-font nil '(#x2460 . #x24FF)
     '("Noto Color Emoji" . "iso10646-1") nil
    'prepend)

Makes the character display using Noto Color Emoji.

     (set-fontset-font "fontset-default" '(#x2460 . #x24FF)
     '("Noto Color Emoji" . "iso10646-1") nil
    'prepend)

gives me:

Debugger entered--Lisp error: (error "Fontset =E2=80=98default-fontset=E2=
=80=99 does not exist")
  set-fontset-font("default-fontset" (9312 . 9471) ("Noto Color Emoji" . "i=
so10646-1") nil prepend)
  (progn (set-fontset-font "default-fontset" '(9312 . 9471) '("Noto Color E=
moji" . "iso10646-1") nil 'prepend))
  eval((progn (set-fontset-font "default-fontset" '(9312 . 9471) '("Noto Co=
lor Emoji" . "iso10646-1") nil 'prepend)) t)
  elisp--eval-last-sexp(nil)
  eval-last-sexp(nil)
  funcall-interactively(eval-last-sexp nil)
  call-interactively(eval-last-sexp nil nil)
  command-execute(eval-last-sexp)

and similarly if I specify a single character rather than a
range. Using 't' instead of "default-fontset" doesn=CA=BCt error, but
doesn=CA=BCt cause any font changes either.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39799; Package emacs. Full text available.

Message received at 39799 <at> debbugs.gnu.org:


Received: (at 39799) by debbugs.gnu.org; 28 Feb 2020 20:26:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 28 15:26:03 2020
Received: from localhost ([127.0.0.1]:33809 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7mCx-0000bo-Fl
	for submit <at> debbugs.gnu.org; Fri, 28 Feb 2020 15:26:03 -0500
Received: from eggs.gnu.org ([209.51.188.92]:36379)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1j7mCw-0000bI-Ig
 for 39799 <at> debbugs.gnu.org; Fri, 28 Feb 2020 15:26:02 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:47216)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1j7mCr-0003jd-F3; Fri, 28 Feb 2020 15:25:57 -0500
Received: from [176.228.60.248] (port=3356 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1j7mCq-0005Cs-Ml; Fri, 28 Feb 2020 15:25:57 -0500
Date: Fri, 28 Feb 2020 22:25:44 +0200
Message-Id: <835zfqfohj.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: mfabian@HIDDEN, rpluim@HIDDEN
In-reply-to: <837e06foof.fsf@HIDDEN> (message from Eli Zaretskii on Fri, 28
 Feb 2020 22:21:36 +0200)
Subject: Re: bug#39799: 28.0.50;
 Most emoji sequences =?utf-8?Q?don=E2=80=99t?= render correctly
References: <s9dy2spfmmt.fsf@HIDDEN> <83lfongp4p.fsf@HIDDEN>
 <s9dlfonf9jp.fsf@HIDDEN> <835zfrglu5.fsf@HIDDEN>
 <m28skm52c8.fsf@HIDDEN> <83wo86g8pg.fsf@HIDDEN>
 <m2zhd23il2.fsf@HIDDEN> <83k146g46x.fsf@HIDDEN>
 <m2v9nq3etm.fsf@HIDDEN> <83imjqg1iv.fsf@HIDDEN>
 <m2imjq3cit.fsf@HIDDEN> <s9dtv3ad3h7.fsf@HIDDEN>
 <837e06foof.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 39799
Cc: 39799 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

> Date: Fri, 28 Feb 2020 22:21:36 +0200
> From: Eli Zaretskii <eliz@HIDDEN>
> Cc: rpluim@HIDDEN, 39799 <at> debbugs.gnu.org
> 
> Emacs doesn't yet support display of sequences with variation
> selectors, although at least some part of the infrastructure is
> already there, see ftfont_variation_glyphs and similar functions in
> other HarfBuzz-based font backends.

Hmm... it's possible I was confused, and the functions I mentioned are
unrelated to variation selectors.  To see if that's so, try to
configure composition-function-table to display such sequences as
composed characters, and see what happens when you use a proper font
(e.g., the one with which Gedit displays the variations).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39799; Package emacs. Full text available.

Message received at 39799 <at> debbugs.gnu.org:


Received: (at 39799) by debbugs.gnu.org; 28 Feb 2020 20:21:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 28 15:21:57 2020
Received: from localhost ([127.0.0.1]:33805 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7m8y-0000T6-UM
	for submit <at> debbugs.gnu.org; Fri, 28 Feb 2020 15:21:57 -0500
Received: from eggs.gnu.org ([209.51.188.92]:35733)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1j7m8x-0000Sq-N7
 for 39799 <at> debbugs.gnu.org; Fri, 28 Feb 2020 15:21:55 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:47172)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1j7m8s-0001vp-D0; Fri, 28 Feb 2020 15:21:50 -0500
Received: from [176.228.60.248] (port=3106 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1j7m8r-0004n2-Ii; Fri, 28 Feb 2020 15:21:50 -0500
Date: Fri, 28 Feb 2020 22:21:36 +0200
Message-Id: <837e06foof.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Mike FABIAN <mfabian@HIDDEN>
In-reply-to: <s9dtv3ad3h7.fsf@HIDDEN> (message from Mike FABIAN on Fri, 28
 Feb 2020 18:30:12 +0100)
Subject: Re: bug#39799: 28.0.50; Most emoji sequences =?utf-8?Q?don?=
 =?utf-8?Q?=E2=80=99t?= render correctly
References: <s9dy2spfmmt.fsf@HIDDEN> <83lfongp4p.fsf@HIDDEN>
 <s9dlfonf9jp.fsf@HIDDEN> <835zfrglu5.fsf@HIDDEN>
 <m28skm52c8.fsf@HIDDEN> <83wo86g8pg.fsf@HIDDEN>
 <m2zhd23il2.fsf@HIDDEN> <83k146g46x.fsf@HIDDEN>
 <m2v9nq3etm.fsf@HIDDEN> <83imjqg1iv.fsf@HIDDEN>
 <m2imjq3cit.fsf@HIDDEN> <s9dtv3ad3h7.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 39799
Cc: rpluim@HIDDEN, 39799 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

> From: Mike FABIAN <mfabian@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>,  39799 <at> debbugs.gnu.org
> Date: Fri, 28 Feb 2020 18:30:12 +0100
> 
> U+24C2 is an Emoji which has both a text and an emoji presentation.

I don't think I understand how this fact is relevant to which font
Emacs selects for a character.  Can you elaborate on the relation?

> If I test in gedit, U+24C2 on  its  own is displayed in black and white
> (happens to use "MS Gothic" font on my system).
> U+24C2 U+FE0E is displayed in black and white in gedit as well.
> U+24C2 U+FE0F is displayed in colour in gedit  using the "Noto Color
> Emoji" font.
> 
> These selectors don’t work in Emacs for me. U+24C2, U+24C2 U+FE0E, and
> U+24C2 U+FE0F *all* display in black and white for me in Emacs.
> 
> The selectors are displayed as a narrow box.

Emacs doesn't yet support display of sequences with variation
selectors, although at least some part of the infrastructure is
already there, see ftfont_variation_glyphs and similar functions in
other HarfBuzz-based font backends.

> The presence of such selectors in a currently visible buffer make my
> Emacs extremely slow and unresponsive, I can hardly finish typing this
> e-mail.

Does it help to set inhibit-compacting-font-caches non-nil?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39799; Package emacs. Full text available.

Message received at 39799 <at> debbugs.gnu.org:


Received: (at 39799) by debbugs.gnu.org; 28 Feb 2020 20:16:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 28 15:16:42 2020
Received: from localhost ([127.0.0.1]:33801 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7m3u-0000IX-AL
	for submit <at> debbugs.gnu.org; Fri, 28 Feb 2020 15:16:42 -0500
Received: from eggs.gnu.org ([209.51.188.92]:34935)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1j7m3s-0000IF-Lc
 for 39799 <at> debbugs.gnu.org; Fri, 28 Feb 2020 15:16:40 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:47101)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1j7m3n-0007oI-I5; Fri, 28 Feb 2020 15:16:35 -0500
Received: from [176.228.60.248] (port=2789 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1j7m3m-0004NC-1V; Fri, 28 Feb 2020 15:16:34 -0500
Date: Fri, 28 Feb 2020 22:16:21 +0200
Message-Id: <838skmfox6.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
In-reply-to: <m2eeue3btv.fsf@HIDDEN> (message from Robert Pluim on Fri, 28
 Feb 2020 17:39:56 +0100)
Subject: Re: bug#39799: 28.0.50; Most emoji sequences =?utf-8?Q?don?=
 =?utf-8?Q?=E2=80=99t?= render correctly
References: <s9dy2spfmmt.fsf@HIDDEN> <83lfongp4p.fsf@HIDDEN>
 <s9dlfonf9jp.fsf@HIDDEN> <835zfrglu5.fsf@HIDDEN>
 <m28skm52c8.fsf@HIDDEN> <83wo86g8pg.fsf@HIDDEN>
 <m2zhd23il2.fsf@HIDDEN> <83h7zafzwh.fsf@HIDDEN> <m2eeue3btv.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 39799
Cc: rgm@HIDDEN, 39799 <at> debbugs.gnu.org, mfabian@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

> From: Robert Pluim <rpluim@HIDDEN>
> Cc: rgm@HIDDEN,  mfabian@HIDDEN,  39799 <at> debbugs.gnu.org
> Date: Fri, 28 Feb 2020 17:39:56 +0100
> 
> I donʼt think that applies in this case. The sequences are all easily
> categorised based on the first char in the sequence. It could be done
> based on the 2nd, or 3rd or whatever, but I donʼt think that reduces
> the number of entries. Plus thereʼs always one rule per character,
> since multiple patterns starting with the same character are combined
> using regexp-opt.

I wrote that to describe the general considerations, not necessarily
because I think they are applicable in this particular case.  I didn't
analyze the sequences to see whether any of what I wrote can or should
be used for them.

> One thing though: the code currently does set-char-table-range to a
> new value. Is there a chance that an entry already exists in
> composition-function-table for a particular character?

Only if the non-leading character is a combining character, which I
think is unlikely.  But in general, yes, this should be tested up
front to avoid losing composition rules.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39799; Package emacs. Full text available.

Message received at 39799 <at> debbugs.gnu.org:


Received: (at 39799) by debbugs.gnu.org; 28 Feb 2020 20:13:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 28 15:13:35 2020
Received: from localhost ([127.0.0.1]:33797 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7m0s-0000Be-RI
	for submit <at> debbugs.gnu.org; Fri, 28 Feb 2020 15:13:35 -0500
Received: from eggs.gnu.org ([209.51.188.92]:34573)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1j7m0r-0000BJ-BZ
 for 39799 <at> debbugs.gnu.org; Fri, 28 Feb 2020 15:13:33 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:47062)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1j7m0m-0005k6-8h; Fri, 28 Feb 2020 15:13:28 -0500
Received: from [176.228.60.248] (port=2600 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1j7m0l-000467-GR; Fri, 28 Feb 2020 15:13:28 -0500
Date: Fri, 28 Feb 2020 22:13:14 +0200
Message-Id: <83a752fp2d.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
In-reply-to: <m2imjq3cit.fsf@HIDDEN> (message from Robert Pluim on Fri, 28
 Feb 2020 17:24:58 +0100)
Subject: Re: bug#39799: 28.0.50; Most emoji sequences =?utf-8?Q?don?=
 =?utf-8?Q?=E2=80=99t?= render correctly
References: <s9dy2spfmmt.fsf@HIDDEN> <83lfongp4p.fsf@HIDDEN>
 <s9dlfonf9jp.fsf@HIDDEN> <835zfrglu5.fsf@HIDDEN>
 <m28skm52c8.fsf@HIDDEN> <83wo86g8pg.fsf@HIDDEN>
 <m2zhd23il2.fsf@HIDDEN> <83k146g46x.fsf@HIDDEN>
 <m2v9nq3etm.fsf@HIDDEN> <83imjqg1iv.fsf@HIDDEN>
 <m2imjq3cit.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 39799
Cc: 39799 <at> debbugs.gnu.org, mfabian@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

> From: Robert Pluim <rpluim@HIDDEN>
> Cc: 39799 <at> debbugs.gnu.org,  mfabian@HIDDEN
> Date: Fri, 28 Feb 2020 17:24:58 +0100
> 
> Most of the emojis in emoji-sequences.txt can be made to use Noto
> Color Emoji, but some canʼt. e.g.
> 
> #x24c2 Ⓜ
> 
> is stubbornly not being displayed using Noto Color Emoji, even though
> that font has a glyph for it, and Iʼve added:
> 
>      (set-fontset-font "fontset-default" symbol-subgroup
>                       '("Noto Color Emoji" . "iso10646-1") nil
>                       'prepend)
> 
> just after the similar setting for Symbola in
> lisp/international/fontset.el
> 
> Itʼs not being displayed with the default font, and setting
> use-default-font-for-symbols to nil makes no difference. Itʼs using:
> 
>     ftcrhb:-GOOG-Noto Sans CJK JP-normal-normal-normal-*-16-*-*-*-*-0-iso10646-1 (#x3F8)
> 
> However, if I
> eval
> 
>      (set-fontset-font nil #x24c2
>                       '("Noto Color Emoji" . "iso10646-1") nil
>                       'prepend)
> 
> in the frame displaying the character, then it does use Noto Color
> Emoji. What am I missing?

Which part makes the difference: the "fontset-default" vs nil or
symbol-subgroup vs an explicit codepoint?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39799; Package emacs. Full text available.

Message received at 39799 <at> debbugs.gnu.org:


Received: (at 39799) by debbugs.gnu.org; 28 Feb 2020 19:35:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 28 14:35:03 2020
Received: from localhost ([127.0.0.1]:33787 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7lPb-0007Te-I4
	for submit <at> debbugs.gnu.org; Fri, 28 Feb 2020 14:35:03 -0500
Received: from us-smtp-delivery-1.mimecast.com ([207.211.31.120]:23720
 helo=us-smtp-1.mimecast.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mfabian@HIDDEN>) id 1j7lPZ-0007T2-LU
 for 39799 <at> debbugs.gnu.org; Fri, 28 Feb 2020 14:35:02 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=redhat.com;
 s=mimecast20190719; t=1582918496;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=OXq/DptXMGtwAFEgor3SZvolUlVuvUIvY2iJaeNdYVQ=;
 b=au45hpx3qPPUaiJ8IGXGaq0BL2649a3P5XeGwo6BQOs+yandhZV4ymdCHEAdsyYnZDfB1X
 MZWUAgcA5oAzrq3Cgd7BhjdP9n0rF7ZZYsaAWPVCasxCNlv3ws5V2suOzJ0P1xaqNktgYS
 oCVJc88ef531LW125pmjp+tHc5QuvZs=
Received: from mail-wr1-f71.google.com (mail-wr1-f71.google.com
 [209.85.221.71]) (Using TLS) by relay.mimecast.com with ESMTP id
 us-mta-261-5mMxoqX9MlqQd_yFOQbD2Q-1; Fri, 28 Feb 2020 14:34:47 -0500
X-MC-Unique: 5mMxoqX9MlqQd_yFOQbD2Q-1
Received: by mail-wr1-f71.google.com with SMTP id z15so1782886wrw.0
 for <39799 <at> debbugs.gnu.org>; Fri, 28 Feb 2020 11:34:47 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:organization:references:date
 :in-reply-to:message-id:user-agent:mime-version
 :content-transfer-encoding;
 bh=E1GpHCwyDvkJH3Qm5lRc+hIzxYCQ20Vd54uJYaFq21Q=;
 b=DBOEEMcoxRG/V/h9j1xmebE7j9lYa2Lcx9v4JmadcvJ0/+6Ml0woGXjS030pJypSh8
 WGkRIjlA+7Gv63x5HAnqoM39sjP9T4kLYcbtCROClDk4hEuPqXjURosy9eZGh0xiiw6F
 E++c3HQ63n82yZsVhoO4LsiGEtqppjPwQozfqJ/zNXtEJlVo1SoN06YvkRrSvIf1lFmF
 /RqGO2S3YMRoRSEhNOKPt8USt5RCR5huifDMYMIoK+FeBKgkl6HKFgmdLmWTPhhBMMhd
 Cwv9boOydM1AbPRzSokFz3c6vRqJ7oJOBtFyJ926xe5fVtCrGBkD5sTUgYSb/6HxmsUI
 T8zQ==
X-Gm-Message-State: APjAAAUSDrDOxHzffPejfiVtboPzrtlqj1IW2AJ/OkzMqCSfUthW1xdb
 fvibP4m3QOWUPp/0vzXStOFAJ2vA8MgcVrXAqgEOg7hMZ4Wixz7tV8hIpthaSB4Forf1ce4LPR4
 viSzPNpYw4ZqoDg==
X-Received: by 2002:a05:6000:10c5:: with SMTP id
 b5mr1286991wrx.203.1582918486510; 
 Fri, 28 Feb 2020 11:34:46 -0800 (PST)
X-Google-Smtp-Source: APXvYqxDkEuBdxGEDCNYoQlZYPecx/EBG22JsYW2s5aZQbGajdTwo9OdEWiXHZ41lNaG4FsOZj9kzQ==
X-Received: by 2002:a05:6000:10c5:: with SMTP id
 b5mr1286982wrx.203.1582918486331; 
 Fri, 28 Feb 2020 11:34:46 -0800 (PST)
Received: from taka.site (ppp-46-244-193-84.dynamic.mnet-online.de.
 [46.244.193.84])
 by smtp.gmail.com with ESMTPSA id g7sm7152531wrm.72.2020.02.28.11.34.45
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 28 Feb 2020 11:34:46 -0800 (PST)
Received: from taka.site (localhost [IPv6:::1])
 by taka.site (Postfix) with ESMTP id F11AA900;
 Fri, 28 Feb 2020 20:34:44 +0100 (CET)
From: Mike FABIAN <mfabian@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#39799: 28.0.50; Most emoji sequences =?utf-8?Q?don?=
 =?utf-8?Q?=E2=80=99t?= render correctly
Organization: Red Hat
References: <s9dy2spfmmt.fsf@HIDDEN> <83lfongp4p.fsf@HIDDEN>
 <s9dlfonf9jp.fsf@HIDDEN> <835zfrglu5.fsf@HIDDEN>
 <m28skm52c8.fsf@HIDDEN> <83wo86g8pg.fsf@HIDDEN>
 <m2zhd23il2.fsf@HIDDEN> <83k146g46x.fsf@HIDDEN>
 <m2v9nq3etm.fsf@HIDDEN> <83imjqg1iv.fsf@HIDDEN>
 <m2imjq3cit.fsf@HIDDEN> <s9dtv3ad3h7.fsf@HIDDEN>
 <m24kva3814.fsf@HIDDEN>
X-Face: "';
 oPz9V1+<,`}1ZuxRv~EiSusWq*{Yjr"Sdvbhq'?q=2R\\6Y9O/,SAE`{J|6I=|w/sQg<
 rW_N'E3IV6~f8?\l#Es`]S`mv',PY(`8{$$R?+gLu}Qv/Mn>)?uladFjJ@yl!_p_Jh; 5QxlD6zL:?r
 IXe4FfK$C^mWhh$o`yt; .r.FLZLQOWBt><!; -.DYZ)Nu&1?~*:\36\BGz]"L; nue;
 l\%sJ/]l{is5O Ew?0CF}dPS(ezG0xqUR)xa(L&&c;x{By"`oKvM&i!%+
Date: Fri, 28 Feb 2020 20:34:44 +0100
In-Reply-To: <m24kva3814.fsf@HIDDEN> (Robert Pluim's message of "Fri, 28
 Feb 2020 19:01:59 +0100")
Message-ID: <s9d4kvacxpn.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
X-Mimecast-Spam-Score: 0
X-Mimecast-Originator: redhat.com
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39799
Cc: 39799 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Robert Pluim <rpluim@HIDDEN> =E3=81=95=E3=82=93=E3=81=AF=E3=81=8B=E3=81=
=8D=E3=81=BE=E3=81=97=E3=81=9F:

>     Mike> The presence of such selectors in a currently visible buffer ma=
ke my
>     Mike> Emacs extremely slow and unresponsive, I can hardly finish typi=
ng this
>     Mike> e-mail.
>
> Can you try my patch from
> <https://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D39133#41> ? I probably
> should have pushed it already...

Trying, building with your patch now ...

--=20
Mike FABIAN <mfabian@HIDDEN>
=E7=9D=A1=E7=9C=A0=E4=B8=8D=E8=B6=B3=E3=81=AF=E3=81=84=E3=81=84=E4=BB=95=E4=
=BA=8B=E3=81=AE=E6=95=B5=E3=81=A0=E3=80=82





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39799; Package emacs. Full text available.

Message received at 39799 <at> debbugs.gnu.org:


Received: (at 39799) by debbugs.gnu.org; 28 Feb 2020 19:29:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 28 14:29:18 2020
Received: from localhost ([127.0.0.1]:33782 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7lK1-0007Dm-Nj
	for submit <at> debbugs.gnu.org; Fri, 28 Feb 2020 14:29:18 -0500
Received: from us-smtp-2.mimecast.com ([207.211.31.81]:36220
 helo=us-smtp-delivery-1.mimecast.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mfabian@HIDDEN>) id 1j7lJz-0007DN-K8
 for 39799 <at> debbugs.gnu.org; Fri, 28 Feb 2020 14:29:16 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=redhat.com;
 s=mimecast20190719; t=1582918150;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=9jq7Ll41J8isbFfYMsYzxqd28oyHHSFBKZyohFOIJlg=;
 b=YEaoBRhyBhR751Z2NN7MfqFufY9m8ZC8g6jSgTwZ4wAUm8CUbF1U/FrRsydNfA46tsfEnC
 dkSdFT4IDdxYC8Hjui4lku50WnPlrxC8mcYcLYRKqxDvpfa64xlVRQwc/UuT1QX/RSQxSm
 qs9cUizmo2NQLp6wTg6GuEbuH2k9tWo=
Received: from mail-wm1-f69.google.com (mail-wm1-f69.google.com
 [209.85.128.69]) (Using TLS) by relay.mimecast.com with ESMTP id
 us-mta-379-ce2cu059MBCSgqlls9-jGQ-1; Fri, 28 Feb 2020 14:29:06 -0500
X-MC-Unique: ce2cu059MBCSgqlls9-jGQ-1
Received: by mail-wm1-f69.google.com with SMTP id 7so1034467wmf.9
 for <39799 <at> debbugs.gnu.org>; Fri, 28 Feb 2020 11:29:06 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:organization:references:date
 :in-reply-to:message-id:user-agent:mime-version
 :content-transfer-encoding;
 bh=VI2lRoSzjB1K0QDWOZRqEOm97mlfFlGQD2T89Yg2b4M=;
 b=lf4857x/Wv1w65Pj7ueDMCZTBMRwq77YA1BRixIbzkURbhU+zYNEyKgbP4sAqSthwy
 7eYiqJLnfRzsccl3xEV5DLq2c/G5Gyn62Dy5/XIDK1onyp9aKxS3AlSbhM6AuasOxqP0
 ZrqXY+OstQBd4x52UNYKSPQsc26eMREWxcYCkV91uXmrIEo9q2FOxOsb+ER8DRml/Brg
 p4x7cwrSbGh2tAIGS+Iev9lBcmxSA+CsaJhHMoJ3Y6qHkJ+pQwyhDqg0xY/pQQjdK+5S
 8pSApq/K7/xCDzF5e/800BZJv/zyyzDFJMS0e1M5zrppgUaNcrMT8q1MKBloIoTCpng6
 C8HQ==
X-Gm-Message-State: APjAAAVmcv/zap2fcauolGVMP8VniuQqT+B+KLIM+qRZvo7wVwhtfPS1
 WLCXQnZxUwzfW0cf1+9x1oFHNegSQUQwxssTRfznNIzKa/6Me0MYGcmOoDt+rHotvT/K5gYcqir
 mDyvWZbKWye667Q==
X-Received: by 2002:a1c:1984:: with SMTP id 126mr6423355wmz.78.1582918145074; 
 Fri, 28 Feb 2020 11:29:05 -0800 (PST)
X-Google-Smtp-Source: APXvYqybmVTATcwOnqwVmMzdMC7j7a/TxTdLMozkMuFsYaOaL3Syp5xArXY3Bvv0X1UAKIphyjn5pg==
X-Received: by 2002:a1c:1984:: with SMTP id 126mr6423335wmz.78.1582918144812; 
 Fri, 28 Feb 2020 11:29:04 -0800 (PST)
Received: from taka.site (ppp-46-244-193-84.dynamic.mnet-online.de.
 [46.244.193.84])
 by smtp.gmail.com with ESMTPSA id y3sm3458590wmi.14.2020.02.28.11.29.04
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 28 Feb 2020 11:29:04 -0800 (PST)
Received: from taka.site (localhost [IPv6:::1])
 by taka.site (Postfix) with ESMTP id 7E24A900;
 Fri, 28 Feb 2020 20:29:03 +0100 (CET)
From: Mike FABIAN <mfabian@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#39799: 28.0.50; Most emoji sequences =?utf-8?Q?don?=
 =?utf-8?Q?=E2=80=99t?= render correctly
Organization: Red Hat
References: <s9dy2spfmmt.fsf@HIDDEN> <83lfongp4p.fsf@HIDDEN>
 <s9dlfonf9jp.fsf@HIDDEN> <835zfrglu5.fsf@HIDDEN>
 <m28skm52c8.fsf@HIDDEN> <83wo86g8pg.fsf@HIDDEN>
 <m2zhd23il2.fsf@HIDDEN> <83k146g46x.fsf@HIDDEN>
 <m2v9nq3etm.fsf@HIDDEN> <83imjqg1iv.fsf@HIDDEN>
 <m2imjq3cit.fsf@HIDDEN> <s9dtv3ad3h7.fsf@HIDDEN>
 <m24kva3814.fsf@HIDDEN>
X-Face: "';
 oPz9V1+<,`}1ZuxRv~EiSusWq*{Yjr"Sdvbhq'?q=2R\\6Y9O/,SAE`{J|6I=|w/sQg<
 rW_N'E3IV6~f8?\l#Es`]S`mv',PY(`8{$$R?+gLu}Qv/Mn>)?uladFjJ@yl!_p_Jh; 5QxlD6zL:?r
 IXe4FfK$C^mWhh$o`yt; .r.FLZLQOWBt><!; -.DYZ)Nu&1?~*:\36\BGz]"L; nue;
 l\%sJ/]l{is5O Ew?0CF}dPS(ezG0xqUR)xa(L&&c;x{By"`oKvM&i!%+
Date: Fri, 28 Feb 2020 20:29:03 +0100
In-Reply-To: <m24kva3814.fsf@HIDDEN> (Robert Pluim's message of "Fri, 28
 Feb 2020 19:01:59 +0100")
Message-ID: <s9dblpicxz4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
X-Mimecast-Spam-Score: 0
X-Mimecast-Originator: redhat.com
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39799
Cc: 39799 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Robert Pluim <rpluim@HIDDEN> =E3=81=95=E3=82=93=E3=81=AF=E3=81=8B=E3=81=
=8D=E3=81=BE=E3=81=97=E3=81=9F:

> OK. How do you determine which font is being used in gedit?

By comparing how it looks like in gedit with how it looks like in my own
little emoji-tool =E2=80=9Cemoji-picker=E2=80=9D. =E2=80=9Cemoji-picker=E2=
=80=9D uses the same rendering
stack as gedit (harfbuzz, cairo, pango).

As you can see in the screenshots of =E2=80=9Cemoji-picker=E2=80=9D attache=
d to my last
mail, when I right click on an emoji I get a popup with some information
about that emoji where I also display which font was actually used to
render that emoji. That might be a different font from what was
requested in the font menu of emoji-picker. A bit similar how you can
check in Emacs with =E2=80=9CC-u C-x =3D=E2=80=9D what font was really used=
 for the
character under the cursor.

In =E2=80=9Cemoji-picker=E2=80=9D I can see that parts of an emoji-sequence=
 are
sometimes even rendered in several different fonts if this sequence was
recently added by Unicode and Pango does not know it yet.

https://github.com/mike-fabian/ibus-typing-booster/blob/master/engine/itb_p=
ango.py#L114

--=20
Mike FABIAN <mfabian@HIDDEN>
=E7=9D=A1=E7=9C=A0=E4=B8=8D=E8=B6=B3=E3=81=AF=E3=81=84=E3=81=84=E4=BB=95=E4=
=BA=8B=E3=81=AE=E6=95=B5=E3=81=A0=E3=80=82





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39799; Package emacs. Full text available.

Message received at 39799 <at> debbugs.gnu.org:


Received: (at 39799) by debbugs.gnu.org; 28 Feb 2020 18:02:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 28 13:02:09 2020
Received: from localhost ([127.0.0.1]:33756 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7jxh-0004Ui-6U
	for submit <at> debbugs.gnu.org; Fri, 28 Feb 2020 13:02:09 -0500
Received: from mail-wm1-f45.google.com ([209.85.128.45]:53898)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1j7jxf-0004UO-G7
 for 39799 <at> debbugs.gnu.org; Fri, 28 Feb 2020 13:02:08 -0500
Received: by mail-wm1-f45.google.com with SMTP id f15so4135694wml.3
 for <39799 <at> debbugs.gnu.org>; Fri, 28 Feb 2020 10:02:07 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version:content-transfer-encoding;
 bh=nvyKlNsdCLXzDR6N9UTOW2qgTnEeNQSMFjCS4GfPmjs=;
 b=HlcoMgoGBhqoPOQRNMyV49Mrm9g2PJNgK0tOIVAGrO2jZ1a3n8BJSx0vNDu8Gg0oek
 qz7P9U4kPz2VGQSgWFAjSQtrSVWOU9jpN78AsZ8AsNDediy8hFMc4SeBgdFhlMvbWtBX
 SDCjwDxZNz0SdKTqXzvkZf/s+Q0QCAUo7nTik0erAWhAknskXnehTvmz9sS6AUQbkQcS
 Vy2KKYiP2v0OYdkjFsY7E4IB23z1uh9MuQiCAfKpwCYXgkmQvV0RO9AHxrmburUbpL/D
 pj71D+v4U/soBk96A1FzW47rKVvlCYy1BgpYCpPORAzOs49qXrwW9zitHd46/UXt3pU3
 lfag==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=nvyKlNsdCLXzDR6N9UTOW2qgTnEeNQSMFjCS4GfPmjs=;
 b=PQ/kBgOHpJWwZbcZzzQ+pi3EG4DBRScCmXfe9SWyl8I0cqNndkeMqnj9c5J1vLexty
 HxgqfylpCwdJtFW4XTx6Pt0AoSUYbAsbPWmjAy1xMObBmxMI/t2mX6RPAmhLGT1owps+
 4KSfCKfTe7LaQM6UlsQ+XgqoCpuEK5zp/hDGiQuakd0X3sVzVQAKRTh1N0NGxfnpO40A
 KARSVRrnAFJ9SYg1NOe87YoPFMR/qOrZSvJPlwZI2vJrxYq4UHQzUfiIEMNov0vbfHDm
 StBiECPd7TuVF/FOYdV31T2in7fXNGO1MLJlgA32oyw2+giUTUyGPNif1+5XV1gBskni
 Yy2g==
X-Gm-Message-State: APjAAAVrTzXi5UOBJ3HV5B00O/ZSY9EfpDzgC5n6Xnzg5/kzojABQX98
 gFMMvQ+8yCS82G5qMqrOwwa5lxqK
X-Google-Smtp-Source: APXvYqwr6M2LSA2SnU+8bJq/lPnX1MzYsTAzGEEGXmlRIcI9o4/RCqTC21rssj/bdqK2QhCAzhWX+g==
X-Received: by 2002:a1c:4908:: with SMTP id w8mr5683053wma.57.1582912920954;
 Fri, 28 Feb 2020 10:02:00 -0800 (PST)
Received: from rpluim-mac ([2a01:e34:ecfc:a860:4a8:8cd8:5d97:6a05])
 by smtp.gmail.com with ESMTPSA id f195sm3191915wmf.17.2020.02.28.10.01.59
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 28 Feb 2020 10:02:00 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
To: Mike FABIAN <mfabian@HIDDEN>
Subject: Re: bug#39799: 28.0.50; Most emoji sequences =?utf-8?Q?don?=
 =?utf-8?Q?=E2=80=99t?= render correctly
References: <s9dy2spfmmt.fsf@HIDDEN> <83lfongp4p.fsf@HIDDEN>
 <s9dlfonf9jp.fsf@HIDDEN> <835zfrglu5.fsf@HIDDEN>
 <m28skm52c8.fsf@HIDDEN> <83wo86g8pg.fsf@HIDDEN>
 <m2zhd23il2.fsf@HIDDEN> <83k146g46x.fsf@HIDDEN>
 <m2v9nq3etm.fsf@HIDDEN> <83imjqg1iv.fsf@HIDDEN>
 <m2imjq3cit.fsf@HIDDEN> <s9dtv3ad3h7.fsf@HIDDEN>
Date: Fri, 28 Feb 2020 19:01:59 +0100
In-Reply-To: <s9dtv3ad3h7.fsf@HIDDEN> (Mike FABIAN's message of "Fri, 28
 Feb 2020 18:30:12 +0100")
Message-ID: <m24kva3814.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39799
Cc: 39799 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Fri, 28 Feb 2020 18:30:12 +0100, Mike FABIAN <mfabian@HIDDEN> =
said:

    >> #x24c2 =E2=93=82
    >>=20
    >> is stubbornly not being displayed using Noto Color Emoji, even though
    >> that font has a glyph for it, and I=CA=BCve added:

    Mike> U+24C2 is an Emoji which has both a text and an emoji presentatio=
n. See:

    Mike> http://unicode.org/reports/tr51/#Emoji_Variation_Selector_Notes
    Mike> http://unicode.org/reports/tr51/#def_fully_qualified_emoji_zwj_se=
quence
    Mike> http://unicode.org/reports/tr51/#def_non_fully_qualified_emoji_zw=
j_sequence

    Mike> http://www.unicode.org/Public/emoji/12.0/emoji-data.txt

    Mike> U+1F600 is an emoji, which has only emoji representation:

    Mike> $ grep 1F600 emoji-data.txt=20
    Mike> 1F600         ; Emoji                # E1.0   [1] (=F0=9F=98=80) =
      grinning face
    Mike> 1F600         ; Emoji_Presentation   # E1.0   [1] (=F0=9F=98=80) =
      grinning face
    Mike> 1F600         ; Extended_Pictographic# E1.0   [1] (=F0=9F=98=80) =
      grinning face

    Mike> It displays without problems in colour in my Emacs.

    Mike> Note that U+24C2 does not have the "Emoji_Presentation" tag:

    Mike> $ grep 24C2 emoji-data.txt=20
    Mike> 24C2          ; Emoji                # E0.6   [1] (=E2=93=82=EF=
=B8=8F)       circled M
    Mike> 24C2          ; Extended_Pictographic# E0.6   [1] (=E2=93=82=EF=
=B8=8F)       circled M

    Mike> It has to variations, text representation and emoji representatio=
n:

    Mike> $ grep 24C2 emoji-variation-sequences.txt=20
    Mike> 24C2 FE0E  ; text style;  # (1.1) CIRCLED LATIN CAPITAL LETTER M
    Mike> 24C2 FE0F  ; emoji style; # (1.1) CIRCLED LATIN CAPITAL LETTER M

    Mike> (U+1F600 is not in emoji-variation-sequences.txt as it has only e=
moji representation).

    Mike> $ grep 1F600 emoji-test.txt=20
    Mike> 1F600                                      ; fully-qualified     =
# =F0=9F=98=80 E1.0 grinning face
    Mike> $ grep 24C2 emoji-test.txt=20
    Mike> 24C2 FE0F                                  ; fully-qualified     =
# =E2=93=82=EF=B8=8F E0.6 circled M
    Mike> 24C2                                       ; unqualified         =
# =E2=93=82 E0.6 circled M
    Mike> $

    Mike> As you can see above, U+1F600 is already fully-qualified on its o=
wn.

    Mike> If I test in gedit, U+24C2 on  its  own is displayed in black and=
 white
    Mike> (happens to use "MS Gothic" font on my system).
    Mike> U+24C2 U+FE0E is displayed in black and white in gedit as well.
    Mike> U+24C2 U+FE0F is displayed in colour in gedit  using the "Noto Co=
lor
    Mike> Emoji" font.

OK. How do you determine which font is being used in gedit?

    Mike> These selectors don=E2=80=99t work in Emacs for me. U+24C2, U+24C=
2 U+FE0E, and
    Mike> U+24C2 U+FE0F *all* display in black and white for me in Emacs.

OK, so it=CA=BCs not just me. I=CA=BCll have to do some reading and some
digging.

    Mike> The presence of such selectors in a currently visible buffer make=
 my
    Mike> Emacs extremely slow and unresponsive, I can hardly finish typing=
 this
    Mike> e-mail.

    Mike> If I switch to some other buffer so that no such selectors are cu=
rrently
    Mike> visible, my Emacs is responsive.

    Mike> Now  that I switched back to this buffer to send this e-mail, it =
is
    Mike> terribly slow again.=20

    Mike> Same problem when one of the Unicode emoji data files is displaye=
d which
    Mike> contains these selectors. Emacs  becomes  unusably slow.

Can you try my patch from
<https://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D39133#41> ? I probably
should have pushed it already...

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39799; Package emacs. Full text available.

Message received at 39799 <at> debbugs.gnu.org:


Received: (at 39799) by debbugs.gnu.org; 28 Feb 2020 17:55:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 28 12:55:38 2020
Received: from localhost ([127.0.0.1]:33753 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7jrO-0004I1-IL
	for submit <at> debbugs.gnu.org; Fri, 28 Feb 2020 12:55:38 -0500
Received: from us-smtp-delivery-1.mimecast.com ([205.139.110.120]:21065
 helo=us-smtp-1.mimecast.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mfabian@HIDDEN>) id 1j7jrM-0004Ht-Rg
 for 39799 <at> debbugs.gnu.org; Fri, 28 Feb 2020 12:55:36 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=redhat.com;
 s=mimecast20190719; t=1582912536;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 in-reply-to:in-reply-to:references:references;
 bh=hpe2dSm6nyBxjUCi4+8oSDnl4TzfJ8aLS9smThWbLBs=;
 b=He3tkVNB0fKj29F16KMMD0nFm8hmdBcycTeduazLal1msFayKdnbGF8PlQl9ZU5Vyvf2AW
 uQvyZEgNhJBT5bp+zI6NT6kLEcetzNdztEMUvnomW1Fp3Lb/BJhlMxl3OUjViviHgrlb7l
 5tCjjX/vpj4CeXPlFTmbkbA5E/E0SRM=
Received: from mail-wr1-f72.google.com (mail-wr1-f72.google.com
 [209.85.221.72]) (Using TLS) by relay.mimecast.com with ESMTP id
 us-mta-186-4OGKOvL1NeKj8QTMgOum7Q-1; Fri, 28 Feb 2020 12:55:32 -0500
X-MC-Unique: 4OGKOvL1NeKj8QTMgOum7Q-1
Received: by mail-wr1-f72.google.com with SMTP id p5so1638604wrj.17
 for <39799 <at> debbugs.gnu.org>; Fri, 28 Feb 2020 09:55:32 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:organization:references:date
 :in-reply-to:message-id:user-agent:mime-version;
 bh=6SW8BqVfNQl5xxHxFONOg0DZTpY+IGxQPKo3dg4DJqQ=;
 b=h889s2dGFCO3HEXPU65v/9E8kE1RTQwZSh3NnL6mxvSIqQnd7NYMdgOIyDuXGFCkVc
 K16OfkjztLoI2V3NgN4LhgwpJX4kKjfXDI2kovHJptQrzRaUNmqqSvA0Emgi+DLh2gs9
 BA9qxx2WpDbaNQXf73pg4zZ0XWaHQK3qvWvh49kTQdk7NM3af/eg+Owxc3t9YTAGlKgF
 sX2vWiH7iYl82im56L0GXHvjijkxbIVCiJojPeH4TQkFhlapzexrf7fyqLtDvK6qdIPN
 VqDoDt+NtU6qjV2Db4SNJmS+918TV1nJddJ0fhC3Zs+t2B6SAudFvwmbsnlAk/aStX/G
 Q5ng==
X-Gm-Message-State: APjAAAX18ipzFqsk6BZ7YfjsKYT9SwdI3fyOvuutCVv9DIaIWs3EUzM1
 Y+2GItk/CCeKUiw1KkdUUQ6m3t/6+CDf5PubmPgw+h2e0CKyCdoDY2vw4To+WynXYrSlvJf7ida
 ejnUWTNHZx1pShg==
X-Received: by 2002:adf:f407:: with SMTP id g7mr6208899wro.178.1582912531414; 
 Fri, 28 Feb 2020 09:55:31 -0800 (PST)
X-Google-Smtp-Source: APXvYqw2VKYE6fMC8FyE++YLvmogp8C7gr2zqA5v0GrBPeiZ/Ea2BMP73CH19RWGAYTEWcATbXBu8w==
X-Received: by 2002:adf:f407:: with SMTP id g7mr6208879wro.178.1582912531101; 
 Fri, 28 Feb 2020 09:55:31 -0800 (PST)
Received: from taka.site (ppp-46-244-193-84.dynamic.mnet-online.de.
 [46.244.193.84])
 by smtp.gmail.com with ESMTPSA id g7sm6780330wrm.72.2020.02.28.09.55.24
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 28 Feb 2020 09:55:30 -0800 (PST)
Received: from taka.site (localhost [IPv6:::1])
 by taka.site (Postfix) with ESMTP id 189BD900;
 Fri, 28 Feb 2020 18:55:24 +0100 (CET)
From: Mike FABIAN <mfabian@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#39799: 28.0.50; Most emoji sequences =?utf-8?Q?don?=
 =?utf-8?Q?=E2=80=99t?= render correctly
Organization: Red Hat
References: <s9dy2spfmmt.fsf@HIDDEN> <83lfongp4p.fsf@HIDDEN>
 <s9dlfonf9jp.fsf@HIDDEN> <835zfrglu5.fsf@HIDDEN>
 <m28skm52c8.fsf@HIDDEN> <83wo86g8pg.fsf@HIDDEN>
 <m2zhd23il2.fsf@HIDDEN> <83k146g46x.fsf@HIDDEN>
 <m2v9nq3etm.fsf@HIDDEN> <83imjqg1iv.fsf@HIDDEN>
 <m2imjq3cit.fsf@HIDDEN> <s9dtv3ad3h7.fsf@HIDDEN>
X-Face: "';
 oPz9V1+<,`}1ZuxRv~EiSusWq*{Yjr"Sdvbhq'?q=2R\\6Y9O/,SAE`{J|6I=|w/sQg<
 rW_N'E3IV6~f8?\l#Es`]S`mv',PY(`8{$$R?+gLu}Qv/Mn>)?uladFjJ@yl!_p_Jh; 5QxlD6zL:?r
 IXe4FfK$C^mWhh$o`yt; .r.FLZLQOWBt><!; -.DYZ)Nu&1?~*:\36\BGz]"L; nue;
 l\%sJ/]l{is5O Ew?0CF}dPS(ezG0xqUR)xa(L&&c;x{By"`oKvM&i!%+
Date: Fri, 28 Feb 2020 18:55:24 +0100
In-Reply-To: <s9dtv3ad3h7.fsf@HIDDEN> (Mike FABIAN's message of "Fri, 28
 Feb 2020 18:30:12 +0100")
Message-ID: <s9dlfomd2b7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
X-Mimecast-Spam-Score: 0
X-Mimecast-Originator: redhat.com
Content-Type: multipart/mixed; boundary="=-=-="
X-Debbugs-Envelope-To: 39799
Cc: Eli Zaretskii <eliz@HIDDEN>, 39799 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Mike FABIAN <mfabian@HIDDEN> =E3=81=95=E3=82=93=E3=81=AF=E3=81=8B=E3=81=
=8D=E3=81=BE=E3=81=97=E3=81=9F:

> U+24C2 is an Emoji which has both a text and an emoji presentation. See:

Surprisingly, even some ASCII characters are emoji and have a text and
an emoji representation. For example # U+0023:

$ grep 0023 emoji-data.txt=20
0023          ; Emoji                # E0.0   [1] (#=EF=B8=8F)       number=
 sign
0023          ; Emoji_Component      # E0.0   [1] (#=EF=B8=8F)       number=
 sign
$

Is listed as an Emoji but does not have Emoji_Presentation tag, so
it should usually be displayed as text when not followed by a variation
selector.

$ grep 0023 emoji-variation-sequences.txt=20
0023 FE0E  ; text style;  # (1.1) NUMBER SIGN
0023 FE0F  ; emoji style; # (1.1) NUMBER SIGN

When testing this in gedit,


U+23 displays as text using the =E2=80=9CDejaVu Sans=E2=80=9D font.
U+23 U+FE0E displays as text using the =E2=80=9CDejaVu Sans=E2=80=9D font.
U+23 U+FE0F displays as an emoji using the =E2=80=9CNoto Color Emoji=E2=80=
=9D Font.=20

With the =E2=80=9CNoto Color Emoji=E2=80=9D font this is not very obvious a=
s the glyph
for # in that font looks quite similar to the text version.=20

My =E2=80=9Cemoji-picker=E2=80=9D tool displays it the same way as gedit as=
 it also uses
pango, see the 3 attached screenshot showing how it looks like in
DejaVu Sans, Noto Color Emoji, and Joypixels.

--=20
Mike FABIAN <mfabian@HIDDEN>


--=-=-=
Content-Type: image/png
Content-Disposition: attachment;
 filename=hash-shown-as-emoji-with-joypixels-font.png
Content-Transfer-Encoding: base64

iVBORw0KGgoAAAANSUhEUgAAAzgAAALfCAIAAAAi2PBbAAAABGdBTUEAALGPC/xhBQAAACBjSFJN
AAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAABmJLR0QA/wD/AP+gvaeTAACA
AElEQVR42uzdd3wUZf448M9sr9lNz6aThPRA6CQkoVdpUnIWLGBB/Xkqnt556p3end7peefh91RE
RUE5RERADumdhJBAem+kZ9OT7X3n98fA3ppkNz0km8/7xUtnZ+aZ8sxs8slTicy0q4AQQgghhMYe
BgDEzp6HGYEQQgghNKbkZKQyAECn1WBeIIQQQgiNNTTMAoQQQgihsQkDNYQQQgihMQoDNYQQQgih
MQoDNYQQQgihMQoDNYQQQgihMQoDNYQQQgihMQoDNYQQQgihMYrRn53USoWsq1On1ZAkOYznJgiC
zeGKnF14fMFEO/t41M8c06hVss4OrVZDms34BRvZJ0KjcThckbMLl8fH3EAIIYfUd6DW2d6qkMtc
3T25PF8abThL4Mxms0at6mht1mk1zq7uE+rs41F/cqyrs10h6/KQ+PAFTmM5x5QKuUDoNN5PZDab
VUp5a5NU4OQkdnad4O8nQgg5pD4CNbVKqZDLfP0n0ej0YT83jUbjC4RcLq++torN4fYsp3Hgs49H
feaYRq1SyLoCQ8LpmGOj9USETmIeX1hdUcJmc7BcDSE0Fmg1arVSqdWqjQaDyWQCADqdzmAyOVwe
jy/kcLl43gHpI1CTdXa4unuOaKRCo9Nd3T1lnR09f/E7/NnHI/s55uHlg1HaKKPT6R5ePp3trRio
DVFdfX1TS8us6dOpjxqNprKqytfHRywS2UqSmZ3jJBRODgnudWtWTm7wpEDR3eTNLS3llZXxc+bS
aATmNnI8JEnKuzpknR10BpMvELi4edDpDAaDAQBGo9FkMmrU6vbWZpPRIHJ2dRI7EwSB5+2PPgI1
nVbD5fmO9NPl8vitzdKJefbxyFaOabUa/qjUJ6Ju+EJhU0Mt5sMQtba1lZVXWAK13IKCgsIiZ3H5
utX3UT98AUCn1+v1ekuS8spKd1dXLy9PyxoOm8NkMgCgpbU1KyeHx+VaArWuLllJaVnc7NkA//tj
5vzFS3UNDb1ez5ToqBnTpuFzQeOCSqnoaG1hczgS3wAmi9VtK5PFYgKLw+U5u7oZ9PqO9hZ5daer
uwdPIMTz9qmPQI0kyVFoaUSj0XpteD4Rzj4e2cwxsxlz7B49EboZu24Mq/aOjqLikuCgoNq62guX
Li9ZtJAqKs7Lz8/NL7DeU6lUVtXUWD4mJcwLCQq+cTOjvb3D3c2tqqamvrFR5CQEgI6OTgC4lZ1N
IwgACJsc6uQkNJnNAj5/2tSpAJBx65ZYLA4NCQGAlLQ0fKZovOhsb1Uq5B4Sbzan72o+JovlKfHV
aTUt0kadTufs6obntY8BCCE0sTVKpZnZOUqVSqfT/ffkqckhwTl5+TQabVJgAIvJLC4tPXnm7OKF
C3hcbnBQkKfH/8rPUq5fF4vF0ZGRljXOYpFWp62qrtFoNNOmTs3OzQ0JDqpraAQAnU4HAA0NjUAQ
ABDgH+AEQgBQqVTZeXkAoNXp2trbVWo1AFAtXRAa+1qaGk1Gg7df4IDavbA5XG//wBZpfWuT3t3L
G89rBwZqCI0SeVdnV0ebSqkwGvQjUVhSnJeFmTxoIb7/C79IrXJq6CQA0HS1ufBZ86bHAEBNeXHP
VNMiQgBA1dliWUMtT48IAQAAM5XWU9RL88F2aW27tNbfw9nfw3k8PlMajcZgsnh8gZPYmT/kiiQ0
TnW2t5qMRi8f/0E0wKLT6V4+/k0NtZ3tbQMtZ5pQ58VAbZDkSnldQ51GoyFJM0la/cdMWpjNZpIk
uVzu5JBQV2cXzLQJS6vR1FVXmIwGsYubs6s7k8XCOmI03pnNZoNer1LKmxvr6AymxNefxWJjtkwo
KqVCqZB7+wUOupk8QRAeEt/G2moWm93/cH+inRcDtUGqra0JD4sSCvvO6M6uzluZNxPi5mGmTUxK
eVdNZbmbp5etwecQGo9oNBqbw2FzOM6u7l0dbTUVZT4Bk+yPho0cCUmSHa3NHpKh9vSn0+nuXt6t
TY08vqA/AdBEOy84RqCmUCpz8wvq6us1Gg2Xy/Xz8Zk6JUYoGNmfF0q1SigUymQyasYCkuxekEb9
lyRJHx8fuUw+NrPu+M8/h00ODQudjD90RojRYKivqRS6eLK4ApVagxmCHBKLKxC4eDTUVgUEh2K5
2gQh7+pgc7j9aU3fJw6Xy+Jw5F2don5UPU2084IDBGoNjY0XLl7SG43UR5VKVVJWdvv27UWLFvp6
e4/ceU1GEwC0tbU9+uijMpnM19d3x44dU6dOtY7VKDDy7YIx3hqzWpsa3D0lHL6TyPZYXAg5ABqN
xmbQpPW1AUH4g2hCkHV2SHwDhutoLq7u0vqa/gQuE+28MFyB2pd799nZ+uTjj43Qi6JQKqkozd/P
b/rUKSKRSC6XZ+bk1tbVXbx46f51a/tTNTk4VOxFo9G++OILJyenoqKinTt3fvbZZ+Qv3dnZ+L9A
7fS5c2KRaO7s2YM46elz5+obGgGAyWQ4i51nzZgh8fIEgLX33Tf2v9VZWVl79+7Nz8/n8XhJSUnP
P/88n/+/FtYkST7zzDPZ2dn79+8PDQ11jB9k8q5Ok8no7OKm0ekd444QssPF1a2ro1WlVGDfAoen
1ajpDGbP8cMGjcli0RkMrUZjfxz/Ps9ra1ZuW5WMw3XeEbpfyvguUcvNL6CitGWLF1FrXF1dly1e
dO7ipZra2pz8gsT4uBE6tdFoot6JCxcuXLp0qbW1tbCw0GAwLFu2TC6X37hx4xc7D1+JWnRkxNzZ
sw0Gw82srLMXLiRv3MDlcMbFw/rqq68eeeSR6Ojo5ubm119//YMPPnj77bctW7/77js229FqTLo6
2sQubkDgMPRoYiAIsYubvKsTAzWHp1Yq+cPdvojHF6pVCvuBi/3zkiS5Z983vW6yU2A09PMCwJd7
93l5eixZuJDD4QCATqc7f+mytKlpiOelDE+gNnJlZvbV1dcDwPSpU7qtnx47taa2tr6+fuROTZWo
lZSU/PDDD++//76bm1tsbKyljSG10GuJmjWNVnsjI6OhUUoA+Pr4zJ09i81mF5eWFpWUbFy3jtpH
JpcfPnrsVxs3CKzeEiaTOXvGjKLikpaW1gB/P0vVp1qtPnr8v3NmzQoJDgKAq6nXFQrFquXLjEbT
raysmtpavcHg6eExb+4cQY93rrC4uKCwSKPVurm6zJ092811mCf5/vjjj6mFoKCg9evXHzx40LKp
pqbm0KFDO3fuTE5OdqSfZSqlAjsQoAmFLxB2tbdhPjg8rVbjMtw/3DhcbmdfL8+YPa9YLG5qbvn5
zNn7li8Dgjh15mx7R4fYbouX/pyXMr5L1LRaLQA4icXd1oucnABAo9WO3KlNRiMAVFVVRURE+Pv7
Hz58WK1Ws1gsgiAIgti9e/f3339/3333PfPMM2C7jdrFy5cZDOaGtWtIkrx8LeXytZTlSxaHBAVn
3Mpsbmnx9PAAgJLSMh9vb0H//nbh8XgLkpLOX7rk5uba2tZWV1+/Ye0agiCuXLtmMpnuW7mCw2Zn
5eSeu3hp/ZrV1kXBMrk8/eat+1Ysd3N1be/oqKyqGvZAzVpWVpalftNsNv/pT3/asWPHyNVT3ytG
g4HJYjrYTSFkB5PFMhgMmA8Oz2DQ0xnDHD8wGEyjQT/08xIE8cRjj1o+2m+aNVznXbl0yc9nznR2
dv585iwB0NHZKRQIli9dMsTz3tlzWPL3XrVR43I4SpVK3tXl5vaLseNkMhkAcLlcGDFU7LVixYoj
R46sXLlyzpw5s2bNYjKZBEG0trZmZmbOmjXr448/ptFoH330Ua+15gqFQtrU/KtNG3k8HgDEz5nz
408/qTUaHpc7OTi4uLTU08PDZDKVVVT0rMA1GAy3srKZTKaHe/dB83y8JTFRkecuXFRrNEsXLeRy
uSqVurq29qHkzdSJZs+c8c2B7zq7ulyc/zfMJo1Go9FoTCaTTqd7uLt7uI9gOdChQ4eo9mrUx337
9kkkkvnz57e3t4+1H0b7vv3WztbHHnnEfnKz2USjjeEp6o1q0HYQ+k7QdYBeDiYNmLRgNgJpBNIM
BB1oDKAxgcYBJg+YQmCLSaYIOO7A4I7dm0L3FI1GN5txTgXHZzabhz1QozMYfY4EPmbPy+fz71u+
nIrVAEDA569cvsz+6BP9OS9lfJeo+fr6lpSWZubmLb/bRo2SlZsHAH4+PiN3aqqNmlgs/uGHHwCA
KkijFuh0+ldffcXlcs+ePXv27FlbR1Cq1DQaYXmQTk53JpPhcbmR4WFH/3sibvbsuvoGGo3m7+dn
SVVQVFxQVMxgMFycxVQc1vPIEWFhOXn5Hu7u3hIJACiUCgA4cOiHX5xdqbQO1IQCwaL5SRm3bmm1
OhcX5+iICBeXERmh99ChQ3v27Pnkk098fX0BoKqq6vDhw/v378cffKNE00rIy6CrhFDVg7YFtG2g
aQNtG2FUgFENRg2QRjAbgTQBwbgTqDF4wOCRTCGwnQm2C3A8SJ4EhEHgHEEKg4HlhJmKEEJ0Op1O
vxNT0Rl0Bn3Y/kof323UYmOib9++XVdXd+b8hemxU8UiUZdMlp2bV1tXRyOIER2ugipRYzAYhBXL
0+JyuSwWi8lkam1Xvwr4PLOZVKpUAj4fAORyBQBQHSHFYrGHu1tZRUV1TW1oSLD1KPZUZwI7F0bV
ovr7+bW0tJSVl4dOniwQCAiC2PLAr+y31vf38/P38yNJsvJ21X9PnX74V8mM4f7DZe/evd9///2u
XbuCgoKoNSUlJa2trcuXL7fss2XLlocffvjFF18cC1+8PsvMxgezAWQVRGs60ZYF8nJQNxHaFtDL
wKQDIG2/SUYwGcGkBYMCAKw7RBB0LnDcSK4HwfcBUQTpPoP0iAOexBHyCiHUDzQazWQ00oavFyQA
mIzGPqdsGbPn1Wg0J0+f6ZTJqHZpXTLZyTNn71ux3E7NXn/OSxnfJWoCgWDxooUXLl6qq6+vs+o6
QBCEmSSvXktZZTebhvZoTQBAp9MJgqDRaNR/qVPr9fo333zT2dm5tbXVTut4oVDo5el5/caNhPh4
0my+np7u5+PDu3u1EeHhaTfSNVrt/ISEAV1YTl6eSqVav2Z1a1vb2QsX3d3cnZ3F/n5+V1JS5sya
xefxOru6cvLyF81Psh5euaGxsbGpKSxkMp/PI0nSZDKR5DDn2K5du06dOvX555/7WRUQrly5cuXK
ldRye3v7ypUrHWl4jnvPqCEazhHVPxKtN0HXCQZFH8FZf99+DajqCFUdtGUD4wLBFALHhXSfS07a
REoWAJ3lCFmHELKNyWSZjEY7w1XYahBlp1jHaDQwmKwhnhcASJLss13asJ/39LnzVJR234rlAPDz
6TNdMtnpc+fvX7tmKOeljO82agDgI5FsWL8uNz+/ru7OzAS+vr5R4WFXUlLb2tt/PnV61YrlVNus
4UWNuEHFZ9Y8PDwYDIZer//Xv/6VnJz8wgsv9Jb6TvHE4gXzb2TcPPLTTwCEr4/33Fn/KyoL9PdP
S8/wlkioKtF+kjY15RUUrr1vFYPBkHh5TYmOvnD58vo1qxckJmTl5p4+d16j0bg4i6fGTOk2CYbE
y6u9o+P0+XNqldpJJFq8YD6TOZxBvEaj+frrrwFg48aN1BoWi5WSkoI/70ZKZzGt9Cui8jvQd4LZ
CKR5GOKzXpjBoAKDCtTNRGcpUXGAFAaT4dvISZuB7z3u8gwh1E8cDlerVXOG9XdrfwYVG7Pnbe/o
cHVxWbF0CVU2dN+K5afPnW/v6BjieSmOMIWUgM+fN3cuzP3FylXLl508c7atvf3k6TMjEauZTWaw
mjmKahJoNpsvXrxILfz73/+mFrol1Ov1HM6dKkgul7twflKvx6eO2a32dsXSpb3ubBnwVuLl9djD
D1nWT5s6ZdrdsUvmzJw5Z+ZMWwlpNNqU6Ogp0dEj9Iy4XG5GRob9fVxdXfvcB9lDkmBUE/IyovQr
ouI/oB/NictIIE1gMhFdhcSN30D+h+TkR8yTHwe+D/Y8QMjx8ATC9tZmsYubrR0GUUCjVilcPbyG
cl6CIO7JeXveL5fLtVOW1v/zUsZ3GzU7WCzWimVLT54+09HZeeb8hT6zbKBEIlFXV5e4x8ggPXV1
dVmmD2ppbWtr75g5fXqfqYpKShl0+qSAAECoP3SdRGcBUfk9UfUjaFvv8cWoGoic9+gVB8iQh8ng
X5HCIGDwxkQuIYSGA4fLNRkNBr1+uAbrN+j1JqOR09dMmhPtvBRHKFGzmbNs9qoVy8+cOz8SB58x
Y/q5c+eocUDsE4lEM2ZMB4ALly83N7dMjYmmOmPa8fW3+1ksVlLCvH62NEQTmtlAdOQRld8TFQdA
0zSGLkxZS+T8jaj6wRz2FPivJJ1CgebIP3AQmlBEzq6d7a0ekuEZXaGjrUXk7Irn7ZWD/9zksNnr
Vo/IPJgSL6/V960aUJLFCxb0c8+tj2zBnwKoXxRVRPVPxO0fiNaMkWmFNmSySlrm22TjBQhKJv1W
AtcTHxpCDsBJ7Fxf3dn/hlZ2aDUavU7Xzxhoop0XALDABqHxyaQlqn+i3XiFlv3O2I3SAABIMGmI
+vO0zLdoN98k2nOBNI/VS0UI9RdBEC7uHq1NjaahTWZtMplamxpcPTyJ/k2LPNHOCxioITQuaTuI
wk9oN39H1P4M+q4xHKVZmEHVQFR+R1x5gqg6CuTYv2CEUB/4AqHASdQirScH+40mSbKlsV4oEvP4
AjyvLRioITTeqJtpt96gZf8FZJVAGsfTlZu0REcu7drTtFt/HGdXjhDqjbOrG4PBbGqoHUQ5k8lk
aqqvZbBYdnpT4nkBAzWExhOSJLqKaSeXE8VfgF4JJAkkjLd/JOhlRM7faGfuB1UDFq0hNN65e3lz
uPzG2mqdVtP/VFqNurG2msvnu3tK8Lz29T0LvdlsHum+h2azmejtFBPh7OORzRyj0TDHRpBJR0iv
0S4/Pra6dg4WUX+WduEhMv5D0nkK0Jn4eBEav5xd3dhsdou0gcXhuLh62B/DQq/Xdba36rU6Vw/P
AdUATtjz9hGosTlcjVrFFwhhJGnUKjabMzHPPh7ZyjEOh6tSyoVOYsyi4adXEDX/pd38vWNEaQAA
pIlouQHXfwMz/0h6zgM6Gx8yQuMXTyDk8gXyrk5pfQ2dweDxhVwuj85gUHNGG41Go9Go1ajVKoXJ
aBQ5u3p4+fS/Nf0EP28fgZrI2aWjtYXL49FowzYPfDdms6mjrcXV3XMCnn08sp9jbU1SHl/YbX4q
NFTadqLyIC3vn6BqdKj7Ik1ESxrc/CPE/o70XYaxGkLjGkEQImcXkbOLVqNRqxQd7a1Gg95kNgMA
nUZjMFkcLtfV3Ysz3BNwO/x5+wjUeHyBTqupr6lydffk8vjDW6tlNps1alVHW4tAKOq1PNCBzz4e
9ZljXB6f7+RUXV7iIfHhC4UY4A4PvZwo/w8t/0NQNYyH3p0DRJqI1gzI/BPQ2aT3YsB3BqHxj8Pl
DntUNJHP2/eAt86u7mwOV9bZ0dosJc3DOQASQaOx2RxXd3u1to569vGoPzkmdnZlszmd7a1NDbXm
CZ9jw8CkJaqP0Qr/zzGjNAppJtpzIf01SPqcdJ+JzxwhhKz1a2YCHl8wxJZ3QzGRzz4ecXl8Lo+P
+QAAxXlZQ0pPmgnpVVrWn0FR47BR2t1bJToL4Mo2cvlxEAbim4MQQhbYQQ+hMYroLKRd2TYBojQA
ACDNRGcx7fRa0LTgo0cIIQsM1BAakzRtxMVHQdU0PgdLG+QQa0RXKS3lBTDI8fkjhBAFAzWExh69
jJb2G6Ijf8LdOGkiGi8ShbvBqMa3ACGEAAM1hMYck44o3kPc/mGC3r6uk1a2l6g7C2acYwohhPrX
mQAhNGqI2tO0ol1gNozoScBpEvivBJ4ECKsRMUgzqKVQfx66Su01jKOzITgZRCFA++V43AYFNKdD
42UgTUO4NhJkFUTRZyAKJl1i8H1ACE1wvwjUqspLMEcQupe6yomSL0BZN7IdCNjOEPsqBCcDW9Q9
UNN1gTAQcv5ur1F/+JMw/ffA8wTaL//SM2qh+QboOqAte0iXR5qI5utw+zAp8AOWGF+KcQd/lSA0
RJMmh1uWf/FzVqtR+00KwQxCY1lrU6PlDa4qL3H18uXeixEO+6OiKHdgCcwG4vZhojkNyBGu9eO6
QXAycFy6rydowHEBl2jguNoL1Ka8AAKfXtYzOCCeDKLJQw3UAMCoJsq+IbwXkpIkILCFxjjjO2ky
ZgJCg6NWqxury63XYNUnGt94PB6Px3OMeyFaMojqI6Af+T6PwkBgO9vcatKASW9zK8cNRLb/nDMb
waAcnotU1hMFn5KuU+1dKhqT+HwcSRGhQSLJ7tUp+KcqQmODrpOoOkq05oz8eBwEiCPAzvTA6ibQ
ddlMLg63V8RlVIOidthG66g+RtSdwVcDIeTwCCvdNmGghtAYQJqJlgyi4uBojG1L0MA5wvaVmEDV
BDqZzR1comynJcGgBGXdMGYL7dafR6OIESGE7h2CIDo6Oq6mpHR0dNDp3ac8xkANoTFALyOqjoC6
aXR+JtgL1PRyUEvtNZIT204LZlA3gV42nBcrKyNKvsIXBCHk2HLzC/R6Q25+Qc8SNWyjhiYkk4ZQ
3AZZBajqwKACgg5sZxAGkqJQ4PmMfut1orOYqDkxSiej0UEcZnOrtgPUzfaSu0Ta3GQ2QlfZ8F9v
wSemkF8BT4KvLULIUZlMJst/uxnVQM1sMqlUCp1WS5rN+FQcEkGjsTkcHl/Ys/B2bHwV9ETDWaLi
ANGcAprmXob7ovNIp2DwX20O2QKiUHsNuYYRSRKlX/cRHg0jnhdw3Wxu1XWAxnbBHoMPwgDb3/AR
CdRAUUOU7SdjX8XvF0JoAhq9QE2n1apVCg+JD1/gRKNhlatjMpvNKqW8tUnK5fHZHM4YujKTjij/
hpb/T5BV2NvNqCY68qEjn577d9JvJTnzbdIldsSvrauEqDwyehOvu8T8Yuy0brQdoGq2eTECf2DY
7tBHBWrDfiMESZR/R4Y8CAJf/IohhCaaUQqYTCaTWqUIDAkXOokxSnPk94lGEzqJA4JD1SpFr0W4
9wTRnkM7uYSW8mwfUZo10kTUnqD9lEjL+O1IzztJK94zzO267HOdaue2+6j6FIUAnW079ciUqJEk
oarH7p8IoYlplGImtUrh4eUzRqvD0HCj0+keXj5qlWIMXAtJlO2l/Xch0ZQ2mBEijBoi90PaicWg
qBqpCzRpidK9Izwexy//ucXavBijDtSNYNTYTCsKATrLZnKdDJSNI3LNOhlRexpMBkAIoQlmlAI1
nVbLFzphdk8cfKFQr9Xe44sgzUTuP2hXt4NhSCEj0XqTfnI50VU00IQ8gbDvg1cdB23XqGaL6xSb
m4wqkNfaS+sUbC9Qa88fqWs2m6CrnGjLwm8WQmiiGaVAjTSbscZzYr1YNLr5XncZIYp30279YWgT
hN8lv007vRZU9f1PIa2vMRn7KgEyG4ny70e1OI0pAKdJNq/HoLQ3XC3BAGFA94nYrbUXjNyVE6oG
aEwBEvshIYQmFgyekGMiGi/TUneAyThssYK8mnb+ITCo+nN2aX2NrLM9ICi0j/26yonWzFHNF3E4
0Jk2t+qVoKixuZXrDlxXe2OXjFyJGgBou4jWTFC34LuNEJpQcBw15Ih0HbSrT/cxtfmMNyB0CwBA
0ReQ++GdlcsPg0s0kCZIeQHqL3RLQTRfp+X+3TzzT/ZPbonS6Iw+vl+ENAX0w96SjwZMPtCZAL2N
LeIxw15Ssw6MauC49r7VORJYYnvJVdLe05r0Q6x9BgAAErrKCFk5yffCFxwhNHFgoIYcEC3rbyC7
bW8Pgg4hvwJxOAAA3+fOiBJcN5i0/s7QFUxxr8NMEHn/IoIfIG2P7N//KA0AiOaMOy33h4tTEERt
A4/pQLNRbCbw6yP5gl02K4vZziD0t5c87l0w9dYw0WSA5gwo+BxUjUO5OUJWRXaVgSRhlMa3Qwih
MQADNeRwlLVE8Rd97ENngVPIneWOu70ELNONm43QVdp7QoOayP4bueibXjcOKEoDTSt0lQ1nT0am
AEJ/BbEvAYM3yFCGLQbfhYO/AO+E3teTJLjHgqoRCj4f0g3q5YSsnDQogIU9kxBCE8UYCtRUKlVp
WZm0qUmr03HYbC8vr/DQUD6fjw8JDQit+EvQK/vYSRgEDC4AAJDQUXSnTMs58k51oUkLstu2CrqI
28dgVjUIA7utH1iUBkB0FBHatuGchZ3rBl5zgTn2vjIEASwn4HoM+UAkdJaBuhUDNYTQxDFWArXm
lpbrN24YjXcaFak1mttVVbV1dfFz53p6DODn+4EDBxobG1955ZV//vOfnp6eW7ZswWc8FFqdLiU1
tbOrq9etdDo9PDQ0MiJiDF2x2UCUHug7+HGOurNgUIGs+m6gdnelvAoMtge5NaiJih/Iab+Y0Wig
URoAQHshqNuHs96TIbQ3v9O9ZVSDdjhutquC0LWTEIzfTYTQBDEmAjWVSkVFad4SSWREhFAgUCqV
hcXFjVLp9Rs3li1e3P9ytYKCgqSkJGph8eLF+ICHQqvTXbl2TS6X29rBZDKVlJWNqUCNaMsDRR30
OoYD1xVmvQlMHoDVWGIEA+b+5U6rLL+ld1ayxLBwNwCAXgHpfwZ99xwgqv5Lxv7G0v9xMFEaSRKK
muFoYm+FJRy7kyzpZKBsGIbnq2wgdZ343UQITRxjIlArLSujorR5cXHUGrFYPC8uLjUtrVEqLSkr
mzFtWj8PVVhY+NxzzxkMhsrKyvDwcHzAg6bT6a7ajdIoY2eeqDsar4GtS/JdCrEv9fgGcCDyie4r
hX4Q9TQAgFELuZ+Arkeg1l4Iuk6qh+NgojQAMGlA0wIm/bCVqBE04LoDx3mMvk96OSgbhuFm9XJQ
twBpsjddKUIIOZAxEahJm5sBoGfBTFRkZKNUKm1q6vMIGRkZzz//PLW8YcMGaiEpKcnd3f3nn3/G
xzxQPcvSNt1/f0dHx/UbN0iSjJszx93d/fDRoyRJjrUrJ9qLbEYDzgMP3HWdoGzq5YBaGaFsIDmu
g4zSAEDdCup2GMYMpLFAFGxvkLN7i5pdauhIEhR1YNIBg4ffU4TQRDAmAjWtVgsAQoGg23pqjbYf
MxHNnj07IyPj559/Tk1N/etf//rll19qNJpf//rX+IAH8zh6q/GUKxSurq7zExNJkhSJRAqFYgxG
aQBgpxMANKRA4V4gCGDwIOR+oDEAAOqvgLwaAEDgC/5368rLfrgzEbs0HQwaWyeSakUdrc1BoZED
jtIACG0b6DqHs4EawQCeZIy+UmYTqFtB3Tos90soakmjFgM1hNAEMSYCNQ6Ho1arFUqls1hsvV6h
UAAAl8Pp53Fu3rw5e/ZsAMjMzHz88cfx6Q5OSmpqzxrPa6mpCxITnZycAEClVl+7fn2MXr3GdvRT
cx5qzgMAuE+FyRvu3thrIL0BADDl6TuBmq4LzjzRd+sxbSewh3KdbYR2WNtakSbQdYzRh6KXgzQN
zMbhOZq8Foz3ehpZhBAaLWMiUJN4eVXevl1YVJQQH2+9vrC4GAC8vPoeiJyKzwDg5MmTf/3rXwEg
MzMTAL777rvgYOwgNgxIkrTM3WkymcxjrWmahdkMfc4GKQ6708KJNEN7yZ39Xe52+ZRVg0Hd90FI
s8Q3AABqbpcNpupT1zXMPQmMGij7AcSh4B3f+7zpdA5wXO3NH6VoANLGoG4EAzjO9gb+0LSCQd37
UCN6FZR9D4V7hu1O1c1gNgBCCE0MYyJQCwsNra2rkzY1pVy/HhURIRQKFQpFUUlJo1RKEERQYGCf
R8jIyGhpaXnsscdOnTqVk5Ozc+fOvXv34tMdnIR583pWfSbGxzs5OVE1nk5OTonz5p29cGEsXj1T
2HuJGp0NwWuAwQYACF57Z6VODkFr73T59E28s5I0QdgDAAAGNVT8ZHMWcKYQAAYfqxnUYBjWOQkA
oLMCzmy1uTV4HSzcCU42vk2kCfaGg8HG+HPiybDgQwhabSMtCScfhprzAKNRG07o5MNWOIcQQmPe
mAjU+Dxe/Jw519PTpU1N1l0HCIIgSTIjM3N+QgKnrwrQ/Pz86OhoaiEmJgYf7aBx2Oz5iYndYjWR
SNQlk6WkppIAifPmiUUi6umMuavne/ceLQQuh3U/9LhVMaza132l5wy4b/+d5U99bDaBF/hQ/x9k
rGbUjHb9nZM/MAU2t3bdthmlAQBbDHzbDeD0clBKRydKu3M6DNQQQhPGWBnw1sPDY9nixSXUzARa
LYfDkXh5BQcF3bx1q7Or6/K1a/MTErhcrp0jFBQUUPFZYWHhokWL8NEOBYfNXpCYeOXaNdndWO3w
0aOWrefGZlkaxTWy91pLtykDPpRRA8qW3o9GZ5OiSZZPg4nVTHowG2E0A12Bn71ArTXX3sWwRSDw
trlVVgVG9ejdi0lrs5gTIYQczhiaQorH402Pje22Mikh4WpKSmdX15WUFPux2osvvkgtvPfee/hc
h47NZif1KFfriU4fW8NZkZK5BEn0UrqjboeOcgAAGh3EQXdWKhtBrwIAYAlAIAEAIM0gq7lTYNNw
HUy9l9yQohDguVuvGXCsZjaBeRTb+TF4wJcA3Xb3h9Zcm5vujNDmZnMHWZXNvrEjwagnCBiTXY4R
Qmj4jfVJ2VksVuK8eVTRTsr160txsoFRRNWB9jmF1Ji6ZtJ7LrDE0LNDZeYuyPoCCAD3aHgy+87K
H5OhMR0AYNpTsOJTAABtF3w1C3QyALAXSAUuBVr3VvkDi9VIM4xmsMHzAK6bvZnaW/NsbqKzQehn
rxeCrAqMoxiokWYYm0PDIITQCBjrgRoAsNns+YmJY3c8CIfGYbOXjK96ZLYTGbKOyNvb2zYjAIBL
2J1PeiV03AZqelmXu2PhyutB1d7HKWgMMvKBXrdIfAPkcnm/YjWCBuQolgvxPKl5FGwgoTXP5sXQ
ueA0yd7BqRK1UbsXGt1exIkQQo5lrI5j/ktsNnvJwoVLFi7EB4b6RE7fDiQdzND7P7fIO/upmkHV
dnfl3bE5WotsJrz7j5TMIb2m2zp7u0yp0RlrbpeZjHYbvNMYozoJEs8TuC42t6paQdVscyuDC6JA
m1tNOlDUg0k3evdCZ2GBGkJo4hgfgRpC/UdKZpDBq2wHandjsrZyMBjADEDSwe1uiVpLYR+BGkkj
E96wP1NTblGJyNm1j1iNxgIaE0gYpX88T+DYDtQ6S8BktJnWfomaUgraztG7ERKAxsGJPhFCE8c4
qPpEaGAIGrn4r0T1FdD21g2CLQYAIEmoTb3To5PNvzOdlNkIten2h7olI9eTQUv6vARLe7Wg0Mje
92DygMEFg2q47hm4rsDg2agTJMA5BNgim6mVzSD0uzOeXE/iIHDys5lW1wVMPjgF9JZZZjAoYXgn
YKCeIA1/cCGEJgr8eYccEOkeYZ7/Fu3Ub3rZdmATcJyAJEHZfCcm08jh31OAwQGzCRSN9tpaiXzM
y//Rz4nPJb4BSoXtDrNMPjC4w9auyz0aEt8Bj9ieXRwAAIAAlsDeZQetBN8Em1vpTGDanljTNQJW
7u19YDOTBuquwsXfgHY457Yi2SIM1BBCEwf+vEOOiYx7gWzIJnL2d9+g7gJ1V/eV8pa+j8jkmjd8
AyJ/+3vFx8XFx8XdOZXS9iRRLCdqboPhkfguhKwZfHKWAFiCQaals7uNVPILoiAoPw7lR4fz0XLd
bcSjCCHkgEYpUCNoNLPZTKNhk7iJwmw23evHTZjXfkLTyomi48NwMCbXfP+X5KT5w3Z1bGeSKRye
votMPvgvGLuvwqBDQFsE3r1PZooQQo5olH6VsjkclVKO2T1xqJQKVl+zfo04Ft/8wAFy2qMAtCG1
Xuc4mx88SE751TBeGslxAY54eBrXi4LsTZd+z3XdHubOBAIfeyP3IoSQYxmlQI3HF7Y1SU0m09jO
DTQ8TCZTa1Mjjy+495fC4Jg3fWle83/AEoMJBvGP9J5tfuYqGX7fMF8Y3xO4bsNzKNeIMfwukNBW
PKwHJEinQGDc678BEEJotIxSoEan0zk8fnV5iULWZTZjuOawzCaTQt5VU1nK4wvo9LHRApKgkXHP
mH6dTsZsBmD0OUza//7xPMxrd5qfuUB6jEAkxBIA3xto7GEoYXIJBxirA8Aqm0HTMZzFaWwxCLyx
MwFCaOIYvZ93bA6HwWR2tLc0NdSazTinsmOi0WhsDlcoch5rc4CCW7D5ke+I5mLi+m4i/zh01dmc
hojJIb2nkLMeJWc+DGzhyF0RKQ4i2CJQtQz1QK7hY/eF6Cgd3hkLSKG/vQHhEELI4YzqH6Z0Ol3o
JAYnzHZ0b5CeEeT9O+G+dwlpAVRnEC1l0FkHehXQ6MBzAddA0nsKGTALXCf1cwyOIXEJB7bzMARq
w1WFOhJa8oY700LJsXy/CCE03LAGAU08LD4ZMAcC5tzbiYhIl1CS60ZA2VCnGG/MAL8EYHDHViaT
JMhroez4cJao0ejgEgo8DNQQQo6GTqebTKZeK6MwUEPoHuF5gEsYSG+CST+k42R9Bjo5CLx7LwUU
SCB8o81ZzOV1UHsFNLYnD5i+3eZYGHol1KdCe1nvW40aaMqCumvDmWMcF9J58pju4ooQQoMyNSa6
oKgoOjKS7PGnOwZqCN0jBEH6ziNKj4BxaIGavB7S/g5Mfi/RGEGD4JUQvtFm2qZsuP4+yKp738oR
w4xnbaZVtUD2F3D7TO9bTfqhBqA9kE6B4DwZXxyEkIMhSdLFxSUpIQEAlEplt60YqCF0776cAYuA
JQJN1zAcS9/btKE0Jgh9bRanAYCsFhRS0Cl73+oWba9/pU4OHRU20w47ggYu4aRzKL42CCHHYylI
wxI15GiUSuU4Hp9P6Ev6JRKympE6PtWoy/ZPBlA0gM72SNTu0fYOrpeDrG708orrSnrPBq4zvvNj
n0KhwExAaHD6LlFrbWrEbELjCI1GG8dTkxEEGfkgkf8fgJHp2EAw7AVqOgUom8FksLmDe4zNTWYT
qNtA0zFqOUUKfMEvAV/48fKtxExAaHAYjO6BWffPYdGxmE1oLCstyLH+yOPxeDze+L0dMnARiAKg
q3pEjk4wwMV2oy5VK6hb7IWIHrZL1Ew66KiAUes3S2eARzTpFonv/7jA52OHD4QGqWfVJ/7dg9A9
RWeap24bqYNzXEDgZXOruhWUrbYvjAUuITa3mnTQUTl6ucQWk8GrgDbGRlFGCKGRh4EaQvcYGf0w
CLyHeeZy6p97lL3gRtUK6labaZ38gWV7YgajHjoqR+Sae/4DgnQJJQMW4KuCEJqAMFBD44BWq62r
r9dqtY55e+IAMmbLiBzZ03YjM5IEdSuo2mzu4Bpqr8vnqJao0cjYbcB3xy8CQmgCGvFen10ymVyh
NJnNBEEACUwmw9VZzOFwxmZ2GAwGJpNJLZvNZqPRyGKx8C2555pbWknS3NzSGuDv55A3SEY9QBR8
D8Pe/dPDdqBm0oOyCfRKm+3MXOwGalo5KBpGp40a6RZOhq3Hb8E48unu3YNO+9z27ZiBCFkbwUBN
q9U2NDXzeHwnkVgmk127cnn12nVms7m5rYNOI3wkXoTt4Z2qq6tPnTrVc31oaOjixYup5c7OTqPR
6O7+i7+zOzs78/Pzc3Nzly9fHhoaOtALXr9+/YkTJ6g+F9evX79w4cJbb73VbbeqqiqDofeOcs7O
zt2uBw0LkjRb/uuYNyieREZuJq7/Y5iPaydQ0ytA1gBm26GW/RK1jnIwGkYpcxJ+DxwRfgvGkUEH
W0OJ8BByVCMVqGm1usbmFhcXVyoaY7PZLq6uAECj0UQikcFgqKmrD/DztRWr1dTUlJaWPv7449Yr
8/Pzr1y5YgnUbt269emnn3766acSieTixYuffvqpXC4Xi8WBgYHh4eE9j9zZ2ZmRkdHc3Mzn84OC
gqZNm9Zth7S0tJCQkNOnT1Mfy8vL6+vrT5w4QX0MDw8PCQkBgJdeeikmJoYqeEtLS4uJiREIBADQ
0NAQHh7+8ssv41uFBowtJMPWEYWHQFY7bMeks8DVztgcclA02EvuMtle+7bWotHJGNJzKhn1K3xB
xheSJOvq6wuLiqpraiReXuvXrrXemnL9el5+vvUaFov15NatmG8I9WpEAjWzmWxsanZ2cbFESy0t
zceOHomfd2cYJCaTyeMLmlpaJJ6etg5SVVV18OBB6zXt7e0SicTycenSpXK5/KWXXjpw4EBbW9uC
BQuef/75Xg9lNBo//vjja9euLVy48ODBg9u3bz906NCHH374hz/8wbrU7fLly0uWLOnq6qI+qlQq
vV5v+ajT6Sx7vvLKK2KxGACeeeaZZ555Jjg4GABOnTpVXFyMrxQaHNIj2jz1cVrK+2DSDc8RXSOA
zrS5VSuHrnqbdZd8d+C59j556J2vdPFo1Hsy+eTiv9qbWQGNSe3t7Xn5+ZEREQaDwWzupSCcw+Fs
e+wxzCiE+mNEArX2jg6+QEDY/fHKYrE6VSqj0dhzbDcKl8u1DssAoOcXfuPGjTExMdRs81qtViqV
Wm8Vi8VcLtdsNr/22mtisfg///mPyWQ6ePDgli1bCIK4cePGr3/9671791JnkclkV69effLJJ00m
U25uLvWjhMlkCoVCAHB3d4+KirIcuaSkhCpFU6lUFRUVGo0GAOrr6/F9QoPHFkL4WrL6ClFzDYal
ktc9wuYmkgSdDBS2AzUnP2Dy7CVvKRzxQI1GJ6c8TPrF4asx7ri5ua1etQoAioqLew3UEEL9NyKB
mlKtdnZ2+cWq3n6m8/n8TpnM3dXVeqXZbNbpdJGRka+99lrPJCKRSKPRMBgMS5N/S5FYSkpKVVUV
AJSVlfn6+vJ4vIcffjg+Pv748eM6ne6NN94gCCInJycoKIiKIOfOnbt06dJvv/32t7/9LQB8/fXX
KpUKALKysq5fvx4fH282m81ms8lkam9vP3v2bHx8vOUyzp8/z2azAaCjoyMlJcXJyQkAamtrJ02a
hK8UGjTSIxqiNhOtJaBqHobD0dk2N5kN0Fltr8snjQlg+w8tZTO0V4x4brhFkNMetzdECEIITQDD
H6iRAHqDUafXW5eoqTRqvV4vVyiAIBh0OoPBoCI3jVoLv4jToL6+/v3338/Ly5syZQoAFBUVTZ48
2RKWUZYvXz579ux//vOfAODt7b1jxw6j0bh27dpt27YBwAsvvPDss89GRNwpTjhy5MhLL71EXUxe
Xl5MzP+aV0+bNu2bb74BAKlUevHixcDAQGp9ZGTkhg0bUlJSNBrNhg0bqqurc3JyrC/g+eefp6o+
KysrH3/8caz6RMODxiDD1pLVV4niY2DSD/VodTeg7gZ4TeleNmbQQGMW5B4AO3OkdtyGmmvAdwPu
L//iMhlAVgdpH434XOxcMTn1UdItEus9EUIT3AgEamazSq05ffLn+zf9rwlwbnbO3Dlznnv6SQDw
8/f//R/+1CRtrCgvnTVrdrfk/v7+n3zyyZo1a9atWwcATU1N9913X2Pj/2YgjYmJSUhI0Ov127Zt
a2tr++yzzwBApVJRxVo93b59Ozw8nFq+fPnyk08++YurJUkA0Ol0L7744n/+8x9qZWpqaldXV2Nj
Y21t7YcffiiXd5+1urKykqoSVavVNTU11KTgTU1N+D6hoXLyJuf+mmgugNbioU4A2lYK/30exP5A
/+UQMyYDyGqhKc9eWlUrXPkbFB0D1i/nAjKbQNMOdRkjmwk0Bhm0hIxYD2wBvhEOSavVWnfw9Pfz
o6pKEUI9DX+gRhCEmSRXrFmv1f+vSGBOQlJtTfU/P/mMAAIAtHq92NVthosraXtCaKrlGQAEBARc
uXJl2rRpkZGRhw4dYrPZCQkJLBYrIiLC0iitpqZmxYoVvR5HJBIplUoej1dSUtLc3DxnzhzLpps3
b1I1p4GBgYGBgVSgxuFwgoKC5s2bl5WVxWQyFy1a1NbWduHCBUsqo9F44sQJ6vJaW1vPnDlDBW0N
DQ2TJ0/GVwoNEekz2zz/DdrRbWAccq+ChkxoyBxk2vZKaK+8B/dPEKRHNDn7/4FzIL4Mjgo7EyDU
fyMSqBEEofvlSGN0JnNSyGSd/hcrDXqDu7j3Bih6vZ4aJqOrq8vPz++FF174y1/+Eh8fX1pa+sc/
/rHbzgaDITs7+5VXXun1ULNnzz579uxDDz300UcfPfroo5b4Lz09/eTJk19++WW3/VetWiUQCPbs
2RMYGDh16tTY2FgAWLJkCbWVJEmVSvXHP/6Rqkt95plnnn76aaz6RMOJRiejNpINt4jUf03E2+d7
kLP/Hxkwz16fU4QQmjBGpDOBm7O4rqW9zzH9lQpFTGjvre/5fP4HH3ygUCieffZZAAgMDFy5cuXW
rVvffPNNPv9/dTE5OTltbW2FhYXx8fFUo7GennnmmW3btp0+fVosFm/atEmv1xcVFf3888/nzp17
4403eh0UNykpCQBeeeWVp556SqfTUf0GKDU1NR4eHgS2m0EjisYwL3uP1phFVF+DCdVpjsEiI9eT
0x7FKA0hhCgjEqj5eXuVV9eZSLAT0Bj0eombM4vZfZwnnU63ffv2jo6OrVu3+vj4dHR0AEBeXt6R
I0dWrVr1ySefdHR0rF69msVi/fvf/87Ly3vrrbfefffduLi4I0eOiEQiOp2+bNmysrKygoICiUSS
kJDg6em5b9++0tLSuXPn0un077///tixY4mJiQcPHvTy8ur12jIzM/fs2fP88893dnYmJycnJiZO
nz592rRpzs7Ox48fnzdvXrf9q6urKysrc3Nzx+zUWGj8odHN63bTDj1CNGYBaZoYt8wgQ5abl7xj
b6BdhBCaYEYkUKPRaLOnRl3JyGJx+ZZYzWjQM5isu8sGIYcRERLUMy2bzf7www+dnZ2phM8///x3
332Xl5f3xz/+MTw8vKGh4YsvvggJCYmNjVUqlf/+97+dnJxiY2OvXbtWWVlZWVmp1+sBgE6nMxiM
gIAA6phubm5ubm7U8kMPPfTQQw/1etk8Hk8ul99///0BAQGvvPIK1T9069atly9fPn36tNFoXLZs
WW1tLTWcB+V3v/udt7d3bW3t9evXSZLcsGEDvlJo2LgEkav/BSd2EI1ZYHb0WI1GJ0OWmtd+Clxn
fPLjndls/uyLLywfqX4Dzzz1FI12p6C0W2cCANj22GP4hy5CvSIy065GTJlOfSjOy5o6K364Dq1U
qVNuZau0Bg6Xq9NqasuKJ0+ZbjabNWp1iL/3tKjwflYgmkwmS8OyUaDX63Ei9rGmuubObOWBAQGl
BTmTJt/pxltVXuIXFMrj8QZ95OMnTtDp9PtWrgSAW1lZ2dnZTz3xxHBddu7N69SXS6PViUSDmq3S
pCfKzxHn3yKa8sBxpzoFgkaGLDOv+gd4hOPbPk7JZDIuhw1D+z3y6e7dOCk7muCUSmVlcZ51YDaC
k7IL+LwV8+c1NrdU1zfKSVNoVAyLBi4u4smBU4QCfv+PM5pRGgBglIbGEDqLDF4EOiVx6R1oLQGS
dMB7JGhk8GJyydvgFooP3DHcysrKuHnTes1T27ZZhsPEuT4RGhDGSJ/A29PD29MDMxqhQWJyyYjV
ZiaHduYNaC0FcKxYjcYgJy8jF71JescCDTsQOA6Rk9PDDz5oaysOz4FQ/zEwC5AjKSopuXzlCgAQ
BMHn8328vefMmkVNzEqpvH074+ZNuULh5uo6PzFxcMe5npZWVl6evHnzpcuXGxsbBULhgsREiURS
U1ubduOGTC738vRcsmjRsN0Vi0+GrTJzXWmHt0HHbcd5WjQGGbqSXPEu6RaGHQgQQqhXGKghhxIZ
Hh4ZHg4AZrO5SyZLSU39+fTpzRs2UK2YG6XSM+fOzZw+fUpMjFqjSbtxQ6/Xc7ncgR4HAEiA62lp
s2bMEC1alJaefvLMmeVLl96uqlpz331Go/HEqVNXU1K8XYZvnko6k5yUYNp2ir5nOXTWOEIdKINJ
hiw1r/8EnLzxvUUIIVuwrgE56JtNo7k4OyclJra3t7e1t1MrM27e9PL0nD1rFofDcXF2ToiPb2lt
HcRxAECj0YSHhXl4eLDZ7LmzZ+t0uivXrs1PTOTz+SKRaGpMjKUDxHByDTY9fZkMXQFsJwACSBiX
/4AArjM5c5s5eR9GaY5KoVTu+frrL7/++ujx4413p5BBCA0Clqghh2IymXLz8krLy5VKpeHu9Bhy
udzD3R0AmltaZkyfbtlZJBKJbXTGtH8cACAIwsf7TpDB4XA4HI67m5ulvE0sFpMjVOgl9jX/ah+R
+gkt8xvoqh1/w3bQGaRHODn3GXLOU1jd6ai4HM6iBQsCAgIMev2tzMyf/vvfjevXe3j8r7EyzvWJ
UP9hoIYcyvUbN8orKhYvXCjx8mKxWCqVat/+/WazGQC0Wq3JZOL9sqKz13pP+8ehcDgc6/FlmEym
9ZGZjJH8ZvFcyKQdZo9w4vonRN0tMGrHzePhisnJi8nEF8mA+HFzzWjgoiIjqQU2izU/KalBKs3N
z1+6eLH11wc7EyDUTxioIYdSXlERHRUV4O9PfVQolZZNHA6HTqdrNBrr/TUaTa8Dstg5DqWXMQBH
c2IxtoCMXg/OAZD7PZH9PSibx3qrNToD3CabYx8gpz0ILpPwRZ04CIJwFotlMhlmBUKDg4EacihG
o9F64L3yigrrrZ4eHrV1dZbaT5lMJpPLex2K1v5xxgQ6k/SfTbpMIkIWE2mfE8Unx+iIuAQBLD45
ZSM581HSZxpwnPAtnVBIkuzs6nJxxgknEBok7EyAHIq/n19hUVFbe7tOry8oLFSr1dZbZ82cKW1q
yrh1S6vVdnZ2pqalud+dW2xAxxlDBO5k+Arzps/MGz4G16AxeIGkd6z5of3m+94ng5IwSpsgTp4+
3dDQoNfrVSrVtdRUuVw+dcoUzBaEBgdL1JBDmZ+UdC0l5afjx4EgJgcHJ8THV97+38BjPt7ey5Ys
ybh1Kzsnx9XFZX5iYlp6+iCOM7YQNHDyIuc+aYpeR9zaT0v9FDprxsJ1kZ5R5KLfkFOTgcEe1Xph
dK9NiYm5mZnZ3tFBEIS7m9v969Z5eXpa74BzfSLUfyMy1+e2bdvWrVu3bt06zF80LEZurs8RNQxz
fQ5CVz2RsZd261uQN4FBA+ZRrA8lCKDRgcUjXSaRsx8nZz0CXDG+vRMEzvWJ0LAYpbk+v/rqK8xr
hO4NsS+57E3TjC1E4X+JopNEZw3Im0CrGOG5pwjgisBJQkqiyZj1ZOhiELjho5iwupWWIYSGAqs+
EXJEroFk0q/J+KeJ2ptQdpGovUV0VEFnHehVw9k/lEYHnjMp9gXXINJvBoQuIn2mAR1/qkx0WCqG
0DDq40dq5e3bpWVlvW6aHBIyOSSk103WVZ87duxITU0lCMLLy2vdunVbt24lsLUKQqP0/WaTQQkQ
GEfKpYS0EJqLiZYyaK8iOqpB3gQ65SCDNp6YFPmCWxC4B5PuoeAZQUqigIfd+hBCaPj1EagFBwUB
QM9YzU6U1s2//vUvADCbzeXl5a+//rqPj8/y5csx3xEaPTQ6iH1JsS+ELyPVnaBoJhTNoO4ARQvR
VQ9d9dBZD8pWQisHnRKMOjAZwGQABhtoDGBxgeNEcpxA4A5CTxB7k2J/EElA4E4KPcHJE9gCzGCE
EBo5fVdS9IzV+h+lWdBotLCwsOTk5KtXr2KghtC9QRDAdwG+C+kVAQBgMpB6NRg0oFcTRh1JxWek
GUgzAAkEDQga0OhAY5A0JjDYwOQAiwcsPlZuIoTQqOnXD1zrWG2gUdqFCxf27t1bW1tLjQg/depU
zHSExgQ6E7gi4IpghDsaIIQQGrT+/mUcHBRETXQ4oCito6PjjTfeeP/992fNmsXlcg8ePHju3DnM
dDSMlEqlyTTeJiZHyKEpFArMBIQGR9ljxsIBVGEMtLoTAHQ6HUmSAoGAwWAUFBR89913bm7YaR8N
JxqNRqPhBBsIja1vJWYCQoPDYHQPzEa2rYlEIvn1r3/9xhtvKBSKsLCwhQsX5ufn42NAw4jH443Z
AW8Rmpj4fD5mAkKDQ/bojD8igZrRaGQymdTyli1btmzZglmPEEIIITRQwx+otbW1NTQ0eHt7Y+Yi
ROnq6jKP5lROCI06uVzO9fLEfEBo2A1zS4KcnJxNmzbNnz8/NjYWMxchhBBCaCiGuUQtNjb28uXL
mK0IWROLxaM3KTtC9wJ2IEBopL5cmAUIIYQQQmMTBmoIIYQQQmMUBmoIIYQQQmMUBmoIIYQQQmMU
BmoIIYQQQmMUA7MAodH07YEDsVOmxERHW9bs/eab2bNnR4aHW++mVqv37d//7NNPd0veKJVmZWc3
NTczmcxJAQFz58xhsVgAIJPJMm7dqquvBwBfH595cXE9R4cf4qlPnDxZW1dn+ejv57d61aqe6wFg
7erVvj4+JEmmpaeXlJYajUY/X9/5SUk8LtfOcRBCCPU0sQK1zs5OoVDYcyIthMaLW5mZ02Jjl3l4
KFWqs+fOXUtNXbxwIQAUFBUFBwUlJSYa9Por166dPX/+/nXrhv3sU2JiEuLj+7k+Mzu7orJy7erV
PC734uXL586fX7dmjf3jIIQQ6maMVn2eOXNGr9cP7zGPHz9+6NChd999t+cmo9FYUFDQc4IthMaa
tatX+/n6slgsF2fnyIgIqVRKrZ8XFxc0aRKbxRIIBBHh4S2trff8UguLiqZNnerm6srj8ebFxTU0
NnZ1deETRAihARmjZUt/+ctfZs6c6erq2nPThQsXCgoKuq309fXduHGj/WM2NDQ0NDT4+PhotVqF
QnH//fdfvHjRUm20bdu2lJQU6iNC40KjVOrm5tZtpUqtLikrmxQYeG+vTavVqlQqD3d36qOzszOD
wWhrbxeLxfjgEEKo/8ZfJaCzs7Ofn1+3lda/rg4dOpSWltYzob+//+rVq+fOnQsAcrl82EvsEBq6
C5culZaVWT5+uns3tTBj+vQ5s2ZZ75lfUNDQ2LhpwwbLmpLS0ouXLwOAq6vr6pUrR+LUefn5efn5
1PLK5cst4aD1egDY9thjeoMBAKz/8mGz2dRKO8dBCCHUzRgK1Pbs2VNTU0MtG43GP//5z5af8tu3
bw8JCaGWp0+fPn36dDvHiY2N9fTsPjdwaWnpjRs3duzYgY8c3Vs0Gq3bBO0ms5l+d/qdxQsXUm3O
bLXop+QXFNzKzFy3erXIycmyMjwsLDwsTK1W38rKOvLTTw8mJ3drjjn0Uw+ojRoAWP85pNPpWEym
/f0RQgh1MyKBWuXt29Z/mlubHBIy+W7I1c2MGTOoaKyrq+vy5csPP/wwtf69996TyWQAUF9fn5mZ
aee8U6ZMmTRpUmhoaGhoaLdNLBbrxo0b+LzRPeckFFLvM0Wr1ep0OiereKtPWdnZeQUF69audXF2
7rmVx+PNmDatoLBQJpN1azww9FP3H4fD4fP5La2t1F9NnZ2dRqPRrbfGDAghhOwYkUAtOCgIAHrG
anaiNACIjY2lFtLS0oKDg2fPnk19ZDKZdDodAJRKZWVlpWX/1tbWtLS0tWvXWtYEBAQM7oINBgON
RqOKH1pbW/fs2WNn55CQkE2bNuGr4xiOnzhBp9PvW7kSAG5lZWVnZz/1xBMjesaI8PBLV674+/v7
+PjotNrUtDQXZ2dPD49+Jk/PyCgtL79/7VrrWd5Jkjx7/vyM6dOdxWKqRI3H4/VsDTbEUw9UVGRk
dm6uRCLhcbmpaWneEgk2UEMIoYEaqarPnrGa/SjN2q1bt6KioiwfNRoNh8MBgPDw8HCrAZ9SU1Mb
GhpefvnloV9tW1ubq6srjUYDACaTKZFI7Ozs3FsxBkL9FBIcbDKZMm7elJ0/z2SxfLy9V69aRaP1
q/+1wWDIzM4GgP8cPEitodPp2598kiCIsNDQK9eutbe3s1gsiZfXujVrqD9vhuvU9nVro7ZowYLw
sLAZ06bpdbrjJ05Q46gtWrgQnz5CCA3UCLZRs47V+h+lqVSqY8eOff7555Y1CoWi59CdAFBWVhY4
2DbI7u7uV65csbSBKysrs3RQEIvFjz32GL4ZaOSEhYaG9aid74bH4/VsJcZkMp/bvr3X/QMDAgL7
UaI86FMDgK1haW2tJwgiPi4uPi6un/sjhBDqaWQ7EwQHBVGNl/sZpZEk+de//nX27NnBwcHUGo1G
o1Kp3O928rfQ6/U///zzb37zm54HqampUavV3VbW/XLkdIIguFyu5aTHjh3D2kzHUFRScvnKFeoR
8/l8H2/vObNmCQQCyw6Vt29n3LwpVyjcXF3nJyYO7jjX09LKysuTN2++dPlyY2OjQChckJgokUhq
amvTbtyQyeVenp5LFi3Cx4EQQmiIRrzXZz9DNADQaDT/+Mc/ysvLv/76awC4cuXK3Llz8/LyJBIJ
VfVpoVar33rrLXd3d2qsjW6+/vrrkpKSngfvdVQ2kiQ/+ugjhUKxbNkyfBscQGR4ODUhktls7pLJ
UlJTfz59evOGDVQFX6NUeubcuZnTp0+JiVFrNGk3buj1ekvI3v/jAAAJcD0tbdaMGaJFi9LS00+e
ObN86dLbVVVr7rvPaDSeOHXqakqKt4sQnwhCCKGhGEPDc7z00kssFmvXrl1UReehQ4d+97vfAcDT
v6yFOXPmzEcffRQTE/Phhx8SBNHzOG+//XbPlYWFhSdOnOi2sqKi4oMPPmhpafnoo4+6xYJovKPR
aC7OzkmJiQcOHmxrb6dGXs24edPL03P2rFkAwOFwEuLj/3PwYIC//0CPAwAajSY8LMzDwwMA5s6e
XVRcfOXatQeTk6lIbmpMzLXUVG+XaHwQCCGEhmIMBWrvvfeeWCy2xF6ffPKJXC5XqVTdmvaHhYX9
+c9/njlz5oAOHhUVZd1BgcLn86dOnfrYY4/12gYOjUcmkyk3L6+0vFypVBruDq8ql8upAKu5pWWG
1SB8IpFIbNV3sv/HAQCCIHy8vallDofD4XDc3dws5W1isRhnJEMIITR0YyhQ69mb0snJqecgT4GB
gYHDNI65RCJ57rnn8CVwJNdv3CivqFi8cKHEy4vFYqlUqn3791MNJbVarclk4v2yorPXek/7x6Fw
OBzrAl0mk2l9ZCZj/M35gRBCaAzCXyfIoZRXVERHRVlqMxVKpWUTh8Oh0+kajcZ6f41G0+sEr3aO
Q+ml0r23inhKV1dXtykBEHIwcrmc6+WJ+YDQsKNhFiBHYjQarccPK6+osN7q6eFRa9X/VyaTyeTy
QRwHIYQQGh1YooYcir+fX2FRUYC/v1AoLC8v7zZQy6yZM3/6738zbt2aEh2t0WjS0tPd3dwGcZyB
EovFIhuN4RByDMMycjJCqCcM1JBDmZ+UdC0l5afjx4EgJgcHJ8THV96+bdnq4+29bMmSjFu3snNy
XF1c5icmpqWnD+I4CCGE0OggMtOuRky50w+uOC9r6qx4zBQ01lTX1FALgQEBpQU5kybfmUmsqrzE
LyiUx+ONzcvOvXmd+nJptDosUUOOTSaTcTlswN8jCA2NUqmsLM6zDsywsBohhBBCaIzCQA0hhBBC
aIzCQA0hhBBCaIxytM4EH3/88QMPPODWoyvfhQsXpFKp5WNycvKZM2dkMpllzQMPPMDAQUoRQggh
NJY4Wona0aNHOzs7e64/cuQInU6nZjU4evSoTqf75ptvfH19qTXffvutZZoghBBCCKExwtHKkHQ6
nUql6nXTlStXhEIhAHR1dVFr/vvf/1Jj//Q6SlZdXd3nn3+enp4OADNnztyxY4e7uzsAZGVl7d27
Nz8/n8fjJSUlPf/889ZThZIk+cwzz2RnZ+/fvz80NBTfMNTzFb2VmVldW6tSqYRCYWR4+JSYGGo2
qr3ffKPWaKbHxra2tTW3tLBYrJnTp0dGRGCmIYTQhOVQgZpGo9Hr9VKpNDY2tufWRx55ZPLkyQDw
0ksvUWt27NhBTR+0bdu2nvv/+OOPixcv/u1vf6tSqd5///033njj888/B4CvvvrqkUceiY6Obm5u
fv311z/44IO3337bkuq7775js9n4Yo0apVJpMpnGy9WazeZjx4+3d3RMnzZtemzstdTU1LQ0mVye
lJBg2ed2dfXa++6TNjWdu3DhyrVrgYGBPBsTkiI0NikUCswEhAZH2WPGQocK1Orq6hgMRmFh4cqV
K3tu/fHHH6mxrMLCwphM5oIFC/bs2UNt6vXHiiWeEwqF69ate/PNN6mPH3/8MbUQFBS0fv36gwcP
WpLU1NQcOnRo586dycnJ+LaNDhqNNo6GRK+tq2vv6KDRaDOnT2cwGDHR0aVlZUXFxXNnz7ZMORoZ
ESEQCPz9/ACAJEm5XI6BGhp330rMBIQGp2dzeYcK1HJycjZu3JiSkvLyyy/3/Enx1FNPRUREXLp0
yWAwXL16dfLkyZMnT545c6aLi0tWVpadw7a2tp44cWL+/Pk9N2VlZVnqN81m85/+9KcdO3ZQFaxo
dPB4vDE74G1P1J9KZrP587t/JFAflUqli4vLnTvicsHqVx1JkviU0fhi3RoEITQgPX/mO1Sgdvbs
2R07djQ1NZ07d2758uW97vPee+898cQT1PKZM2fEYvHs2bNtHfDEiRN//vOfASAkJOSjjz7qtvXQ
oUNUezXq4759+yQSyfz589vb2/FVQ70SCAQAwGAwnty6FUsdEEII9clxflWkpaUBQFRU1Pbt2//9
73/32veTYrqrz7KK1atXp6ennzx5MjY29sknn9RqtZZNhw4d2rNnzyeffOLr6wsAVVVVhw8ffuWV
V/CVQnb4+/m5uLgYjca09HS9Xq9UqcrKy0+fPYs5gxBCqFcOUqLW0tLyt7/97d133wWAkJCQjRs3
vvDCCx9//HHPCRZpNJqfnx+13J/yeYIg3Nzctm7devjw4fr6+pCQEADYu3fv999/v2vXrqCgIGq3
kpKS1tZW62K8LVu2PPzwwy+++CK+ZMj69bt/7drM7Ozq6urCoiIel+vt7T171izMGYQQQr1yhECt
srLyt7/97SOPPBITE0Ot2bp1a0NDw6OPPvruu+9GR0db72w2m4uLi6llyzgdPZnN5jfeeGPr1q2B
gYHt7e179uxxdXX19/cHgF27dp06derzzz+3BHwAsHLlSksPhvb29pUrV+LwHPfEp7t3j/Qpntu+
fSjJ2Wx2/Ny58XPn9tz0+KOPWpaZTOYQT4QQQsgBjO9AjSTJzz777PDhw08//fTmzZutN73xxhuf
ffbZU089tXPnzjlz5ljW02i0qVOnUstTp04ViUStra3WdZqW3VatWvXee++Vl5cLhcKpU6fu2rWL
xWJpNJqvv/4aADZu3EjtyWKxUlJS8E0aO0Y0vhmFQBAhhBCyGN+BGkEQfn5+u3fvpmoku2169tln
Fy1aRBVr8Xg8Op0OAEePHuVwOJbd/vnPf6anp4eFhXF7jICQmJiYmJjYbSWXy83IyLB/Va6urn3u
g0ZBdU3NjfR0mVzu5OQ0d/bsSYGBlk0kSdbV1xcWFVXX1Ei8vNavXdv/tAghhNCoGfdVn6tXr7az
NSwsjFr44IMPqAXrKA0AfvOb3+BL4JDa2tpOnz0bN2dOVGRkcUnJmXPnNq5fT80tAQDt7e15+fmR
EREGg8FsNg8oLUIIITRqcIAA5Jhy8/NFItHUKVOocWWdxeKcvDzLVjc3t9WrVgVNmtTrGBn20yKE
EEKjBgM15JikUqnE09PyUSKRNEqlo5AWIYQQGkYYqCHHpFAq+Xx+XX39l19/XVNby+fzVSpVz1rO
YU97rxw6fLisvByfuy1qtfrT3bt7dhsaC8/ix6NHi0pK8BkhhHqFgRpyQGazmSRJOp1O3sWg0wGg
P9O3DyWtA8NgAiGE7gmHmkIKIQqNRiMIwmQy+fv5PbVtGwBkZmcDANXzd+TSOrCN99+P7xVCCI0+
LFFDjkkoEKhUKstHlUrF5/P7Ob3mUNIihBBCwwhL1JBjkkgk0uZmy0epVOotkYxC2j4dOnw4MCBA
2tTU0trK5/ESExL8fH0BYN/+/YsXLvT18QEApUr1zf79T2zdymaxDh0+7OPj09LS0tbWJhAKFy1Y
IG1qys3LMxgMIcHB8xMTCYKgjtzR2Xn0p5/a2ttFIlHivHkSLy8AMBgM6RkZt6ur9Xq9xMsrKSFB
KBRSlxHg7y9tampta1uQlDTZaiTCvIKC3Lw8jUbj7uaWMG+eu5sbAPx49GhERERkeDgAqFSqS1eu
SJuaBAJBdGTktdTUbY89xuFwbN2anazw9/eXSqXdrlmj0aRcv15fXw8E4e/nlxAfz2az7WdRr+dV
q9WXrlxplEoFAkFMVFSv19DzZguLivILCx+4O4C2TCY78P33Wx58UCgUDvFZ2LovhBCyAwsJkGOa
GhMjk8ly8/JMJlN+QUFnV9fUKVNGIW1/lJSVxc2Zs/XRR8NCQ89fvNjn/rerqhLi4x9/9FFPD4/j
J050dXU9sHnz5g0bqmtqbldVWXYrLCqaPWvWY1u2TA4O/vnUKY1WCwAXLl3qksnWr1376MMPO4vF
p86eJUmS2r+4tHTunDlPbt1qHaV1yWTX09KWLFr0xOOPx8+dW15R0fN6zp4/z2aztzz00H0rVpT+
stX8QG+t12s+c+6cXq9P3rx584YNSqWyP8fp9bxnzp9nMBhbHnxw1YoVJaWlPVP1erOhkycrlUpp
U5PlCv18fanodojPYhD3hRBCGKghx+Tm5rZi2bKikpIvvvqqoLBw2ZIlHlYj1prN5k937/509+7a
urpGqZRatvTrtJ926KbGxHh4eDAYjOioKI1GY13N2qsp0dHu7u5MJjMsNNRgMMyLj2ez2SKRyNfH
p7W11bJbVGSkj7c3i8WaFhvL5/OrqqqUKtXtqqqFCxY4CYUsFitu7ly5XN7R2UntHxMV5eXpaSkE
uvMTgUaj02gsFotOp3t6evack1Qmk0mbmhLnzeNyOE5OTnGzZw/l1npes1wub5RKkxIS+DyeQCBI
nDevprZWrVYPNEtlcrlUKk1KSOByuSInp7lW88jZv1kmkxk6eXJhUREAmEymkrKyyIiIoT+Lwd0X
Qgg5QtWn2Wy2tB+iftfaak5kvafJZJrgzcMdXmBAQGBAQK+baDSa/SlB7aQdOst8ZQwGAwCMRmN/
96fTmQwGk3Hna0un041WfVGdnJz+tywUKpVKhVwOAPu+/db6aAqFwtXFBQAEAkHPczkJhUuXLEm7
cUOj1bq6uEyJiXFzdbXeQaVWM5lMywwf1icdxK31vGalSkWj0SwlWCKRCACUSiWPxxtQlqrUaiaD
YVkv+uV12r/ZmKioQz/+mBAfX1tXRyMI6zdh0M9icPeFEEKOEKilpaVdunTpzTffBIBLly5dunTp
nXfe6blbe3v7Qw89dODAAVdXVwDYtWuXn5/funXr8CVwSEOZzbOzszMzO7uxsVFvMLi5us6eNWsY
26jZ/CoyGJawRqPRDOIIVFhGkSsUkwIDhUIhQRBbH32028xplG5laRZUkEqSZHlFxbHjxx9/5BEG
438/KPg8nsFg0Gq11DHlVicdlmsW8Plms1mpVFJxpEwmg7sx5YCyiM/nG4xGjUZDhVa2rrPXm3V2
dvb08CgpK6uqqgoLCxtEP5IB3RdCCNnhCFWfN2/enD59OrV8+PDhjo6OD600NjZSm77++usZM2Y8
99xzFRUVAHD58uVp06aZ7hrjw5migaJm8wwLDfXx9u65lZrNMyI8/InHH4+OjDxz7px1vdX5S5d0
Ot2a1asfffhhLy+v4ydOtLa1jfQFu7m6lpSW6vR6hUKRduPGII5QUFTUKJUaDIac3FylUjlp0iSB
QBAYEHDx8uUumcxoNLa0tp46c8b+gHB19fU3MjJkMhk1npzRaLS0aaOIRCIvT89rqakarVYul6dl
ZPR5YVk5Of/57rt+XrOTk5O3RHI1JUWtViuVymupqf5+flSx04CySOTkJPHyupqSYuc67dxsdFRU
dk6OtKmJ6j8x9Gdh574QQsgORyhRu3btWmJi4pdffunl5XX79u1JkyYtXbq0sLDw7NmzL7/8slgs
BoCSkpJbt24999xzXC73pZdeeuaZZ+Ry+Ztvvnn79u2goCAAiIuLe/bZZ60P+9577x05csTycceO
HQ8++CC+MeMFNZsnABQVF/eMwi2zeQJATHR0UXFxTl7e0sWLqa2TQ0KmxsRQBU5zZ88uLi4uLSuj
Oj/aUlRScvnKFQAgCILP5/t4e8+ZNWtAFxw3Z86Fy5f3ffutk5NTdFRUfUPDQG85KiIiPSOjrb1d
5OS0euVKLocDAEsWLbqZmXni5EmNWu3i4jJ92jT7Nf4+3t5tbW0nTp1SqVRikWj50qVMJrPbPsuW
LLl89er+AwcEfH5EeHhLS4v9MieFQiGxUSTZ6zUvW7IkNS3t4A8/EAB+fn4J8fGDy6JlS5ZcunJl
/4EDVK/PlpaW/t9s0KRJKdev+/j4UHWUw/IsbN0XQgjZQWSmXY2Ycqc4qjgva+qscfazo6Cg4JVX
Xnnvvff27NnT3Nz8ySeffP755waDoays7J133qGCsNbW1scff/zxxx8/duzYq6++qlQqd+3a9etf
/3r69OkPPPCAdTRm7b333qPT6a+++iq+JfdcdU0NtRAYEFBakDNp8p1CjqryEr+gUOtiiU937+7W
+OzEyZNGo7Fb1ef+Awd8fXwWzJ9PfbyaklJVXf3Yli29nn3f/v0+3t5LFi3q9fjdmM3mLpksJTVV
o9WGB3hTXy6NVje43/djX01t7fmLF594/HE7+3x36NCaVat6VvMdOnw4durU0MmTx+B9mUymvd9+
m5SQYN0lFtkhk8m4HDaMz98jCI0dSqWysjjPOjAb91Wf33//PbXA5/O//vprd3f3BQsWpKWl6XS6
uro6qiKjqKjI09MzLS1t8eLFJ06cuHTpUkJCgouLS3l5ORXSlZWVDa5VEBqn+j+bZ0Njo0ql8vfz
6+eRaTSai7NzUmJie3u7o+ZeRWVl5e3bBoOhrb09LT19cnCw/f0fTE4ed42xCgoLGQxGcFAQflkQ
QvfW+K76rKioqK6upt+dijErK+vIkSN0Ov3LL78sLi4+duzYv/71r2effXb58uWNjY2XL19ub2+X
yWQeHh5xcXG/+93vpkyZolAovvvuu9zc3DfeeGPGjBndjv/zzz//9NNPzs7OSUlJzz77LLb8dQx2
ZvPsVoWn1+svXbkikUj6LFYxmUy5eXml5eVKpdJgMDh2Bvr6+FxNSbl89SqTwQiaNKnXkS/Gtd1f
fslmsxctWIDTUSCE7rnxHahpNJqXX36Z6u9pMBgyMzO3b98uk8l+97vfrVu37i9/+Ut7e7ulXmzO
nDmrV6/Oz8/PysoCgJiYmDfeeCM/P/+tt97605/+1PPgr7322muvvWYymcrLy99555233377H//4
B74xDqCfs3mazebTZ88CSS5futRWB0mL6zdulFdULF64UOLlxWKxVCrVvv37HTUDORzOsiVLhn6c
5E2bxuYNbn/ySfyaIITGiPEdqMXExFiWORzO9OnT//jHP0ZFRb3zzjvp6enPPffcl19+yWKxqB3O
nj2bn5+v1+tnzpzZ/1PQ6fTw8PCXX3752WefVavV2EvLMfRnNs9LV660t7dvWL+ed3foLDvKKyqi
o6IC/P2pjwqlEjMZIYTQ0DlUwf7MmTN37do1e/bst956q6am5s9//vP27dsr7s6Bs2HDhn/961/u
7u7Jycn44Ce4PmfzTEtPr6quXnPfff3sBGA0Gq0L5HqdeQkhhBAaKIealF0mkz377LNxcXF/+ctf
iouLX3rppaeffjrEqnWRRqMhSfLAgQOzrIZOOHbsWGFhYc/o7dVXX33iiScCAwNramp27twZHx+P
xWkOY2pMzOGjR3Pz8qKjooqKizu7uhYuWGDZmpefn19QsGbVKje7Q3JY8/fzKywqCvD3FwqF5eXl
3aYG6urqwoH6kGOTy+VcL0/MB4SGnYMEakFBQY8++qinp+f777+fkZHx6quvBgYGfvrpp97e3gDQ
1dVVWlqan5//ww8/LFu27Oeff16yZImlAnTSpEkvvvhieI9hLdevX//3v/+9oqKC6kzw9NNP4+sy
jpjN5s+++MLy8dPduwHgmaeeouo3qdk809LT09LTRU5O3WbzzM7NNRqNR48ft6zxlkh6zm1gbX5S
0rWUlJ+OHweCmBwcnBAfX3n7Nj4FhBBCQ+QIgZpAIHBycoqMjKyurv7ggw9mz5794Ycf+lmNp2Ay
mTgczuuvvz5t2jQajZaUlDRp0qRJkybp9Xo+nz916tReDztv3rx58+bhKzJODWU2T1sDqtnB7dG+
/rnt23NvXqeWxWKxo46jhpDlG4eZgNBIcIRAzTKUWmBg4JdfftlzB1dX19dee83yMSwsjFpgsVjf
/nK+auQAqMIzhBBCyAE4VBs1hOyXoiGEEELjCxZWI4QQQgiNURioIYQGTK1Wf7p7t1ardeCrOnT4
cFl5OT5rhNC9hYEaQggNwI9HjxaVlIydaxgL14MQGjnYRg2hUXXi5MnaujrLR38/v9WrVg30ID8c
ORITFRV+t1vM2DFmL2wYL37j/fff80u1voaxcD0IoZGDgRoa35RKpclkGl/XPCUmJiE+Hp8dclQK
hQIzAaHBUfaYgRADNTS+0Wg0BxjASaPRpFy/Xl9fDwTh7+eXEB/PZrMB4NDhw4EBAdKmppbWVj6P
l5iQ4Ofre/b8+dbW1ouXL1+8fNnTw2Pj/ffnFRTk5uVpNBp3N7eEefPce0yosG///sULF/r6+ACA
UqX6Zv/+J7ZuZbNYvSY0GAzpGRm3q6v1er3EyyspIUEoFAKAWq2+dOVKo1QqEAhioqJ63kXPC7N1
X9YOHT4c4O8vbWpqbWtbkJQUGBDQ69l7zQo7V2XrLrqdbvLdmUt6XjwAdHV1/fTf/3Y7449Hj0ZE
RESGhwNAnzlv5zJ8fHxaWlra2toEQuGiBQukTU25eXkGgyEkOHh+YiJBEHZeDOtrsF7OyskpLi5+
+MEH7/m3En80ITQ4DEb3wAwDNTS+8Xg8B5ja68y5c0wmM3nzZtJsvnDp0vmLF+9buZLaVFJWtmLp
UhcXl9y8vPMXL2599NFlS5bI5HJLJV2XTHY9LW3dmjUe7u5tbW3lFRXu/Zv5ylbCC5cuGY3G9WvX
ctjsW5mZp86e3bxhA0EQZ86f53G5Wx58UG8wnDt/vucBu12Y/fuyVlxaumLZMk8PD4IgTp892+vZ
e80KALB1Vbbuotvp7Fy8rTP2mYHW7FzG7aqqFUuXisXia6mpx0+cmBwS8sDmzVqt9ujx436+vsFB
Qf3PwLGGz+fjjyaEBockyW5r8O8ehEZbXn7+p7t3U/+qqqvlcnmjVJqUkMDn8QQCQeK8eTW1tZbZ
QqfGxHh4eDAYjOioKI1Go1Kpun+HaTQ6jcZiseh0uqenZ/zcuf28jF4TKlWq21VVCxcscBIKWSxW
3Ny5crm8o7NTJpdLpdKkhAQulytycpo7Z06fx7d/X9ZioqK8PD0JgrB1dltZYeuq7B/Hcro+b8F+
5veZ8/YvY0p0tLu7O5PJDAsNNRgM8+Lj2Wy2SCTy9fFpbW0dUAZaTI+NvefFaQih4eUIJWpms1mn
03G5XOqjXq9nsVj4aNGY1a2NWqNUSqPRqBoxAKAmm1IqlVRJoeXFpsrDjUZjt6M5CYVLlyxJu3FD
o9W6urhMiYlxc3Xtz2X0mlAhlwPAvl/O2KFQKFgsFpPBsFyMyMmpz+MrVSo792VNIBDcOZGNs7u6
uPSaFSq1utersn8cy+n6ZD/z+8z5/t4Onc5kMJh36zvodLrRZBpQBiKEHJgjBGoNDQ1vvfXWV199
RX184YUX/t//+38xMTE997x+/frkyZPdrabfRuieE/D5ZrNZqVRSAYRMJoO+goluZUHUvKUkSZZX
VBw7fvzxRx7p1sqBwWBYggyNRmMnoVAoJAhi66OPcjgc6yPI5HKD0ajRaKjwQi6X93lh/b8vS+GW
rbPbwufze70q+8exVZZGDPzZ2c/5gd7O0F8MhJDjcbQ2ai0tLVVVVT4+Pl1dXdQaLpdLNb/Nz8//
4IMPvvzyyytXrnz00UfWqcLCwv72t7/h2+AARmGiz2GfpcrJyclbIrmakrIgKclsNl9LTfX387Nf
asLj89s7OsxmM41Gq6uvb2hsjAgLEwgEJEkajcaeTRzcXF1LSkslEolep0u7cYNa2WtCgUAQGBBw
8fLl+Lg4AZ/f0dmZmZW1bMkSkZOTxMvrakpKUmKiQa9Py8jo88IGcV+2zk6n03vd39ZVDfQ4PS++
Pw+uz5wf3GUM5cUYI50JEELDaHwHauXl5a+//rpGo1Gr1Zs3bwYALy8vkUj0u9/9zrLP5s2bly1b
lp6e/te//vX99993dXWdP3/+/Pnz+3kKkiSfeeaZ7Ozs/fv3h4aGAkBbW9vOnTszMjIMBsP8+fNf
ffVVbDk7pozodJ8jFAguW7IkNS3t4A8/EAB+fn59Dt4xberUy1eu5BcUuLu53b9uXVtb24lTp1Qq
lVgkWr50KZPJ7LZ/3Jw5Fy5f3vftt05OTtFRUfUNDQDg4+3da8IlixbdzMw8cfKkRq12cXGZPm0a
FVgsW7Lk0pUr+w8coPpXtrS02L+wjfffP9D7snN2O1nX61UN9Dg9L77PS7WVgUO5nSG+GAghx0Nk
pl2NmDKd+lCclzV11vj7QfDGG29s3rw5Njb29u3bv/71r7///nuqduDGjRsEQcyZM0er1T7//PNv
vvmmwWDYt2/fO++80/+DHzhw4MaNGzdu3LAEak8++aRQKHzzzTfNZvNbb70lFArff/99fJNGVHVN
DbUQGBBQWpAzaXI49bGqvMQvKNS6jOHT3bstgVp1Tc2N9HSZXO7k5DR39uxJgYGW3UiSrKuvLywq
qq6pkXh5rV+7tucZe01rffw+5d68Tn25NFod1cAIoWHxw5EjU6Kjw0JDx84lyWQyLocN4/b3CEJj
hFKprCzOsw7MHKHqkyTJxsZGoVCYn5//m9/8hsfjpaen79mzh8lkPvvsswDA4XC+/PJLk8n01FNP
PfbYYy+88ELPg6xYsWJVjwHia2pqDh06tHPnzuTkZGpNa2trXl7et99+6+rqCgDPPvvsk08+2dra
iu3expq2trbTZ8/GzZkTFRlZXFJy5ty5jevXWx5Te3t7Xn5+ZESEwWAwm80DSovQvaVWq+UymVM/
+nMghByAIwRqarX63Llz33//fUREBAC8//773t7ewcHBb775Zk5OjqXFyf/93/9ptdqkpKSAgABL
2i+++CI8PDwxMVEsFnc7rNls/tOf/rRjxw5LrysL68bIJEmWlZXhb/GxJjc/XyQSTZ0yBQBioqOL
iotz8vKWLl5MbXVzc6MmbioqLu4ZqNlPi9A9JG1qOnHyZHBQkMTLC3MDoYnAEcZRk8vlv//975cv
X+7q6jpnzhyRSPTWW29VVFRcvXr173//O9VVas+ePZcvX2YwGARBBFoRCoVubm6BgYE9A7V9+/ZJ
JJJurdnc3d3Dw8M/++yz9vb21tbW3bt3EwTRc2grdM9JpVKJp6flo0QiaZRKRyEtQiNK4uX11LZt
ixYswKxAaIJwhECtoaHBzc3NYDA4OTktXLiQyWTyeDw+n79v375PPvnE2dm5ubm5pKTkT3/6U/+P
WVVVdfjw4VdeeaXnpvfff58giM2bN2/ZsiUhIYEgiJ5BHrrnFEoln8+vq6//8uuva2pr+Xy+SqXq
WXg27GkRQgihYTTuqz6rqqr8/f1pNJparXZ2drasT05O/vnnn6k1np6eH3zwQVlZWf8PW1JS0tra
unz5csuaLVu2PPzwwy+++KJEIvnnP/9Jrbx27RqLxYrqbd5DdA+ZzWaSJOl0OnkXg04HAJPJ1OfI
C0NJOzDqJqJ8H9F4kVDXk8AA50jSfy0ZtAloTHyCCCGEKOO+RO306dPz5s0DgK6uLuuOdUlJSUql
8ocffhjcYVeuXJlx16lTpwBg//79L774IgAcOHDg1q1bGo3m1q1b//jHP7Zu3YrDc4y515pGIwjC
ZDL5+/k9tW1bYEAANdR7f0ZGGErafiOJgn/TD4XRbr5BNFyAzlKis5C4/QPt8iP0H2OJ1lv4BB3S
j0ePFpWUYD4ghAZkfAdqMpnsxIkTy5Yt6+joqKio8PDwsGwiCOIPf/jDV1999eOPP/ZMqNFo0tPT
y8rKGhsbB1pMsnDhwv379y9btuxvf/vbww8/vHXrVnyNxiChQGDddlClUvH5/H4+66Gk7de3Lv13
tLQdYFABCd3/dZXSTiwmpFfxCY5ZGG8hhEbTuB/wdsOGDQaD4ZVXXgkICAgLCwMAPp9P9cqUSCT/
/ve/LQUhNBrNuuhr79691C/gKVOm2D+Lq6trhtU47BKJZOfOnfjqjHESiUTa3Gz5KJVKvSWSUUjb
J+L2YSL3X//7HPNrYLvArT9B/D+gowBK9oJBRTv/oGlzLnDcuqX99sCB2ClTYqKj//caf/PN7Nmz
I8PDrXdTq9X79u9/9umnuyVvlEqzsrObmpuZTOakgIC5c+ZQs+LKZLKMW7fq6usBwNfHZ15cXM9C
4iGe+sTJk7V1dZaP/n5+VK/bbusBYO3q1b4+PiRJpqWnl5SWGo1GP1/f+UlJPC7XznFsOXHypFgs
Htw4sZZzMZlMVxeXuXPmUK9Bf8bCRQih4TK+A7WZM2fOnDkTAA4cOGBZ+fnnn1uWQ0JCrJd37dpF
LXO5XMsyckhTY2IOHz2am5cXHRVVVFzc2dW1sN8d5YaStg+kiZb+JpitJhqa/DB0FgMwIOIpuPkn
oHosqJppeTvNs98Z3jy5lZk5LTZ2mYeHUqU6e+7ctdTUxQsXAkBBUVFwUBA1C9OVa9fOnj9//7p1
w/5Euk1Fb399ZnZ2RWXl2tWreVzuxcuXz50/v27NGvvHGQnUufR6ffrNmydPn374gQcsM6kjhNDo
cLS5PhGiuLm5rVi2LC09PS09XeTktGzJEg+rse7MZvNnX3xh+UhNDPXMU09R9Zv20w4F0ZQOnRV3
Pngnge9CcIkCowbm/BVYTuAxG4IfgPKDAECUHIBZfwZiOBsnrF29mlpwYbEiIyLy8vOpj/Pi4qgF
NosVER5+7sKFe/74CouKpsfGurm6Upf33aFDXV1ddrpX92eOS41Gk3L9en19PRCEv59fQnw8m80u
LCrKLyx8YPNmah+ZTHbg+++3PPig9eiJLBYrbs6c/IKCpubmSYGBPx49GhERERkerlKrDx0+PC8u
LnTyZAC4dOWKXC5fu3q10WhMz8i4XV2t1+slXl5JCQk9x2LMKyjIzcvTaDTubm4J8+a5u7nhdxYh
1CsM1JDDCgwICLQa3NgajUazPxOUnbRD0nwLTHeXfZdCxBZgCkA4CcRhAABu06Gz4s4OXbWgbgH+
SA1q2iiVuvUIDlRqdUlZmfVcW/eEVqtVqVSW4NjZ2ZnBYLS1tw9xHJwz584xmczkzZtJs/nCpUvn
L168b+XK0MmT09LTpU1N1PixhUVFfr6+PeOqXvF5vKWLF586c8bdza2ltbWmpiZ50yaCIC5cumQ0
GtevXcths29lZp46e3bzhg3Wo2R3yWTX09LWrVnj4e7e1tZWXlGBgRpCyBYM1JBjGvRsnv1JO2iE
pvN/gVrKH6DhOmz4Gb5fAGHJMOf38HUEkKb/7a3tHFCgduHSpVKrMWgs88fPmD59zqxZ1nvmFxQ0
NDZu2rDBsqaktPTi5csA4OrqunrlyoHeV39OnZefbynDW7l8uSXDrdcDwLbHHtMbDABAtZ+jsNls
aqWt40yPjZ0eG2vnCuVyeaNU+shDD/F5PABInDfv4A8/qNVqHo8XOnlyYVGRxMvLZDKVlJUtSErq
llav12fcvMlkMj2thkGm+Pr4xE6ZcvLMGbVavWr5ch6Pp1SpbldVPfbII9SJ4ubO3bN3b0dnp6uL
iyUVjUaj02gsFotOp3t6evY8LEIIWWCghhzTUGbztJ92KEi2C0FFYjQmbMsHvicAAQ+lAUsIdDY8
XQc/JUNDCgAAEMBx6ZacRqN1ux6T2Uy/2x118cKFVJszWy36KfkFBbcyM9etXi2ymiwyPCwsPCxM
rVbfyso68tNPDyYnMxiM4T31gNqoAYBer7cs63Q6FpNpf3/7lCoVjUazFJVRQ/kolUoejxcTFXXo
xx8T4uNr6+poBGFdkkoFhUwGw8XFZdXy5bzeGqhFRUZmZmd7eXr6+PgAgEIuB4B9335rvY9CobAO
1JyEwqVLlqTduKHRal1dXKbExFCVvAgh1BMGasgxDWU2T/tpe1VUUnL5yhUAIAiCz+f7eHt3K8S6
w2s2GAEAgEZA5m6Y8iiwhJC5C+JehY4cKD0KzUV3dhAFAt+jW2onoZCaEo2i1Wp1Ot2AJufOys7O
KyhYt3ati9Xo0BY8Hm/GtGkFhYUymcz1l6HD0E/dfxwOh8/nt7S2UkVNnZ2dRqNxiKGMgM83m81K
pVIgEAAAdS/UsrOzs6eHR0lZWVVVVVhYmPU4LH0GhSRJXrh0KTAgoKm5ubikJCI8XCgUEgSx9dFH
ORyOnYRU3TpJkuUVFceOH3/8kUe6RcYIIURxhCmkEBqoYZ/NMzI8/Lnt25/bvn37k0+uXrVKpVL9
fPp0z91IySwQR4ABQKeH6/8Cox5qrkHa/wGDC8VHIPWfoOgAA4AByMgtAES35BHh4aXl5dU1NQaj
UalUXrl2zcXZ2dPDo58XmZ6RUVBUdP8vozSSJM+cO9fW3m4ymRQKRcatWzwer2drsCGeeqCiIiOz
c3Pb2tvVanVqWpq3RGK/gVpWTs5/vvvOzg5OTk7eEsnVlBS1Wq1UKq+lpvr7+fF4PGprdFRUdk6O
tKmp22gjfcrMylKqVIsXLVq6eHHK9esdHR0CgSAwIODi5ctdMpnRaGxpbT115ozJZLJOVVdffyMj
QyaTUdNgGI1GkiTxW4kQ6hX+DYcmIstsnmfOnVu6eLFlNs+hj2pLo9FcnJ2TEhMPHDwIAd7dNxM0
88L3aAfWA/WLuToVbp8Hkg2FR6HsPBju7ibyNc9+sefBQ4KDTSZTxs2bsvPnmSyWj7f36lWr+nnN
BoMhMzsbAP5z8CC1hk6nb3/ySYIgwkJDr1y71t7ezmKxJF5e69as6TkNw1BObV+3NmqLFiwIDwub
MW2aXqc7fuIENY7aooULB318S7S7bMmS1LS0gz/8QAD4+flZF5UFTZqUcv26j4+P9ewmfWpobMzO
zd14//1MBsPH23tabOyZc+c2bdy4ZNGim5mZJ06e1KjVLi4u06dN65afPt7ebW1tJ06dUqlUYpFo
+dKlTCbOG4YQ6h0GamjCGYnZPE0mU25eXml5uVKpNBgMdvYkQ+8zJ/2BdvEvQJLw35fvrD30+P/2
4IjMyYeAI+41eVhoaFhoqP2L4fF4PVuJMZlMWx1d+9nFddCnBgBbw9LaWk8QRHxcXPzdcUP63N9W
ZwKdTmepguTxeJba7e4PhSRNJlO34jRb57IMeOvj7f3Utm2W9TOnT585fTq1HD93bvzcubYS0mi0
abGx0+z2fkAIIQoGamjC6TabJwBQRU1Dmc3z+o0b5RUVixculHh5sVgslUq1b/9+WzuTi/5odvKn
nfgtqDu6b/KdTj6wl/SIxMc0dM0tLa1tbXNmz+5zz4LCQgaDERwUhJmGEBprHCFQMxqNJpOJzWYD
gF6vt+7Vj1Cvhn02z/KKiuioqAB/f+qjQqm0vz8583FT5Doi6zui/BJ01AKDBZJIMnotGb4CaPTx
kIVj3Zlz56RNTdNjY319fOzvufvLL9ls9qIFC4ZxOleEEBoujhCopaamXrt27c033wSA3bt3+/r6
3o+T8SG7hn02T6PRaF0gV15R0XcanjOZ8ByZ8Bw+jpGwfOnSfu65/cknMbsQQmOWQ1V9ms3mCxcu
zJo1q6GhwbIyLi5uxowZ+KSRtWGfzdPfz6+wqCjA318oFJaXl6vVasxkhBBCQze+A7WcnJx3331X
LpcDwObNm0UiUUxMDADExcUBwOnTp1esWOHt3b3nXVZW1t69e/Pz83k8XlJS0vPPP8/n8wHgvffe
O3LkiGW3HTt2PGg1dSBJks8880x2dvb+/ftD+2pSje65oczmaT9tr+YnJV1LSfnp+HEgiMnBwQnx
8ZW3b+NTQAghNETjO1CLjY394Ycftm3b9uGHH/L5/EcffXTOnDmfffbZokWLACAtLW3RokU9x+T8
6quvHnnkkejo6Obm5tdff/2DDz54++23qU2bN29+9dVXez3Xd999RzWDQ+PCUGbz7DNtT1wOZ9mS
JdZrntu+PffmdWq5q6treGc4QGiskcvlXC+cCwuh4ecgVZ/V1dVCofDNN98sLi42GAzV1dUAQC2E
h4dTBWYWH3/8MbUQFBS0fv36g3eHlbKjpqbm0KFDO3fuTE5OxpdmjLNMNIkQQgiNd44QqGm12h9+
+OH27dvbt2/ftGnTF198UVlZCQAkSVrXXfYqKyvLuh7z559//umnn5ydnZOSkp599llqhhmz2fyn
P/1px44dlokC0Zg10JKw0SEWiwc0kipC4w72mUVopL5cDnAPer3+L3/5S3x8PNXtTiAQPPvss88+
+2yfcdWhQ4eysrJeeOEF6uNrr712+fLlK1eufPDBB7m5uZb60H379kkkkvnz5+PrghBCCKHRNO5L
1KiZ8mg0mk6no6ZhUSgU77zzDgB0dXXZSXjo0KE9e/Z88sknvr6+1uvpdHp4ePjLL7/87LPPqtXq
5ubmw4cP77c9eClCCCGE0AgZ94FaZWUlFWmp1WqZTJaZmclms7ds2QIAb7/9dmZmpkgkCgkJ6ZZq
796933///a5du4L6Gou8pKSktbV1+fLlljVbtmx5+OGHX3zxRXx7EEIIITSixn2gdvHixYULFwKA
XC5Xq9VZWVmxsbFpaWlarTYkJCQrK8vX17dboLZr165Tp059/vnnfn5+1utfffXVJ554IjAwsKam
ZufOnfHx8Tweb+XKlStXrqR2aG9vX7lyJQ7PgRxMQ0MDh8t1dXEZUKpGqVQul4eHhQ3x7GazWa1W
nz53bvXKlZZ5ORFCCFHGd6DW0dHx888/f/bZZzKZrLq6+g9/+ENxcfGJEyf+/ve/s1ist956SyaT
PfbYY9ZJNBrN119/DQAbN26k1rBYrJSUFABYv3793//+94qKCqozwdO9zS2NxhqlUmkymTAfhqK4
tNTd3Z0K1FpaWmh0+o309FUrVthpHn712rXgoKDs3FyxWOzlOYBBGTo6O1OvX4+bO9fN1ZVaU3n7
dmlZWUhQ0M3MzMR58+ykVSgUTCYTg7mxT6FQYCYgNDjKHjMQju9AraSk5PHHH29sbPzggw9mzZqV
k5PzySef/POf/6SK0L766qv33nvv7Nmzq1evtiThcrkZGRm9Hm3evHnz7P6ecHV1tZUW3Ss0Gm3c
dTerq6/XarXWawiCCAkO7vZdNRiNPdM6i8XUQn5BQW1dXa87xMfFDfraCouLeTyeUCisvH178t2i
aJIkSZK05LNSqQwODr6akrJi6VKqZ3T/OQmFXp6eR44dmxcXFxUZCQCTQ0LKKyu9JRLnvor0snNz
yysq5sXFDbQYjyTJtPT0ktJSo9Ho5+s7PymJx+UOYh/U/28lZgJCg8NgdA/MxnegFh8fTy1QY6GR
JDl37lzLsLQMBoOaABQ5MB6Px+Pxxtc1NzY2yuRyy0e9Xt/c0tItUEtLT2+USnumfWzLFmpBIpH0
DJJa29rqeove+i8hPj7j1q3EefOsf9fW1NZm3LyZvGkTANTW1V28fPnB5OQ1q1YNNErrkslETk6z
Zs709fW1nhp15bJlWp2OyWAAgFwu12g01qnYHI5YJAKApIQEdze3qykpCqVyltW8cAWFhXw+f1Jg
oK3zZmZnV1RWrl29msflXrx8+dz58+vWrBnEPqifug1diRDqP5Iku61xqLk+CYLAyQPQ2Ddn9mzr
j/UNDVdTUrrts3TxYvsHcXN1tdQeWtDp9MEFajU1NQF+fmKxmMlkzutRIFdRWSm5O2m9v5+fh7v7
1ZSUPq+wp/MXL5pNpkULFki8vKzX19bVpaWnP7B5M7VcV19v2aRSq/k83sq7vXkiwsPd3NxYTKZl
B51Od/PWraVLlgBAVk5OcXHxwz1GTywsKpoeG0tl17y4uO8OHerq6hLfLZvs/z4IITT6HCpQQ2g8
UiqV3OGuZVOp1bcyM+3s4OriEh0VZfloNpuP/PSTv5/f7FmznH45AKFao6m8fXvDunWWNUmJid99
/311TQ01B1f/z7Vh3bpbmZknTp3a8uCDluJ9jUZz8fLlpIQE6mN0VJT1hVVVV5eUllofzd3Nzfrj
5atXvby8fH18bJ1dq9WqVCrLXK7Ozs4MBqOtvd06COvPPgghdE9goIbQPaZUqQTDXVVEp9HsD/jc
LTScNGnSimXLbmRkHDx0aNrUqdNiYy2BVE5OjqeHh7vVpPUCPn/WjBmpaWn+fn40Gq3/56LRaLNn
zZo6ZYrl4Gq1+r8nT04KCAi+O1BOR2dneUWFJa390RAzbt5sbmnZtGED9XF6bOz02Nhu++gNBgBg
sViWNWw2m1o5oH0QQuiewEANOZRRmOhz2GepUqlUwgE29uoTh8PpGbL0mWRBUlLQpEmXr16dNGkS
VQnY2dmZV1DQs7VWTHR0bn5+Xn5+7NSpAz2XpX1CZ2fnz6dOSSSSpMREy1Ymg2Ed9ul0OpVK1fMg
JpMp9fr121VVVKsyO6ej6kn1er31Ma0rT/u5D0II3RMYqCFHM6LTfQ4xEDQajV0yWbeVXV1dnh4e
be3tAMDn82kEUVJWZucgPt7ebq6uXV1dPYt8ZD0OPlD+fn5bHnyQ6klgMBrPnD8/OSSkW5MyAKDT
6TOmT7+Rnh4VGckceECj0+tvZWYWFBZOiY6OmzvXepNQKIwMD7d87Fn1Sa28kZHBZDA23H+/U18z
xXE4HD6f39La6unpCQCdnZ1Go7Fb877+7IMQQvcEBmrIYVXX1NxIT5fJ5U5OTnNnz7buFUiSZF19
fWFRUXVNjcTLa/3atf1POxRyheL8hQu9Xmp1TQ0AxE6d6u/n19HRYecgVACRmZ3d2trabZPBaBz6
oBKW/p6k2ezr7d2t64NFZHi4WCQaUJRmNBrr6utvV1VVV1eLnZ03rFtnXaNKySsokFt1iZXL5QRB
UMsNjY1V1dW3q6rMZvOMadOiIiO7DQNhqzNBVGRkdm6uRCLhcbmpaWneEgnV+OzSlSsKhWLt6tV2
9kEIoXsLAzXkmNra2k6fPRs3Z05UZGRxScmZc+c2rl9vCQva29vz8vMjIyIMBoPZbB5Q2qFwcXZ+
IDm5z90Wzp/f5z6LFy7subKlpaVn+dOgsVisBNsjC9JoNDtN+Hul0+lS09L8fH1XLF/u4+3d6z5O
QqH1MEJms9lS9UmSpF6vT5w3L8Dff0Ajdc2YNk2v0x0/cYIaI21Rb1nXn30QQmj0YaCGHFNufr5I
JJo6ZQoAxERHFxUX5+TlWUaUcHNzW71qFQAUFRf3DNTspx3LPDw8PDw8BpoqIjycOyqDu/L5/C09
iru6oXqS9srXx8d+aNhrZwIAIAgiPi6u5zjA1gGxrX0QQujewvGjkWOSSqUSq6mNJBJJr+PHDnva
8cjH29vF2RnfGYQQGoMwUEOOSaFU8vn8uvr6L7/+uqa2ls/nq1SqnoVnw54WIYQQGkbjvuqzo6Oj
urp6+vTpljUkSdbV1eXn59+8eTM5OTkyMhIA5HJ5R0dHe3t7XV1dRUUFh8N5/vnnAeDXv/71h90K
EoUAAIAASURBVB9+yMR++I7FbDaTJEmn08m7GHQ6AJhMpj7bNg0lLUIIITS8xn2g1tjY+Prrr/+/
//f/xGLxyZMnGxoaGhoaSJJctGjRjBkz3O4OYv71118rFAqtVtvc3PzUU09NmjSJWk/tjO+Bg6HR
aARBmEwmfz+/p7ZtA4DM7GwAsJ5fciTSIoQQQsNr3Adq0dHRH3/88d69e3fs2OHk5CSRSORy+fvv
v289HXt9fX17ezsAyGSytra2EydOAMCGDRtiY2OplUwmk8fjWY9LTsnOzv70009LSkr8/Pxefvnl
mTNnAkBnZ+eHH36Ynp6u1+vDwsJeeumliIgIfJPGGqFAYD1Qqkql4vP5/SwSG0pahBBCaBiN+0At
MzMzJibmnXfeqaurE4lEarVaKpXqdLrq6mpqB5FI5OXltXXrVpVKVV5efvXq1eTkZAA4f/78n//8
Z6lU+rvf/a65ufmFF15YfnfiZ0peXt5LL7304osvfvjhhzKZ7LvvvqMCtb///e9tbW3ffPONUCjc
tWvXSy+9dOrUKfwtPtZIJBJpc7Plo1Qq9b47rfiIpu1VV1cXNnFDjk0ul3O9PDEfEBp24z5QO3Lk
yMcff7xz5849e/ZQpSAqlaqxsfGTTz6hdli4cOGqVasOHz7c2dlJp9NbWlouXLhw5syZH3/88aWX
Xlq7du1XX33173//u+eRd+3atWbNmg0bNgCAUCh89dVXqfUVFRXJycleXl4AsGnTpkOHDrW1tQ1i
TAQ0oqbGxBw+ejQ3Ly86KqqouLizq2vhggWjkBYhhBAaRuM+UHv33Xffe++91NTUt99+m1pTWVn5
3nvvffDBB932NJvNBEGQJGkymbq1SzOZTN1aIBmNxpycnBkzZjzwwAONjY1BQUEvvPAC1WVh0aJF
586dmz9/Pp/PP3LkyJQpU4ZlKFQ0vNzc3FYsW5aWnp6Wni5yclq2ZImH1WMym82fffGF5SM1MdQz
Tz1FlYzaTzsIYrFYJBLhQ0EODGsVEBohjjDg7WuvvUYtlJaWGgyGhoYGlUpVUFAAAK6urpK7lVZL
ly5lsVjnz5/fsmVLdnY2AJhMJmp2GoPB0K3jp1KpNJlMx44d+8c//uHv7//999+//PLLhw4d8vDw
ePzxxwsKClavXg0AEolk586dlilu0JgSGBBga/RUGo1mf0pQO2kRQgihUeMIgVppaWlqauq2bdt+
+9vfTps2jcFgREZGHjt2rLa2Njw8/OWXXwaAgICA06dPK5XKxsbGDz/80NnZmU6n19XVUXMwa7Xa
bj0JuFwuQRDr1q0LDw8HgK1bt3733Xe3bt1atWrV//t//8/Hx+fkyZN8Pv/o0aNPPvnkwYMHsVBt
rBnibJ4jNNcnQgghNCCOEKh98cUXc+bMoZZ/85vfCIVCavmnn36qrKyklkUi0dSpU6VSqVqtjo6O
BgCVSpWenh4VFQUASqWy2xQ6bDY7wKpAhRpPiyCIrq6ugoKCHTt2UAN/PPTQQ5999ll+fv6iRYvw
ZRpThjKb58jN9YkQQggNyLhvVZCZmVlcXLxu3Tr7u/n4+AQHB3t7ewuFwuDgYE9PT41G8+OPPy5b
tgwA2tvbxWJxtySbNm06duxYSUmJRqPZu3ev2WyeNWuWWCyWSCQ//PBDR0eHRqP5/vvvjUbj5MmT
8U0aa6jZPIMmTeq16YxlNk8GgxETHe0sFufk5fVza6+KSko+3b370927d33++Tf/+c+FS5eUSqUj
5adarf50926tVouvFkIIjabxXaKm1Wrffffd7du3Wyou//nPfzIYd26KqvoEgIaGhps3b7a3t1dW
Vt6+ffurr75ydnY+duxYcHCwSqXKyMiorq729OzesTw5OVmpVL788stKpTI0NHTnzp1UKdqHH374
f//3f5s3bzYajQEBAX/729/8/PzwTRpfpFKp9fTeEomk6u54Ln1u7VVkeHhkeDgAmM3mLpksJTX1
59OnwwO8R+2Ofjx6NCIigroG62WEEELj2vgO1Oh0+pIlS9asWUN95PP5a9eutVRiXr9+nSoA4PP5
EokkNjb24Ycf9vT0pNFoCoXij3/84+uvv37q1KmbN2++8MIL3ao+Kdu2bdu2bVu3lcHBwR999BG+
OuOaZTbPM+fOLV282DKbJ1X8Zn+rfTQazcXZOSkx8cDBgzCKgdrG++/vdXk8apRKs7Kzm5qbmUzm
pICAuXPmUH+JyWSyjFu36urrAcDXx2deXByfzwcAjUaTcv16XX29yWRyd3OLj4ujeuna2h8hhMaR
8R2oMZnM5557zvLxwIED1lstEwaIxeIVK1ZYbxIKhf/6178AIDk5mRr/Fk0c9mfzHNxcnyaTKTcv
r7S8XKlUGgwGzOShuJWZOS02dpmHh1KlOnvu3LXU1MULFwJAQVFRcFBQUmKiQa+/cu3a2fPn71+3
DgCupqSo1erkjRtZLFb6zZs/nzr1+COPEARha3+EEBpHHKEzAUIDYn82z8HN9Xn9xo3yiorFCxdK
vLxYLJZKpdq3f3+vexoMhvSMjNvV1Xq9XuLllZSQQHV/OXT4sI+PT0tLS1tbm0AoXLRggbSpKTcv
z2AwhAQHz09MpEaBoUqP6uvrgSD8/fwS4uPZbDYMsOrT1kEOHT4c4O8vbWpqbWtbkJTk4+196cqV
RqlUIBDEREX15xask08OCRncA1q7ejW14MJiRUZE5OXnUx/nxcVRC2wWKyI8/NyFC9TH9o6OKdHR
AoEAAKKjovILClRqtYDPt7U/QgiNIxiooYnI/myeg5jrs7yiIjoqKsDfn/qosN2T4MKlS0ajcf3a
tRw2+1Zm5qmzZzdv2EAFYberqlYsXSoWi6+lph4/cWJySMgDmzdrtdqjx4/7+foGBwUBwJlz55hM
ZvLmzaTZfOHSpfMXL963cuVAb9/OQYpLS1csW+bp4UEQxNHjx3lc7pYHH9QbDOfOn+/PLVgn73bX
pWVlPa9kxvTpc2bNsnOpjVIp1TbUmkqtLikrs4yZEjxpUnllZWBgIIvJLCwq8vL0FPyyirPb/ggh
NI5goIYmIvuzeQ5irk+j0Whd5FZeUdHrbkqV6nZV1WOPPMLn8QAgbu7cPXv3dnR2urq4AMCU6Ghq
EJCw0NCS0tJ58fFMBoPNZvv6+LS2tgYHBcnl8kap9JGHHqKSJ86bd/CHH9RqNY/H6/+92z9ITFSU
l6cnAMjkcqlUuvXRR7lcLpfLnTtnzvETJ/q8BUvybhYvXEhVXw5IfkFBQ2Pjpg0bLGtKSksvXr4M
AK6urqvvBpfTp01rPnPmm/37AUAoFK62ilx73R8hhMYRDNTQRGR/Ns9BzPXp7+dXWFQU4O8vFArL
y8vVanWvuynkcgDY9+23v1ipUFBRjqVHC4NOZzIYzLv9l+l0utFkAgClSkWj0SwjBVLTUimVygEF
avYPQlUgAoBKpWIyGJZLEjk59ecWLMmHLr+g4FZm5rrVqy2nBoDwsLDwsDC1Wn0rK+vITz89mJzM
YDCOnzjh5OT0+COPMJnMouLiI8eOPfCrX1FxZK/74/uPEBpH8GcWckxDmc1zEHN9zk9KupaS8tPx
40AQk4ODE+LjK2/f7rmbUCgkCGLro49yOJxB3JSAzzebzUqlkoqHZDIZDDw2sn8QS5Uln883GI0a
jYaK1eRyeX9uwdZ0agOt+szKzs4rKFi3dq2Ls3PPrTweb8a0aQWFhTKZjM/nN7e0zIuPpwLNqVOm
pN+82dTURNUU99zf1dUVvx0IoXEEAzXkmIY4m+dA5/rkcjjLliyxXvPc9u25N693200gEAQGBFy8
fDk+Lk7A53d0dmZmZS1bssR+TwULJycnb4nkakrKgqQks9l8LTXV389vQMVp/T+IyMlJ4uV1NSWF
6jWZlpExlFsYUNVnekZGaXn5/WvXWs9kT5Lk2fPnZ0yf7iwWUyVkPB5PLBbT6XShUFhQWOjk5MRk
MotLSsxms5urq6398auBEBpfMFBDjoYqPBuzlixadDMz88TJkxq12sXFZfq0af2M0ijLlixJTUs7
+MMPBICfn19CfPwgrqGfB1m2ZMmlK1f2HzhA9fpsaWkZlluwz2AwUN1s/3PwILWGTqdvf/JJgiDC
QkOvXLvW3t7OYrEkXl7r1qyhznvfihXXb9z47vvvzSaT2Nl5+dKlVIRna3+EEBpHiMy0qxFTplMf
ivOyps6Kn9gZgsai6poaaiEwIKC0IGfS5DsDT1SVl/gFhQ60SGnU5N68Tn25NFqddeHQSPjhyJEp
0dFhoaH4tqB7QiaTcTlswN8jCA2NUqmsLM6zDszG/VyfCCG1Wi2XyZysGt0jhBByDA5S9UmNdAUA
JEmC7RbNCDkeaVPTiZMng4OCJF5e1usVCsW3v5yrAwDCQkMHMUwGQgihe8URAjWTybRx48bTp08D
QE5Ozr59+3bu3ImPFk0QEi+vp3rMSAsAQqHQfncKhBBCY9+4r/r897//nZeXZ/l448aNKVOm4HNF
CCGEkAMY9yVqOTk5gYGBRqOxoKDAx8fnzJkzHh4eZVYjNj3xxBOTJ0/ulio7O/vTTz8tKSnx8/N7
+eWXZ86cCQCLFi1S/nLmnxMnTnh4eOBbMpYplUqTyYT5gNDYoVAoMBMQGhxljxkIx3egZjKZGhsb
c3NzdTrdsWPHBAJBQEDAvHnzcnJyAgICZDKZVCrt6OjoliovL++ll1568cUXP/zwQ5lM9t1331GB
2sWLFy37/P3vf6+srMQobeyj0Wj2Z+EcC7q6usxmMz4s5MDkcjnXy9PyrcQMQWhwes6eMr4Dtdzc
3Ojo6N///vcpKSm/+c1vHnzwwQ8++OC///3vggULMjIyEhISzpw503PkpF27dq1Zs2bDhg0AIBQK
X3311W47aDSaU6dOvfbaa/jGjH08Hm/MDs+B0MREde1CCA0C1SfS2vgO1Ly8vB544AFqmcPhvP76
635+flevXt2+ffsXX3yxffv2kydPdvvbzmg05uTkzJgx44EHHmhsbAwKCnrhhRemT59uvc+ZM2eY
TOZC7ByHholYLB7pcdQQurewFA2hkfpyjeur9/b2njFjBkmSWq321Vdf7ezs3Lt378KFC6uqqvh8
vru7u8FgYLFY1kmoJk3Hjh17++23T58+PX/+/Jdfftky5DrlyJEja9as6ZYQIYQQQmiUje9ArbW1
defOnRs2bGAwGI8//rhYLD5z5sxTTz11+PDhVatWAYBWq+0Wb3G5XIIg1q1bFx4ezuPxtm7dymKx
bt26ZdmhuLi4tLR0/fr1+HIghBBC6N4a31WfbDbbycnp//7v/15++eWIiIinnnrqgw8+qKioyMrK
+v3vfw8AKpWqWwMmNpsdYDXZNkmSJElaD5D7448/zpo1y8/PD1+O8WgUJvrEwckQQgiNmvEdqDk5
OW3btk2j0QAAnU7fs2ePUql84oknfvvb37LZbABoa2vr2TZo06ZN+/btS0xMDAgIOHjwoNlsnjVr
FrVJqVSePXv27bffxjdj/BrRQGqEAsEfjx6NiIiIDA/vtl6tVu/99tttjz3G4XBG6I5G4RQIIYQG
zUGmkKKo1eoXXnhh0aJFXl5eqampMpnMZDIJhcJuuyUnJyuVypdfflmpVIaGhu7cudPNzY3adPLk
ST6fP3/+fHwzHEB1Tc2N9HSZXO7k5DR39uxJgYGWTSRJ1tXXFxYVVdfUSLy81q9da53Q/laEEEJo
1DhIoEb1BicI4r777tu0aVNOTs7p06fNZrOtsrFt27Zt623WneTk5OTkZHwtHEBbW9vps2fj5syJ
iowsLik5c+7cxvXr3d3dqa3t7e15+fmREREGg6HnCGf2t6KhO3b8eKNUmrxpk5urKwA0SqVZ2dlN
zc1MJnNSQMDcOXOopqVqtTo1La2uvt5sNk8KDEycN69bk9Nux7Gzf6NUmp6R0drWJnJySoiP9/Hx
AYAvv/5ar9dbH/DRLVsEfP5Ar+fKtWuFRUWWg8yLj58aE4NPGSE0LBwhUONyud9++y0A8Hi8TZs2
AUBsbGxsbCw+3YksNz9fJBJNnTIFAGKio4uKi3Py8pYuXkxtdXNzW71qFQAUFRf3DMXsb0VDfTR5
ed1GdLyVmTktNnaZh4dSpTp77ty11FRq5vjTZ8+y2ewHNm8mSfL8pUsXL19esWyZnePY2r+pufnn
kyfj4+JWrVih1ely8/KoQO3JrVstaa+mpHR0dAj4/MFdT3RUVFJCAj5chNCwc6iqT4QspFKpr4+P
5aNEIqmqrh4LF6bX6zNu3qyqqdHrdMHBwfPi45m/jDbUavWlK1capVKBQBATFWVZf+jw4QB/f2lT
U2tb24KkpMkhIT0PrtFoUq5fr6+vB4Lw9/NLiI+nGmt2S+vj7d3rKQwGQ3pGxu3qar1eL/HySkpI
oFoO9OfU/dTV1ZVfUHDfypW1dXWWlWtXr6YWXFisyIiIvPx8AFCp1U3NzckbN1L9gebMmnXk2DGV
Ws3n8Xo9jp390zMywsPDoyIjAYDNZveMqAxGY1l5+fzExEFfD0IIjRAM1JBjUiiVfD6/rr7+zLlz
Sxcv5vP5KpXKbDbf82E5z1+6pNNqV69cyePzKysrGxoaAq26IQPAmfPneVzulgcf1BsM586ft95U
XFq6YtkyTw8P637Kv0h77hyTyUzevJk0my9cunT+4sX7Vq7smfbo8eO9nuLCpUtGo3H92rUcNvtW
Zuaps2c3b9hAncvWqS9culRqNbWuxYzp0+fc7aNjQZLkhUuX5t0NH3vVKJXeaTNKDc/9y9O1tbXx
/f17P46N/bm+vtKmJh9v74OHDskVChdn5/i4OG+JxHq38vJyGo0WNGnS4K4HAErLyopLSrhcbmBA
wNzZs3EURoTQcMFADTkgs9lMkiSdTifvYtDpAGAyme5toKZUKqur/z979x3X1NU/Dvxkb8KGAAFE
2UtZIgiKDPcoIrXWarFVa/u0Kq19rLZPbX8+fVprrR0OfDpcdT9KrXtUERARkCkbWUKAsEISQvbv
j1vzjQFC3JB+3q/+kXvuveeee3Ixn557Rt2rCxdig5G9PD11DhD09PB4vKQlS2g0Go1GCx0//vSZ
M5q9vt7etjY2g2Xe09PTzOO9tmgR1sYTER5+5Pjx3t5erAVIc+5glxCJxfdqa5e+9hp2+oTQ0J/3
7u3s6rIwN9dz6eioqGiD1/C4k5/PYrFGOTv39vYOeEBxSUlTc3NCfDxCCJuz+nZOzuTISDVCt3Ny
EEJYl7IB8xnseJlMplKpSsvKpk+dampqWlRcfPb8+VdefpmptczR3bIyT3f3/svNGVieSRERkyIi
VCpVR0fHtbS0K9euzZg6Ff4MAQBPBQRqwAjh8XgcDqdUKh253OXLliGE8vLzEUL9f4mfsx6hEIfD
6VlOSiwWk4hEGo2GbbJNTLT3MplMPZmLxGI8Hq8Z5oxdRSQSYYGa5tzBLiHs6UEI7TtwQDtPoVCI
BWr6L22Irq6uktLSxISEwQ4oLinJzcubO2uWpkjTYmPTMzMPHT1KIBACx41ram6m0Wh68hnweKwf
m6eHBzaUJDAgoLC4uKmpyd3NDTurjc/n8/lxD/ovPmp5tJ86KyurieHhqadPy+VyEokEf4kAgCcH
gRowTiwmUywWazbFYjGDwXjh7z1NWCy1Wi0QCAaL1RgMhlyhkEgkWATQ09OjvXewN54YJoOhUqlE
IhEWVAkEAqQVYGnOHewSLBYLh8MlLVky4IRqg13a8Fef/PZ2sVj86759mpRjJ06M9fMLmzABIXQn
P7+opGTunDnmZmb/9yWyWDOmTcM+19XXEwgEayuruvr6wfIZ8HgikWhmaqrndu6WljrY2+t8I4aX
B/7WAADPFARqwDhxOBxea6tmk8fj6XRLeiGYTKazk9OfaWmTIyIYDEZ1TQ2dTtfuo8Y2MeHY2t7I
yIiMiJDLZFm3bxueuYmJiR2HcyMjY3JkpEqlSs/MdORy6f26ug92ib/Kdv162IQJTAajs6sr786d
uJgY/c2Qhr/6dHN1dXN1xT5js+xqptXIvn27oqrqpTlzdKKlwqIiSwsLa2vrtra29MzMwHHjyGSy
nnwGPB4h5OPtfaegwNnJCXv1qVapNANNZDJZVXW1zi08UnkQQucvXgwKDDQzNe3u7s68edPJ0RGa
0wAATwsEasA4+fv6njh1qrCoyMfbu7SsrKu7O2ry5OFQsJgpU27dvv3HuXNyuXzM6NFYe5K2uJiY
a2lpBw8dwoZktrW1GZ55XExMZlbWkePHcQhxudyJYWGDHTbgJWKmTMnJyztz7pykt9fc3Dxg3Ljn
8LJYLpdjL6Z/O3IESyEQCCvffBMh5DJqVFp6ejOPx2Awxvr5+fr46M9qsON9fXykMtnZCxdkMpml
hcXMGTM08WtFZSWZTNaeDPkxyuPl6XkjI6Ojo4NGo41ycgoOCoI/QADA04LLy7rh6ReAbZQV3fEP
DoNKAcNNXX099sHZyamipGCU619LLdVWlXNd3LQbjXampGiWkKqrr8/KzhYIBGwTk/EhIdpj+lQq
1e7//lfnKm8tX469G9WzVzv/IRXm3MT+uCR9Uj390gAwAgKBgEalIPgdAeDJiESimrIi7cAMWtSA
0XJ2ctKZ+UIDj8fribf07wUAAACeGwjUgHHatWePGpv46gEmk7nk1Vexz2KxuKCoqLa2tk8qtbCw
CAkKsrez0xyZcfMmNsepBplM1p7F/sUSCoUHDh3SSXR3czN8mgwAAAAjhTEEar///rtQKFy8eDG2
+ccff3R3d7/22ms6h7W0tFRXV/c/3czMzFtrcnZgHFatWKH5rFKp9h44oN26VlBUZMpmz5szh0wm
F5WU/HH2bEJ8PNYhHUOlUpctXTo8b43FYkGDHwAA/E0YQ6B26NAhOzu7jo4OhJCrq+sff/xBpVI7
OzuxvSEhIRMmTEAI3bx5848//ggMDNQ+t7W1VSAQfP/99/AoGLG6+vq+vj5Pd3dNSrhWF/6ggICS
u3erqqu1A7VHVVpefj0tDSGEw+EYDIa9nV3/efkBAACARzXiA7XTp0+bm5sHBQWdO3fuH//4R0tL
C5/PX7t27WeffbZ+/Xomk+ng4KA5eOzYsf/4xz+0T8/Ly9unNSGTti+//PLkyZOazbVr177yyivY
5/z8/J07d5aXl3O53OTk5CAY5DW8lVdUWJibWw0+5RUOh1MoFE9yCS8PDy8PD4SQSqXqFggyMjPP
Xrjg4WQHlQ8AAOBJjOxArbW1dffu3b/88guJRPrzzz99fX1TUlLeeuutyMjIV199FY/HT3h47oMb
N27cv39fO6W7u1t7bnEdCxYsWLdunU5iUVHRmjVrVq9evW3bNoFAcPjwYQjUhrPe3t6GxsYJ48cP
uFcqlRYUFkqlUu32tieBx+PNzcwiIyIOHTmCHgRq3d3dKpUKvgtgxHp6emi2NlAPADx1IztQs7Gx
2bFjh62t7T/+8Y8VK1YwmcxNmzY5OzsjhLq7uy0efpM1bdq0Cf3mrEII6VkfekC7du2aPXt2fHw8
QojFYvWP5MCwgs2br5kiVUMkFu8/eBAhRCQSY6ZM+Wvh7Qf6+vp2pqRoNh253FkzZui5ilKpLCwq
qqiqEolEcrkcqh0AAMBTMeJffY4aNSojI0MkEuHx+DNnziCESkpKEEK1tbVisZhAIHA4HEdHx02b
NunPZ8qUKfPnz9dJPHv27O+//25mZhYZGblq1Somk6lQKAoKCgIDAxcuXNjc3Ozi4vLee+8FBATA
kzRslVdWOjk69m83ZTIYb69cKZXJqqurL1+9GjNlymgXF83eRx1McPPWLWyCe46tLZlMFovF+w4e
1Ow1NTWFedSAcXvh67MBYKxGfKDW1ta2efPmkJCQ7u5u7TncFQpFZ2dnW1sbnU63sLD49NNPEULZ
2dnnz58fMGjrv9LO+vXr169fr1Qqq6qqNm/evGnTpq1bt4pEIqVSmZqaunXrVkdHx6NHjyYnJx87
dsza2hoepmGotbW1q6trsPeeCCEKmezt5XW/qSkvP187UHtUVdXVPt7eTo6O2KZQJILKBwAA8ORG
dqAmk8n+8Y9/jBs3DiEUGxu7e/dua2tr7KWkUqlkMpma7v9YIJWVldXZ2fndd99pZ4LD4f7f//t/
g605TSAQPDw8kpOTV61a1dvbS6PRcDjc3LlzPTw8EEJJSUmHDx/Ozc2dofe9GHhRyioqaDSaI5c7
5JFP+L5SoVBor7ZUNdBEMAAAAMCjGtmBGplM/uKLL5qamq5evYoQSkhISEpKGjVqFBa66WhoaMjN
zd22bZv2D2p7e/tnn302WJTWH4VCcdKajkutVqvVasNPB8+TQqGorqnx8vDo/1Lm9z/+GDd2rI21
NUKo5t69e7W1QQ/P2/KoHLncu6WlTo6OLBarqqqqt7cX6h8AAMCTG/GvPseMGdPU1IR9trS0XL9+
/WCLWFtaWv74449ubm7aiZmZmY4PXlfpWLdu3RtvvOHs7FxfX799+/awsDDs9WhCQsK+ffsiIiKc
nJyOHDmiUqmCYcasYeleba1MJvMYaDhncFBQQWHhn9euyRUKtolJ5MSJ3l5e2gfoDCZACC1bupRK
pQ52rUmRkekZGb+fPo1wONfRoyeGhdXcuwdfwbOmUqmupaXdq61lMZkLExON7O56e3v3Hjig/8ED
ABg9Y1tCKjw8/P79+21tbZ2dnSwWS3sXnU7XRGlFRUXm5uZqtfq3334bbHKNefPmbdmypbq6GhtM
sOLBTPeJiYkikSg5OVkkErm5uW3fvl1nwCAYJtxcXfsP9sTYcTh2HM5gJ04MC5sY9mirStOo1LiY
GO2Ut1euLMy5+dxu9n+nTnl6emJzuWl/HraeSiFr6+ra+PylixeTyWTjuzsAAEDGEagRiUTtMX3X
r18/d+4cQmjWrFmDnXLy5MnKykqlUuno6Lho0aIBjwkPDw8PDx9w17Jly5YtWwZPz/Ck0xI23Jw5
d66hsVE7Zc6sWQ729k+Y7fyXXhrw8/Bx/ORJX29vTQPnUylke0eHjbX1cIvShu1XAAAYiYwhUNOJ
qBYvXqxZ93MwQ87WAUaoEbEIpp+v76O22IEByWQy7S6nAABgfIzt1ScAI9SxEyfs7e3b2tra29uZ
LNaUyZN5LS2FRUVyuXzM6NGTIiKwMSsSiSTj5s379+8jHM6Ry50YFobN2GzIq89jJ044OjryeLz2
jg42mx0RHs6xtcXSnRwdeS0t/Pb2yZGRDvb2A15isNPlcnn27dv36upkMhnH1jZy4kSs14F2thbm
5nw+/8/r1/+8ft3G2nr+Sy9pF3KwHIpKSgqLiiQSiZWl5cTwcKuH+xicPX++vqEBIXS3tDQwIGB8
cLDhN2JIVWvbd/BgdFQU1vCJTZX8RlIShUw+duKEs5MTr6Wljc9n0OkREydyHRx0vgKZTHY7J6e2
vl4mlY4ePTo8LIxEJA72Pfb29l5LS2vm8ZhMpq+3t6YAg1WRtsHy1KkWOw7nWloar6WFyWT6eHml
Z2Zi3eDuFBSUlZW9+mCkPABgmIBADYDh4l5t7bTYWFNT0/TMzNNnzriOGbNwwYK+vr5Tp09zHRyw
ad4uXr5MIpESFyxQq1RXr1278uefM6dPN/wSd0tLp8XFWVla3i0tPXv+/KuvvEKjUhFCZRUV0+Li
bKytcThc6unTg11iwNOvXrumUCjmzZlDpVBy8/LOX7q0ID4ei3W0s9V59altwBwEPT03s7Lmzp5t
bWXV3t5eVV2tE6jNnD79RkaGWq2eFBGhSTTwRgypagOVV1ZOi401NzcvLCq68uefSUuW6Bxw5do1
aV/frOnT6QxGTU1NU1OTs5PTYN/jxStX6DTa4ldekcnll69c0V9FOgGlnmdDu1pO/f47k8lcvGiR
XCa7dPUq/N0BMMzBXNIAPG9FxcU7U1I0//X19WHpfj4+VlZWJBLJ3c1NLpeHh4VRKBQ2m+1gb8/n
8xFCPT09zTxe5MSJDDqdyWRGhIfXNzQ80lQg3l5e9nZ2ZDJ53NixDAajtrYWS/f19ra1scHhcPov
0f90kVh8r7Y2avJkExaLTCZPCA3t6enp7OrSyVZPkQbLAY/HE/B4MplMIBBsbGzCQkMNuUEDb2TI
qjacv6+vtbU1kUj08faWSCRisfihuxOJ6urqpkyebGZmRiGTvTw9nZ2cBiuboKeHx+NFTpxIo9HY
JiahDyZq1l/JGP33q6kWgUDAa2mJCA+nUakmJiYTQkI0OQSMHQvNaQAMQ9CiBsDzNlgfNc2YGCKB
QCISScS//jwJBIJCqUQIicRiPB6veeeFLUslEon6r6sxGBMTk//7zGKJHqygwGQysQ/6L9H/dGFP
D0Jo34ED2lcRCoUW5uba2eoxWA7OTk6xMTFZt25J+voszM39fH0tH169d0AG3siQVW24/8uKSEQI
KRQK7b09QiEOh9NZQGywsimUSpLW0Cj2g9rWX8mG3K+mWsS9vSQSSTPfh/YXCgAYniBQAyMbtqjX
3+RmmQyGSqUSiUTY765AIECGBUMa2E8+pkcoHOXsjH3WNHrpv0T/01ksFg6HS1qyZMC5vrTb0gZr
VdOTg7OTk7OTk1qtrqquTj19+vXXXiMSh/gny8AbeVREIlETgUkkEsNPNGGx1Gq1QCDQjtUGK5tc
oZArFBKJBIvVeh7Utv5KNuR+NdXCoNPlcnlfXx+WVY/WF/oUCYVC+KcJgMcj6rcCIbz6BCMbfhh7
6jdrYmJix+HcyMjo7e0ViUTpmZmOXK7hzWkIoZLS0mYeTy6XFxQWikSiUaNGPdIl+p/OZDKdnZz+
vH69WyBQKBRtfP75ixcHDJ3pDEZHZ6dKpdJJHyyHxvv3b92+LRAIVCqVWq1WKBRqtfp51pU2SwuL
8ooKqUwmFAqzbt0y/MS/7i4traurSyaTlZaV1dXXD1Y2tokJx9b2RkaGpK+vp6cn6/Zt/VWEELqW
lnb6zBnD75fNZtva2KRnZupcAiF0p6Dgt8OHjf6vEoBhrv//jkKLGhjZ6HT6Y//6vihFxcVFxcWa
zSmTJw/YxX5AcTExmVlZR44fxyHE5XIfdZoPb0/P7Nu32zs62CYms6ZPpw3UQqPnEgOeHjNlSk5e
3plz5yS9vebm5gHjxg04ZcY4f//raWnFJSVWlpY604wNmIO9nV17e/uZ8+fFYrEpmz01NpZEIj3S
zT5hXWmbMH781evX9x04YGJi4uPtff/BaiiGiJky5dbt23+cO4eNKg2bMEFP2eJiYq6lpR08dAgb
9alZZ8WQSjbwfuNiYq7fuHHw0CEmg+Hp4dHW1vbU/6eCwWDAP00APJ7+/0eKy8u64ekXgG2UFd3x
D4bpncCwU1dfj31wdnKqKCkY5frXxBO1VeVcF7dhG6gV5tzE/rgkfVKdXkpP3fGTJ/18fNwfXiFN
x7ETJ8b6+w+2WsOQnvB0MAzVNzRc+fPPN15//cmzEggENCoFwe8IAE9GJBLVlBVpB2bQogbAiNfb
29sjEEDHcGCI6poaHA7nyOUKenqysrNdR4+GOgFgOINADYCRjdfScubcudEuLtj0swDo52BvfyMj
4/qNGyQi0WXUKM0kIACA4cmoArXbt2/v3Llz7969gx2wfPnyf/3rX1wuF9tcsWLFl19+eePGjXnz
5sGjYByew0Kfw22VKo6t7XLDVp5NTEh4kgs94elgmKBSqXExMVAPAIwUxhCoSSQSbOR8Tk6Ot7e3
9shw7VVWmpqaKisrN27cKJFIYmJiVq5c2dDQQKPRTp48yWAwYmNj4WkwDs80kBrmK74DAAAwMsYQ
qG3YsKGlpUUzY1BycjL2obi4ODMzUzM26rfffgsJCfniiy/++9//yuVyHo+nUqk6OjqSk5PpdLpc
Lu8/piw/P3/nzp3l5eVcLjc5OTkoKAgh1N7evn379tu3b8vl8kmTJq1btw6GOA1PdfX1t7KzBT09
JiYmoSEhmjnDEEJqtbrx/v27paV19fUcW9t5c+Zon6h/LwAAAPDcGMmrz7Vr14ZorYWCmTRpkuZz
SUlJdnb2zJkzly5dKpFI3NzcvvvuO4FAsGnTJktLS4TQ6tWrORyO9ulFRUVr1qxZvXr1tm3bBALB
4cOHsUBt/fr1LBbr8OHDKpXq008//fzzz7/66it4koab9vb2C5cuTRg/3tvLq6y8/OLly/PnzbOy
ssL2dnR0FBUXe3l6yuXy/jN76d8LAAAAPDdGEqgVFRX1ny5cM+tmT0/Pxo0bzczMRo0aNWvWrMLC
wq+++qq+vr6qqmrMmDHr168fMM9du3bNnj07Pj4eIcRisdatW4cQ4vP5RUVFBw4csLCwQAitWrXq
zTff5PP5mggADBOFxcVsNtvfzw8h5OvjU1pWVlBUFBsdje21tLScNWMGQqi0rKx/KKZ/7/D0v1On
PD09vTw8dD7/PYsBAABGw0gCtfv37/efI07zE2tiYrJt2zZLS8u3335bKBR+//33CKGzZ8++8cYb
586dq6ysdOs3+5RCoSgoKAgMDFy4cGFzc7OLi8t7770XEPDXvCbaC+Oo1erKykoI1IYbHo/nYG+v
2eRwOLV1dcOhYGfOnWtobNROmTNrlnZRH4/2FLI608kO52K0tbXl5ue3tLQoFAq2iYmbq6uvj8+Q
60QNW8dPnvT19jZ8+mIAABiSkQRqM2bM6P/q8+DBg5rPo0eP7unpoVAoiYmJzs7OpaWlaWlpb775
ppub24YNG7Zv325nZ6d9LraCZGpq6tatWx0dHY8ePZqcnHzs2DFra2sPD4/du3dv3LhRpVKlpKTg
cDixWAxP0nAjFIkYDEbj/fsXL1+OjY5mMBhisVilUj2LlZ0e1WCLsv/ditHQ2Hj+4kVfb++w0FAm
g9HT01NZXV1XXz8GZvYCAIAHjCRQO378eFpamk6iXC7XfM7Nzd2yZcuCBQvmzp17+fLlH374YcuW
LWQyecyYMe+8884bb7zx7bffemi9o6HRaDgcbu7cuVhiUlLS4cOHc3NzZ8yY8dVXX23dunXBggUk
EikpKSk3N9fU1BSepGEFWx2SQCCoHyASCAghpVI5HAK1AR07ccLe3r6tra29vZ3JYk2ZPJnX0lJY
VIStOzQpIgJrx5VIJBk3b96/fx/hcI5c7sSwMAqFgp7eO8fnWYy09HRPd3dsSSWEkLm5eeiD/90a
LH8Di3fsxAlHR0cej9fe0cFmsyPCw7FJ5vRk6+zkxGtpaePzGXR6xMSJXAcH7N+Q7Nu379XVyWQy
jq1t5MSJ2EDyAY+/dOUKn8//8/r1P69ft7G2NqRBEQAAhmQkgVpAQICnp6dO4unTpzWfc3Jy/vWv
f/n4+CCEJBLJDz/84OjoiO0aN27ct99+6/rwwjgUCsXJyUmzif3YY78BHA7nm2++wdLT09PJZLK3
tzc8ScMKHo/H4XBKpdKRy8XmGMvLz0cIDbgG5fBxr7Z2Wmysqalpembm6TNnXMeMWbhgQV9f36nT
p7kODqNdXBBCFy9fJpFIiQsWqFWqq9euXfnzz5nTp4/EYnR1dQmFwsHWvNKTvyHFQwjdLS2dFhdn
ZWl5t7T07Pnzr77yCo1K1ZNteWXltNhYc3PzwqKiK3/+mbRkCULo6rVrCoVi3pw5VAolNy/v/KVL
C+LjsX8H+h8fFxMj6OmBV58AgKdrmLYuPKrRo0eP7Ue77WTVqlWHDh0qKCi4e/dueXm5k5PThg0b
MjIyZDLZm2++2d3d3f8nPCEhITU1tby8XCKR7N27V6VSBQcHI4QOHTqUm5srkUhyc3O3bt2alJQE
03MMQywmU/uVtFgsZjAYw6Q5rai4eGdKiua/vr4+LN3Px8fKyopEIrm7ucnl8vCwMAqFwmazHezt
+Xw+Qqinp6eZx4ucOJFBpzOZzIjw8PqGht7e3pFYDElfHxpk9W79+Q9ZPIy3l5e9nR2ZTB43diyD
waitrdWfrb+vr7W1NZFI9PH2lkgkYrFYJBbfq62NmjzZhMUik8kTQkN7eno6u7oGOx7+6AAAz4KR
tKj99NNPJ0+e1EmUSqWaz5mZmZWVlX5+fl1dXRcvXly3bt3kyZOPHj06ceLEzz///L333vvtt990
BgQkJiaKRKLk5GSRSOTm5rZ9+3ZsIo+oqKivvvoqLy/P2tr61VdfTUxMhMdoGOJwOLzWVs0mj8ez
e3j6lRdosM5hNBrtrz9LAoFEJJIe9KknEAgKpRIhJBKL8Xi8ZhpnbKF3kUj0eMvSv9hi0KhUhJBY
LNbMgKihP/8hi4fRXvnUhMUSiUSGZkskIoQUCgUWw+07cEC7bEKh0MLcfMDj4Y8OAPAsGEOgRqfT
Y2Njvby8dNKLioo0wzMvXry4YcMGPB5vYWExatQooVA4ceLEqqoqhJCHh0dSUpJIJOo/cnPZsmXL
+i3Ow+Fwtm/fDo/OMOfv63vi1KnCoiIfb+/SsrKu7u6oyZNH+k0xGQyVSiUSibDgRiAQIIT6Bzoj
ohhmZmYsFquiqsrGxuZZ5C/s6dF87hEKRzk7P2q2LBYLh8MlLVlCpVINvCgO/vAAAE+bMQRq//73
vwdMP3funObz559/rvn8008/YR/+8Y9/YB9eeeUVeBSMjKWl5bS4uKzs7KzsbLaJSVxMjLVWIK5S
qXb/97+aTWxhqLeWL8fejerf+wKZmJjYcTg3MjImR0aqVKr0zExHLld/O9adgoKysrJXn+oT/hjF
GNCkiIjzFy+SSCQvDw8Gg9EjFFZVVVlYWIwZPfrJ8y8pLeVyuVgfNZFINGrUKBqV+kjZMplMZyen
P69fD5swgclgdHZ15d25ExcTo6enI53B6OjsHCaDiwEAxsGoFmUHQJuzk5Oz1ogQbXg8Xs+SoPr3
Prmi4uKi4mLN5pTJkw3vfh4XE5OZlXXk+HEcQlwud8j5NYRCIWeQd77PsxgDcuRyX5ozJ/fOnROn
TimVSmweNewre/L8vT09s2/fbu/oYJuYzJo+HXvT+qjZxkyZkpOXd+bcOUlvr7m5ecC4cfrHo4zz
97+ellZcUmJlaQmjPgEATwUuL+uGp99f87iWFd3xD37x0zsBoKOuvh774OzkVFFSMMr1rxkfaqvK
uS5u2o0iO1NSsBhr1549OnMgM5nMJa++in0Wi8UFRUW1tbV9UqmFhUVIUJC91kR6WBMaHo9nMBhO
XG5gYCDjwSU0+RuiMOcm9scl6ZNiPaKeneMnT/r5+PQfRHn42LHZM2Y8t9ejgxXjOTt24sRYf3+3
h4dyg2dKIBDQqBQEvyMAPBmRSFRTVqQdmEGLGjBOq1as0HxWqVR7DxzQbl0rKCoyZbPnzZlDJpOL
Skr+OHs2IT7e0sJCc0BIcHDA2LFdXV23bt8+cfJk4vz5ms7jw1Bvb2+PQKDdfV7jlec42EVPMQAA
ADweCNSA8aurr+/r6/PUeq8X/mCSVYRQUEBAyd27VdXV2oEaQggbejItLu7AoUO5d+5EhIfruURp
efn1tDSEEA6HYzAY9nZ244ODn8/d8Vpazpw7N9rFBZvT9UUZrBhCofDAoUM6B7u7uUVHRcGTCQAA
Q4JADRi/8ooKC3NzPeux4nC4waZXIBAIXAeH2ro6/YGal4cHNgW/SqXqFggyMjPPXrjg4WT3HO6O
Y2u7vN/Y5OdvsGKwWKxn2uFvQIkJCfDYAwCMAwxNAkaut7e3obFxsG7yUqk0+/ZtqVTqOXg/emwW
LqXWHF36/qLweHMzs8iIiI6ODqh8AAAATwha1ICRq6isRAj171cuEov3HzyIECISiTFTpmCzGQ/8
R0IkIoTkcrmeEX9KpbKwqKiiqkokEmkvMgsAAAA8CQjUgJErr6x0cnTsPxSAyWC8vXKlVCarrq6+
fPVqzJQpmmUidWDz3ROJ+v5Ybt66VVVdHR0VxbG1JZPJYrF438GDmr3d3d0qlQq+C2DEenp6aLY2
UA8APHXw6hMYs9bW1q6uLk8Pj8EOoJDJ3l5ezk5O2KrtA+rp6WEymfoDtarqah9vbydHRzKZjBAS
ikRQ+QAAAJ6ckbSoKRQK/b+jOiQSCZVK1SwwBYxVWUUFjUZz5HKHPHKw95VKpbLx/n2XUaOGfAK1
X4xWVVdr7zU1NX3W86gB8GLBYgwAPKs/LiO4B5FINHPmzLq6OmwzNTV1//79eo4/efJkXFzcV199
BV+/cVMoFNU1Ne6urv1/Qn7/44+GxkapVCqVSkvLyu7V1vbvxKZSqTo6Oy9evowQCgoI0H8tRy73
bmlpe0eHVCYruXsXW88bAAAAeELGEKjt37/f399/w4YNd+7cQQjl5eX1X+ZZo7Cw8Ndffz106FBL
S8vWrVuh55ARu1dbK5PJBhzvGRwUVHL37uGjR/f/9lvJ3buREycGBwZqH3A7J2fPzz+fu3CBwWAs
iI8fcqHJSZGRtjY2v58+ffDQoc7OzsdbUgkAAADQMeJffVZVVV29enXp0qUuLi6fffbZp59+WlRU
dOfOnZ07dxIIBKVS+eGHH4Y/mAErOzt78+bN//73v/fv379x48bt27evXr1648aNtoPMFJqfn79z
587y8nIul5ucnBwUFIQQUqlUP/7445kzZ/r6+saPH//RRx+Zm5vDkzQMubm6DraIkB2HYzfICpgI
oceY94tGpcbFxOhkUphzE74FAAAAT2JkB2p8Pn/t2rWRkZGpqalTpkxJSkoSCoUWFhZz585tbm5e
tWrVkiVLsNa13t7e//73v4cOHZoxY0ZRUVFGRoaVlZWnp+cff/yxaNGiV155JTExUacXUVFR0Zo1
a1avXr1t2zaBQHD48GEsUNu7d+/ly5d37NhhZma2efPmjRs37tq1C56k4QNbqRMAAAAwAiM7UCss
LHRzc2ttbY2Pj+/t7T19+jSbzZ45c6ZSqVSr1UVFRQQCYcyYMVVVVWvWrJk6daqpqWloaCiRSPzg
gw+wHGQy2ZYtW86fP79r167169drZ75r167Zs2fHx8cjhFgs1rp167D0//3vf0uXLnV1dUUIrVmz
JjExsb6+3klrHUnwAj3/SfABAACAZ2dkB2oxMTE4HG7Xrl1paWnYqL3Q0NCZM2f+9ttvnZ2dly5d
euONNxBCY8aM+emnnzgczsWLF69fv67dtbynp8fGxuaTTz7RyVmhUBQUFAQGBi5cuLC5udnFxeW9
994LCAgQCAR8Pt/Lyws7zNnZmUqlVlVVQaAGAAAAgKfOGKbnmDBhwmuvvdbT07N169aXXnoJIdTe
3p6fn3/8+HEsJsPhcJwHHZLee+89bKYrzeaAeWJLBqWmpm7dutXR0fHo0aPJycnHjh3DVoRkMpma
I1ksllgshicJAAAAAE+dMQRq+fn5EolEoVBoBg3k5uY6OjoWFxf7+/vrHLxhwwYcDieRSLCp6vl8
/oULF6ZNm8Z9eKotGo2Gw+Hmzp3r4eGBEEpKSjp8+HBubi52CZHWdKZCoZDBYMCTBAAAAICnzhim
5wgPD//444+FQiHW2b+mpoZAICxatGjHjh1qtVrn4JSUlF9++cXDw2PmzJl79uyZOnVqbm5u/8kX
KBSK9ttMtVqtVqtxOBybzbaysiotLcXS6+rq+vr6XAcZWggAAAAA8CSMZGWCkpISIpG4a9eu77//
ftu2bfPnzw8ODv71118PHDiwZMmS/sd/8MEHa9euPXTo0MyZM3ft2jXgnNoJCQn79u2LiIhwcnI6
cuSISqUKDg5GCM2fP//AgQPjxo0zNzffvn17QEAAdFB7gbCX1FAPAAwfQqEQKgGAxyPqtwLhyA7U
Ojo6Tp48WVJS0tDQMG/evCtXrmzdulUikWA91f71r38tWbKERqMtWLAAISQWi7FuZ/fu3auurn7z
zTdv3bqVmpoqlUpDQ0O9vb21+64hhBITE0UiUXJyskgkcnNz2759u6WlJULo9ddfFwqFb7/9dl9f
X2ho6L/+9S94sF4gPB4Pa9cAMNz+KqESAHg8/dfDHNmBmrm5+cKFC4ODg6lUKkJozJgxn3766dat
W7F/JmxtbX/44Yf29naE0JkzZ3788UdPT0+BQBATE5OcnEwmk0NDQ1955ZVz5879+OOPH3/88ah+
6zkuW7Zs2bJlOol4PH716tWrV6+G52k4oNPpQy4bABBCS35pXzSeMc2bBlXxSDrEqlk/tJ1fbW1K
g+DDUNBtF4DH1r/L1sgO1HA4XEREhGbTyspq586d2ge4u7u7u7sjhGbOnDlr1qz+OdjY2CQlJSUl
JcHDAcBI9+b+jjn+9Dn+NJ3PzyJ/AAB4Poykj9qQcDgcfNlghFpztMvZgrAmxgSqQr+fllgM+PlZ
5A8AAM8HNOYDAAAAAAxTf5cWNfA38RwW+hwmq1R19aq+vdKTUyfDIRTqQlkTwzKh4vWka/TJ1f86
3a1Uoc3zTF/e0/7JTHawMxkh1CZUzt3Bv7zGhknFLfmlfcJoSmGjvKpN7mBGfD+W5edANrAAS35p
nziGWtQkK+PJLZmE5FjW+FEUnXMlMvXuG8K0SqlYqvJ3IH8QZ2LLJmDnBjpRynjyyla5jQnh45ns
wvuyIzm9vTJVjCftw6kmeJy+Sw/26nOw2xmsGO0i1ZfnBfmNMmsWISHw/3pAauf5wfGuzBopDiFb
NmG2P+31MCY02gMAngUI1ICxeaaB1PBZ8X1jajeNhDuwzFKpUv+/s4LP/hB8s8BMTzqmQ6xad7zL
g0P6IO6voGcwp/IlX8abutuQTub3Jh/vOrHSypSON6QACKFzJZIvXjJ1sSQeyRF/9ofg7HvWOpf6
7IxAplDvXGTOpuF/yRT982T3r69bYOVJq+z74iVTJ3Pitis97x3pjPWiHXzDQiBRrzrYEeJMnuJB
HfIeDb+dwYrxye/dZnT8ibesemXqT1K7B8xw6wIzhJBKjarb5BtTu+1NiXFeVPjrAwA8dfDqExit
uvr6I8eOpfz00+Fjx2rr6rR3qdXqhsbG8xcv7tqzJ/X0aZ0T9e8dDpq6lfkNsg/iTCyZeBsTQnKM
yc0aabtINVg6dlZtu2LFgY4oD6qmaUqPl8bRAhzJDArutVCGFZNwvbLPkAJge18OontxSFQSbn4A
vatX1S58aKK7NqEyrbJvwwy2nSmBQcG9E8Vq6lbUtiuwvYlBdA9bEo2Mm+5Dk8jUq6NZJlQ814wQ
5EypaJEPeWnDb2ewYjR1KwsaZeummpjR8famhLcns/T9A4pDbjakBYGM9Ko++IsDADwL0KIGjFN7
e/uFS5cmjB/v7eVVVl5+8fLl+fPmWVlZYXs7OjqKiou9PD3lcrlKpfsbr3/vcNDWoyTgEYdNwDYd
zAgIoTahUipXD5huycQjhM4USUxp+IQAg2YzsTclan0m8IUqQwqAXciM8df/AVKIOISQVPFQzs3d
SoTQ7B/btBN5AuVoKyJCSNNuRybiqCQcjYR7sImkCvWQlzb8dgYrBoOMo5FwZg+KYW9GGDDDP8v7
9mWJGzsVErkaIdT/1TAAADwVEKgB41RYXMxms/39/BBCvj4+pWVlBUVFsdHR2F5LS8tZM2YghErL
yvqHYvr3DgfWJgSlCrX2KG1MCAih+11KhJA1iyBVqAdMx856ezIr+570vSOd2xLNWFQ8QojyIPpB
CHWJH7rT5u7/C6+aupUTXSmGFMCQwnPYBDwOnXvPmv1YM5M93qX7385gxWjqVkrk6q5eFRarYfGc
jk6x6pPfu//zkmmQM4VGxh3LEV8ugxY1AMAzAa8+gXHi8XgcGxvNJofDaebxjObu7E0JY7nkry/1
tItUrT3KbVd6JrhQLJn4wdKxswh4tGmOqYsV8Z1DnV29KoSQmw3pTJFE1KduESh3XH9o2Z9T+ZL8
BlmvTP1btrhNqJzsRjWkAIYU3saEMNGV+v/OCho6FX1ydRlP/s+T3XKl+gnvXf9Z/W9nsGLYmxL8
HMhbL/V096qaupU7rw+wGpJUoVarEYOCJxHQ3Sb54Zxe+IsDADwj0KIGjJNQJGIwGI3371+8fDk2
OprBYIjFYpVKNUIXtzma23s09/+igd/esNw8z/S7Kz2v/dyOcCh0FGV1zF9dqQZLx+Bx6KPp7O+u
Ct862PnDK2ZvT2ZtPiuYvaPNzpQwP4CeUyfTHDlvLG33DRE2TPKbBWY6IwmGvJB+n85i/5IpSj7W
1SlWuVgRl0xgkgiPMGjyMS494O0MVozNc9n/Od8zfzcfG/VZypPr5MZhE96JYv3rdLewT+1uQ5zs
Ti1pksEfHQDgWcDlZd3w9AvANsqK7vgHh0GlgOGmrr4e++Ds5FRRUjDK1QPbrK0q57q4aS8htTMl
5e2VK1Uq1e7//jc0JMTS0hIL1AQCQWZW1vJly0gkknbOZ86dUygU8+bMGfC6/fdi+RtY7MKcm9gf
l6RPymazH+/ev7rQ8/wr/FpF3xhrItdshP2P3PXKPhdLoqM58UXdzj+n/X0nJRYIBDQqBcHvCABP
RiQS1ZQVaQdmf7sWte7ubgaDofNrjamrq7O3tx9wl+G6urru3r07ceJEeNpeIDwej8PhlEqlI5e7
fNkyhFBefj5CiEAgjLh7eSG//XebZbP8aCNrYdB2kepKed+KSKZ/v379I/F2AAAA87fro/bFF1/8
97//HXDX0qVLm5qaniRztVr9+eefX716FR6sF47FZIrFYs2mWCxmMBgj9L0nGFLhfVniHv4kV4o/
jL4EABiXEf+7NX/+/JKSEu0UlUpVXl4+4MEVFRV5eXmLFi16kiuWl5eLRKIBd/34449isXjDhg2D
nZufn798+fKIiIhFixbl5uZqCvz999/HxcVFRkauW7eus7MTnssnx+FweK2tmk0ej2fH4UC1GGj/
MsuR1f7k70D+M9nm45ls47gdAADQGPGBGg6HUygemqapo6PjnXfeKS4u7n9wSkpKUlKSqanpk1wx
JSWl7uHZUzF79uzJycn5+uuvB3t5WlRUtGbNmunTp587d27Lli3Xrl3D0vfu3Xv58uUdO3acPHlS
Lpdv3LgRnssn5+/rKxAICouKlEplcUlJV3c3NlUHAAAAMIKM+D5qNBpNIpFop1hZWa1atWrTpk2/
/fYblfp/cwqUlpZWVlZ++eWXT35RPp+fnp7e29s7depUhJBKpfr666/v37+fkpJCow36P+67du2a
PXt2fHw8QojFYq1btw5L/9///rd06VJXV1eE0Jo1axITE+vr652cnODpfBKWlpbT4uKysrOzsrPZ
JiZxMTHWD2a7xb6y3VpvwLGFod5avhx7N6p/LwAAAPDcjPhAjc1m9/ToDoubP3/+mTNnjh07tmTJ
Ek3i7t27X3vttfz8fCsrKxcXlye56N69e93d3b29vbHNn3/+ua6u7ocffiASB61PhUJRUFAQGBi4
cOHC5uZmFxeX9957LyAgQCAQ8Pl8Ly8v7DBnZ2cqlVpVVQWB2pNzdnJyHqQa8Xi8nsGb+vcCAAAA
z82ID9RsbW15/SYyxeFwr7322tatWxcuXEgmkxFCpaWlOTk5YrHY3t4+LS3t+PHj1tbWj33RdevW
+fj4aDZDQkJOnDhRXFw8bty4wU4RiURKpTI1NXXr1q2Ojo5Hjx5NTk4+duwY9t6WyWRqjmSxWNq9
4MHj2bVnj1r90ByqTCZzyauvYp/FYnFBUVFtbW2fVGphYRESFGRvZ6d9sEwmy8nLq6mp6ZNKrSwt
Q0NCONDFDQAAwHM34l/ljBkzRjN0IDU1VSb7a9rJqKgoMpmckZGBbe7du9fKyurf//73559/HhgY
qOnB1tjYKJfLB8ucz+ffuXNHO0WnPxzG39//iy+++Oc//5mdnT1YVjQaDYfDzZ0718PDg06nJyUl
kcnk3NxcBoOBENIenSAUCrFE8CRWrVjx9sqV2H9vLV9OpVK1W9cKiopM2ex5c+YsefVVroPDH2fP
tnd0aPaqVKo/zp7l8XgzZ8xIWrrUdcyYazduQJUCAAB4/kZ8i1pYWFhKSkpvb29fX9/27dsnTZqE
NaHh8fj//ve/WLNZXV1denr6nj17bG1tEULW1taat6VffPHF9OnT58yZgxAik8nacZhard6yZYuN
jU1AQABC6MSJE4cOHaJSqY2NjRQKZdGiRX5andMDAwO//PLLDz/8cNOmTQNOokahULTfZqrVarVa
jcPh2Gy2lZVVaWkp1kRXV1fX19eH9VcDT0tdfX1fX5+nu7smJXzCBM3noICAkrt3q6qrLS0ssJTS
sjJ+e/viV17BWjp9vL31dD3865Ty8utpaQghHA7HYDDs7ezGBwdDzQMAAHhCIz5Qc3R0DAsL+/jj
j2Uy2axZs8zMzDS7NC839+/fP3PmTF9fX2zT3Nwcmy/t1KlTbW1t06ZN02RVUlIyZswYhJBEItm2
bVtLS8tnn32G7d21a9eRI0ewkQru7u7ff/89kUj85ptvNK1fAQEBmzdvXr9+/bfffjvgO9CEhIR9
+/ZFREQ4OTkdOXJEpVIFBwcjhObPn3/gwIFx48aZm5tv3749ICAAOqg9XeUVFRbm5lZagwl06Iwd
rq6psbG21n4fPXqoTo1eHh5eHh4IIZVK1S0QZGRmnr1wwcPJDiofAADAkzCGlQk++eSTHTt2qNXq
d999t/9ePp9/5cqVY8eOaVIiIyNXrVpVWFjY3Nz8ww8/YC1wCKEVK1Z89NFHWVlZeDy+oKAgODh4
9+7dmuWJli5d+uabb3K53Obm5oULFyYlJWVnZ+u8owwNDX377bfff//9ffv2cblcnZIkJiaKRKLk
5GSRSOTm5rZ9+3ZLS0uE0Ouvvy4UCt9+++2+vr7Q0NB//etf8Fw+Rb29vQ2NjRPGjx9wr1QqLSgs
lEql2u1tnV1do5ydH+9yeDze3MwsMiLi0JEjCAI1AAAAT8YYAjUqlfr+++8PttfS0vLnn3/GXnpi
PDw8fv7558bGxsDAQO1Wk/Hjxx85cqSgoAAh9M477zg4OGjns2TJkpdeeonP59vZ2WGzfowf6Lc/
MTGRzWbb29sPWJhly5YtW7ZMJxGPx69evXr16tXwOD4LFZWVCCG3fm+TRWLx/oMHEUJEIjFmyhQs
aMbI5XI9A3gHpFQqC4uKKqqqRCKRnl6PAAAAwCMx/rU+cThc/y5fLi4uA87QYW1tHRcXN1hWLBaL
xWINeUVscjUwTJRXVjo5OvbvZMZkMN5euVIqk1VXV1++ejVmyhTN+00SiTTgqBE9bt66VVVdHR0V
xbG1JZPJYrF438GDUPkAAACeEEzgCYxZa2trV1eXp4fHYAdQyGRvLy9nJyds1XaMmZlZd3f3I12o
qrrax9vbydERe5MuHGSRMQAAAOCRGH+LGvg7K6uooNFojv36C/an/b5ytIvLzawskUikeTNec++e
/vEECoWCQCBoNquqq7X3dnd3q1Qq+DqAEevp6aHZ2kA9APDUQaAGjJZCoaiuqfHy8Oi/9NPvf/wx
buxYG2trhFDNvXv3amuDAgM1e709PSsqKi5cvjxl0iQTE5OKysrC4mL9gZojl3u3tNTJ0ZHFYlVV
VfX29iKE8Hi8SqXE4wkwjBcYPTMzM5m0D3vgoTYAeIogUANG615trUwm89AazqkRHBRUUFj457Vr
coWCbWISOXGi94NVvBBCBAJhzuzZt3Ny/jh3TiqVWlpYREVG6r/WpMjI9IyM30+fRjic6+jRE8PC
au7dIxJJcpmcQoXfLfB3IZfJSGQS1AMATxEEasBoubm6ug0ydbAdh2Ond0koCpkcER4eER5u4LVo
VGpcTIx2ytsrVzbcqxKLeihUKnwX4G9CLBTSmSyoBwCeIgjUgLHZmZIyTEpiamHZ3FBrbmEFXwr4
O1Cr1d1d7faOLlAVADxFEKgBo/L2ypXDpzAmbLM24v3ODr6tvSN8NcDodXXwiSQyi20KVQHAUwTT
cwDwDHFHjeloa4V6AH8HHfxWrvNoqAcAni5oUQPgGaJQaU6j3e7m51ja2JqaW+JwOKgTYGTUanVX
B7+jrdVptBuFSoMKAeDpgkANgGeLacIe4+nTWFvd1cE3NbdkMFkkMhmmMAAjnUqllMtkYpGwu7Od
SCSN8fSBKA2AZ8F4AjU+n9/T0zN69JM2vEul0lu3bk2aNEk7cdeuXbNnz9as/vnLL7+YmZlFR0eb
mJjAMwSGRKHSxnj69gi6uzv53Q3tcplcpVJCtYARDY8nkMgkOpNl7+gC/dIAeHaMJ1D7888/y8rK
Nm3a9IT54HC4jz/++Pjx49g67kKh8JNPPpk0adK6det+++03bOpUJyenc+fOff/993Pnzn3rrbeo
MP/CiyMSiZTKkRH04PAEM0tbM0tb+NaAkREKhVAJADwVon4rEBpPoFZWVubj44N95vF4aWlpCxcu
1DlGLpdXVlbW1tY2Nzf39vZaWVlNnjzZ3t5e+xgymRwQEJCXlzdz5kyEEIvF8vb2bmho2LZtm2aC
++jo6Ojo6MbGxnPnzlEolMGKlJ+fv3PnzvLyci6Xm5ycHBQUhBDq6uratm1bdna2TCZzd3dfs2aN
p6cnPJqPDY/H9194AAAAABiJiETdwGzEB2odHR2NjY2NjY23b9+WSqVdXV1z5sxhMplHjx41MTGZ
MWMGQkitVv/000+3b9+uqKgYM2aMp6eno6Ojra1tY2PjsmXL3nrrrZdeekk7z+jo6KtXr2KBWkdH
h5OT06RJk7QDMh6PV1BQUFdXx2QyGxsbHR0HmHyhqKhozZo1q1ev3rZtm0AgOHz4MBaobdmypb29
ff/+/SwWa9euXWvWrDl//jyEGo+NTqfT6XSoBwAAAEZArVbrpIz4QO3rr7+WyWQMBgOHw02dOrWq
quqtt9763//+t2XLlrfeesvb29vJyQmHwzEYjIULF06YMEHnRz0qKmrFihWTJ082MzPTJMbExHz3
3XcnTpy4dOlSTU1NQEBAeHg4FqilpKRcuXJFJBKFh4e7u7t3dnYuX758x44dY8aM0SkY1q0tPj4e
IcRisdatW4elV1dXJyYmYu9VExISjh071t7ebm1tDU8nAAAAAHSM+EDtyy+/RAj9+uuvbDZ78uTJ
kydPPnny5P37911dXRMSEr755pvvv/8eIbRo0aIBT/fy8rKwsKioqAgNDcVSVCoV1sRVWFi4bNmy
oKAg7XZIU1PTDz74IDg4WNMGJhQKz58//+6772pnq1AoCgoKAgMDFy5c2Nzc7OLi8t577wUEBCCE
pkyZcvny5UmTJjEYjJMnT/r5+VlZwcz1AAAAABiAkfRRO3/+vGYYAY1G6+3tRQgtWbIkPj6+srLS
zc1tsBNVKpVEImEymdimVCpdv349lUo9ePCgjY1N/+NffvllnRQLC4vWVt0ZTbEe7qmpqVu3bnV0
dDx69GhycvKxY8esra1ff/31kpKSWbNmIYQ4HM727dthbi0AAAAADMgYArW8vDwqlerl5YVtCoVC
LPBiMBgHDx7U31517NgxBoOhOXfPnj0WFhYff/yx4Vevq6vrPycIjUbD4XBz58718PBACCUlJR0+
fDg3N3fGjBnvvPOOvb39uXPnGAzGqVOn3nzzzSNHjkCj2tPyVBb6HFbrUAEAAPg7M4ZA7cCBAwsW
LMA+d3V19fX1YT3AEEKDBUBqtbqsrOzo0aM5OTnffvut5j1mWlra5s2bDb80n89PS0tbtmyZTjqF
QnFyctK+nFqtxuFw3d3dJSUla9eutbS0RAgtWrRo9+7dxcXFU6ZMgWfxaXnCMGv4rOkOAAAAjPhA
7c6dO/fu3duyZcu1a9fCw8PPnz8fGBjYf3QrRiqVfv755y0tLdiAzWnTph06dMjU1FRzAIfDOXLk
yOrVq7XHFvT09JBIJBpNd9LtlpaWDz74ID4+Xjsm00hISNi3b19ERISTk9ORI0dUKlVwcLCpqSmH
wzl+/Li9vT2NRjt9+rRCoXB1dYUH8Vmoq6+/lZ0t6OkxMTEJDQkZ5exs+F4AAABgOBjxgdqVK1dW
rlxJJpPT09M/+eQTMpm8Y8eOwQ6mUCjTp0/H4XAuLi4cDqf/AZ988sm3336bkJBAIpEYDIZUKhWJ
RFKp9KOPPpozZ47msNLS0tOnT1+6dCkxMXHlIO03iYmJIpEoOTlZJBK5ublt374da0Xbtm3b999/
v2DBAoVC4eTk9J///IfL5cKD+NS1t7dfuHRpwvjx3l5eZeXlFy9fnj9vnqaFVf9eAAAAYJgY8YHa
hx9+iE068q9//euf//wngUAYrDkNM3HiRD17ra2t//Of/6jV6u7ubrFYjMPh6HQ6m83WmecMm+9j
//79mkWlBrRs2bL+b0VHjx793XffwZP3rBUWF7PZbH8/P4SQr49PaVlZQVFRbHS0IXsBAACAYcIY
+qhpRk3qWSTgUTM0MzPTfvupw9PTE5YTGOZ4PJ6D1poTHA6ntq7OwL0AAADAMAET4gPjJBSJGAxG
4/37P/36a31DA4PBEIvFKpXKkL0AAADAMAGBGjBCKpVKrVYTCAT1A0QCASGELd+ufy8AAAAwfECg
BozxscbjcTicUql05HKXL1vm7OSkUCoRQgQCYci9AAAAwPABgRowTiwmUywWazbFYjGDwdAMCtG/
FwAAABgm4JcJGCcOh8PTWtqLx+PZaU3Ion8vAAAAMExAoAaMk7+vr0AgKCwqUiqVxSUlXd3d2GQc
huwFAAAAhgkjWZQdAB2WlpbT4uKysrOzsrPZJiZxMTHWWvPZ6t8LAAAADBMQqAGj5ezk5DzQ6l6G
7AUDOn3mDIFAmDl9ev9dV69dq6isRAiNcnaePnUqQqi4pCQ9MxPbSyKRTExMPN3dfby9h+wLWFhc
nHnzJkKIxWK9tmgRVDsA4O8MAjVgnLq6uvLy85ubm2VyuaWFRUhwsE4vNEFPT9atW01NTWqEfLy8
QoKDYTDBE7K0sEhMSNBJfOXll81MTaUyWVl5ecbNm70SSWhIiP58/H19/X19b2Rk1Dc0QK0CAP7m
4JcJGKcr165JpdLZs2YtefVVW1vb02fO8NvbNXslEsmp1FQikfhyYuLSxYtpNFqr1tgC8NRRyOSx
fn72dnYld+9CbQAAgOGMoUWtrq7O3t6eRCIZeLxKpSosLBw3bpxEIrlw4cJLL72kc0B3dzeDwTA8
QzAMuY4Z4+/riy0vFhoSUlZWVlFZaWVpie0tKCwkkclTJk/GWtEMGUlQWl5+PS0NPVjp1d7Obnxw
MJPJxPbezMqqrKpKXLDg2vXrzc3NTBZrckQEh8Opb2jIunVL0NNja2MTM2UKg8HQPn5BQsK169eb
eTwqlerv66tdjI7OzuycHF5zs0KptLK0DB0/XtMi+Ne1EhKup6c3NTW5u7lFTpwoEomysrObmpvl
crmZqelYf/8xo0cbWOyFiYnX0tLu379PplDGjR3r5+OjKUbNvXu3c3J6hEJLC4tJERFP+KWw2eym
5mapVEqhUO43NeXk5vLb2/F4vB2HMyE01MzUFJ5bAADQYQyB2tKlS/ft2+fs7KznmF27dr388svm
5uYIIalU+u67737zzTeXL1/m8Xh2dnbjx4/XPviLL75wdnZ+++234fkYucY+HHvhCYS+vj7NZl1D
g8uoUY/0rtPLw8PLwwMhpFKpugWCjMzMsxcuLIiP12SiRuhmVlZwYCB7ypSs7OxzFy9OjY29V1s7
e+ZMhUJx5vz5GxkZWOctzfHpGRmBAQGx5uY1NTU3MjJIJJKXpydCqL2j41RqqrOz84L58ykUSnFJ
yekzZ+bPm2f1YMSDGqH0zMxxfn7TYmOxAly8coVEJL40dy6DTu/q7i4oLLSzs6PTaIYUO+PmzbF+
ftFRUXdLSzMyM62trGxtbBBCzTzexcuXgwIC/Hx9eyWSrFu3ZDIZjUZ77C9FIBCQyWQsSvvj7Flf
b++psbFyuTwtPf1kaurLCQmaCBIAAADm7/Lq88KFCz09PdopQUFB5eXlK1eu1InwKioq8vLyFhnQ
hTk/P3/58uURERGLFi3Kzc3FEtvb2z/++OO4uLioqKhNmzZpz6oKXpSm5maxWOzI5WpSBAIBmUQ6
e/78np9/PnDo0K3sbMPXj8Lj8eZmZpERER0dHe0dHZp0iUTi4e5ubW1NoVBCQ0KkUmlaevqkiAgG
g8Fms/19fevq62Uymfbx7m5uHFtbCpns5enp7uaWk5eHrTeadesWk8WKjooyMTGhUChBgYG2Nja5
d+5on+vm6srhcLB4S6VStba2urm6sk1MiESilaVlbHQ0/eGISk+xsazIZPK4sWNNWKzyigps1+2c
HFsbm5DgYCqVam5mNjEsrI3Pf7yvQCaTFRYXNzU3e3t5IYSyc3LMzc0nhofT6XQ2mx0XE6NUKu8U
FMCzCgAAOv5Ggwnkcnl3d3dvb29nZ6darc7Pz3/zzTcFAoHfw00vKSkpSUlJpkO9hSkqKlqzZs3q
1au3bdsmEAgOHz4cFBSEEFq/fj2LxTp8+LBKpfr0008///zzr776Cp6zF0gmk11LS+NwOK5jxmAp
KpVKpVLl5eeHT5gQFxPT3t5+7uJFNUITHm5Y1aFUKguLiiqqqkQikVwuxxJ7eno083rgcDh7Ozvs
M5VKpVKpVpaWmoYrU1NTtVotFIkszM01eTo5Omp/LisvFwqFLBarqbnZ39dXu8HPjsMpKS3VLo92
3InH481MTfPy84lEIpfLpZDJj1RsB3t7zfFmZmZCoRD73NrWFhgQoNnFZrNN2exHrf/DR48ihEhE
IsvEJGzCBD8fH6VS2dbWFjB2rOYYKpXKsbVtbm6GxxUAAHQYeaB28eLFH374Qa1Wd3R0fPDBBywW
i06nUygUpVJ5/vx5Op1ubW0dodXzprS0tLKy8ssvvxwy5127ds2ePTs+Ph4hxGKx1q1bhxDi8/lF
RUUHDhywsLBACK1aterNN9/k8/lWMEfXC6JSqS5cuoTU6qmxsVh/NfRgrU8rKyusdYfD4Xi4u5eX
l+sP1G7eulVVXR0dFcWxtSWTyWKxeN/Bg1gDGIZKpWougRAikUjabVokIhEhpN2iRiGTtUMx7JWi
uLeXRCarVKr8wsL8wsLBCkOhUHRWJp0+dWpmVtaVP/9Uq9XW1tZ+Pj5YYGpIsbWLQSKRsECtr69P
qVTqNMs9xntPbNSndkpvb69arab1y7mjsxOeWAAA0GHkgVpsbOzUqVMRQnPnzv3uu++wt5wSiSQ2
NvaTTz7pf/zu3btfe+21/Px8KysrFxeXwbJVKBQFBQWBgYELFy5sbm52cXF57733Ah60PWj/WqvV
6srKSgjUXpRraWkdHR3x8+bpBBxMJtOExdJssphMSV+fSqXS02utqrrax9tb0wYmFIl0DsD1PweH
01M2qUymfUWJRIIQYtDpFDIZh8MFBwYGBQYOdi6hXzlNTU1nTp+uUCh4LS2lZWWXr14lk8lOjo6P
U2yEEEJUKpVAIGCl0pBIJGSt5rrHQ6FQcDicRKvLIJYzlUKBJxYAAHQYeR+1/r+7MplMrVYPeHBp
aWlOTs6lS5fOnj2blJTU1tY2WLYikUipVKampm7atOnChQuTJk1KTk5ua2uzsrLy8PDYvXt3R0cH
n89PSUnB4XDQTe1FycrOrq2rmz1zJrvfCztbGxvNCz6EkFAkotNo+scWKBQK7UasqurqJy9hQ2Pj
/31uaKDT6SwWi0Ag2NvZ1dbVDfag6kEkErkODnExMQQCAZtw5EmKbWNtrV1CgUAgeLij5+MhEAjW
1tb19fWaFKlU2tLSYvfgxTEAAAAN4wzU+Hz+Ha2e19ref//91157bcAmrr1791pZWf373//+/PPP
AwMDi4uLsfTGxkZN5x4MjUbD4XBz58718PCg0+lJSUlkMhkbT/DVV1/hcLgFCxYsXrx44sSJOBzO
FCYdeBGKiouLS0pmTptm+WBKDm2+Pj5Yy5NcLue1tJRXVHh6eurP0JHLvVta2t7RIZXJSu7e7e3t
fcIS0qjUispKXkuLTCYrKy8vr6wMDgzEgsWwCRO6BYLLV692dXUpFIru7u7C4uLMrKzBshKJROcu
XLjf1NTX1yeXy0vLypRKpb29/RMWOzgoiNfScjs3t6+vr6urKzMry2qgynwMIUFBHZ2dmTdv9kok
PT09l65cwePx4/z94bkFAAAdxvDqk0wmKxQKzaZard6yZYuNjU2AVj9oje+++66trc3ExEQnva6u
Lj09fc+ePba2tggha2trzSjRL774Yvr06XPmzNEcTKFQnLRWH1Kr1Wq1GnvjyeFwvvnmGyw9PT2d
TCZ7e3vDc/b85RcWKhSKU6dPa1LsOJx5D75EWxubqbGxt3Nz0zMzGXS6r7e3nveMmEmRkekZGb+f
Po1wONfRoyeGhdXcu/ckJcThcOFhYdeuX+e1tFAplNDx47E+cwghSwuLhPj4nNzc1NOnZXK5CYvl
5Og4dvA4hslkent5FRQWtvH5KpXKzMxsWlwcNrLhSYptb2cXFxNzOzc3v6DAwtx8UkREVnb2U/l2
uA4Os2bMyMnNPfDbb3g83t7OLn7ePJbWy2gAAAAYYwjUHB0dS0pKxowZgxCSSCTbtm1raWn57LPP
tI8xMzO7ceOGg4MDkUi0tbWVyWRdXV00Go1KpWIH7N+/f+bMmb6+vtimubl5U1MTQujUqVNtbW3T
pk3TuWhCQsK+ffsiIiKcnJyOHDmiUqmCg4MRQocOHXJzc/P29r579+7WrVuTkpI0c5yC52np4sX6
D3AZNcpl1CjDM6RRqXExMdopb69cqfkcNmFC2IQJ2nt1Fqm0sbHRPh7DZDBmz5w54OXMTE11Lqfn
WgghJ0dH7TGkj11snYPHjB6NTZyLmTNrluE15uvj46s1d64OroMD18EBHlQAANDPGAK1FStWfPTR
R1lZWXg8vqCgIDg4ePfu3XQ6XfuYd99999tvv/3pp5+USqVSqcThcFQqdf369dhQAz6ff+XKlWPH
jmmOj4yMXLVqVWFhYXNz8w8//NC/A3ViYqJIJEpOThaJRG5ubtu3b8desUVFRX311Vd5eXnW1tav
vvpqYmIiPGTP2c6UFKiEF6K9o2NnSopmUfbHpr0oO9QqAOBvDpeXdcPT769XhGVFd/yDw0bibbS1
tRUUFCCEvLy8HPT+bzo2r6nO1AZqtbq6utrV1VU78d69e42NjYGBgTBb+gtX96DjubOTU0VJwShX
D2yztqqc6+KmE5SPCNjaTa8vWQJfLgAAAA2RSFRTVqQdmBnJ9BzW1tZxcXGGHKkTomFwOJxOlIYQ
cnFx0TNDBwBPYsDXlwAAAICOv8sSUgAAAAAAIw4EagAAAAAAwxQEagAAAAAAw9TfaFF2YJSwVSKg
HgAAABgBUb+F/iBQAyMbHo/Xv/QTAAAAMFIQibqBGQRqYGSj0+kjcXoOAAAAoL/+qzxDUwQAAAAA
wDAFgRoAAAAAwDAFgRoAAAAAwDAFfdSAUXkqC332Xz0dAAAAeCGMIVCrq6uzt7cnkUhPkskvv/xi
ZmYWHR1tYmLyLPLv6uq6e/fuxIkT4Zl71p4wzII13QEAAAwfxvDqc+nSpU1NTU+YiZOTU0ZGxty5
c7dv397X1/d081er1Z9//vnVq1fhgXue6urrjxw7lvLTT4ePHautq3ukvQAAAMBw8PfqoyYUCmtr
awfcFR0d/c033+zfv59Go1EolMfIvLy8vP88dZgff/xRLBZv2LBhwL1ffvlliJbDhw/Dc/nk2tvb
L1y65Onh8cbrr/t4eV28fJnP5xu4FwAAABgmjD9QKy0tvXXrFva5qanpu+++G/AwHo93/vz5M2fO
0On0xsbGx7hQSkpK3UANM3v27MnJyfn666/1vDxdsGDB7QdeeeUVeC6fXGFxMZvN9vfzIxKJvj4+
ZqamBUVFBu4FAAAAhgnjD9Sys7MrKioQQteuXdu1a1dBQcG6deuKtH6VU1JSFixYsGzZsry8PEtL
y97e3uXLl1dXVz/Gtfh8fnp6+sWLF7FNlUr11VdfFRcXp6SksNlseNqeJx6Px7Gx0WxyOJxmHs/A
vQAAAMAwYfyjPltbW4ODgz/99FOE0DvvvPPJJ5+sXLlyw4YN//nPf0aPHo0QMjU1/eCDD4KDgzUr
EQmFwvPnz7/77ruPeq29e/e6u7t7e3tjmz///HNdXd0PP/zQf0UIHWfPnv3999/NzMwiIyNXrVrF
ZDLh0XxCQpGIwWA03r9/8fLl2OhoBoMhFotVKhX2LevfCwAAAAwTxv+zJBaLL1y4YGZm9tlnn3G5
XKVSOWbMmNmzZ2u69r/88svjx4/X/oW2sLAQi8WPca1169Zt2LBh7ty52GZISMi9e/eKi4v1n7V+
/frr16+npaV9/fXXhYWFmzZtgufyCalUKrVaTSAQ1A8QCQSEELZ8u/69AAAAwPBhnIEan8+/c+cO
9lmtVtfX169ataqkpEQkErFYLISQSCQiEAiDnV5XV2dnZ2dg/hiFQtH/MH9//y+++OKf//xndnb2
kGUmEAgeHh7Jycnp6em9vb3waD7RY43H43A4pVLpyOUuX7bM2clJoVRilTzkXgAAAGD4MIZAjUwm
a8dJarV6y5Ytf/75J7bJYDDi4uJEItHmzZv37t1LIpHOnj2bmpo6derUAXPj8/lpaWmTJk0yMP8T
J07Ex8cvWbIkNzf34MGDRQ/3SQ8MDPzyyy83btyYkZEBT9vzxGIytZtFxWIxg8HQtJvq3wsAAAAM
E8bwy+To6FhSUoJ9lkgkX3zxRUtLy9tvv42l2NraMhgMCwuL//73vw0NDWKxuLS0dM+ePQ4ODv2z
amlpWbt2bXx8vJOTk4H579q1KyUl5dChQz4+Pu7u7t9///1bb72lHQQEBARs3rz5448/zs/PH7D8
69atKy8v7+vrq6io2L59e1hYGJ1Oh0fzCXE4HF5rq2aTx+PZcTgG7gUAAACGCWMYTLBixYqPPvoo
KysLj8cXFBQEBwfv3r1bE+u89tprWF/+6urqxsbGvXv3mpqa9s+ktLT09OnTly5dSkxMXPnw1Pb6
81+6dOmbb77J5XKbm5sXLlyYlJSUnZ3NYDC0cwgNDX377bfff//9ffv2cblcnUvPmzdvy5Yt1dXV
2GCCFStWwHP55Px9fU+cOlVYVOTj7V1aVtbV3R01ebKBewEAAIBhwhgCtfHjxx85cqSgoAAh9M47
7+g0lWlGXPL5/G3btg0YpSGEcDgcg8HYv39//5Y2/fkvWbLkpZde4vP5dnZ2VCoVO75//omJiWw2
297evv+u8PDw8PBweBafLktLy2lxcVnZ2VnZ2WwTk7iYGGsrKwP3AgAAAMOEkUzPYW1tHRcXp/8Y
/Qd4enp6eno+Xv4sFgsbo6DfYL3iwDPi7OTkrPUK+5H2/h3czMqqrKp6fcmSJ8/q6rVrFZWVCKFR
zs7Tp05FCBWXlKRnZmJ7SSSSiYmJp7u7j7f3kB0BC4uLM2/exP6sXlu0CB5jAMDfnPHPowb+nrq6
uvLy85ubm2VyuaWFRUhwsHYvtF179qjVau3jmUzmkldfHVa3kJ2TU1xS8mZS0oiocEsLi8SEBJ3E
V15+2czUVCqTlZWXZ9y82SuRhIaE6M/H39fX39f3RkZGfUMDPMYAAACBGjBOV65do9Nos2fNYtDp
dwoKTp85M/+ll6wsLbG9q7Q6AqpUqr0HDvzNW9eeKQqZPNbPr76+vuTu3SEDNQAAANogUAPGyXXM
GH9fXxwOhxAKDQkpKyurqKzUBGra6urr+/r6PN3d9WdYWl5+PS0NPejOaG9nNz44WLOGBPYacUFC
wrXr15t5PCqV6u/r6+/npzn9flNTTm4uv70dj8fbcTgTQkPNHnSXFIlEWdnZTc3NcrnczNR0rL//
mNGjM27eLCouRgjtTElBCDEYjKWLF2NXSUxIuJ6e3tTU5O7mFjlxop6chywVQqivr+9aWtr9+/fJ
FMq4sWP9fHw0uzo6O7NzcnjNzQql0srSMnT8+CcZG8tms5uam6VSKYVC0VNmAAAA2iBQA8Zp7MPh
CJ5A6OvrG/DI8ooKC3Nzq6EGE3h5eHh5eCCEVCpVt0CQkZl59sKFBfHxmk5XaoTSMzICAwJizc1r
ampuZGSQSCQvT0+E0P2mpj/OnvX19p4aGyuXy9PS00+mpr6ckIDFeRevXCERiS/Nncug07u6uwsK
C+3s7CaGhZFIpP6vPtUIpWdmjvPzmxYbi8fj9eesv1TY3oybN8f6+UVHRd0tLc3IzLS2srK1sUEI
tXd0nEpNdXZ2XjB/PoVCKS4pOX3mzPx586wed9SFQCAgk8lYlKa/zAAAADRghk9g/Jqam8VisWO/
iVEQQr29vQ2NjR5DNac99DeDx5ubmUVGRHR0dLR3dGjSJRKJu5sbx9aWQiZ7eXq6u7nl5OWpVCqE
UHZOjrm5+cTwcDqdzmaz42JilErlnYIChJBKpWptbXVzdWWbmBCJRCtLy9joaDqNNtjVJRKJm6sr
h8PBAkQ9OQ9ZKu3cyGTyuLFjTVis8ooKbFfWrVtMFis6KsrExIRCoQQFBtra2OQ+vCCHgWQyWWFx
cVNzs7eXlyFlBgAAoAEtasDIyWSya2lpHA7HdcyY/nuxsYpurq5D5qNUKguLiiqqqkQikVwuxxJ7
enq05/VwcnTU/lxWXi4UCplMZltbW8DYsZpdVCqVY2vb3NyMEMLj8Wampnn5+UQikcvlUsjkIUui
iTiVSqWenPWXis1mI4RwOJyD1pQxZmZmQqEQIaRSqZqam/19fbUHadpxOCWlpY9U+YePHkUIkYhE
lolJ2IQJfj4+BpYZAAAABgI1YMxUKtWFS5eQWj01Nhbrr6ajvLLSydGRNngLlsbNW7eqqqujo6I4
trZkMlksFu87eFDTNIUQopDJ2mENlqe4t5dEIqnVap1L0Gi0js5O7PP0qVMzs7Ku/PmnWq22trb2
8/EZMKb86yoUimZNUqlUqj9nPaXCAjUqlaq9l0QiYYFan1SqUqnyCwvzCwufpP6xUZ/aKb29vUOW
GQAAgAYEasCYXUtL6+joiJ83b8CXia2trV1dXRMGmqC4v6rqah9vb03rlFAk0jlAKpOpVCpN3COR
SBBCDDqdQqHgcDjJwz3kJBIJlULBPpuams6cPl2hUPBaWkrLyi5fvUomk7WbwbQRtOKqIXPWUyps
EzfIzVLIZBwOFxwYGBQY+HS/EUPKDAAAQAP6qAGjlZWdXVtXN3vmTKz1qL+yigoajTZg37X+FAqF
pikLIVRVXd3/mIbGxv/73NBAp9NZLBaBQLC2tq6vr9fskkqlLS0tdnZ22ucSiUSug0NcTAyBQGht
bcVStFvs+jMw5wFLpf9mCQSCvZ1dbV2dzmxzT87AMgMAAMBAoGaQ9vZ2qISRpai4uLikZOa0aZYD
TcmBEFIoFNU1Ne6urkPOlY9x5HLvlpa2d3RIZbKSu3d7e3t1DqBRqRWVlbyWFplMVlZeXl5ZGRwY
iGUeEhTU0dmZefNmr0TS09Nz6coVPB4/zt8fISQSic5duHC/qamvr08ul5eWlSmVSmypMTNTU4VC
0dTcrCda0pPzkKXSL2zChG6B4PLVq11dXQqForu7u7C4ODMr68m/miHLDAAAQONv9+qzu7ubwWCQ
SKT+u/r6+rDFOjXq6uoUCsWdO3dOnDixa9cuCwsLA7MCL1x+YaFCoTh1+rQmxY7DmTdnjmbzXm2t
TCYzfLznpMjI9IyM30+fRjic6+jRE8PCau7d0z4Ah8OFh4Vdu36d19JCpVBCx4/HBjkihLgODrNm
zMjJzT3w2294PN7ezi5+3jysWYvJZHp7eRUUFrbx+SqVyszMbFpcnL2dHUJolLOzp4fHhUuXpFIp
No9a/1LpyXnIUulnaWGREB+fk5ubevq0TC43YbGcHB3HPo1wasgyAwAA0DCGQC0pKek///mPra2t
IQd/8cUXzs7Ob7/9dv9dc+fOPXz4sLm5ufbBS5cuPX36dGJiYkNDg06gpicr8MINGNZoc3N1NWSw
pwaNSo2LidFOeXvlSp1jmAzG7JkzBzyd6+DAdXAYcJeTo+OAPdJwOFzUpElRkyZpUsImTAibMMHw
nPWXqn9uOjdoZmqqk2I4Xx8fX625cx+1zAAAADAjPlATCAS1tbXW1tYIoatXr16/fr2pqUkgEPT1
9c2bN2/58uXaB1dUVOTl5W3YsKF/Po2NjVQqVTtKQwgxmcy+vr5Nmza5uLjovC3Sk5VOtnv27MnO
zkYIBQUFrV27Fpsv9M6dO3v37i0uLqbT6ZGRkf/4xz8YDIbmLLVa/dZbb+Xn5x88eNDNzQ0e00eC
TeUPnrP2jo6dKSmaRdkfm/ai7FCrAAAw4gO10tJST09PLIpiMpnjx4/ncrlsNptCofTvQp6SkpKU
lGQ60GI1lZWV7u7uCKHe3t6enh61Wi0Wi2Uy2bVr1+h0+tSpUwMfHv6mJytt//vf/6Kjoz/88EOx
WPzVV19t3Lhxz549CKFffvnltdde8/HxaW1t3bBhw9dff71p0ybNWYcPH6bAILjH0r+VCzwH0VFR
0VFRTyUrbFF2qFIAAMCM+ECtvr7e9cELrPF651koLS2trKz88ssvB8tn1KhRCKH8/PwdO3ZQKBQ6
nX7//n0ikRgVFaXTrKU/K21r1qzBPrBYrLlz53788cfY5o8//oh9cHFxmTdv3pEjR7RLcuzYse3b
tycmJsIDOlIM+FISSgUAAOAJjfhAraurS+d95WB279792muv5efnW1lZubi46Ozl8/lYwBceHh4e
Ho4lfvPNNw4ODtHR0Y+U1YD4fP6ZM2cmafU30rhz544mEFSpVJ999tnatWvhvQ8AAAAAjKGPmr3W
GjiDKS0tzcnJEYvF9vb2aWlpx48fx7q1aSiVSgqFwuPxOByOJlEmk/Uf1DlkVjrOnDnz+eefI4TG
jBnz3Xff6ew9duwY1l8N29y3bx+Hw5k0aVKH1iKSAAAAAPh7GvHzqBEIBKFQ+MEHHyCEtm3b1qg1
t6e2vXv3WllZ/fvf//78888DAwOLi4ux9MbGRmzdRhaL1dzc/MEHH2hPMdra2qoz0tOQrHTMmjUr
Ozv73LlzY8eOffPNN/u05mQ/duzYzz//vGPHDgcHB4RQbW3tiRMnsHsBAAAAABjxLWo0Gm3//v3Y
6M7y8vJ79+5x+000X1dXl56evmfPHmwKD2tr656eHmzXF198MX369Dlz5pibm//8888rVqzQjO6U
yWTFxcUfffTRo2bVv5A4HM7S0jIpKenEiRP3798fM2YMQmjv3r1Hjx7dtWuX5uVpeXk5n8+fqjVo
bvHixa+++urq1avhSR2MSCRSKpVQDwAAAIyAqN/6hCM+UDM3N5dIJDNnzkQIzZw586uvvrp7966l
paVCoejq6lq0aJGZmdn+/ftnzpzp+2Aombm5eVNTE0Lo1KlTbW1t06ZNQwi5u7uLRCLt7mg//PCD
v7+/jY2N9uUMyUpDpVJt3LgxKSnJ2dm5o6Pj559/trCwcHR0RAjt2rXr/Pnze/bs0Q4rp0+fPn36
dOxzR0fH9OnTYXqOIeHxeAOXFgAAAACGOSJRNzAb8YGajY3N6NGjaTQaQmju3LkODg5ZWVllZWVk
MpnNZiuVSj6ff+XKlWPHjmlOiYyMXLVqVWFhYXNz8w8//EAmkxFCXl5e4eHh2CRnzc3N27Zta2ho
2L17t/a1DMxKA4/Hz5gx48svv6yqqmKxWP7+/rt27SKTyRKJ5Ndff0UIzZ8/HzuSTCZnZGTAA/oY
6HQ6/cES4wAAAMCI1n/NQFxe1g1PvwBso6zojn9w2Mi6Jey1l/Zq2f3vubq62vXhOejv3bvX2NgY
GBjIZDL7n9LT03Py5MnExESdCOAxsgJPRd2DNbydnZwqSgpGuXpgm7VV5VwXNwjUAAAAGAeRSFRT
VqQdmI34FjU9IRoGh8O59lspyMXFRc+0GiYmJq+//vpTyQoAAAAA4LFB5x4AAAAAgGHKGBZlB0Dj
qSz0CetQAQAAGCYgUAPG5gnDLFjTHQAAwPABgRowWnX19beyswU9PSYmJqEhIaOcnbX3Cnp6sm7d
ampqUiPk4+UVEhwM03wAAAAYbuCXCRin9vb2C5cueXp4vPH66z5eXhcvX+bz+Zq9EonkVGoqkUh8
OTFx6eLFNBqttbUVKg0AAMBwA4EaME6FxcVsNtvfz49IJPr6+JiZmhYUFWn2FhQWksjkKZMnMxkM
Eonk7+envcYrAAAAMExAoAaME4/H42itKsHhcJp5PM1mXUODy6hR8K4TAADAMAd91IBxEopEDAaj
8f79i5cvx0ZHMxgMsVisUqmw4EwgEJBJpLPnzzc1N9NoNNfRo4ODgoackw8AAAB4ziBQA0ZIpVKp
1WoCgaB+gEggIISUSiUej1epVCqVKi8/P3zChLiYmPb29nMXL6oRmjB+PFQdAACAYQVe/QBjfKzx
eBwOp1QqHbnc5cuWOTs5KbSWGsP2WllZeXt5kUgkDofj4e5eXl4O9QYAAGC4MYZATSQS6aQ0Njb2
X9YUk5eXd/HiRfjijR6LyRSLxZpNsVjMYDA0ndKYTKYJi6V9sKSvT6VSQb0BAAAYVkZ8oKZSqWbP
nt3V1aWduGzZMu0faW2XL19ubm6GL97ocTgcntaMGzwez05rXKetjY1QKNRsCkUiOo0GYwsAAAAM
NyP+l6mqqsrc3NzMzEw7kUwmKxQKgUAgkUiwlIKCgry8vLy8vNzc3I6Ojm+//TYvL09/znfu3Hnv
vfeioqJmzpz51VdfaSK/L7/8MkTL4cOHtc9Sq9UrV64MCQmprKyEx+sF8vf1FQgEhUVFSqWyuKSk
q7vb389Ps9fXx4fX0lJaViaXy3ktLeUVFZ6enlBpAAAAhpsRP5igoqLCy8sLIVReXv7FF19QqVS1
Wt3d3b1gwQIikbh161Zvb2+EUFpaWlNTk1Qq7ejoMDExsbe353K5+nP+5ZdfXnvtNR8fn9bW1g0b
Nnz99debNm3Cdi1YsGDdunUDnnX48GEKhQIP1gtnaWk5LS4uKzs7KzubbWISFxNjbWWl2WtrYzM1
NvZ2bm56ZiaDTvf19g4KDIRKAwAAMNyM+EDt3r17o0ePRgi5uLhs3rxZJpMRicTVq1fv2LHDwcFB
c9jq1asRQqmpqSYmJitWrEAI3b9//9KlS11dXRKJ5PXXX++f848//oh9cHFxmTdv3pEjR4YsTH19
/bFjx7Zv356YmAjP1gvn7OTk7OQ02F6XUaNcRo16gcW7mZVVWVX1+pIlA+7NvXMnPz9/+Rtv/A2/
uKvXrlVUViKERjk7T586FSFUXFKSnpmJ7SWRSCYmJp7u7j7e3kO+rS4sLs68eRMhxGKxXlu0CP4o
AAAjzogP1FpbW7EWNTKZ7OjoiCVSqdQB/wVPS0ubNWsWQugf//hHW1ubp6enubm5ubn5kFe5c+eO
m5ubZvPs2bO///67mZlZZGTkqlWrmEwmQkilUn322Wdr165lafVSBy+Q/rU+ZTJZTl5eTU1Nn1Rq
ZWkZGhICixMMH5YWFokJCTqJr7z8spmpqVQmKysvz7h5s1ciCQ0J0Z+Pv6+vv6/vjYyM+oYGqFUA
wEg04gM1kUjEZrPlcjmJRNIkkkgkpVKpc6RAICgqKvrPf/6DENq+fTuRaOi9Hzt27M6dO3v37sU2
169fv379eqVSWVVVtXnz5k2bNm3duhUhtG/fPg6HM2nSpI6ODniwXjhsrc8J48d7e3mVlZdfvHx5
/rx5Vg/efqpUqj/OnlWr1TNnzDAxMamoqLh248ail18ePuUPCggICgiA77E/Cpk81s+vvr6+5O7d
IQM1AAAY6Yxhwtv29vb169d/8803TU1NmZmZarVaIpH0D9QuXrwYHh5OpVIfKfNjx479/PPPOi9S
EUIEAsHDwyM5OXnVqlW9vb2tra0nTpw4ePAgPFLDhGatT4SQr49PaVlZQVFRbHQ0tre0rIzf3r74
lVew1lAfb28ajaY/w9Ly8utpaQghHA7HYDDs7ezGBwdjp6MH7zETExKup6c3NTW5u7lFTpyo/xSM
uLf32vXrzTwelUr19/XVjHjQefXZ0dmZk5vbzOMplUpbG5vQkBArrS532vQceb+pKSc3l9/ejsfj
7TicCaGhZqamD5V/wYJr1683NzczWazJEREcDqe+oSHr1i1BT4+tjU3MlCkMBuPxjjekKh4Jm81u
am6WSqUUCkXPfQEAwEg34gM1JpP5008/JScnV1dXb9y4cf78+Uqlsre39/3333/11VfnzZuHvQNV
q9UnTpzARgCcPn26trYW67Wm3969e48ePbpr1y4XFxf9R5aXl/P5/KlTp2pSFi9e/OqrrxpyFfAs
8Hg8B3t7zSaHw6mtq9NsVtfU2FhbawcKo4f6ir08PLw8PBBCKpWqWyDIyMw8e+HCgvh4zUt2NULp
mZnj/PymxcZiiQadkpERGBAQa25eU1NzIyODRCJ59Rt/ym9vP/X7745c7ktz5jCZzNa2tpLS0qhJ
k/oXUs+R95ua/jh71tfbe2psrFwuT0tPP5ma+nJCgqYS1AjdzMoKDgxkT5mSlZ197uLFqbGx92pr
Z8+cqVAozpw/fyMjY7rWE/5Ixw9ZFY9KIBCQyWQsStN/XwAAMKKN+Ok5bGxsent7w8PDa2pqHBwc
4uPjFy5cSKfT33777QsXLnz44YfYYRkZGUqlMigoCCHk7+9/5syZ9PR0bPFHgUDQ1tbWP+ddu3ad
PHlyz549OlHaunXrysvL+/r6Kioqtm/fHhYWRqfTp0+ffvuB8+fPI4QOHjwIUdoLpFnr86dff61v
aNCs9Ynt7ezqMn3cRhc8Hm9uZhYZEdHR0dGu9ZpbIpG4ubpyOJz+wYeeU9zd3Di2thQy2cvT093N
LScvr/+8uzdv3WIwGHExMWZmZiQSycHefsAoTf+R2Tk55ubmE8PD6XQ6m82Oi4lRKpV3Cgq0C+Ph
7m5tbU2hUEJDQqRSaVp6+qSICAaDwWaz/X196+rrZTLZYx+vvyoMJ5PJCouLm5qbvb28DLkvAAAY
0UZ8i5qjo6OHhwcej580aVJGRsa8efOUSqWHh0dUVNSUKVNaH0x5unfv3oULF+JwOISQk5PTxo0b
U1JSampqlEolmUyeNm3axx9/rJ2tRCL59ddfEULz58/HUshkckZGBkJo3rx5W7Zsqa6uxgYTYGNI
wbCif61PhJBcLje8kyJGqVQWFhVVVFWJRCK5XI4l9vT0aM/64fjwnC+GnOL0YAQM9rmsvFwoFLLZ
bO1MeDyev5/fkI1Peo5UKpVtbW0BY8dqUqhUKsfWVnvyZxwOZ29np9lLpVKtLC01WZmamqrVaqFI
ZPFg8M0jHW9IVQzp8NGjCCESkcgyMQmbMMHPx8eQ+wIAgBFtxAdqs2bNmj17NkKISqX+v//3/xBC
KpVK82tha2uLfdi2bZt2J6TJkydPnjwZIaRQKAb8wabRaLdv3x7wiuHh4eHh4XqKZGFhMdi54PnQ
WesTIZSXn48erPWJECKRSAqF4pHyvHnrVlV1dXRUFMfWlkwmi8XifQcPard+USgUTf6GnkImawdV
2CMq7u3VDtSkMplKpaLT6UOWUM+RUqlUrVbr9MOj0WgdnZ2aTSqViv2fjKaK6FrHk4hEhJB2C9kj
HT9kVRgCG/WpndLb2zvkfQEAwIg24gM1MpmskzJgw4P2L99D9080huEUoD/9a32amZl1d3c/UoZV
1dU+3t6aBjBhvxVmCf0evCFPwUIrTamwhTQYD0daWDDX29s7ZAn1HEmhUHA4nKSvTztRIpFQtSZn
xvU/DYfTc7lHOn7Iqng8htwXAACMaLC4ITBO+tf6HO3i0trWJtIKF2ru3dOfoUKh0G4wq6quHrIM
hpzS0Nj4f58bGuh0us48fAQCgcPh3KutHbL9Sc+RBALB2tq6vr5ekyKVSltaWuwevLt81h6j9gzx
wu8LEoVgQwAAa7RJREFUAACeNQjUgHHSv9ant6enhbn5hcuXOzs7FQrF3dLS7Jwc/Rk6crl3S0vb
OzqkMlnJ3buGNHENeQqNSq2orOS1tMhksrLy8vLKyuDAwP5NwmGhoWKx+NKVK13d3XK5/H5TEzbV
RX96jgwJCuro7My8ebNXIunp6bl05Qoejx/n7/98vo7HqD0Dvdj7AgCAZw1e/AHjpH+tTwKBMGf2
7Ns5OX+cOyeVSi0tLKIiI/VnOCkyMj0j4/fTpxEO5zp69MSwsCEb4YY8BYfDhYeFXbt+ndfSQqVQ
QsePx0Yy6rCytIyfN+92Ts7/Tp1CCNna2IwfZKJXPUdyHRxmzZiRk5t74Lff8Hi8vZ1d/Lx5z20V
jceoPQO92PsCAIBnDZeXdcPT768J0MuK7vgHh0GlgOGm7sG7LWcnp4qSglGuHthmbVU518VNu/v8
zpSUt1eufJJrPXkO4AldvXato6Oj/xJSjw1bQgrW+gQADH8ikaimrEg7MIMWNWBsdqakQCWMdO0d
HTtTUjSLsj827UXZoVYBACMRBGrAqEBjmBGIjoqKjop6Kllhi7JDlQIARi4YTAAAAAAAMExBoAYA
AAAAMExBoAYAAAAAMExBoAYAAAAAMEwZz2CC9vZ2AoFgZmb2SGf19PSUlZWNHz9ek/LLL7+YmZlF
R0ebmJjA8zH8iUQipVIJ9QAAAMAIiPqtsGc8gVpubu63334bERGxcuVKK62pTTXq6uqoVCqFQpHL
5UKhUCgUVlRUCIXCtLQ0BoPh4+ODHebk5HTu3Lnvv/9+7ty5b731FpVKhedmOMPj8QOu7goAAACM
OP2XIDeeQG3atGmRkZH79+9fuHDhwYMHOVoLO2J27NjR0NCgUqmIRGJNTQ2ZTP7000+PHz++evVq
Go2mOSw6Ojo6OrqxsfHcuXOUQZZ2/vLLL0+ePKnZXLt27SuvvIJ9zs/P37lzZ3l5OZfLTU5ODgoK
gsfumaLT6fSHVzEHAAAARii1Wq2TYlTzqOFwuBUrViQmJpqbm/ff+/XXXyOEmpubN27cOH/+/BUr
VpiZmYWGhurMhMnj8QoKCurq6phMZmNjo6Oj44DXWrBgwbp163QSi4qK1qxZs3r16m3btgkEgsOH
D0OgBgAAAIDHZlSB2ieffDJ79uxJkybpOYZKpa5YsWLChAnYpnaUlpKScuXKFZFIFB4e7u7u3tnZ
uXz58h07dowZM8bAAuzatWv27Nnx8fFYzv0jOQAAAAAAwxlDoCYUCrF4KyQk5NatW5MmTVIqlT/9
9NOSJUu032lizM3NNVGaDlNT0w8++CA4OFjT50koFJ4/f/7dd9/tf/DZs2d///13MzOzyMjIVatW
MZlMhUJRUFAQGBi4cOHC5uZmFxeX9957LyAgAB4yAAAAADweYwjUNm7cGBMTM2fOnFmzZr388stz
58718PC4f//+v/71ry1btuBwOIRQS0tLVlbWSy+9pCefl19+WSfFwsKitbW1/5Hr169fv369Uqms
qqravHnzpk2btm7dig0/TE1N3bp1q6Oj49GjR5OTk48dO2ZtbQ3PGQB/H09ltVlYDA0AgBnxgVpN
Tc3du3e//PJLhBCdTsdCqMOHD2/cuHHJkiUnTpxYsGABQujbb799jO5idXV1o0ePHmwvgUDw8PBI
Tk5etWpVb28vjUbD4XBYmIgQSkpKOnz4cG5u7owZM+A5A+Bv5QnDrKcS6gEAjMPIntdAqVT++9//
XrhwIZ1OxwZKhIeHOzs7X7lyhUqlvv/++7t37+7q6kIIlZSUPOpbSD6fn5aWpr/HmzYKheLk5KTZ
VKvVarUaa88DAPw91dXXHzl2LOWnnw4fO1ZbV6ezV9DTc+HSpZ9//fWnX3+9lZ2tUqmgxgAAOkZ2
oJaRkdHX1/f666+npaV988032D9ztra23d3dCKHx48e/8cYbZDIZIRQREbF58+a0tDQejycUCru6
uhobG2/dulVZWTlgzi0tLWvXro2Pj9eOvTTWrVtXXl7e19dXUVGxffv2sLAwbIaIhISE1NTU8vJy
iUSyd+9elUoVHBwMDxkAf0/t7e0XLl3y9PB44/XXfby8Ll6+zOfzNXslEsmp1FQikfhyYuLSxYtp
NNqAHS0AAH9zI/vV56RJkwICAkgkUlBQUGpq6rx58+zt7RsaGvbs2YMdsGjRIuzDhx9+eObMmePH
j9fU1AiFQhwOR6fTLS0tExIS3NzctPMsLS09ffr0pUuXEhMTVw7y/mLevHlbtmyprq7GBhOsWLEC
S09MTBSJRMnJySKRyM3Nbfv27ZaWlvCQAfD3VFhczGaz/f38EEK+Pj6lZWUFRUWx0dHY3oLCQhKZ
PGXyZGz0EnYYAADoGPF91LDxngwG49tvv62rq+vo6HBzc9OZGg0hhMfj58yZM2fOnCEzxOFwDAZj
//79Dg4Ogx0THh4eHh4+4K5ly5YtW7YMHiwAAI/Hc7C312xyOBztt591DQ0uo0bBuhoAAP2Mah41
Z2dnZ2fnJ8zE09PT09MTngwAwBMSikQMBqPx/v2Lly/HRkczGAyxWKxSqbDgTCAQkEmks+fPNzU3
02g019Gjg4OCCAQC1BsAQJtRBWoAADBMqFQqtVpNIBDUDxAJBISQUqnE4/EqlUqlUuXl54dPmBAX
E9Pe3n7u4kU1QhPGj4eqAwBog1Z3AAB4+vB4PA6HUyqVjlzu8mXLnJ2cFEolQghrM8P2WllZeXt5
kUgkDofj4e5eXl4O9QYA0AGBGgAAPBMsJlMsFms2xWIxg8HQdEpjMpkmWr1pWUympK8PZugAAOiA
QA0AAJ4JDofD05pxg8fj2XE4mk1bGxuhUKjZFIpEdBoNxhYAAHTAPwoAAPBM+Pv6CgSCwqIipVJZ
XFLS1d2tPQeHr48Pr6WltKxMLpfzWlrKKypgGBMAoD8YTAAAAM+EpaXltLi4rOzsrOxstolJXEyM
tZWVZq+tjc3U2NjbubnpmZkMOt3X2zsoMBAqDQCgAwI1APS5mZVVWVX1+pIlA+7NvXMnPz9/+Rtv
POFVTp85QyAQZk6fDhX+jFy9dq2ishIhNMrZefrUqQih4pKS9MxMbC+JRDIxMfF0d/fx9h7y5WNh
cXHmzZsIIRaL9dqDKbUH4+zk5DzQ6iYYl1GjXEaNgm8HAKAHBGoAjCTZOTnFJSVvJiXBPT4qSwuL
xIQEncRXXn7ZzNRUKpOVlZdn3LzZK5GEhoToz8ff19ff1/dGRkZ9Q8OQF62rr7+VnS3o6TExMQkN
CRmlNdEjtvI6Ho9nMBhOXG5gYCCDTocnHACgA/qoAfD4ggICnrw5DbxwFDJ5rJ+fvZ1dyd27TzFb
/Wt9IoRCgoNXvPHGjKlThSLRiZMnJRIJfBcAAB3QogaMSml5+fW0NPRgKTB7O7vxwcFMJhPbi73H
TExIuJ6e3tTU5O7mFjlxov5TMOLe3mvXrzfzeFQq1d/XV9MlXOfVZ0dnZ05ubjOPp1QqbW1sQkNC
rLT6JGmruXfvdk5Oj1BoaWExKSLCwFvIuHmzqLgYPWiMYTAYSxcvxq6bnZPDa25WKJVWlpah48dr
jy7UJhKJsrKzm5qb5XK5manpWH//MaNHawo/WCZYvS1ISBiwEp5unQ92j/ebmnJyc/nt7Xg83o7D
mRAaamZqqucSj/HwsNnspuZmqVRKoVD0XM5w+tf6xODxeAsLi2lxcQcOHcq9cydikLXpAAB/W0YS
qMlksuPHj7/66qvwjf7NeXl4eHl4IIRUKlW3QJCRmXn2woUF8fGajkdqhNIzM8f5+U2LjcUSDTol
IyMwICDW3LympuZGRgaJRPLqN0CP395+6vffHbncl+bMYTKZrW1tJaWlUZMm9S9kM4938fLloIAA
P1/fXokk69YtmUxGo9GGvIWJYWEkEknntWB7R8ep1FRnZ+cF8+dTKJTikpLTZ87MnzdvwBjx4pUr
JCLxpblzGXR6V3d3QWGhnZ0dnUYbMhM9lfB063zAe7zf1PTH2bO+3t5TY2PlcnlaevrJ1NSXExI0
4WD/SzwGgUBAJpOxKE3/5Qykf61PbQQCgevgUFtXB4EaAECHkbz6bGxsPHr0qP5jurq6Ll68uH//
/v/973/5+fnw3Rv5k43Hm5uZRUZEdHR0tHd0aNIlEombqyuHw+n/c67nFHc3N46tLYVM9vL0dHdz
y8nL6z8x6c1btxgMRlxMjJmZGYlEcrC3HzBKQwjdzsmxtbEJCQ6mUqnmZmYTw8LaHn4jpr88OrJu
3WKyWNFRUSYmJhQKJSgw0NbGJvfOnf5HqlSq1tZWN1dXtokJkUi0srSMjY6m02iGZGJIJTzFOteR
nZNjbm4+MTycTqez2ey4mBilUnmnoMCQSxhCJpMVFhc3NTd7e3kZcjkDadb6/OnXX+sbGjRrfQ54
sAmLJRKJlEol/PECALSN7BY1mUzG4/EsLS3r6+tHjRoll8u7u7vVarW1tbX2YQqF4scff0xPT4+K
ijpy5MjKlSuPHTu2bdu2Tz75xM3NbcCc8/Pzd+7cWV5ezuVyk5OTg4KCEEJTpkwRiUTah505c0bn
WuDFUiqVhUVFFVVVIpFILpdjiT09PdrTIjhyuY96ipOjo/bnsvJyoVDIZrO1M+HxeP5+foYECq1t
bYEBAZpNNptt+nBWQ5ZHQ6VSNTU3+/v6al/XjsMpKS3tfzAejzczNc3LzycSiVwul0ImP1Img1XC
M6pz7YPb2toCxo7VpFCpVI6tbXNzs/ZhOpcw0OGjRxFCJCKRZWISNmGCn4+PgZcbkv61Pgf4t5hI
RAjJ5XJYlx0AoG1kB2p8Pv+LL75oa2trb29XqVTTpk1js9mzZs1atmyZ5hiVSrV+/XpTU9PffvtN
qVQeOXJk8eLFOBzu1q1b77777t69ezn9evMUFRWtWbNm9erV27ZtEwgEhw8fxgK1P//8U3PMli1b
ampqIEobbm7eulVVXR0dFcWxtSWTyWKxeN/Bg9ptGBQKReeHcOhTyGTtX1bsHaW4t1c7UJPKZCqV
im7AqL2+vj6lUkl/8KJTO08Dy/NQblKpSqXKLyzMLyw0pH6mT52amZV15c8/sf+f8fPxcR0zxpBM
9FTCs6hzbVKpVK1W0/rVWEdnp55LGAgb9amd0tvbO+TlDKGz1idCKC8/Hz1Y67M/bCVQLFwDAACN
kf2Pgr29fUpKCkLoq6++GjNmzPz58/sfc/r0aalUunHjRhwOV1BQ4OLigsPhEEKhoaGxsbEHDhz4
8MMPdU7ZtWvX7Nmz4+PjEUIsFmvdunU6B0gkkvPnz69fvx4eoOGmqrrax9tb0/YjfLgFFCFE6NeY
MeQpWBCmCVOwoXk6MylgcUxvb++QJaRSqQQCQWd8n0QiIT9o3xqyPDrXxeFwwYGBBs6VampqOnP6
dIVCgc2Jf/nqVTKZ7GBvP2QmeirhWdT5Q/dIoeBwOElfn06NUSkUPZd4bIZczkD61/rU0dPTw2Qy
IVADAOgY2X3U1Gp1UVFRR0cHj8ezs7PDXj/1Pfwv7MmTJ5OSkrDgrKioyNfXV7Nr3Lhxd/uNxlco
FAUFBaampgsXLoyMjHz99dfv9Ovuc/HiRRKJFBUVBQ/QcKNQKLRbLKqqq5/KKQ2Njf/3uaGBTqez
tJbTRggRCAQOh3OvttaQRbVtrK21MxQIBIKeHgPLQyQStS9BIBDs7exq6+rUarXhtUQkErkODnEx
MQQCobW11cBMBquEp17n/e/R2tq6vr5ekyKVSltaWuzs7J7FI/QUL6d/rU9tSqWy8f59PVPjAgD+
tkZ2oCaVSvfs2bNixYpbt259+umns2fP/vDDD9va2u7cuXPr1i3smHv37nl4eGCfr1+/Hv7woKr+
v0xYf97U1NRNmzZduHBh0qRJycnJbW1t2secPHly9uzZmiYQMHw4crl3S0vbOzqkMlnJ3buGNHEN
eQqNSq2orOS1tMhksrLy8vLKyuDAwP7tImGhoWKx+NKVK13d3XK5/H5TEzYDRX/BQUG8lpbbubl9
fX1dXV2ZWVlWlpYGlsfM1FShUDQ1N2se3bAJE7oFgstXr3Z1dSkUiu7u7sLi4sysrP7XFYlE5y5c
uN/U1NfXJ5fLS8vKlEqlvb29IZnoqYSnXuf97zEkKKijszPz5s1eiaSnp+fSlSt4PH6cv/8zeoqe
1uX0r/WJUalUHZ2dFy9fRggFafVcBAAAzMhuZqdSqT/++CNCKCoq6tSpUwwGA0svKSn5888/Q0ND
EUJsNlskEtHp9PLy8tbW1vHjx2tOz8nJ6T+YgEaj4XC4uXPnYuFdUlLS4cOHc3NzZ8yYgR1QVlZW
UVHx73//G56eYWhSZGR6Rsbvp08jHM519OiJYWE19+494Sk4HC48LOza9eu8lhYqhRI6fjw2NlCH
laVl/Lx5t3Ny/nfqFELI1sZm/CBz3Nvb2cXFxNzOzc0vKLAwN58UEZGVnW1geUY5O3t6eFy4dEkq
lWJzjFlaWCTEx+fk5qaePi2Ty01YLCdHx7EDRRVMJtPby6ugsLCNz1epVGZmZtPi4uzt7BBCQ2ai
pxKeep33v0eug8OsGTNycnMP/PYbHo+3t7OLnzdPp1HzKXpal9O/1idC6HZOTm5eHoPBcORyF0RE
0GFlAgBAP7i8rBuefn/9b1xZ0R3/4LARdw8qlSosLOzmzZuaRo6MjIz9+/fv2bMHIfTZZ5+NHj16
0aJF77zzzuTJk19++WXsmOzs7HXr1v3000/9Y7XExMTY2Njly5cjhNRqdVxcXHJy8vQH6zBu3ry5
paUFCxDB81H34D2Us5NTRUnBKNe/mkhrq8q5Lm7w8/as6V/wdES4eu1aR0dH/yWkHhu2hNSAa33u
TEl5e+XKJ8n8yXMAAIxQIpGopqxIOzAzho6reDze2tq6tLTUx8cHSykqKnJ80E/5rbfeWrZs2YUL
F0xNTRMSEmQyWWlp6dmzZy9fvrxx48YBp+dISEjYt29fRESEk5PTkSNHVCpVcHCwpgYvXbq0adMm
eJgAGFnaOzp2pqRoFmV/bNqLsg92DLasAgAAPDkjGWH05ptvfvjhh3PmzDE3N6+oqMjOzt69eze2
y8bGZt++fRUVFaGhoQQC4ejRo6mpqREREUeOHLG1tR0wt8TERJFIlJycLBKJ3Nzctm/fbvmgC9G5
c+cYDMakQSYyBQAMT9FRUdFPafQPtii7ngOgMQwA8BQZw6tPzL1793Jycnp6euzt7aOionSmQQIj
Grz6BAAA8HdgnK8+MS4uLi4uLvAdAwAAAMBoGMlanwAAAAAAxgcCNQAAAACAYQqWKwEjGzZBMdQD
AAAAIyDqt6QeBGpgZMPj8Xg8NAwDAAAwBv0X/IVADYxsdDodRn0CAAAwDv1XtoSmCAAAAACAYQoC
NQAAAACAYQoCNQAAAACAYQr6qAGj8lTWWIQlgAAAAAwTEKgBY/OEYRYspw0AAGD4GPGBmlqtVqvV
2hM03Lt3j0Kh2NvbP5X8f/nlFzMzs+joaBMTE3hcRpa6+vpb2dmCnh4TE5PQkJBRzs7aewU9PVm3
bjU1NakR8vHyCgkOhmk+AAAADDcj/pfp3r17s2bN0k45fvx4amqqIefW1dW1trZ2dXW1tbXdu3ev
qKiIz+frHOPk5JSRkTF37tzt27f39fXBEzNStLe3X7h0ydPD443XX/fx8rp4+bL2lyuRSE6lphKJ
xJcTE5cuXkyj0VpbW6HSAAAADDcjvkWttbXV0tJSO4XNZovFYp3DysvLHRwcmEymduKOHTsaGhpU
KhWRSKypqSGRSB999JFO2BcdHR0dHd3Y2Hju3DkKhaKnJGq1+q233srPzz948KCbmxtCqL29ffv2
7bdv35bL5ZMmTVq3bh2DwYBn7vkoLC5ms9n+fn4IIV8fn9KysoKiotjoaGxvQWEhiUyeMnky1oqG
HQYAAAAMNyO+RU0gEJibm2unUKnU/k1fKSkpdXV1Oolff/310aNHv/vuOyqVGh8ff+bMGZ0oDSHE
4/HOnz9/5swZOp3e2NiopySHDx/WieTWr18vFosPHz587Nixtra2zz//HB6454bH43FsbDSbHA6n
mcfTbNY1NLiMGgXvOgEAAAxzI75FTSqV0mg0hFBXV5eZmRlCiEwmS6XS/kfy+fz09PTe3t6pU6dq
p1Op1OXLl4eFhekcn5KScuXKFZFIFB4e7u7u3tnZuXz58h07dowZM6Z/5vX19ceOHdu+fXtiYqLm
ckVFRQcOHLCwsEAIrVq16s033+Tz+VZWVvDYPQdCkYjBYDTev3/x8uXY6GgGgyEWi1UqFRacCQQC
Mol09vz5puZmGo3mOnp0cFAQgUCAegMAADCsjPhAjUKhKBSK4uLi77777qeffkIIKZXKAX9x9+7d
6+7u7u3trZNubm7eP0pDCJmamn7wwQfBWn3MhULh+fPn3333XZ0jVSrVZ599tnbtWhaLpbMLh8Np
PqvV6srKSgjUngOVSqVWqwkEgvoBIoGAPRt4PF6lUqlUqrz8/PAJE+JiYtrb289dvKhGaML48VB1
AAAAhpUR/+rHwcGhqKjo448/Xrx4MZbS3d3dP2BCCK1bt27Dhg1z587FNltaWk6dOqUn55dffnn8
+PHab8csLCz6935DCO3bt4/D4UyaNEk70crKysPDY/fu3R0dHXw+PyUlBYfDDXg6ePqPNR6Pw+GU
SqUjl7t82TJnJyeFUokQwiJ4bK+VlZW3lxeJROJwOB7u7uXl5VBvAAAAhpsRH6h5e3tHRkYuW7Zs
8uTJWMq9e/ecnJy0j1EoFP1P/PbbbwdM16Ours7Ozk4nsba29sSJEx988EH/47/66iscDrdgwYLF
ixdPnDgRh8OZmprCM/d8sJhM7bBYLBYzGAxN2M1kMk20onkWkynp61OpVFBvAAAAhpUR/+oTj8dv
3LhRs8nj8XJycpKTk7HNEydOHDp0iEqlNjY2UiiURYsW+T0Y31dSUrJixQrDL8Tn89PS0pYtW6aT
Xl5ezufztfu9LV68+NVXX129ejWHw/nmm2+wxPT0dDKZ3P/FK3hGOBwOT2vGDR6PZ8fhaDZtbWyE
QqFmUygS0Wk0GFsAAABguDGqX6a2trb3339/2rRpXC4XS9m1a1dKSsqhQ4d8fHzc3d2///77t956
C2toiYiI2Lx5c1paGo/HEwqFXV1djY2Nt27dqqys7J9zS0vL2rVr4+PjddrqEELTp0+//cD58+cR
QgcPHly9ejVC6NChQ7m5uRKJJDc3d+vWrUlJSTA9x3Pj7+srEAgKi4qUSmVxSUlXd7f2HBy+Pj68
lpbSsjK5XM5raSmvqPD09IRKAwAAMNwYyRJSarX6p59+OnTo0JQpU/75z39q0pcuXfrmm29yudzm
5uaFCxcmJSVlZ2dj0dKHH3545syZ48eP19TUCIVCHA5Hp9MtLS0TEhKwWdAwpaWlp0+fvnTpUmJi
4spHXJsoKirqq6++ysvLs7a2fvXVVzUDQsFzYGlpOS0uLis7Oys7m21iEhcTY601jMPWxmZqbOzt
3Nz0zEwGne7r7R0UGAiVBgAAYLgxkkANh8ONHj36+++/9/X11U5fsmTJSy+9xOfz7ezsqFQqQmj8
g5F9eDx+zpw5c+bMGTJnBoOxf/9+BweHIYthYWFx+/ZtzSaHw9m+fTs8ZC+Ks5OTc78WUA2XUaNc
Ro16gcW7mZVVWVX1+pIlA+7NvXMnPz9/+RtvPOFVTp85QyAQZk6f/iSZPK3CPM+cR66r165VVFYi
hEY5O0+fOhUhVFxSkp6Zie0lkUgmJiae7u4+3t5DvqwvLC7OvHkTIcRisV5btAjqFoCRyHgWZZ8y
ZcqA6SwWa8BBoAby9PSEl2IjlJ7VPP936lRrWxtCCI/Hs5hM1zFjAgMCYB418Kiyc3KKS0reTEp6
utlaWlgkJiToJL7y8stmpqZSmaysvDzj5s1eiSQ0JER/Pv6+vv6+vjcyMuobGuDLAmCEMp5ADQBt
2GqeDg4OLycmUsjk0rKy1tZWjtZ4AidHx5nTp6tUqjY+/9yFCwqlMiw0dPiUPyggICggAAoDdFDI
5LF+fvX19SV37w4ZqAEAjAAEasA4GbiaJx6Pt7WxcRk16l5trf5ArbS8/HpaGnrwNtzezm58cLBm
9VjsPWZiQsL19PSmpiZ3N7fIiRP1n4IR9/Zeu369mcejUqn+vr6acuq8E+zo7MzJzW3m8ZRKpa2N
TWhIyGAzJ9fcu3c7J6dHKLS0sJgUEaGzt6OzMzsnh9fcrFAqrSwtQ8eP1x4MO9hVtAvz150uWHDt
+vXm5mYmizU5IoLD4dQ3NGTduiXo6bG1sYmZMkUzbsaQShiQSCTKys5uam6Wy+VmpqZj/f3HjB49
5F1gxVuQkDBgrT7dLzHj5s2i4mKE0M6UFIQQg8FYungxQuh+U1NObi6/vR2Px9txOBNCQ80ezMsz
4CUe4/Fms9lNzc1SqZRCoei5HADACECgBozTI63mqVQqVUql/mO8PDy8PDwQQiqVqlsgyMjMPHvh
woL4eM0l1AilZ2aO8/ObFhuLJRp0SkZGYEBArLl5TU3NjYwMEonk1e9VO7+9/dTvvztyuS/NmcNk
Mlvb2kpKS6MenmAZ08zjXbx8OSggwM/Xt1ciybp1SyaTYWusIYTaOzpOpaY6OzsvmD+fQqEUl5Sc
PnNm/rx5WDRm+FXUCN3MygoODGRPmZKVnX3u4sWpsbH3amtnz5ypUCjOnD9/IyNj+oMJa4ashMFc
vHKFRCS+NHcug07v6u4uKCy0s7Oj02j670J/rT7dL3FiWBiJRNJ59Xm/qemPs2d9vb2nxsbK5fK0
9PSTqakvJyRowsH+l3gMAoGATCZjUZr+ywEARjqYOAoYJ81qnnt+/vnAoUO3srOVA4ViKpWqmcer
ravTHuo7xN8MHm9uZhYZEdHR0dHe0aFJl0gkbq6uHA6n/6+vnlPc3dw4trYUMtnL09PdzS0nL6//
vLs3b91iMBhxMTFmZmYkEsnB3n7A+AkhdDsnx9bGJiQ4mEqlmpuZTQwLa+PzNXuzbt1isljRUVEm
JiYUCiUoMNDWxib3zp1HvYpEIvFwd7e2tqZQKKEhIVKpNC09fVJEBIPBYLPZ/r6+dfX1MpnMwEoY
kEqlam1tdXN1ZZuYEIlEK0vL2OhoOo025F0YWKtP8UvUkZ2TY25uPjE8nE6ns9nsuJgYpVJ5p6DA
kEsYQiaTFRYXNzU3e3t5GXI5AMBIBy1qwAgZsppnfUMD9sYKIeTs5DRkHyylUllYVFRRVSUSieRy
OZbY09OjPeuH44MJ/Aw/xcnRUftzWXm5UChks9namfB4PH8/P0N+11vb2gK1boTNZps+yEqlUjU1
N/v7+mrnY8fhlJSWPupVcDic/YMlOqhUKpVKtbK01JxoamqqVquFIpGFubmBldAfHo83MzXNy88n
EolcLpdCJhtyF0PW6jP6ErUPbmtrCxg7VpNCpVI5trbNzc3ah+lcwkCHjx5FCJGIRJaJSdiECX4+
PgZeDgAwokGgBoyQ9mqeCCHNap7agZpmMIFAILh+48Yf5869pHeulpu3blVVV0dHRXFsbclkslgs
3nfwoHY7DYVC0Rk3OvQpZLJ2wIG9oxT39moHalKZTKVS0en0Ie+6r69PqVTSH7zo1M4TIdQnlapU
qvzCwvzCwv7nGn4VhBCVSsXhcJpNEomkfVESkYgQ0rSoDVkJg5k+dWpmVtaVP/9Uq9XW1tZ+Pj6u
Y8bov4sha/VZfIkPVaNUqlaraf2+go7OTj2XMBA26lM7pbe3d8jLAQBGOgjUgHEabDVPnRYjPB5v
ZmYWEhz8+x9/tLa22tjYDJZhVXW1j7e3pqlGKBLpHEDo1xY15ClYeKQpkkQiQQgxHo6WsLCjt7d3
yFumUqkEAgHLREMikZDJZCwfHA4XHBg44NS+hl8FIYQbIAn32PU2GFNT05nTpysUCmwNictXr5LJ
ZAd7ez13MWStPosv8aFqpFBwOJykr0/nK6BSKHou8dgMuRwAYKSDPmrAOD3Sap5YC4dC73gChUKh
3RBSVV09ZBkMOaWhsfH/Pjc00Ol0nWn/CAQCh8O5V1trSCuUjbW1doYCgUDQ06PJx97OrrauTq1W
D1gDhl/lkTxGvWkjEolcB4e4mBgCgdDa2qr/Loas1af+JRKJRO0aIxAI1tbW9fX1mhSpVNrS0mL3
4E3x0/WcLwcAeCEgUAPGycDVPNVqtaCnJzcvj8Fg6O815cjl3i0tbe/okMpkJXfvGtL4NOQpNCq1
orKS19Iik8nKysvLKyuDAwP7R5NhoaFisfjSlStd3d1yufx+UxM2YUR/wUFBvJaW27m5fX19XV1d
mVlZVpaW/5fPhAndAsHlq1e7uroUCkV3d3dhcXFmVtajXuWRPEa9IYREItG5CxfuNzX19fXJ5fLS
sjKlUmlvbz/kXeiv1af+JZqZmioUiqbmZk3gGBIU1NHZmXnzZq9E0tPTc+nKFTweP87f/xk958/5
cgCA5w9efQLjNORqnthgAmyNVzsOZ+6sWSQSSU+GkyIj0zMyfj99GuFwrqNHTwwLq7l3T38ZhjwF
h8OFh4Vdu36d19JCpVBCx4/HOtXpsLK0jJ8373ZOzv9OncJubfwgM53a29nFxcTczs3NLyiwMDef
FBGRlZ2t2WtpYZEQH5+Tm5t6+rRMLjdhsZwcHcc++FE3/CqP5DHqDSHEZDK9vbwKCgvb+HyVSmVm
ZjYtLg4bwaD/LvTX6lP/Ekc5O3t6eFy4dEkqlWLzqHEdHGbNmJGTm3vgt9/weLy9nV38vHlPsjiK
fs/5cgCA5w+Xl3XD0++vYWJlRXf8g8NG1g0oFIrNmzdfv37d1tb2yJEj8I0apboHL3ecnZwqSgpG
uXpgm7VV5VwXN+0u8DtTUt5eufJJrvXkOYAXSP8KqiPC1WvXOjo6+i8h9diwJaRgrU8ARgSRSFRT
VqQdmI34FrW0tLTS0tIzZ87ABI8Ao5l0A4ARqr2jY2dKimZR9semvSg71CoAI9SID9QqKyt9fHxe
SJT25Zdfnjx5UrO5du3aV155Bfucn5+/c+fO8vJyLpebnJwcFBQEj9rzAY1hYKSLjoqKjop6Kllh
i7JDlQIwoo34QE0sFpMfTIb5/C1YsGDdunU6iUVFRWvWrFm9evW2bdsEAsHhw4chUAPg+QibMCFs
wgSoBwCA0RjZoz7Xrl177NixkydPhoSE7Nq1CyE0c+bM27dvY3vb2tpCQkKwORr4fP6aNWsmT56c
mJh47NixkJCQ7u5uhFBXV9cnn3wyderUqVOnbtq0qefBXAaD5WOIXbt2zZ49Oz4+nsViOTg49I/k
AAAAAAAMMbIDtW+//XbBggXx8fG3b99etWqVniM3bNjAZDJPnTr17bffnj9/XpP+0UcfiUSigwcP
7t+/v7W19dNPP32kApw9e3bixImzZ8/++uuvRSIRQkihUBQUFJiami5cuDAyMvL111+/o7UKIQAA
AACA4f4W86g1NjYWFhZ+8MEHZmZm9vb277zzDpbe1NR0586dDz/80MrKysbG5oMPPsjMzGxvbzcw
2/Xr11+/fj0tLe3rr78uLCzctGkTQkgkEimVytTU1E2bNl24cGHSpEnJycltbW3wqAEAAADgUf0t
5lHj8/l0Ot30wTJ52LSZCCFsonMOh4NtcrlcLNFSa47QIREIBA8Pj+Tk5FWrVvX29tJoNBwON3fu
XA8PD4RQUlLS4cOHc3NzZ8yYAU/bs4BFxlAPAAAAjICo3zp1xhaoUalUqVSKfe58sDKxlZVVb29v
d3c3Fqs1NTVh6TY2NkqlsqWlxdbWFiHU2NiIJQ6WjyEoFIqTk5NmU61Wq9Vq3OArIYInhMfj8XhY
YAMAAIAxIBJ1AzNjC9Tc3Nz++OOPsWPHikSiH3/8EUvkcrm+vr5bt259//33e3t7d+zYgaXb29uP
Gzduy5YtGzZsUCqVW7duDQv7/+3deVgT19448JN9IwmRsAQIi8oeQNlB0SJblVqsIlq1Vm2v3bi3
wqM+bb1XrU+1t15vtfe1Wvu+12tbW6q/VtG6oLjLvm9CBK1sSVgS1kCAkMnvj6m5KUuIiJXl+3n8
IzNz5szMmQn5embmfEPw7rRh6xlk27Ztb7zxhoODQ21t7aFDh0JCQvCRV+Pi4r755pvQ0FB7e/sf
f/wRwzB/f3+4+J4RJpPJ/H0WcwAAAGCSGprIeKp1RSQkJLS3t8fExCQlJYXpjUW0b9++rq6uV155
JTExMTw8HCGE5wvat28fk8lcs2bN+vXrLSws8OfMDNSjb9myZfv374+Kitq+fbu3t/eePXvw+fHx
8StWrEhKSoqOjs7IyDh06NAT3UsFAAAAAMBN+hRSY5CRkbFz587r16/D6Z8sjE8hBQAAAExeUzCF
lJHS0tJIJFJQUJBEIjl8+HBUVBRcDQAAAACY4KZLoBYQELB///69e/cyGIywsLCEhAQ49wCA52Jc
0tFCtjQAponpEqhxudy9e/fC+QYATARPGWaNS6gHAJgUpkugBgAAE1BNbW12Tk5HZyeHwwkKCHB0
cNBf2tHZmZWdLZFItAiJ3N0D/P1hMBoAphv4zgMAwPMhl8tTr151c3V9Y8MGkbv7lbS0lpYW3VKV
SnU2JYVMJq+Kj3993ToGg9HU1ASNBsB0A4EaAAA8HyVlZVwu19vLi0wme4pEPFPT4tJS3dLikhIK
lbrohRdMWCwKheLt5aVLowIAmD4gUAMAgOdDJpMJLC11kwKBQCqT6SZr6upmOjrCvU4Apjl4Rg0A
AJ6PLqWSxWLVNzRcSUuLDA9nsVjd3d0YhuHBWUdHB5VCuXj5skQqZTAYTrNm+fv5kUgkaDcAphUI
1AAA4DnAMEyr1ZJIJO1jZBIJIaTRaIhEIoZhGIYVFBXNCw6OioiQy+WXrlzRIhQcGAhNB8C0Ap3q
AADwHBCJRAKBoNFo7ITCP23a5GBvP6DRIITwPjN8qbm5uYe7O4VCEQgEri4uYrEY2g2Aafe3ApoA
AACeC7aJSXd3t26yu7ubxWLpHkozMTHhsNn6hVW9vRiGQbsBMK1M+kBt7dq1ly9fhhMJAJh0BAKB
TG/EDZlMZq33XqeVpWVXV5duskupZDIY8G4BANMNfOcBAOD58Pb07OjoKCkt1Wg0ZeXlbe3t3l5e
uqWeIpGssbGislKtVssaG8X377u5uUGjATDdTLuXCdavXx8fH//SSy8Zv0phYeGJEyfKysqYTOaC
BQsSEhJYLBZC6O9///uZM2d0xRITE1999VXdpFarffvtt4uKik6ePOns7AyXGgBgED6f/2JUVFZO
TlZODpfDiYqIsDA31y21srSMjozMzc+/m5HBYjI9PTz8fH2h0QCYbuCtz9EdP378tddeE4lETU1N
H3300T/+8Y/du3fji1auXLlt27Zh10pOTqbRaNB6k11mVlZVdfWG9euHXZpfWFhUVPSnN9540mrv
V1XlFxR0dnVRKJQ3N278PjlZKBQumD9/ghz1mI9rDM5fuEAikWIWL36+h3z95s37VVUIIUcHh8XR
0QihsvLyuxkZ+FIKhcLhcNxcXEQeHqPefCwpK8vIzEQIsdns19asMVzYwd7ewd5+pKUzHR1nOjrC
1xCA6WwqBGq1tbXvvPNOZWUln8/ftm1bYGAgQigxMTEjI4NAIFhZWcXGxm7cuJFAIOzYsUMsFu/Z
s2fPnj0ikej48ePDFhtU/+HDh/EPM2fOXLZs2Y8//mjMLp0+ffrQoUPx8fFwkYFBVCrVzdu3gwMD
PUWiyf7IUU5eXll5+ZsbN06BjfLNzOLj4gbNfHXVKp6paV9/f6VYnJ6Z2aNSBQUEGK7H29PT29Pz
Tnp6bV3dqBs1kM0Tz7xOJBJZLJa9UOjr68tiMuHrA8B0MxUCtUuXLn366aezZs1KTk7euXNnamoq
gUA4ePAgQgjDsOrq6o8++sjGxiY6Onrv3r319fX6tz6HLWZgW4WFhfr3MS9evHju3Dkej7dgwYJ3
3nnHxMQEr+3jjz9OTExk672xBaYkPx8fPx+fJ12rvaMDwzAba2vdT/JavZvmk/e4pjAalTrHy6u2
trb83r1RAzXj4dk8bW1tV8XH06jUisrKpqYm/TxRAf7+PnPmtLW1Zefm/nTmTPyKFQwGA04HANPK
VAjUVq9e7eHhgRCKi4s7evSoXC43f/ycB5FIdHFxiY+Pv3PnjoEIzMhip0+fxp9Xwyc/+OCDDz74
QKPRVFdXf/LJJ7t37z5w4ABC6JtvvhEIBAsXLlQoFHCF/cEqxOJbt28jhAgEAovFsrG2DvT3xwNo
9Pg+Znxc3K27dyUSiYuz84L58w2vguvu6bl565ZUJqPT6d6enronvgfdIlS0tubl50tlMo1GY2Vp
GRQQYK73yBFOd4vt9M8/688XeXgsmD//wcOHV69dWxUXZ2Zmplt04dKlnp4evLNH0dqak5cnk0oH
NBpzPj8oMNB6hPyP+MGujIsbds8RQg0SSV5+fotcTiQSrQWC4KAgnqnp0OPC61kdH3/z9u2GhgYq
jTZ3zhwvkQghlJ6ZWVpWhh73/bBYrNfXrRt1Jx/++mtuXl5nVxffzGxhaKiBs6lUKrNyciRSqVqt
5pmazvH2nj1r1rAbHcN5H8PVxeVyJVJpX18fjUYz0HrG02XzxEN2/bOj/9fJzMzsxaio7374Ib+w
MHTePPiaAzCtTIVAjcfj4R/wZ8J6e3sRQtevXz9x4kRdXZ1KpUIIeXt7D7uukcUQQqdPn/73v//9
5Zdf2tra6s8nkUiurq5JSUnvvPNOT09PU1PTTz/9dPLkSbi2ngt3V1d3V1eEEIZh7R0d6RkZF1NT
Vy5fruu70iJ0NyNjrpfXi5GR+EyjVklP9/XxiZwx4+HDh3fS0ykUivuQ9+9a5PKz587ZCYWvvPyy
iYlJU3NzeUVF2MKFg4qFh4W5uric++WX+Lg4/uNo7PvkZPyDo4MDlUqtqq4OfryoR6VqkEiCAgMR
QnKF4mxKioODw8oVK2g0Wll5+fkLF1YsWzY0HBx1zxskkl8uXvT08IiOjFSr1bfv3j2TkrIqLm5Q
hKqrJz0zc46XV3hY2L2KivSMDAtzcytLy/khIRQKZdBdSMM7KZXJrqSl+fn4eHl69qhUWdnZ/f39
I/USXbl2jUImvxIby2Iy29rbi0tKrK2th93oGM77GHR0dFCpVDxKM771DDA+myeJRBLa2j6qqYFA
DYDpZmoOz9Ha2rpjx44333zz8uXLOTk5iYmJGo3mtwPW+5tooNggJ06c+M9//nP06FEXFxfDmxaL
xS0tLdHR0QEBAYsXL0YIrVu37osvvoBL7Y++sonEGTzegtBQhUIh1+vaVKlUzk5OAoFg6K+jgVVc
nJ0FVlY0KtXdzc3F2TmvoGDouKOZ2dksFisqIoLH41EoFFsbm6FR2qhIJNLsmTOrHjzQarX4nOoH
D7RarfPs2QihrOxsEzY7PCyMw+HQaDQ/X18rS8v8wsKRajOw5zl5eTNmzJg/bx6TyeRyuVERERqN
prC4eKR68EajUqlz58zhsNni+/dH2qjhnczNy7OytAzw96fT6TN4vPkhIc0tLcPWg2FYU1OTs5MT
l8Mhk8nmfH5keDhztBt/Yzjvxujv7y8pK5NIpR7u7k/aegbosnl+/e9/f/fDD9k5OSP9CUIIcdhs
pVJpoAAAYEqamm999vX1abVaExMTMplcXl6enJzM5/PxRXw+/8GDBxqNhkQiGSim7+jRo5cvX/76
66+FQqH+/G3btr3xxhsODg61tbWHDh0KCQlhMpmLFy9e/Pj9NYVCsXjxYhie44+k0WhKSkvvV1cr
lUq1Wo3P7Ozs1B/1wO7359GYVezt7PQ/V4rFXV1dXC5XvxKZTObt5fX0Lwc4OztXiMUSqdTWxgYh
VFVVJbS1ZTKZGIZJpFJvT0/9TVgLBOUVFQZqG3bPTUxMmpubfebM0S2i0+kCKyupVDpsJQQCAd8Z
HI/H0x+IVd+oO9nU3Oyr9/Qbl8s11WtGfUQikWdqWlBURCaThUIhjUod3/NupORTpxBCFDKZzeGE
BAd7iUQajeaJWm8kT5rNk0wmI4TUajXkZQdgWpmagZpAIPjzn/+8Y8eOrq4uFxeXsLCwsrIyfNFr
r722d+/eU6dOubm5HT9+fKRiOiqV6j//+Q9CaMWKFfgcKpWanp6OEFq2bNn+/fsfPHiAv0ywefNm
uJ6eu8zs7OoHD8LDwgRWVlQqtbu7+5uTJ/V7v2g02qDfudFXoVL1ww78Pl13T49+oNbX349hGHM8
XsqzFgjYbPb9qipbG5u2trYWuTxi0SKEUG9fH4ZhRSUlRSUlRlY10p5TKBStVjvohiODwVC0tg5b
D51O16+HQqGMFKgZ3sne3l6NRsMcst2R9n9xdHRGVta1Gze0Wq2FhYWXSOQ0e/Z4nXcj4W996s/p
6el5otYbiX42T/yvFp7Nc6RADc8EiodrAIDpY9J/57///nvdZyqVmpubi39et27dunXrhpb39vY+
ffq0bnKkYjoMBkNX5yDz5s2bZ/B5ETMzs5HWBc9I9YMHIg8PXTdSl1I5qABpSI/XqKvgQZguUsEf
Zxw0UAIeEvX09IzLUbg4OZWUlS0MDb1fXU2hUPCRtGhUKoFA8Pf1NX7U05H2nEajEQgEVW+vfmGV
SkUfYeQ/gtF7bngn6XQ6iUTCd0N/u9QRestMTU1jFi8eGBjAB+hPu36dSqXq9xE+zXkfsydtPQNG
yuY5bL9sZ2cn3v0PX3MAphVIIQWmlIGBAf2Ok+oHD8Zllbr6+v9+rqtjMpmDxl4hkUgCgeDXR4/G
JWe2s7OzWq3+9dGjqurqmY6O+G8ziUSysbZ+VFOje3zNGMPuOYlEsrCwqK2t1S3q6+trbGy0trZ+
0l0lk8n6hzzqTlpaWOjvUkdHR0dn56ibENraRkVEkEikpqamoRsd23kfs3FsPeOzeWo0mvqGBgND
4wIApioI1MCUYicU3quokCsUff395ffuGdPFNeoqDDr9flWVrLGxv7+/UiwWV1X5+/oO/TUNCQrq
7u6+eu1aW3u7Wq1ukEjwASPGwJTLtbSwyMrJUSqVLnoPOIYEB7d3dKRdv97W1jYwMNDe3l5SVpaR
lTVSPQb2PMDPT9HampGZ2aNSdXZ2Xr12jUgkzh35reeR8ExNBwYGJFKpLjIzvJP+fn6yxsbc/Pze
3t62traMrCzz4R4MRQgplcpLqakNEklvb69ara6orNRoNDY2NsNudAzn/WmMV+sZk80TwzBFa+uV
tDSEEAxuB8A0BL3oYEpZuGDB3fT0c+fPIwLBadas+SEhD3/99SlXIRAI80JCbt66JWtspNNoQYGB
+ENFg5jz+cuXLcvNy/v57FmEkJWlZeBTjIzq4ux8Jz0dHxJMN5NvZha3fHlefn7K+fP9ajWHzba3
s5szcnxgYM+FtrYvLVmSl5//3fffE4lEG2vr5cuWjWGIZkcHBzdX19SrV/v6+vAhzQzvpI21dVRE
RG5+flFxsdmMGQtDQ7Nycoat2cTExMPdvbikpLmlBcMwHo/3YlQU3hpDNzqG8/40xqv1Rs3mmZuX
l19QwGKx7ITClaGhTMhMAMD0QyjIuuPm9dv/0ipLC739Q6BRwERT8/g2k4O9/f3yYkcnV3zyUbVY
ONMZfr2GZThLKRjk+s2bCoViaAqpMcNTSA2b6/PIsWPvvvXW01T+9DUAACYmpVL5sLJUPzCDHjUA
AEAIIblCceTYMV1S9jHTT8o+Uhk8rQIAAIwKAjUAAEDhYWHhYWHjUhWelN1AAegMAwAYDwI1AKam
kODgkOBgaAcAAJjU4K1PAAAAAIAJCgI1AAAAAIAJCgI1AAAAAIAJCp5RA5ObUqnUaDTQDgAAAKYA
5ZAMeNM3UFu7du26desWL178jMqDPwaRSCQSoWMYAADAVDA0n++kD9Q2bdoUGxsbGxsLZ3d6YjKZ
MOAtAACAqWFoouRJH6gdP3584u9kUVHRkSNHxGKxUChMSkry8/NDCGEYdvjw4QsXLvT29gYGBn74
4YczZsyAaxQAAAAAOnDP6JkrLS3dsmXL4sWLL126tH///ps3b+LzT5w4kZaW9uWXX545c0atVu/Y
sQPaCgAAAAD6Jn2gtmnTpnPnzuGf165d+9VXX73zzjsvvPBCXFxczuNkz6dOnYqNjV2wYMHmzZvF
YrFu3dra2qGF29ra/va3v0VHR0dHR+/evbuzs3PQFnt7e7du3ZqYmKhSqWJiYnJzc/H5zc3NAQEB
XV1dg8ofPXp06dKly5cvZ7PZtra227Ztw+f//PPPr732mpOTE5/P37JlS0FBQe3jjJYAAAAAAGjq
vUxw6dKlTz/9dNasWcnJyTt37kxNTa2vr//iiy+OHj3q5uZWVVV19epVV1fXkQoTCIQPP/yQwWCc
PHkSw7Ddu3fv2rXr4MGDuvoVCkVSUpKbm9v27duNeYZ9YGCguLjY19d39erVUql05syZf/nLX3x8
fDo6OlpaWtzd3fFiDg4OdDq9urra3t4eLkoAhjUu+TEhfRMAYHKZaoHa6tWrPTw8EEJxcXFHjx6V
y+VkMplCobBYLCqVKhKJRCKRgcL9/f2FhYXnzp0zNzdHCG3duvXVV1+Vy+V8Ph8h9OjRo2PHji1f
vnz9+vVG7g8+eERKSsqBAwfs7OxOnTqVlJR0+vTpgYEBhJCJiYmuJJvN7u7uhisSAAOeMsyCVOgA
gElnqgVqPB4P/0Cj0RBCvb29QqHwk08++de//tXe3u7k5LR69WonJ6eRCre0tJBIJIFAgM8XCoUI
oaamJjxQO3/+vKmp6cqVK43fHwaDQSAQYmNj8W68jRs3Jicn5+fnz5s3D/1+uJSuri4WiwVXJADG
qKmtzc7J6ejs5HA4QQEBjg4O+ks7OjuzsrMlEokWIZG7e4C/P4zhAgCYpKbFH6/Q0NB//etfJ06c
8PPz27x5c29v70glLS0tNRpNY2MjPllfX4/PxCcTEhJmz5793nvv6R5Eo9PpfX19+OfW1tahFdJo
NP27mVqtVqvVEggELpdrbm5eUVGBz6+pqent7dVFkAAAA+RyeerVq26urm9s2CByd7+SltbS0qJb
qlKpzqakkMnkVfHxr69bx2AwmpqaoNEAAJPU1A/UcnJyjhw5Ul9fPzAwgGFYX1/f0EFKdGxsbObO
nbt//365XN7U1HTgwIGQkBC8Ow0hRCKR9uzZM2vWrLfffrutrQ0h5Ozs/Msvv3R1dclkssOHDw9b
Z1xcXEpKilgsVqlUJ06cwDDM398fIbRixYrvvvuuurpaoVAcOnTIx8cHHlADwBglZWVcLtfby4tM
JnuKRDxT0+LSUt3S4pISCpW66IUXTFgsCoXi7eWl6yMHAIBJZ+pnJvDx8amqqtqyZUtzc7Odnd2n
n37KYDAMlN+3b9/BgwfXrFlDIBCCgoISExP1lxKJxB07dhw6dGjz5s1ffvllQkLCxx9/HBMTY2Nj
ExcXp3sDVF98fLxSqUxKSlIqlc7OzocOHcIjvw0bNnR1db377ru9vb1BQUE7d+6EyxEAY8hkMlsb
G92kQCB4VFOjm6ypq5vp6Aj3OgEAUwOhIOuOm5cPPlFZWujtHwKNAiaa2rp6rRYjEIj2dsL75cWO
Tr+9t/uoWiyc6QyZCaaJI8eO4S8THP36az8fHysrqytpaZHh4XKFIic39+0//QkPzr763//19/Vt
bGqSSKUMBsNp1ix/Pz8SiaRfAwAATExKpfJhZal+YAb/6QSTgKWFOYlEsrQwh6YAGIZptVoSiaR9
jEwiIYQ0Gg2+FMOwgqIiB3v7jevXR4SF3auszM3Ph3YDAExSEKiBSYBOpwttbel0OjQFIBKJBAJB
o9HYCYV/2rTJwd5+QKNBCOF9ZvhSc3NzD3d3CoUiEAhcXVz0h7kGAIDJBQI1AMAkwzYx0R90sLu7
m8Vi6R5KMzEx4bDZ+oVVvb0YhkG7AQAmIwjUAACTjEAgkOmNuCGTyaz13uu0srTUz+TWpVQyGQx4
twAAMEnBHy8AwCTj7enZ0dFRUlqq0WjKysvb2tu9vbx0Sz1FIlljY0VlpVqtljU2iu/fd3Nzg0YD
AExSU394DgDAFMPn81+MisrKycnKyeFyOFERERbm/33RxMrSMjoyMjc//25GBovJ9PTw8PP1hUYD
AExSEKgBYEhmVlZVdfWGEbK75hcWFhUV/emNN5602vtVVfmFhV1dXWQy+c2NGw0X1t/KmLf4jFy/
efN+VRVCyNHBYXF0NEKorLz8bkYGvpRCoXA4HDcXF5GHx6g3H0vKyjIyMxFCbDb7tTVrDBd2sLd3
GHmA6JmOjjMdHeHqBQBMARCoAfBH61Gpbt6+HRwY6CkS/QHPTuXk5ZWVl48aDo4Z38wsPi5u0MxX
V63imZr29fdXisXpmZk9KlVQQIDherw9Pb09Pe+kp9fW1RkuiedWJxKJLBbLXij09fVlDTeWXnNL
y89nz3LY7LWvvgpXHQBgkoJn1AAYOz8fnzF0bnV0dGAYZmNtPeWfcKdRqXO8vGysrcvv3RvfmgP8
/Te/8caS6OgupfKnM2dUKtWgAhiG3bh1i633+icAAExG0KMGppQKsfjW7dsIIQKBwGKxbKytA/39
TUxM8KX4fcz4uLhbd+9KJBIXZ+cF8+cbXgXX3dNz89YtqUxGp9O9PT11j64PuhGpaG3Ny8+XymQa
jcbK0jIoIMDcfPAgvbp7had//hkh5OXpOT8k5NqNG23t7SuXL9cVSzl/nkaj4TcTjaRUKrNyciRS
qVqt5pmazvH2nj1rVnpmZmlZGXrcC8VisV5ftw4h1CCR5OXnt8jlRCLRWiAIDgrimZrqt9LKuLhh
D3kMuFyuRCrt6+uj0WgGtvukiESimZnZi1FR3/3wQ35hYei8efpL8wsKTLlcGo0mlUrhewEAmLwg
UANTirurq7urK0IIw7D2jo70jIyLqakrly/X9V1pEbqbkTHXy+vFyEh8plGrpKf7+vhEzpjx8OHD
O+npFArFfciLhC1y+dlz5+yEwldeftnExKSpubm8oiJs4cJBxcLDwlxdXM798kt8XBzfzGwcj/3K
tWsUMvmV2FgWk9nW3l5cUmJtbT0/JIRCoQy69dkgkfxy8aKnh0d0ZKRarb599+6ZlJRVcXG68NTI
QzZSR0cHlUrFozTD2x0DEokktLV9VFOjH6jJFYqy8vJVK1fmFRTAlwIAMKlN+jsva9euvXz58h+8
UYVCERAQ0N7eDhfQxL2yicQZPN6C0FCFQiFXKHTzVSqVs5OTQCAYetvRwCouzs4CKysaleru5ubi
7JxXUDB0ANXM7GwWixUVEcHj8SgUiq2NzdAo7dnBMKypqcnZyYnL4ZDJZHM+PzI8nMlgDFs4Jy9v
xowZ8+fNYzKZXC43KiJCo9EUFhc/6SGPqr+/v6SsTCKVeri7G7PdseGw2UqlEk8hhTfFjZs3fXx8
nib+AwCACQJ61MCUotFoSkpL71dXK5VKtVqNz+zs7NQfvsFOKHzSVezt7PQ/V4rFXV1dXC5XvxKZ
TObt5fW8HjsjEok8U9OCoiIymSwUCmlUqoEmam5u9pkzRzeHTqcLrKwG3SIc9ZANSz51CiFEIZPZ
HE5IcLCXSGTkdseATCYjhNRqNZ5FqrC4GMMwb09P+DoAAKaA6RWorV+/Pj4+/qWXXpo4u1RUVHTk
yBGxWCwUCpOSkvz8/BBCbW1tn3/+eU5OTn9/v4uLy5YtW2DETiNlZmdXP3gQHhYmsLKiUqnd3d3f
nDyp3xVEo9Hwn/MnWIVK1Q+/GAwGQqi7p0c/aunr78cwjDncu4d/mMXR0RlZWddu3NBqtRYWFl4i
kdPs2UOL9fX1abVaxu872xgMhqK19YkO2TD8rU/9OT09PaNud2zwXJ94uNbZ2VlQWLg0JgZSEQAA
pgboUXueSktLt2zZ8v7773/++ecdHR3Jycl4oLZ//365XP7tt9+y2eyjR49u2bLl8uXL8MNjjOoH
D0QeHrreoC6lclAB0pBmHHUVPAjTtT/+guGg8SDwyKanp2dsu02lUHSdebjunh4ajfZElZiamsYs
XjwwMICPy592/TqVStXvGPttV2k0AoGg6u3Vn6lSqeh6mzPmkJ+UMdsdm87OThMTEzxQ61IqNRpN
yvnz+gWOHDu2ODra0cEBviAAgEln6vz29/b2bt26NTExUaVSJSYmBgQEBAYGxsbGHj9+XKvVIoR2
7NghFov37NkTEBCwadMmhNCpU6diY2MXLFiwefNmsViM1xMTE5Obm4t/bm5uDggIwPMGyuXyxMTE
F154IT4+/saNG7rttrW1/e1vf4uOjo6Ojt69e3dnZ6fhevQdPXp06dKly5cvZ7PZtra227Ztw+c/
ePAgKirKysqKxWLFxcW1tbXJ5XK4WI0xMDCg32FW/eDBuKxSV1//3891dUwmc9C4DyQSSSAQ/Pro
0diSf7M5HKVSqR4YwCc7Ojp0F9KTIpPJQlvbqIgIEonU1NSEz9HfKxKJZGFhUVtbq5vT19fX2Nho
bW39RIf8pIzc7pPSaDT1DQ26wW9trK3ffest3T83V1cuh/PuW29BlAYAmKSmSKCmUCjeeustPp//
z3/+k8FgHDx4MDc3Nysra//+/RcvXrx69SpCaO/eva6urjt37szNzT1+/HhdXd0XX3yxZ8+ea9eu
/eUvf8HLGPDRRx/RaLSzZ89+/vnnFy5c0M3/8MMPlUrlyZMnv/3226ampl27dhm5zwMDA8XFxaam
pqtXr16wYMGGDRsKCwvxRYsWLUpLS2tubu7u7j5z5oyXl9fQUR7AsOyEwnsVFXKFoq+/v/zePWO6
uEZdhUGn36+qkjU29vf3V4rF4qoqf1/foR2cIUFB3d3dV69da2tvV6vVDRIJPuqHMZxmz8YwLDsn
p6+/X9Hamp2by+fzn+jAlUrlpdTUBomkt7dXrVZXVFZqNBobGxuEEM/UdGBgQCKV4v9jQQgF+Pkp
WlszMjN7VKrOzs6r164RicS53t5PeshPatTtPhEMwxStrVfS0hBCfj4+cPEDAKakqXDr89GjR8eO
HVu+fPn63+f5IRKJLi4u8fHxd+7ciR4yHhWZTKZQKCwWi0qlikQikUhkYBMNDQ3FxcVXrlzh8Xg8
Hi8hIeG9995DCEkkksLCwnPnzuGB1NatW1999VW5XG7Mryz+nlpKSsqBAwfs7OxOnTqVlJR0+vRp
CwuLDRs2lJeX48/SCQSCQ4cOEQgEuFiNsXDBgrvp6efOn0cEgtOsWfNDQh7++utTrkIgEOaFhNy8
dUvW2Ein0YICA/F3GAcx5/OXL1uWm5f389mzCCErS8vA0cbi1zFhsSLDw7NzcysqKy0sLMIWLLh1
584THbiJiYmHu3txSUlzSwuGYTwe78WoKBtra4SQo4ODm6tr6tWrfX19+DhqQlvbl5YsycvP/+77
74lEoo219fJly/Q7zIw85Cc16naNl5uXl19QwGKx7ITClaGhz/fpQAAAeHamQqB2/vx5U1PTlStX
6uZcv379xIkTdXV1+LM13sP9l93a2vqTTz7517/+1d7e7uTktHr1aicnp5E20dzczGAweDwePmlr
a4t/aGpqwu954ZNCoRCfaUygxmAwCARCbGysq6srQmjjxo3Jycn5+flLlix57733bGxsLl26xGKx
zp49++abb/7444/QqWYMBp0eFRGhP+fdt97SfQ4JDg4JDh7bKktjYoZuzs/HR78vh29mtuTFF0fd
Sfz23KCZs2bOnDVzpm5y2csvD7uVQVvUZ29nN/SJNIQQgUAIW7hw0FghQltb4ePLeFgmLNawhzwq
T5HIc+T/9oy6XWMMbb2R/JEjpAAAwLMwFQK1hISE7Ozs995774svvmCz2a2trTt27Pjss8/8/f0Z
DMaPP/6YlpaGlxx07yY0NDQ0NBTDsCtXrmzevPny5ct0Op1Op/f19eEFWh+/j2ZhYaFSqdra2vBY
TSKR4PMtLS01Gk1jY6OVlRVCqL6+Hp+JEBq2Hn00Gs1eL6u0VqvVarUEAqG9vb28vDwxMRGP9tas
WfPVV1+VlZUtWrQIrlcwAckViiPHjumSso+ZflL2kcrg+RUAAGD6mAqBGolE2rNnz6effvr2228f
PnwYH30AfwusvLw8OTlZ17/F5/MfPHig0WhIJFJOTk5BQcHSpUstLS0xDMPXQgg5Ozv/8ssvc+bM
USqVhw8fxle0tbX19vbev3//9u3be3p6vvzyS3y+jY3N3Llz9+/f/9FHH2k0mgMHDoSEhOCbG7ae
QeLi4r755pvQ0FB7e/sff/wRwzB/f39TU1OBQPD//t//s7GxYTAY58+fHxgYMNDbB8BzFB4WFh4W
Ni5V4UnZDRQwviMNAACmjCnyMgGRSNyxY4e/v//mzZtJJNKf//znHTt2hIWFHTx4MEzvV+S1117L
zMycP3/+pk2bfHx82Gz2li1bwsPDf/jhh08//RQf4SkhIaG9vT0mJiYpKUl/3X379qlUqldeeSUx
MXHJkiX685lM5po1a9avX29hYbF79258/kj16IuPj1+xYkVSUlJ0dHRGRsahQ4fwIA8frWPlypUv
vvjixYsXP/30U+Hvx2gF4NkJCQ7e8PvHPQEAADwvhIKsO25evz3yUlla6O0fAo0CJrL75cWOTq74
50fVYuFMZ3iQHAAAwNSgVCofVpbqB2YwhioAAAAAwAQFgRoAAAAAwAQFKaTA5IYPRwftAAAAYApQ
DkljCIEamNyIRCJkQQUAADA14GmLfzcHGgVMakwmE14mAAAAMDXocv3pQFcEAAAAAMAEBYEaAAAA
AMAEBYEaAAAAAMAEBc+ogSllXHJBQqoiAAAAEwQEamCqecowC9J+AwAAmDggUANTVk1tbXZOTkdn
J4fDCQoIcHRw0F/a0dmZlZ0tkUi0CInc3QP8/WGYDwAAABMN/DKBqUkul6deverm6vrGhg0id/cr
aWktLS26pSqV6mxKCplMXhUf//q6dQwGo6mpCRoNAADARAOBGpiaSsrKuFyut5cXmUz2FIl4pqbF
paW6pcUlJRQqddELL5iwWBQKxdvLSyAQQKMBAACYaODW51MpKio6cuSIWCwWCoVJSUl+fn4IoUWL
Fg1KAXHhwgULCwtorj+STCaztbHRTQoEgkc1NbrJmrq6mY6OcK8TAADABAeB2tiVlpZu2bLl/fff
//zzzzs6OpKTk/FA7caNG7oy+/fvf/jwIURpf7wupZLFYtU3NFxJS4sMD2exWN3d3RiG4cFZR0cH
lUK5ePmyRCplMBhOs2b5+/mRSCRoNwAAABPKpA/U1q5d6+/vX1FRcf/+fUtLy507d5aUlPzwww89
PT2RkZEffPAB/sPc1tb2+eef5+bmIoSCg4OTkpI4HA6+emhoaElJSWVlJZ/P37ZtW2BgoIHy+o4e
Pbp06dLly5cjhNhs9rZt2wYVUKlUly9f/uCDD+A6+4NhGKbVakkkkvYxMomEENJoNEQiEcMwDMMK
iormBQdHRUTI5fJLV65oEQoODISmAwAAMKFMhVs/N2/eTEpKSk1N9fT0TEhIqK2tTU5O/vbbb+/e
vXvz5k28zIcffqhUKk+ePPntt982NTXt2rVLt/qlS5cSEhJSU1NjYmJ27tyJp9kyUB43MDBQXFxs
amq6evXqBQsWbNiwobCwcFCZK1euUCiUsLAwuM7+6MuaSCQQCBqNxk4o/NOmTQ729gMaDUII7zPD
l5qbm3u4u1MoFIFA4OriIhaLod0AAABMNFMhUFu1apWrqyuDwViyZIlKpUpMTORwOEKh0N/fH//1
lUgkhYWF27dvNzc3t7S03Lp1a0ZGhlwux1dfvXq1h4cHnU6Pi4tra2uTy+WGy+OUSqVGo0lJSdm9
e3dqaurChQuTkpKam5v1y5w5c2bp0qVUKhWusz8e28Sku7tbN9nd3c1isXQPpZmYmHDYbP3Cqt5e
DMOg3QAAAEwoUyFQ4/F4+AcajUan0xkMBj5JpVL7+voQQk1NTSQSSfdan1AoxGcOXR0h1Nvba7g8
jsFgEAiE2NhYV1dXJpO5ceNGKpWan5+vK1BZWXn//v1ly5bBRfZcCAQCmd4pk8lk1nrvdVpZWnZ1
dekmu5RKJoMB7xYAAACYaKbFL5OlpaVGo2lsbMQn6+vr8ZlPU55Go9nb2+sm8QehCASCbs7PP//s
7++PB3ngj+ft6dnR0VFSWqrRaMrKy9va2729vHRLPUUiWWNjRWWlWq2WNTaK7993c3ODRgMAADDR
TItAzcbGZu7cufv375fL5U1NTQcOHAgJCeHz+U9ZPi4uLiUlRSwWq1SqEydOYBjm7++PL1IqlVev
XsXfMwDPBZ/PfzEqqkIs/t/jx8vv3YuKiLAwN9cttbK0jI6MLC0vP/7NN9dv3PD08PD39YVGAwAA
MNFMl+E59u3bd/DgwTVr1hAIhKCgoMTExKcvHx8fr1Qqk5KSlEqls7PzoUOHdMHcpUuXWCzWwoUL
4Qp7jhzs7R30ej0HmenoONPR8TnuXmZWVlV19Yb164ddml9YWFRU9Kc33oDz+Kzb5PrNm/erqhBC
jg4Oi6OjEUJl5eV3MzLwpRQKhcPhuLm4iDw8Rr05XlJWlpGZiRBis9mvrVkDpwwA8PQmfaD2/fff
6z6LRKLbt2/rJv/617/qPpuZmX3yySeGV6dSqfh4HAbKD7Jp06ZNmzYNnR8fHx8fHw+X1/M1ajbP
rJycouJiby+vecHB0Fx/mJy8vLLy8jc3bpw4u8Q3M4uPixs089VVq3impn39/ZVicXpmZo9KFRQQ
YLgeb09Pb0/PO+nptXV1cKIBAOMCnp4GU5Mx2TxramvZbLZ+xoKJw8/HB7rTJkKb0KjUOV5eNtbW
5ffuwSkAAPzxIDMBmJp02TzxXjT9NwlwHZ2dbW1tEYsWXbtxo7Wtbcbjl39HUiEW37p9GyFEIBBY
LJaNtXWgv7+JiQm+FL+PGR8Xd+vuXYlE4uLsvGD+fMOr4Lp7em7euiWVyeh0urenp24/B93mU7S2
5uXnS2UyjUZjZWkZFBBgrvfInQ6+Gyvj4oatE68nJy9PJpUOaDTmfH5QYKDuZdhhD8HAdketanV8
/M3btxsaGqg02tw5c7xEIoRQemZmaVkZQujIsWMIIRaL9fq6dYOOQqlUZuXkSKRStVrNMzWd4+09
e9asoW3y4OHDvPz8zq4uvpnZwtDQzOxsEokUs3ix4R0YGy6XK5FK+/r6aDRag0SSl5/fIpcTiURr
gSA4KIhnagrfOADAMwKBGpiaRs3mWVNTw2AwnJ2csnNza2pqRg3U3F1d3V1dEUIYhrV3dKRnZFxM
TV25fLluE1qE7mZkzPXyejEyEp9p1Crp6b4+PpEzZjx8+PBOejqFQnEf8v5pi1x+9tw5O6HwlZdf
NjExaWpuLq+oCBvhCUgDdcoVirMpKQ4ODitXrKDRaGXl5ecvXFixbJku9hp0CAa2a0xV6ZmZc7y8
wsPC7lVUpGdkWJibW1lazg8JoVAohm99Xrl2jUImvxIby2Iy29rbi0tKrK2tmY+H3cFJpNKr1675
+/p6ikQqlSo7N7e/v5+hV2akHRjb5dTR0UGlUvEo7ZeLFz09PKIjI9Vq9e27d8+kpKyKixsUfwMA
wHiBW59gatJl8/z63//+7ocfsnNyNBqNfoFHNTVCW1uEkNDW9lFt7RN8Z4jEGTzegtBQhUIhVyh0
81UqlbOTk0AgGBodGljFxdlZYGVFo1Ld3dxcnJ3zCgqGjrubmZ3NYrGiIiJ4PB6FQrG1sQkb+T0V
A3VmZWebsNnhYWEcDodGo/n5+lpZWubrZdQYdAgGtmt8VVQqde6cORw2W3z/vjHNi2FYU1OTs5MT
l8Mhk8nmfH5kePigKA0hlJefL7Cy8vfzo9PpPB5vXnBwy++HpB7zDgzS399fUlYmkUo93N0RQjl5
eTNmzJg/bx6TyeRyuVERERqNprC4GL5xAIBnBHrUwBQ0ajbPvr6+xqamMFdXhJDQ1rZSLO5RqYZG
A/o0Gk1Jaen96mqlUqlWq/GZnZ2d+qN+2P1+2DxjVrG3s9P/XCkWd3V1cblc/UpkMpm3l5fx4/EO
WyebzZZIpd6envr1WAsE5RUV+uvqDsHAdjEMG7UqAoFga2Ojm+TxePojDBtAJBJ5pqYFRUVkMlko
FNJGSOzR1Nzs5+Ojm+RwOKZ6jfY0O6CTfOoUQohCJrM5nJDgYC+RSKPRNDc3+8yZoytDp9MFVlZS
qRS+dACAZwQCNTAF6WfzRAjpsnnqArWa2loMw3Q9agQCoaa2Fr9NOZLM7OzqBw/Cw8IEVlZUKrW7
u/ubkyf1e79oNBqeS/QJVqFS9WMd/M5dd0+PfqDW19+PYRiTyTTy2Eeqk0KlYhhWVFJSVFIy4rp6
h2Bgu719faNWRafT9XeDQqEYHyctjo7OyMq6duOGVqu1sLDwEomcZs/+3Q709mo0GsbvA2s6nT5e
O4DD3/rUn9PT06PVagdtl8FgKFpb4UsHAHhGIFADU9NI2TzxH++a2lqE0InvvtMVqKmpMRyoVT94
IPLw0HVWdSmVgwqQhvQ8jboKHgzp4gmVSoUQYv0+NsIDr56eHiMPfKQ6aVQqgUDw9/X1G3loX/1D
MLBdY6oiPMW5MzU1jVm8eGBgAM8ekXb9OpVK1e8mpNPpJBIJPzSd3t5e/by6T7MDI6HRaAQCQdXb
qz9TpVLRaTT4xgEAnhF4Rg1MTQayeWIYVldfHxwU9O5bb+H/5gUHN0gkAwMDBiocGBjQ7zCrfvBg
1H0wZpW6+vr/fq6rYzKZbL34EiGEp5399dEj43PGD1sniUSysbZ+VFOj1WqNqcTAdp+0qkHIZLIx
x0Imk4W2tlERESQSaejQKpYWFvUNDbrJzq6u9o6OZ31RkUgkCwuLWr0nGvv6+hobG62treEbBwB4
RiBQA1OTgWyeDRKJWq0W6j3AJLS1HRgYaJBIDFRoJxTeq6iQKxR9/f3l9+4Z08U16ioMOv1+VZWs
sbG/v79SLBZXVfn7+g59JiwkKKi7u/vqtWtt7e1qtbpBIrmlN7Cz8XWGBAe3d3SkXb/e1tY2MDDQ
3t5eUlaWkZU1UlUGtvukVenjmZoODAxIpNJh4zylUnkpNbVBIunt7VWr1RWVlRqNxkbvZOH8/fyk
Mll+QUFvb29be3tmVpb5yEnhxlGAn5+itTUjM7NHpers7Lx67RqRSJzr7Q3fOADAMwK3PsHUhGfz
zM3Pv5uRwWIyPT08dPfpampr6XS6fvLWGTNmMJnMRzU1BlJOLVyw4G56+rnz5xGB4DRr1vyQkIe/
/mp4H0ZdhUAgzAsJuXnrlqyxkU6jBQUG4g/VDWLO5y9ftiw3L+/ns2fxQwsceYh8A3Xyzczili/P
y89POX++X63msNn2dnZzRg4yDGz3SavS5+jg4Obqmnr1al9f39Bx1ExMTDzc3YtLSppbWjAM4/F4
L0ZF2QzpsrKxto6KiMjNzy8oKjIzM3shNPROejqZ/Mz/oAltbV9asiQvP/+7778nEok21tbLly0b
1AkKAADjiFCQdcfN67eXpypLC739Q6BRwER2v7zY0em3h8keVYuFM531H3g/cuzYu2+99TT1P30N
z5Hh/KFTmHpg4NuTJz3c3UfN8jTU9Zs3FQrF0BRSY4ankIJcnwCAMVAqlQ8rS/UDM+hRA1MNPuQ9
mNr6+/vTMzO9PT25XG5XV1d2bq5Go3Ez+DqIAXKF4sixY7qk7GOmn5QdzhEAYFxM2UBt06ZNsbGx
sbGxcI6nlcnbGQaeCJVKtbG2vnH7dltbG5FItLK0jF26lMvhjKGq8LCw8LCwcdkrPCk7nB0AwDia
soHa8ePHn8t26+vrv/7665ycHISQn59fYmIinlSnsLDwxIkTZWVlTCZzwYIFCQkJLBZLt5ZWq337
7beLiopOnjzp7OwM1yUYm5Dg4JDg4GlysC7Ozi7wZQEATHXw1uc4+/nnn8PDw3/++edvv/1WpVLt
2LEDn3/8+PG1a9deuHDhf/7nf4qKiv7xj3/or5WcnEyDoZgAAAAA8HuTvkdt7dq1oaGhJSUllZWV
fD5/27ZtgYGB6Pe3Pkcq09LSsnfv3uLiYgsLi7i4uAMHDly9etXU1FSlUh05cuT27dtKpdLb23v7
9u0CgcBAPfq2bNmCf2Cz2bGxsX/961/xycOHD+MfZs6cuWzZsh9//FG3Sm1t7enTpw8dOhQfHw9X
JAAAAAB0pkKP2qVLlxISElJTU2NiYnbu3Dns4EzDlvnoo49MTEzOnj178ODBy5cv6wrv2rWrvr7+
q6+++uWXXxwcHLZv364bn9OYbeFaWlouXLiwcLjk2YWFhbr7mxiGffzxx4mJifD0MQAAAAAGmQrP
qK1evdrDwwMhFBcXd/ToUblcbq6X9HqkMr29vSUlJXgXGo/He++99959912EUHNz861bty5evIhX
8uc//zk8PPzXX3+dPXu2kdu6cOHCnj17EEKzZ8/+4osvBi09ffo0/rwaPvnNN98IBIKFCxcqFAq4
HMdAqVRqNBpoBwAAAFOAckiywakQqPF4PPwD/phX7+8z8Y1UpqWlhclkmj5Ouqwb+lwqlSKEYmJi
9FeXyWR4oGbMtl566aWYmBiFQnH8+PE333zz1KlTunTRp0+f/ve///3ll1/a2toihB49evTTTz+d
PHkSLs0xIxKJQ4fyBwAAACajoQN3T99x1MzNzXt6etrb2/FYTfI4fZCVlRWRSLxy5QqXyx1z5QQC
gc/nb9y48aeffmpoaMCDvBMnTpw6dero0aMzZ87Ei4nF4paWlmi9oZvWrVu3du3a999/Hy5WIzGZ
TObvs5gDAAAAk9TQR6qmb1eEUCj09PQ8cOBAW1ubRCL58ssv8flWVlahoaEff/xxXV1db29vRUXF
tm3b+vv7jakTw7APP/ywqqqqv79fJpMdO3bMzMzMzs4OIXT06NEzZ858/fXXuigNIbR48eLcx/CH
5E6ePAlRGgAAAABw0zozwb59+/bt2/fKK69YWFi8/PLL9+7do1AoCKGPP/74//7v/95///3W1tZZ
s2a9/vrrVCrVmAqJROKSJUv+/ve/V1dXs9lsb2/vo0ePUqlUlUr1n//8ByG0YsUKvCSVSk1PT4fr
DwAAAAAGQK7P32RkZOzcufP69etwTUxwhnN9AgAAAJMX5Pr8nbS0NBKJFBQUJJFIDh8+HBUVBZcI
AGAMxiXDLCRAAwAMNa0DtYCAgP379+/du5fBYISFhSUkJMAFAQAYm6cMs8Yl1AMATD3TOlDjcrl7
9+6FiwAAMI5qamuzc3I6Ojs5HE5QQICjg4P+0o7OzqzsbIlEokVI5O4e4O8P48sAAAyAPxAAADBu
5HJ56tWrbq6ub2zYIHJ3v5KW1tLSoluqUqnOpqSQyeRV8fGvr1vHYDCampqg0QAABkCgBgAA46ak
rIzL5Xp7eZHJZE+RiGdqWlxaqltaXFJCoVIXvfCCCYtFoVC8vbzwPMIAADASCNQAAGDcyGQygaWl
blIgEEhlMt1kTV3dTEdHuNcJADDetH5GDQAAxleXUsliseobGq6kpUWGh7NYrO7ubgzD8OCso6OD
SqFcvHxZIpUyGAynWbP8/fxIJBK0GwBgJBCoAQDA+MAwTKvVkkgk7WNkEgkhpNFoiEQihmEYhhUU
Fc0LDo6KiJDL5ZeuXNEiFBwYCE0HABgJ9MADAMD4IBKJBAJBo9HYCYV/2rTJwd5+QKNBCOF9ZvhS
c3NzD3d3CoUiEAhcXVzEYjG0GwDAAAjUAABg3LBNTLq7u3WT3d3dLBZL91CaiYkJh83WL6zq7cUw
DNoNADASCNQAAGDcCAQCmd6IGzKZzFrvvU4rS8uuri7dZJdSyWQw4N0CAIAB0/0PxNq1ay9fvgzX
AQBgXHh7enZ0dJSUlmo0mrLy8rb2dm8vL91ST5FI1thYUVmpVqtljY3i+/fd3Nyg0QAABsDLBAAA
MG74fP6LUVFZOTlZOTlcDicqIsLC3Fy31MrSMjoyMjc//25GBovJ9PTw8PP1hUYDABgAgdozodVq
33777aKiopMnTzo7OyOE5HL5oUOHcnNz1Wr1woULt23bxmKxoKEmvsysrKrq6g3r1w+7NL+wsKio
6E9vvDHpjmvy7rnhM6Lv+s2b96uqEEKODg6Lo6MRQmXl5XczMvClFAqFw+G4ubiIPDxGvflYUlaW
kZmJEGKz2a+tWWO4sIO9vYO9/UhLZzo6znR0hG8WAMBIEKg9E8nJyTQaTX/OBx98wGazk5OTMQzb
tWvXnj17PvvsM2go8MfIycsrKy9/c+PG6XbgfDOz+Li4QTNfXbWKZ2ra199fKRanZ2b2qFRBAQGG
6/H29PT29LyTnl5bV2e4pFarrW9ouFdRUVNbK7CyWvbyy/pLa2prL6WmDlpl7erVXC4XrlIAwLAm
faC2du3a+fPnl5SUiMXiiIiIe/fuJScn44vq6+tXrlx59uxZgUDQ1tb2+eef5+bmIoSCg4OTkpI4
HI5+Pb29vX/96181Gs2+fft6e3uHLRwTE7Nr166AgACEUHNz80svvXT9+nW23jtcuNra2tOnTx86
dCg+Ph6f09LSUlpa+t1335mZmSGE3nnnnTfffLOlpcVc754ImIz8fHz8fHxgzycjGpU6x8urtra2
/N69UQM14ykUitKyMnc3N7VaPdLrnPFxcXwzM/j6AACMMRV61M6fP//ZZ5+JRKK+vr4lS5aUlJR4
e3sjhM6cORMYGIin0vvwww8ZDMbJkycxDNu9e/euXbsOHjyoq0GhUCQlJbm5uW3fvp1IJCYmJhoo
bBiGYR9//HFiYuLQAI5AIOg+a7XaqqoqCNTGXYVYfOv2bby1WSyWjbV1oL+/iYkJvhS/axYfF3fr
7l2JROLi7Lxg/nzDq+C6e3pu3rollcnodLq3p6fu8fBBNxAVra15+flSmUyj0VhZWgYFBIx0ih/+
+mtuXl5nVxffzGxhaGhmdjaJRIpZvBghdO3Gjbb29pXLl+sKp5w/T6PR8Jt3+FZy8vJkUumARmPO
5wcFBureK1QqlVk5ORKpVK1W80xN53h7z541Kz0zs7SsDCF05NgxhBCLxXp93bpBe94gkeTl57fI
5UQi0VogCA4K4pma6jfa6vj4m7dvNzQ0UGm0uXPmeIlEwx7Xby28cuXNW7ekUqkJm/1CaKhAIKit
q8vKzu7o7LSytIxYtEh3338M52vQFu9XVd28fdvP13dscSeXy5VIpX19fTQazUAjGI/P57+0ZAlC
qKKyEsbdAAA8vakQqMXHx3t5eSGEGAzGkiVLzpw54+3t3d/ff+HChY8++gghJJFICgsLz507h/9q
bt269dVXX5XL5Xw+HyH06NGjY8eOLV++fP369aMWHtU333wjEAgWLlyoUCh0M83NzV1dXb/66qsd
O3ZgGHbs2DECgaA/2BIYL+6uru6urgghDMPaOzrSMzIupqauXL5c9xCSFqG7GRlzvbxejIzEZxq1
Snq6r49P5IwZDx8+vJOeTqFQ3Ie8rNcil589d85OKHzl5ZdNTEyampvLKyrCFi4cupNSmexKWpqf
j4+Xp2ePSpWVnd3f389gMIw5QLlCcTYlxcHBYeWKFTQaray8/PyFCyuWLcMv1yvXrlHI5FdiY1lM
Zlt7e3FJibW19fyQEAqFYuDWZ4NE8svFi54eHtGRkWq1+vbdu2dSUlbFxekCJi1C6ZmZc7y8wsPC
7lVUpGdkWJibW+lltNSnRSgzK8vf15e7aFFWTs6lK1eiIyN/ffRoaUzMwMDAhcuX76Sn64LOMZwv
fUXFxTl5eQtDQ91cXcd2wXR0dFCpVDxKM9wIAADwXEyF4Tks9X4w4uLirl+/3tHRcf36dRKJFBoa
ihBqamoikUiCx70OQqEQn4lPnj9/nk6nr1y5Ep80XNiwR48e/fTTT1u3bh266LPPPiMQCCtXrly3
bt38+fMJBILpk/9nHTzBlU0kzuDxFoSGKhQKuV7QrFKpnJ2cBALB0F99A6u4ODsLrKxoVKq7m5uL
s3NeQcHQzpLM7GwWixUVEcHj8SgUiq2NzbBRGkIoNy/PytIywN+fTqfP4PHmh4Q0t7QYeVxZ2dkm
bHZ4WBiHw6HRaH6+vlaWlvmFhQghDMOampqcnZy4HA6ZTDbn8yPDw5lGxH85eXkzZsyYP28ek8nk
crlREREajaawuHhoo1Gp1Llz5nDYbPH9+yPVplKpXF1cLCwsaDRaUEBAX1/f7bt3F4aGslgsLpfr
7elZU1vb39//9OcrIzMzr6DgxaiosUVp/f39JWVlEqnUw93dmEYAAIDnYir0qOnfUnR0dBSJRBcu
XLh169ZLL71EJpMRQpaWlhqNprGx0crKCiFUX1+P9MK7hISE7Ozs995774svvmCz2QYK0+n0vr4+
fK3W1taheyIWi1taWqIf9xYghNatW7d27dr3339fIBD885//xGfevXuXSqV6eHjA9TfuNBpNSWnp
/epqpVKpVqvxmZ2dnfpDJNgJhU+6ir2dnf7nSrG4q6tL/wFwjUYjk8m8vbyMGby0qbnZV+8+HZfL
NTXuWXIMwyRSqbenp/5WrAWC8ooKhBCRSOSZmhYUFZHJZKFQSKNSjWyx5uZmnzlzdHPodLrAykoq
lep/xWxtbHSTPB5Pf9TWod9HG2trXVV0Ot2cz9ftsKmpqVar7VIqzWbMGNv5QghhWm3a9et19fVL
Y2IEVlZPepEknzqFEKKQyWwOJyQ42EskMqYRxtHpn37675+sx2+kAgDAsAgFWXfcvH77zagsLYQW
AQAAAAB4jvQDM/KwCwAAAAAAwHMHOeYAAAAAACYoCNQAAAAAACYoMoJH0wAAAAAAJqT/D0kZfkjd
pvIuAAAAAElFTkSuQmCC
--=-=-=
Content-Type: image/png
Content-Disposition: attachment;
 filename=hash-shown-as-emoji-with-noto-color-emoji-font.png
Content-Transfer-Encoding: base64
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--=-=-=
Content-Type: image/png
Content-Disposition: attachment;
 filename=hash-shown-as-text-with-dejavu-sans-font.png
Content-Transfer-Encoding: base64
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==

--=-=-=--





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39799; Package emacs. Full text available.

Message received at 39799 <at> debbugs.gnu.org:


Received: (at 39799) by debbugs.gnu.org; 28 Feb 2020 17:30:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 28 12:30:32 2020
Received: from localhost ([127.0.0.1]:33746 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7jT6-0003bx-31
	for submit <at> debbugs.gnu.org; Fri, 28 Feb 2020 12:30:32 -0500
Received: from us-smtp-delivery-1.mimecast.com ([207.211.31.120]:29065
 helo=us-smtp-1.mimecast.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mfabian@HIDDEN>) id 1j7jT3-0003bi-L9
 for 39799 <at> debbugs.gnu.org; Fri, 28 Feb 2020 12:30:30 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=redhat.com;
 s=mimecast20190719; t=1582911024;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=vyQqp/mvhnj6qzZA895H/ZiRBbEWQ/FIfstlRjMbTSM=;
 b=TQtfb1kdNgwxJX/5EbhZg9gdqTT09DgmjWoIvW4F9QNmAMPtrD4Ku0Sq5h2btnkDYxcSvA
 nYxDoS/mx52e2WQZY8xlMMJiX9p4q66VADoSO/RpMz2qSavFJO51O1sugxxvjgERDSh5cC
 5m+1zRdw5Dx0BUULnf8CKFQvr1cgWFE=
Received: from mail-wr1-f72.google.com (mail-wr1-f72.google.com
 [209.85.221.72]) (Using TLS) by relay.mimecast.com with ESMTP id
 us-mta-113-GJw1z6usOLOLkMQ-0ZxbRQ-1; Fri, 28 Feb 2020 12:30:16 -0500
X-MC-Unique: GJw1z6usOLOLkMQ-0ZxbRQ-1
Received: by mail-wr1-f72.google.com with SMTP id w18so1642801wro.2
 for <39799 <at> debbugs.gnu.org>; Fri, 28 Feb 2020 09:30:16 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:organization:references:date
 :in-reply-to:message-id:user-agent:mime-version
 :content-transfer-encoding;
 bh=ixt1anBpS5OEwroqx1qTrOliTQJJufNCZtflyRgPjF8=;
 b=nOfW5LEbdlXpbEvNcshcWszor0YF6q4DKM0Ph09Q6gu5rIHgJ4V33sQSrRoJNf7OQT
 J1iICrG77vXoNWXqymIAQ82kHhqwGOL1kjg0eFCNbmmQ47220mh5CZkEUMMFx2moZj/P
 QPF0bagGyCRXFoZvEOky6O24CzwrTu1yiaIwvPldOonCePYs1ZkJKdPKkpolHcAQP/S+
 3TUgfZl8to0oBkzd0wSyPrXHGz1jAZCVVbbM+cW5J0hq5RKcsZfDvVX6sVRJbPzQD1f/
 +wyXURAxvehd9ZXcPCfQYte/JuBq6RhIE9BDel2yezEaBCIUQ9qXD74OyybyA8A3GGg7
 AQKA==
X-Gm-Message-State: APjAAAXtTa0jq6UiwTVcpd/z1eZpji8aDy9CvF+71Qt7N3hDb5fdMzZB
 4r0mnMcI+aYz7wsfRdtILGHj1snekzQQxVKlIcRfe2FR7mRtxD5gS8zf1if8bJ0zYvjAtL5SnMw
 yw2kDYQItzhxGnQ==
X-Received: by 2002:a5d:6a04:: with SMTP id m4mr5641555wru.127.1582911014922; 
 Fri, 28 Feb 2020 09:30:14 -0800 (PST)
X-Google-Smtp-Source: APXvYqxxdtyRdNmkKdFWUWovPUORoTsX/4hvMyyeRc29MN4WTCt8JIJU/NYlg3D/n90ug8Ud89clWQ==
X-Received: by 2002:a5d:6a04:: with SMTP id m4mr5641533wru.127.1582911014647; 
 Fri, 28 Feb 2020 09:30:14 -0800 (PST)
Received: from taka.site (ppp-46-244-193-84.dynamic.mnet-online.de.
 [46.244.193.84])
 by smtp.gmail.com with ESMTPSA id d15sm8956212wrp.37.2020.02.28.09.30.14
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 28 Feb 2020 09:30:14 -0800 (PST)
Received: from taka.site (localhost [IPv6:::1])
 by taka.site (Postfix) with ESMTP id 0B4B7900;
 Fri, 28 Feb 2020 18:30:13 +0100 (CET)
From: Mike FABIAN <mfabian@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#39799: 28.0.50; Most emoji sequences =?utf-8?Q?don?=
 =?utf-8?Q?=E2=80=99t?= render correctly
Organization: Red Hat
References: <s9dy2spfmmt.fsf@HIDDEN> <83lfongp4p.fsf@HIDDEN>
 <s9dlfonf9jp.fsf@HIDDEN> <835zfrglu5.fsf@HIDDEN>
 <m28skm52c8.fsf@HIDDEN> <83wo86g8pg.fsf@HIDDEN>
 <m2zhd23il2.fsf@HIDDEN> <83k146g46x.fsf@HIDDEN>
 <m2v9nq3etm.fsf@HIDDEN> <83imjqg1iv.fsf@HIDDEN>
 <m2imjq3cit.fsf@HIDDEN>
X-Face: "';
 oPz9V1+<,`}1ZuxRv~EiSusWq*{Yjr"Sdvbhq'?q=2R\\6Y9O/,SAE`{J|6I=|w/sQg<
 rW_N'E3IV6~f8?\l#Es`]S`mv',PY(`8{$$R?+gLu}Qv/Mn>)?uladFjJ@yl!_p_Jh; 5QxlD6zL:?r
 IXe4FfK$C^mWhh$o`yt; .r.FLZLQOWBt><!; -.DYZ)Nu&1?~*:\36\BGz]"L; nue;
 l\%sJ/]l{is5O Ew?0CF}dPS(ezG0xqUR)xa(L&&c;x{By"`oKvM&i!%+
Date: Fri, 28 Feb 2020 18:30:12 +0100
In-Reply-To: <m2imjq3cit.fsf@HIDDEN> (Robert Pluim's message of "Fri, 28
 Feb 2020 17:24:58 +0100")
Message-ID: <s9dtv3ad3h7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
X-Mimecast-Spam-Score: 0
X-Mimecast-Originator: redhat.com
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39799
Cc: Eli Zaretskii <eliz@HIDDEN>, 39799 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Robert Pluim <rpluim@HIDDEN> =E3=81=95=E3=82=93=E3=81=AF=E3=81=8B=E3=81=
=8D=E3=81=BE=E3=81=97=E3=81=9F:

> One thing this has thrown up that I don=CA=BCt understand is this:
>
> Most of the emojis in emoji-sequences.txt can be made to use Noto
> Color Emoji, but some can=CA=BCt. e.g.
>
> #x24c2 =E2=93=82
>
> is stubbornly not being displayed using Noto Color Emoji, even though
> that font has a glyph for it, and I=CA=BCve added:
>
>      (set-fontset-font "fontset-default" symbol-subgroup
>                       '("Noto Color Emoji" . "iso10646-1") nil
>                       'prepend)
>
> just after the similar setting for Symbola in
> lisp/international/fontset.el
>
> It=CA=BCs not being displayed with the default font, and setting
> use-default-font-for-symbols to nil makes no difference. It=CA=BCs using:
>
>     ftcrhb:-GOOG-Noto Sans CJK JP-normal-normal-normal-*-16-*-*-*-*-0-iso=
10646-1 (#x3F8)
>
> However, if I
> eval
>
>      (set-fontset-font nil #x24c2
>                       '("Noto Color Emoji" . "iso10646-1") nil
>                       'prepend)
>
> in the frame displaying the character, then it does use Noto Color
> Emoji. What am I missing?
>
> Robert

U+24C2 is an Emoji which has both a text and an emoji presentation. See:

http://unicode.org/reports/tr51/#Emoji_Variation_Selector_Notes
http://unicode.org/reports/tr51/#def_fully_qualified_emoji_zwj_sequence
http://unicode.org/reports/tr51/#def_non_fully_qualified_emoji_zwj_sequence

http://www.unicode.org/Public/emoji/12.0/emoji-data.txt

U+1F600 is an emoji, which has only emoji representation:

$ grep 1F600 emoji-data.txt=20
1F600         ; Emoji                # E1.0   [1] (=F0=9F=98=80)       grin=
ning face
1F600         ; Emoji_Presentation   # E1.0   [1] (=F0=9F=98=80)       grin=
ning face
1F600         ; Extended_Pictographic# E1.0   [1] (=F0=9F=98=80)       grin=
ning face

It displays without problems in colour in my Emacs.

Note that U+24C2 does not have the "Emoji_Presentation" tag:

$ grep 24C2 emoji-data.txt=20
24C2          ; Emoji                # E0.6   [1] (=E2=93=82=EF=B8=8F)     =
  circled M
24C2          ; Extended_Pictographic# E0.6   [1] (=E2=93=82=EF=B8=8F)     =
  circled M

It has to variations, text representation and emoji representation:

$ grep 24C2 emoji-variation-sequences.txt=20
24C2 FE0E  ; text style;  # (1.1) CIRCLED LATIN CAPITAL LETTER M
24C2 FE0F  ; emoji style; # (1.1) CIRCLED LATIN CAPITAL LETTER M

(U+1F600 is not in emoji-variation-sequences.txt as it has only emoji repre=
sentation).

$ grep 1F600 emoji-test.txt=20
1F600                                      ; fully-qualified     # =F0=9F=
=98=80 E1.0 grinning face
$ grep 24C2 emoji-test.txt=20
24C2 FE0F                                  ; fully-qualified     # =E2=93=
=82=EF=B8=8F E0.6 circled M
24C2                                       ; unqualified         # =E2=93=
=82 E0.6 circled M
$

As you can see above, U+1F600 is already fully-qualified on its own.

If I test in gedit, U+24C2 on  its  own is displayed in black and white
(happens to use "MS Gothic" font on my system).
U+24C2 U+FE0E is displayed in black and white in gedit as well.
U+24C2 U+FE0F is displayed in colour in gedit  using the "Noto Color
Emoji" font.

These selectors don=E2=80=99t work in Emacs for me. U+24C2, U+24C2 U+FE0E, =
and
U+24C2 U+FE0F *all* display in black and white for me in Emacs.

The selectors are displayed as a narrow box.

The presence of such selectors in a currently visible buffer make my
Emacs extremely slow and unresponsive, I can hardly finish typing this
e-mail.

If I switch to some other buffer so that no such selectors are currently
visible, my Emacs is responsive.

Now  that I switched back to this buffer to send this e-mail, it is
terribly slow again.=20

Same problem when one of the Unicode emoji data files is displayed which
contains these selectors. Emacs  becomes  unusably slow.

--=20
Mike FABIAN <mfabian@HIDDEN>
=E7=9D=A1=E7=9C=A0=E4=B8=8D=E8=B6=B3=E3=81=AF=E3=81=84=E3=81=84=E4=BB=95=E4=
=BA=8B=E3=81=AE=E6=95=B5=E3=81=A0=E3=80=82





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39799; Package emacs. Full text available.

Message received at 39799 <at> debbugs.gnu.org:


Received: (at 39799) by debbugs.gnu.org; 28 Feb 2020 16:40:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 28 11:40:06 2020
Received: from localhost ([127.0.0.1]:33727 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7igI-0001t8-6b
	for submit <at> debbugs.gnu.org; Fri, 28 Feb 2020 11:40:06 -0500
Received: from mail-wr1-f54.google.com ([209.85.221.54]:34619)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1j7igG-0001sZ-Be
 for 39799 <at> debbugs.gnu.org; Fri, 28 Feb 2020 11:40:04 -0500
Received: by mail-wr1-f54.google.com with SMTP id z15so3711887wrl.1
 for <39799 <at> debbugs.gnu.org>; Fri, 28 Feb 2020 08:40:04 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version:content-transfer-encoding;
 bh=edqu9bGn9sT7Veyr4Ia+Y1IStlFqvpjcjc7wgGAtrUs=;
 b=EMqcTR+F/A8mz96D02ndgQLGW2MNKCtM+l4V8KYZ0hD3UXhRB11nKbNAxHSjCQ/28L
 jvauAq9DDJmaw8b27BYGBauLO05B2zGFUhN5RQKLDf974KMiYxVh5fLtUUuWRPkfVDDM
 xK6SDnITApx4pSc87OEYRjZDhn5W7iWLfkqbI3ssDEiLjqnCHvPbfmtNPFVwXW1Nheh4
 kgV3DeJdiiMEA3eaEUWCI112KMOv2ladQFRhrEItWTxyF7v3s5tMnPBxIapMiGSTCDBc
 urw75UQCmnBrQOGR8K5pAfVctlB/enVVkyorttK7QBsbVI8EGZweNKaMATWeGYAJFLCo
 Qbiw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=edqu9bGn9sT7Veyr4Ia+Y1IStlFqvpjcjc7wgGAtrUs=;
 b=DjELf5jfUYa5Y/ualApQtjX5CARYCh4MjIWomhL5aftgqr/OyY8NxgvYn7kFCW8Kwz
 4XXMtTxK2nlDgiPqMspJH7TMk/Jbp9F1sip4jy2HL1eC8xyg0rsEXBrwrJMQfqQ5Kq+g
 cMasgsTquStnqEiQBnAoo+mI0oz4QbGsoXvcXuh0hQ9nmNujNpQRWRo3ckLG2Y7Jkt4t
 k/3gtZ8J8CrVhYTqgOHaMvrL30t2phOJqgYyJR0sTtQzka056U3JpVuATLtRlzyG49Px
 C8cDZnQt7Mn5e8vIU0XkbUMvHnn1IxZQGfLgeiY16vZId4Z0a8E5NNedFtS7T93KCHIh
 WZGA==
X-Gm-Message-State: APjAAAUmcApvrq42rWozD0+XMiH3Ebi4X2S29lg2Pibovu6JrpIj0Q9f
 2G5YcQMcsYdZ1cu/N681EQSI8twm
X-Google-Smtp-Source: APXvYqyfbR35w/Cg7t+YD/zYYHiQGePZ4FBUxa5cIZ5MDIUr7jRdGwjbK20Phta98l1vqEIjoHt++Q==
X-Received: by 2002:adf:a312:: with SMTP id c18mr5850792wrb.77.1582907998122; 
 Fri, 28 Feb 2020 08:39:58 -0800 (PST)
Received: from rpluim-mac ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id n3sm2992679wmc.27.2020.02.28.08.39.57
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 28 Feb 2020 08:39:57 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#39799: 28.0.50; Most emoji sequences =?utf-8?Q?don?=
 =?utf-8?Q?=E2=80=99t?= render correctly
References: <s9dy2spfmmt.fsf@HIDDEN> <83lfongp4p.fsf@HIDDEN>
 <s9dlfonf9jp.fsf@HIDDEN> <835zfrglu5.fsf@HIDDEN>
 <m28skm52c8.fsf@HIDDEN> <83wo86g8pg.fsf@HIDDEN>
 <m2zhd23il2.fsf@HIDDEN> <83h7zafzwh.fsf@HIDDEN>
Date: Fri, 28 Feb 2020 17:39:56 +0100
In-Reply-To: <83h7zafzwh.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 28 Feb
 2020 18:19:10 +0200")
Message-ID: <m2eeue3btv.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39799
Cc: rgm@HIDDEN, 39799 <at> debbugs.gnu.org, mfabian@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Fri, 28 Feb 2020 18:19:10 +0200, Eli Zaretskii <eliz@HIDDEN> said:

    >> From: Robert Pluim <rpluim@HIDDEN>
    >> Cc: Glenn Morris <rgm@HIDDEN>,  mfabian@HIDDEN,  39799@debbugs.=
gnu.org
    >> Date: Fri, 28 Feb 2020 15:14:01 +0100
    >>=20
    >> >> It matches forward off the first char, so the
    >> >> composition-function-table entries all have '0' as the number of =
chars
    >> >> to match. Would it be better to match backwards?
    >>=20
    Eli> I don't think matching backwards is better in general.  Did you ha=
ve a
    Eli> reason for thinking it was?
    >>=20
    >> I thought I saw a comment in composite.c that says matching is done
    >> backward, but I see that it=CA=BCs done forwards as well.

    Eli> Btw, it sometimes _can_ be beneficial to use backward matching: if=
 it
    Eli> makes the size of composition-function-table smaller.  Since
    Eli> composition-function-table is a char-table, and char-tables alloca=
te
    Eli> sub-tables only if needed, you can conserve memory (and thus make
    Eli> Emacs's memory footprint smaller) and faster (because 'aref' will =
llok
    Eli> up values in a char-table faster) by setting a smaller number of
    Eli> slots.  For example, if the 2nd character of an Emoji sequence was
    Eli> always one specific character, or a small set of characters, you c=
ould
    Eli> set only the slots of those few characters, which would make the
    Eli> char-table smaller.  OTOH, if that would yield many different
    Eli> composition rules in the list of rules for those few characters,
    Eli> redisplay could become slower, because it generally examines the r=
ules
    Eli> one by one until it finds an appropriate one.  So the winning setu=
p of
    Eli> composition-function-table is the one that sets the smallest numbe=
r of
    Eli> slots, but still keeps the lists of rules for those slots short.  =
And
    Eli> note that setting the same rule for a range of codepoints generally
    Eli> uses up only one slot in the char-table, so rules that can be
    Eli> generalized to cover many characters are preferable.

I don=CA=BCt think that applies in this case. The sequences are all easily
categorised based on the first char in the sequence. It could be done
based on the 2nd, or 3rd or whatever, but I don=CA=BCt think that reduces
the number of entries. Plus there=CA=BCs always one rule per character,
since multiple patterns starting with the same character are combined
using regexp-opt.

One thing though: the code currently does set-char-table-range to a
new value. Is there a chance that an entry already exists in
composition-function-table for a particular character? If so I=CA=BCd have
to change it to add the new rule after the existing one (before?).

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39799; Package emacs. Full text available.

Message received at 39799 <at> debbugs.gnu.org:


Received: (at 39799) by debbugs.gnu.org; 28 Feb 2020 16:38:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 28 11:38:47 2020
Received: from localhost ([127.0.0.1]:33723 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7if0-0001qD-SZ
	for submit <at> debbugs.gnu.org; Fri, 28 Feb 2020 11:38:47 -0500
Received: from us-smtp-2.mimecast.com ([207.211.31.81]:45394
 helo=us-smtp-delivery-1.mimecast.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mfabian@HIDDEN>) id 1j7iez-0001pw-3r
 for 39799 <at> debbugs.gnu.org; Fri, 28 Feb 2020 11:38:45 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=redhat.com;
 s=mimecast20190719; t=1582907919;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=UcRyGRNapcShpqGCJ4/wKbVN5Gshdjuiqk+BZdotjPc=;
 b=em3GECZfxnaSYxnXu+nrSiRDxZrxFvrAhneTL8K1EFVTWWSudTpxHG/I9osUE7yNmf0K7R
 HjnyxB6Z4w895djsMT0xbvtkuora6rWYAh7rJLi7waS4Dv7VW9mLZtTXbEJDrNaGg1tZRk
 OvDfgIbv5LAJvkLJndlm/YQX56E3ruI=
Received: from mail-wm1-f72.google.com (mail-wm1-f72.google.com
 [209.85.128.72]) (Using TLS) by relay.mimecast.com with ESMTP id
 us-mta-151-vM6YDZL6Nd-KXwsR9lQ-RA-1; Fri, 28 Feb 2020 11:38:37 -0500
X-MC-Unique: vM6YDZL6Nd-KXwsR9lQ-RA-1
Received: by mail-wm1-f72.google.com with SMTP id p4so491838wmp.0
 for <39799 <at> debbugs.gnu.org>; Fri, 28 Feb 2020 08:38:36 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:organization:references:date
 :in-reply-to:message-id:user-agent:mime-version
 :content-transfer-encoding;
 bh=tPwnhNW1r50LBCvOSbDiPD3f2ZtUJ6EylA/URJ79iE8=;
 b=CT7vG9vIW8Ji7VdMXTqV7rPBZQC9hZzrFHs+ZMuvz4KKVgU+1HIvEChStQlPBlit7s
 1IldTLl+CjNz+3G9Pgwsl0M1dRMIUVlju5f9leiLxacCUbfhGMtixAk01D6pdbEEiyNy
 TDIaw36L5Mb8yNzag0hPV2h8uA5Ls1G/8o7BdVq+rDUE+Ght8J7zywIgt8DH1+6cDIom
 9xk44awkv5WSm0AY4rua/aOjqksraHKdvlvdtgtmVP+Gw8sZakdWQF9TH0YmBOXAGcDu
 OnPqhSgR1+14WjyyCFKjakb1igV6L+4bUtI0NwXy5GxWpCMgbymepq/Q5s9oS/2kQ4mG
 3SZw==
X-Gm-Message-State: APjAAAV8lpFbA0dWf3wnmpP482ahOtGE3ltRIat+eYElUTIDtrHz/lIJ
 AKUnA3sBRalB5PnUQQnARaiYAdgfDZMXUoXDEUOJ1REISHj2gJlBkyTP6EfoTQOwgJleRvwheNu
 MdLzzRvef+bSzZQ==
X-Received: by 2002:adf:f846:: with SMTP id d6mr5453841wrq.125.1582907915821; 
 Fri, 28 Feb 2020 08:38:35 -0800 (PST)
X-Google-Smtp-Source: APXvYqxHenz3WJTL49hzN8S74lx7BdgelwDQHfA/FjXobdvYu9mA6zmeMTCWlbUFBw5vXFrwF63bWg==
X-Received: by 2002:adf:f846:: with SMTP id d6mr5453830wrq.125.1582907915579; 
 Fri, 28 Feb 2020 08:38:35 -0800 (PST)
Received: from taka.site (ppp-46-244-193-84.dynamic.mnet-online.de.
 [46.244.193.84])
 by smtp.gmail.com with ESMTPSA id p26sm2787620wmc.24.2020.02.28.08.38.35
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 28 Feb 2020 08:38:35 -0800 (PST)
Received: from taka.site (localhost [IPv6:::1])
 by taka.site (Postfix) with ESMTP id 28914900;
 Fri, 28 Feb 2020 17:38:34 +0100 (CET)
From: Mike FABIAN <mfabian@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#39799: 28.0.50; Most emoji sequences =?utf-8?Q?don?=
 =?utf-8?Q?=E2=80=99t?= render correctly
Organization: Red Hat
References: <s9dy2spfmmt.fsf@HIDDEN> <83lfongp4p.fsf@HIDDEN>
 <s9dlfonf9jp.fsf@HIDDEN> <835zfrglu5.fsf@HIDDEN>
 <m28skm52c8.fsf@HIDDEN> <83wo86g8pg.fsf@HIDDEN>
 <m2zhd23il2.fsf@HIDDEN> <83lfomg49b.fsf@HIDDEN>
 <m2r1ye3enb.fsf@HIDDEN>
X-Face: "';
 oPz9V1+<,`}1ZuxRv~EiSusWq*{Yjr"Sdvbhq'?q=2R\\6Y9O/,SAE`{J|6I=|w/sQg<
 rW_N'E3IV6~f8?\l#Es`]S`mv',PY(`8{$$R?+gLu}Qv/Mn>)?uladFjJ@yl!_p_Jh; 5QxlD6zL:?r
 IXe4FfK$C^mWhh$o`yt; .r.FLZLQOWBt><!; -.DYZ)Nu&1?~*:\36\BGz]"L; nue;
 l\%sJ/]l{is5O Ew?0CF}dPS(ezG0xqUR)xa(L&&c;x{By"`oKvM&i!%+
Date: Fri, 28 Feb 2020 17:38:34 +0100
In-Reply-To: <m2r1ye3enb.fsf@HIDDEN> (Robert Pluim's message of "Fri, 28
 Feb 2020 16:39:04 +0100")
Message-ID: <s9d1rqeekfp.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
X-Mimecast-Spam-Score: 0
X-Mimecast-Originator: redhat.com
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39799
Cc: rgm@HIDDEN, Eli Zaretskii <eliz@HIDDEN>, 39799 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Robert Pluim <rpluim@HIDDEN> =E3=81=95=E3=82=93=E3=81=AF=E3=81=8B=E3=81=
=8D=E3=81=BE=E3=81=97=E3=81=9F:

>     Eli> And anyway, the name "Noto Color Emoji" seems to imply it's a fo=
nt
>     Eli> created to display Emoji, not symbols in general, let alone non-=
symbol
>     Eli> blocks we currently set up to use Symbola if that is available.
>
> Right. There=CA=BCs a Noto Emoji font as well.

That has not been updated for a very long time though. Maybe it is dead.

--=20
Mike FABIAN <mfabian@HIDDEN>





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39799; Package emacs. Full text available.

Message received at 39799 <at> debbugs.gnu.org:


Received: (at 39799) by debbugs.gnu.org; 28 Feb 2020 16:25:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 28 11:25:06 2020
Received: from localhost ([127.0.0.1]:33708 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7iRm-0001Nx-BX
	for submit <at> debbugs.gnu.org; Fri, 28 Feb 2020 11:25:06 -0500
Received: from mail-wm1-f52.google.com ([209.85.128.52]:36584)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1j7iRl-0001NS-Nt
 for 39799 <at> debbugs.gnu.org; Fri, 28 Feb 2020 11:25:06 -0500
Received: by mail-wm1-f52.google.com with SMTP id g83so1651242wme.1
 for <39799 <at> debbugs.gnu.org>; Fri, 28 Feb 2020 08:25:05 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version:content-transfer-encoding;
 bh=jDqkZb0SnMGwiepzaFUylPP2CsDyH+I9XN3MR8IPrPw=;
 b=F0gx9he2qpvrKe7PUz6FgExTsaFOjEKCHj3tMa5l0ISwRWTlh4ig0B8gKHzIJCNmuT
 oPbX0MB8SxX16zeZSZb+ldLr6zp0Fd7mdMYBFVpPr9m9qR0EoqwfDsio9582q6tLAcSX
 KVCSHSxHDsggaRX8rRwBBmeyn93XBObNilRK41BTHH40g0LeCE5el3wT/EnkaBtfjWQ1
 dMrD7zsgVbOZaiDxAOAIbAGqSmFEsYANatSByaQkBY+uGnTxKIq09Edv61ZZnOhg0Lsc
 OQl1LWnh9eQ8lLGGf61gv4yA33arnPjB3L5PkzK7rdENaR8bo8s956PvNsh20mICaN8C
 XPOA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=jDqkZb0SnMGwiepzaFUylPP2CsDyH+I9XN3MR8IPrPw=;
 b=s9VF1IMI1J0i05FTW6aO3jtEUOy7d42ZIFLR1uh/cJBKAYxtaqa69s1zeEiTM90kBK
 EAXKm9aZFcoP3SFEaRkb7ast3V6Z1pfCfXr1VbJAdbvSMtNhQ05TwsaP02i4BSr9+6YW
 MUenpTdatO+YZtmXDgmNSlD81QW4hZQeQWsv3keFYghq4s82cdIf8ok5PYR9cu4eTWN3
 yu17pO0AT8xNT9mnb3ZRkBM8wwgwWa8l+ORVaI0ZV0rJsMHy8ZPVj+Emx6p3QXYCUS96
 c8jbFq/cxscKpWpi5lUqCaT2tRGTtZnevHfTaHyAF+fNiN+JaEclmvy+N+eueXeOBJ65
 50NA==
X-Gm-Message-State: APjAAAXOsQIUfdBrAh9EbZlz8q/A8DCiGQkuJqLZuDnPmUXEV4hYU0cn
 7jPjFJTKPhpIOAI8umYAPHo=
X-Google-Smtp-Source: APXvYqynzzZqgnnVGhPswubC+H8ELAxOqGMSHdSr3C8n8TXc/KP9wZrpDbrppWyXCylYpOb6M7EG5A==
X-Received: by 2002:a7b:c416:: with SMTP id k22mr5836976wmi.25.1582907099731; 
 Fri, 28 Feb 2020 08:24:59 -0800 (PST)
Received: from rpluim-mac ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id h71sm3062433wme.26.2020.02.28.08.24.58
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 28 Feb 2020 08:24:59 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#39799: 28.0.50; Most emoji sequences =?utf-8?Q?don?=
 =?utf-8?Q?=E2=80=99t?= render correctly
References: <s9dy2spfmmt.fsf@HIDDEN> <83lfongp4p.fsf@HIDDEN>
 <s9dlfonf9jp.fsf@HIDDEN> <835zfrglu5.fsf@HIDDEN>
 <m28skm52c8.fsf@HIDDEN> <83wo86g8pg.fsf@HIDDEN>
 <m2zhd23il2.fsf@HIDDEN> <83k146g46x.fsf@HIDDEN>
 <m2v9nq3etm.fsf@HIDDEN> <83imjqg1iv.fsf@HIDDEN>
Date: Fri, 28 Feb 2020 17:24:58 +0100
In-Reply-To: <83imjqg1iv.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 28 Feb
 2020 17:44:08 +0200")
Message-ID: <m2imjq3cit.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39799
Cc: 39799 <at> debbugs.gnu.org, mfabian@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Fri, 28 Feb 2020 17:44:08 +0200, Eli Zaretskii <eliz@HIDDEN> said:

    >> From: Robert Pluim <rpluim@HIDDEN>
    >> Cc: 39799 <at> debbugs.gnu.org,  mfabian@HIDDEN
    >> Date: Fri, 28 Feb 2020 16:35:17 +0100
    >>=20
    Eli> Readability is desirable because the file will be read by humans.
    >>=20
    >> Hmm, maybe. I guess we could process it in elisp to replace the
    >> characters with their names, and adding extra newlines is
    >> trivial. What other kind of changes did you have in mind?

    Eli> Just adding newlines, I think.

OK. I=CA=BCll work on that and the required makefile changes.

One thing this has thrown up that I don=CA=BCt understand is this:

Most of the emojis in emoji-sequences.txt can be made to use Noto
Color Emoji, but some can=CA=BCt. e.g.

#x24c2 =E2=93=82

is stubbornly not being displayed using Noto Color Emoji, even though
that font has a glyph for it, and I=CA=BCve added:

     (set-fontset-font "fontset-default" symbol-subgroup
                      '("Noto Color Emoji" . "iso10646-1") nil
                      'prepend)

just after the similar setting for Symbola in
lisp/international/fontset.el

It=CA=BCs not being displayed with the default font, and setting
use-default-font-for-symbols to nil makes no difference. It=CA=BCs using:

    ftcrhb:-GOOG-Noto Sans CJK JP-normal-normal-normal-*-16-*-*-*-*-0-iso10=
646-1 (#x3F8)

However, if I
eval

     (set-fontset-font nil #x24c2
                      '("Noto Color Emoji" . "iso10646-1") nil
                      'prepend)

in the frame displaying the character, then it does use Noto Color
Emoji. What am I missing?

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39799; Package emacs. Full text available.

Message received at 39799 <at> debbugs.gnu.org:


Received: (at 39799) by debbugs.gnu.org; 28 Feb 2020 16:19:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 28 11:19:32 2020
Received: from localhost ([127.0.0.1]:33704 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7iMO-0001Ce-MR
	for submit <at> debbugs.gnu.org; Fri, 28 Feb 2020 11:19:32 -0500
Received: from eggs.gnu.org ([209.51.188.92]:38508)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1j7iMN-0001CQ-10
 for 39799 <at> debbugs.gnu.org; Fri, 28 Feb 2020 11:19:31 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:41740)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1j7iMH-0002dQ-Ti; Fri, 28 Feb 2020 11:19:25 -0500
Received: from [176.228.60.248] (port=4332 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1j7iMG-0002yZ-JG; Fri, 28 Feb 2020 11:19:25 -0500
Date: Fri, 28 Feb 2020 18:19:10 +0200
Message-Id: <83h7zafzwh.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
In-reply-to: <m2zhd23il2.fsf@HIDDEN> (message from Robert Pluim on Fri, 28
 Feb 2020 15:14:01 +0100)
Subject: Re: bug#39799: 28.0.50; Most emoji sequences =?utf-8?Q?don?=
 =?utf-8?Q?=E2=80=99t?= render correctly
References: <s9dy2spfmmt.fsf@HIDDEN> <83lfongp4p.fsf@HIDDEN>
 <s9dlfonf9jp.fsf@HIDDEN> <835zfrglu5.fsf@HIDDEN>
 <m28skm52c8.fsf@HIDDEN> <83wo86g8pg.fsf@HIDDEN> <m2zhd23il2.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 39799
Cc: rgm@HIDDEN, 39799 <at> debbugs.gnu.org, mfabian@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

> From: Robert Pluim <rpluim@HIDDEN>
> Cc: Glenn Morris <rgm@HIDDEN>,  mfabian@HIDDEN,  39799 <at> debbugs.gnu.org
> Date: Fri, 28 Feb 2020 15:14:01 +0100
> 
>     >> It matches forward off the first char, so the
>     >> composition-function-table entries all have '0' as the number of chars
>     >> to match. Would it be better to match backwards?
> 
>     Eli> I don't think matching backwards is better in general.  Did you have a
>     Eli> reason for thinking it was?
> 
> I thought I saw a comment in composite.c that says matching is done
> backward, but I see that itʼs done forwards as well.

Btw, it sometimes _can_ be beneficial to use backward matching: if it
makes the size of composition-function-table smaller.  Since
composition-function-table is a char-table, and char-tables allocate
sub-tables only if needed, you can conserve memory (and thus make
Emacs's memory footprint smaller) and faster (because 'aref' will llok
up values in a char-table faster) by setting a smaller number of
slots.  For example, if the 2nd character of an Emoji sequence was
always one specific character, or a small set of characters, you could
set only the slots of those few characters, which would make the
char-table smaller.  OTOH, if that would yield many different
composition rules in the list of rules for those few characters,
redisplay could become slower, because it generally examines the rules
one by one until it finds an appropriate one.  So the winning setup of
composition-function-table is the one that sets the smallest number of
slots, but still keeps the lists of rules for those slots short.  And
note that setting the same rule for a range of codepoints generally
uses up only one slot in the char-table, so rules that can be
generalized to cover many characters are preferable.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39799; Package emacs. Full text available.

Message received at 39799 <at> debbugs.gnu.org:


Received: (at 39799) by debbugs.gnu.org; 28 Feb 2020 15:57:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 28 10:57:21 2020
Received: from localhost ([127.0.0.1]:33685 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7i0v-0000T9-12
	for submit <at> debbugs.gnu.org; Fri, 28 Feb 2020 10:57:21 -0500
Received: from mail-wr1-f43.google.com ([209.85.221.43]:34555)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1j7i0u-0000Sx-9T
 for 39799 <at> debbugs.gnu.org; Fri, 28 Feb 2020 10:57:20 -0500
Received: by mail-wr1-f43.google.com with SMTP id z15so3550930wrl.1
 for <39799 <at> debbugs.gnu.org>; Fri, 28 Feb 2020 07:57:20 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version:content-transfer-encoding;
 bh=fubB/4Nq0BtXXM9qgsg7yMleaZq8keCsAqUOvvLeuZs=;
 b=NAgdPZC0soFKTXQi2uhjJiNVSGxVJWEkolj8yxK8DLTaXA744+dBOsEVMU58qYjJcB
 T+zTr1jaLfLpPzmVi5nGwoXMJQBLPrdMvwMvB0eDhYDTmAJpm+Zsu0HbcjGvM16HQMnM
 ZQyhm7/m5sKqcwgGpDxw8T7mXIXei7RMcpSFMFx9aPGWy6397sUYsLmM9j1vtmWMUoNg
 ktqaGUJ316nJ55H+XoiOfneKDTh0OCpxk0e4uW5NQLVtv4RZ12wtenC2z3utJCPgJF2P
 lxtZnVjd8CsA9hwXxiGQDS5Uezg7mGoHu6EP3lhrW9CeU/oAsdeq+RhHm9x3EVw+AXWy
 /SkQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=fubB/4Nq0BtXXM9qgsg7yMleaZq8keCsAqUOvvLeuZs=;
 b=PkZwEoyiKSbx5liGodqmyad7BkR7tRFpEWZ/DkV8NdPepxm2Zt3+KaPVHoTC3oiDl0
 uM3Z3b0RYbOas7M85wXTOvqJWJGtjjK6sTqcAUIYdAiruLoDtYpAobwPITxBpMwpsuQV
 TFxO12JFyOndLyrPLGOFBetfi5fyMUqeN1OkGkIJusBIdAM5J/fj4lvUZRUtW9NpFpce
 XAWA07rlL/Ewz2EMxw/ac+rV9sU2IpwVa5wNuSuBfptBpib8HtTPpecBFn/IgHsvPRnj
 eNNoaaCWjX+X1FO37Zj0jXRwfKyMtmMOnZkbksZ81n/qfubdKezMe0EpZ4Fv96BGmLuj
 Hu8A==
X-Gm-Message-State: APjAAAUVrd0vHOqmsgnxutFgen/tivVksMPPlCf1bKOXb4RjRaYmTwQ6
 Z5SDkNRSt2cW1n4MdpinnnwQAEtP
X-Google-Smtp-Source: APXvYqyIaE0YAavp6B9+ZgdlCx6xEXzHl26a5PD8bPdKxa8pwLXWZGbiDlrUgCPQC4Ir7NGefbMuoQ==
X-Received: by 2002:adf:fecf:: with SMTP id q15mr5681101wrs.360.1582905434049; 
 Fri, 28 Feb 2020 07:57:14 -0800 (PST)
Received: from rpluim-mac ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id l8sm2862634wmj.2.2020.02.28.07.57.13
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 28 Feb 2020 07:57:13 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
To: Mike FABIAN <mfabian@HIDDEN>
Subject: Re: bug#39799: 28.0.50; Most emoji sequences =?utf-8?Q?don?=
 =?utf-8?Q?=E2=80=99t?= render correctly
References: <s9dy2spfmmt.fsf@HIDDEN> <83lfongp4p.fsf@HIDDEN>
 <s9dlfonf9jp.fsf@HIDDEN> <835zfrglu5.fsf@HIDDEN>
 <m28skm52c8.fsf@HIDDEN> <83wo86g8pg.fsf@HIDDEN>
 <m2zhd23il2.fsf@HIDDEN> <83lfomg49b.fsf@HIDDEN>
 <s9dblpienhk.fsf@HIDDEN>
Date: Fri, 28 Feb 2020 16:57:12 +0100
In-Reply-To: <s9dblpienhk.fsf@HIDDEN> (Mike FABIAN's message of "Fri, 28
 Feb 2020 16:32:39 +0100")
Message-ID: <m2mu923dt3.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39799
Cc: Eli Zaretskii <eliz@HIDDEN>, 39799 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Fri, 28 Feb 2020 16:32:39 +0100, Mike FABIAN <mfabian@HIDDEN> =
said:

    Mike> Eli Zaretskii <eliz@HIDDEN> =E3=81=95=E3=82=93=E3=81=AF=E3=81=8B=
=E3=81=8D=E3=81=BE=E3=81=97=E3=81=9F:
    >>> From: Robert Pluim <rpluim@HIDDEN>
    >>> Cc: Glenn Morris <rgm@HIDDEN>,  mfabian@HIDDEN,  39799@debbugs=
.gnu.org
    >>> Date: Fri, 28 Feb 2020 15:14:01 +0100
    >>>=20
    >>> >> It DTRT for me under Cairo if I change my fontset settings to use
    >>> >> 'Noto Color Emoji' instead of Symbola for:
    >>>=20
    Eli> Is that a free font (it's from Google, AFAIK, so it might not be)?=
  If
    Eli> it is free, we could modify fontset.el to use this font if availab=
le.
    Eli> (Or maybe there are better free Emoji fonts out there?)
    >>>=20
    >>> Its license is Apache 2.0. It seems fairly popular. I have no opini=
on
    >>> either way.
    >>=20
    >> What about the fact that we still support XFT?

    Mike> Is it possible to set up the fontsets by default in a way that co=
lour
    Mike> emoji fonts like "Noto Color Emoji" can be used by default in a c=
airo
    Mike> build but avoided by default in an XFT build?

I=CA=BCm not sure. I don=CA=BCt think we have a (featurep 'xft) or similar,=
 and
parsing system-configuration-features is just icky.

It=CA=BCs possible that adding Noto Color Emoji to a fontset will just
result in it being ignored in an XFT build. It=CA=BCs not something I=CA=BC=
ve
tested.

    Mike> Yes, so if you change the fontset to use a colour emoji font for a
    Mike> certain range of characters (which should be emoji), these emoji =
will
    Mike> display in colour in a cairo build.

    Mike> I am not sure what happens in an XFT build, if possible such unsu=
pported
    Mike> fonts should be ignored in an XFT build.

Colour fonts are ignored in an XFT build, period. Fonts that are
colour fonts but don=CA=BCt get classified as such by fontconfig (such as
"Noto Color Emoji") get added to face-ignored-fonts as and when we
discover them.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39799; Package emacs. Full text available.

Message received at 39799 <at> debbugs.gnu.org:


Received: (at 39799) by debbugs.gnu.org; 28 Feb 2020 15:44:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 28 10:44:32 2020
Received: from localhost ([127.0.0.1]:33672 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7hoW-00007l-KW
	for submit <at> debbugs.gnu.org; Fri, 28 Feb 2020 10:44:32 -0500
Received: from eggs.gnu.org ([209.51.188.92]:33076)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1j7hoV-00007U-5S
 for 39799 <at> debbugs.gnu.org; Fri, 28 Feb 2020 10:44:31 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:41119)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1j7hoP-0001eY-Rk; Fri, 28 Feb 2020 10:44:25 -0500
Received: from [176.228.60.248] (port=2194 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1j7hoM-0005jQ-6P; Fri, 28 Feb 2020 10:44:22 -0500
Date: Fri, 28 Feb 2020 17:44:08 +0200
Message-Id: <83imjqg1iv.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
In-reply-to: <m2v9nq3etm.fsf@HIDDEN> (message from Robert Pluim on Fri, 28
 Feb 2020 16:35:17 +0100)
Subject: Re: bug#39799: 28.0.50; Most emoji sequences =?utf-8?Q?don?=
 =?utf-8?Q?=E2=80=99t?= render correctly
References: <s9dy2spfmmt.fsf@HIDDEN> <83lfongp4p.fsf@HIDDEN>
 <s9dlfonf9jp.fsf@HIDDEN> <835zfrglu5.fsf@HIDDEN>
 <m28skm52c8.fsf@HIDDEN> <83wo86g8pg.fsf@HIDDEN>
 <m2zhd23il2.fsf@HIDDEN> <83k146g46x.fsf@HIDDEN> <m2v9nq3etm.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 39799
Cc: 39799 <at> debbugs.gnu.org, mfabian@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

> From: Robert Pluim <rpluim@HIDDEN>
> Cc: 39799 <at> debbugs.gnu.org,  mfabian@HIDDEN
> Date: Fri, 28 Feb 2020 16:35:17 +0100
> 
>     Eli> Readability is desirable because the file will be read by humans.
> 
> Hmm, maybe. I guess we could process it in elisp to replace the
> characters with their names, and adding extra newlines is
> trivial. What other kind of changes did you have in mind?

Just adding newlines, I think.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39799; Package emacs. Full text available.

Message received at 39799 <at> debbugs.gnu.org:


Received: (at 39799) by debbugs.gnu.org; 28 Feb 2020 15:39:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 28 10:39:13 2020
Received: from localhost ([127.0.0.1]:33668 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7hjN-0008Pl-0Y
	for submit <at> debbugs.gnu.org; Fri, 28 Feb 2020 10:39:13 -0500
Received: from mail-wm1-f47.google.com ([209.85.128.47]:34825)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1j7hjL-0008PY-OJ
 for 39799 <at> debbugs.gnu.org; Fri, 28 Feb 2020 10:39:12 -0500
Received: by mail-wm1-f47.google.com with SMTP id m3so3690966wmi.0
 for <39799 <at> debbugs.gnu.org>; Fri, 28 Feb 2020 07:39:11 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version:content-transfer-encoding;
 bh=YpzI25ZcsJT8H0AuVchs0Ql//QPjFMzMfJ27142716E=;
 b=YQeSCGJGqsw5BuWyU2wGAC9ZznAjb2EHNDvEWq9JlzF26EBjvtCoosuHIiuPZv0Izx
 4X5GyoR8KrmI+wZmAQg3ZpD7WcX8KoeHzOqG9GrBvLoKPmUDF7d1gYyx1eX/GSVzMOlx
 gdb02pvunE3pPbD5oSb0x6EJOkTah5kabUYJ8aG6yybL/ghoJ1lWUX2jSQFu8RFs7n5S
 5c+QWWmb8345V/8/0PwCVYjqiISwfhLbruFRvYb51htmWIGqtUbBP6thmshUCcFDjFNx
 1fwztChwn06eFrLSWvxa4GssYYW6q+ULHAVlPkB1K/8uQ5yqH+VuS0Z4rGxzbhVF3mss
 WeJA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=YpzI25ZcsJT8H0AuVchs0Ql//QPjFMzMfJ27142716E=;
 b=htBa4+lB32dtkWMMFVND8Ozvyg4Y6hFVpzr7nwkHEGj5XxjOrLg927LtCAo0mj6bpj
 mwM4CdVFFQdYSKbqsn+klgLWjnTGu+tLabjDXU/jLvbLtePPMy9uA5RVcJOwT1dlGXOI
 oufHt8VA1QAfQx7rFhdp27Dq7PexhV2/abPDQRV2b5CZAVLgCLnDUVCMyfiagxSSCXE8
 CleJdSL5ElLpcGUzTG2sUefdopAIB/zZHohlERy9FS2tyxFZLQLeAehEm5oU8T4PwP3u
 iZUyDJN23GCFpHRuKDlqRNaXuz0RXbK/6nTLCV/K0k1VgUw/ASiKylpG5lC5cf/FUgKW
 FkKA==
X-Gm-Message-State: APjAAAXS0F6oniIODOe8p6wB8D2o9350G/RdqE+SYtbaiLaLHrUn5f8W
 ithlQsS6uXl8sZAae8nrGdKVo7Qn
X-Google-Smtp-Source: APXvYqxuMqhFDlOSI2FjhywDA2TG6KKFEk9KeGg+1CL46l3ZnmJg54HKpqs9qfDjkX0TkF05QJVR6A==
X-Received: by 2002:a7b:c3d8:: with SMTP id t24mr5239336wmj.43.1582904345570; 
 Fri, 28 Feb 2020 07:39:05 -0800 (PST)
Received: from rpluim-mac ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id 61sm12944956wrf.65.2020.02.28.07.39.04
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 28 Feb 2020 07:39:04 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#39799: 28.0.50; Most emoji sequences =?utf-8?Q?don?=
 =?utf-8?Q?=E2=80=99t?= render correctly
References: <s9dy2spfmmt.fsf@HIDDEN> <83lfongp4p.fsf@HIDDEN>
 <s9dlfonf9jp.fsf@HIDDEN> <835zfrglu5.fsf@HIDDEN>
 <m28skm52c8.fsf@HIDDEN> <83wo86g8pg.fsf@HIDDEN>
 <m2zhd23il2.fsf@HIDDEN> <83lfomg49b.fsf@HIDDEN>
Date: Fri, 28 Feb 2020 16:39:04 +0100
In-Reply-To: <83lfomg49b.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 28 Feb
 2020 16:45:04 +0200")
Message-ID: <m2r1ye3enb.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39799
Cc: rgm@HIDDEN, 39799 <at> debbugs.gnu.org, mfabian@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Fri, 28 Feb 2020 16:45:04 +0200, Eli Zaretskii <eliz@HIDDEN> said:

    >> From: Robert Pluim <rpluim@HIDDEN>
    >> Cc: Glenn Morris <rgm@HIDDEN>,  mfabian@HIDDEN,  39799@debbugs.=
gnu.org
    >> Date: Fri, 28 Feb 2020 15:14:01 +0100
    >>=20
    >> >> It DTRT for me under Cairo if I change my fontset settings to use
    >> >> 'Noto Color Emoji' instead of Symbola for:
    >>=20
    Eli> Is that a free font (it's from Google, AFAIK, so it might not be)?=
  If
    Eli> it is free, we could modify fontset.el to use this font if availab=
le.
    Eli> (Or maybe there are better free Emoji fonts out there?)
    >>=20
    >> Its license is Apache 2.0. It seems fairly popular. I have no opinion
    >> either way.

    Eli> What about the fact that we still support XFT?

I try to forget that :-)

    Eli> And anyway, the name "Noto Color Emoji" seems to imply it's a font
    Eli> created to display Emoji, not symbols in general, let alone non-sy=
mbol
    Eli> blocks we currently set up to use Symbola if that is available.

Right. There=CA=BCs a Noto Emoji font as well.

    >> As Mike clarified, you need to change the fontsets in order to get
    >> them to display in colour (uncomposed, of course).

    Eli> I don't see how that is relevant.  Fontsets are just means to cause
    Eli> Emacs use a certain font for a certain range of characters.  Fonts=
ets
    Eli> do not affect color Emoji support.

They don=CA=BCt, no, but in this case changing the fontset was enough to
get the right glyphs to display.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39799; Package emacs. Full text available.

Message received at 39799 <at> debbugs.gnu.org:


Received: (at 39799) by debbugs.gnu.org; 28 Feb 2020 15:35:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 28 10:35:26 2020
Received: from localhost ([127.0.0.1]:33660 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7hfi-0008Jq-7w
	for submit <at> debbugs.gnu.org; Fri, 28 Feb 2020 10:35:26 -0500
Received: from mail-wr1-f52.google.com ([209.85.221.52]:38673)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1j7hfh-0008Ja-1o
 for 39799 <at> debbugs.gnu.org; Fri, 28 Feb 2020 10:35:25 -0500
Received: by mail-wr1-f52.google.com with SMTP id e8so3437617wrm.5
 for <39799 <at> debbugs.gnu.org>; Fri, 28 Feb 2020 07:35:24 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version:content-transfer-encoding;
 bh=kp8R6XeLPVMo0SCYz6ghiP31P0oSWT6c8t+44nuTaM4=;
 b=ILF2/p+RiUuqKIxjNM+o8T1nPQX6X9+w2Z8mFckWUfHuZ8gYGyyEa09VgHbrLhQVhy
 TJnTRiFzrlAuXENiiLei/pxTOal/CL30FqApV9quk1qTMNFJZ93H4930lTaI1m+/46z8
 sBmET+Ra0b0X8HaoLYXRAUr9lsWRLV4zHchGTF7MnzB31vUz6vsv7rcxr6lTGyB3kqcg
 mDy803f21dkgYMbRprVdSr/cXPW7IKCacRHTg/Vj2nnZZglpQFvdFg++Lj1YSlxObpLy
 OkEbW3hnccWKXHOSID5UmZ2wguA3eYNFrm+GdrDKbiVxja36SU9111OGnRbiIE8v42BQ
 Zh5Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=kp8R6XeLPVMo0SCYz6ghiP31P0oSWT6c8t+44nuTaM4=;
 b=dIOgZb+EuySEF15xdsmCRHJdVvVSeBMYnLC/7UOp1Mrk2HajkI3s1V3daagvZ2c5/7
 MGNajXuzHd9FQnwcd+GDt8Dmsd2cchwKPPwiTvV44ixtVHWD/Ofl63cWqnnt5nxBGiYM
 wZrOJjc6DmOdpL7IfMDaTkA3EfcURNtUq6HrpIlaeWgjI4uEtHz5Vx+vG4hHmFTfAwfD
 mT0PiYEfhsSP7QvvGJYFPbYPpMcUgL7EE+UwFLNAQx8PjcfmCb699N1/wBn+5OEBTTTu
 cmcixZjO+g6DfY8IIXdVtoZdkYPBXe/4BVXzLJJxm1BIFJlYyVbTd/xmLPSlH3+bpSNP
 YcWw==
X-Gm-Message-State: APjAAAX2PnA3hxSdD0TU+ILasA7E+JkWKVYFWXAilJ8m3TJr4oVcTmNE
 lFzinJobJVRdWqKe/6n5zu0=
X-Google-Smtp-Source: APXvYqwl5STW4x2sbNPyO8wg/Ht1omo8CJuHW/qYXZlRr205B2o2CFo1M2JKJ1LrcJF1XwUrJl2mkg==
X-Received: by 2002:adf:f747:: with SMTP id z7mr5550289wrp.2.1582904118927;
 Fri, 28 Feb 2020 07:35:18 -0800 (PST)
Received: from rpluim-mac ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id s1sm13041940wro.66.2020.02.28.07.35.18
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 28 Feb 2020 07:35:18 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#39799: 28.0.50; Most emoji sequences =?utf-8?Q?don?=
 =?utf-8?Q?=E2=80=99t?= render correctly
References: <s9dy2spfmmt.fsf@HIDDEN> <83lfongp4p.fsf@HIDDEN>
 <s9dlfonf9jp.fsf@HIDDEN> <835zfrglu5.fsf@HIDDEN>
 <m28skm52c8.fsf@HIDDEN> <83wo86g8pg.fsf@HIDDEN>
 <m2zhd23il2.fsf@HIDDEN> <83k146g46x.fsf@HIDDEN>
Date: Fri, 28 Feb 2020 16:35:17 +0100
In-Reply-To: <83k146g46x.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 28 Feb
 2020 16:46:30 +0200")
Message-ID: <m2v9nq3etm.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39799
Cc: 39799 <at> debbugs.gnu.org, mfabian@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Fri, 28 Feb 2020 16:46:30 +0200, Eli Zaretskii <eliz@HIDDEN> said:

    >> From: Robert Pluim <rpluim@HIDDEN>
    >> Cc: Glenn Morris <rgm@HIDDEN>,  mfabian@HIDDEN,  39799@debbugs.=
gnu.org
    >> Date: Fri, 28 Feb 2020 15:14:01 +0100
    >>=20
    Eli> Thanks.  I wonder if we could make the output more human-readable.=
..
    Eli> Glenn, any advice or comments?
    >>=20
    >> Why does it need to be human-readable? The other files generated from
    >> the unicode data are not particularly readable.

    Eli> Readability is desirable because the file will be read by humans.

Hmm, maybe. I guess we could process it in elisp to replace the
characters with their names, and adding extra newlines is
trivial. What other kind of changes did you have in mind?

    Eli> Which other files are not readable?  I had charscript.el in mind, =
and
    Eli> that one is quite readable.

I had uni-bidi.el in mind, and that=CA=BCs just a dump of a char-table.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39799; Package emacs. Full text available.

Message received at 39799 <at> debbugs.gnu.org:


Received: (at 39799) by debbugs.gnu.org; 28 Feb 2020 15:32:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 28 10:32:54 2020
Received: from localhost ([127.0.0.1]:33656 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7hdF-0008El-OS
	for submit <at> debbugs.gnu.org; Fri, 28 Feb 2020 10:32:54 -0500
Received: from us-smtp-2.mimecast.com ([207.211.31.81]:59819
 helo=us-smtp-delivery-1.mimecast.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mfabian@HIDDEN>) id 1j7hdD-0008EL-6V
 for 39799 <at> debbugs.gnu.org; Fri, 28 Feb 2020 10:32:51 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=redhat.com;
 s=mimecast20190719; t=1582903965;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=75qNhD1oQM9UNy7Ri14QqWQADJV8JAGK8TzAcXokqPk=;
 b=HKkAKJp+dlbpeuu2VkEk8WXS20a3qIX/SStr2PEk6oOGkMKiLQNC4a+2Pcn6AagFhCzVNP
 wgUlRa4SNTmjuU3XqMoL152wV/WOM9R3gngOOX6emgnwpMDQuRtHuSBjBHAqNvoWbttYl2
 oBQVbmzjAk23a/T5Y7Q1Pb3QRSGOMyk=
Received: from mail-wm1-f70.google.com (mail-wm1-f70.google.com
 [209.85.128.70]) (Using TLS) by relay.mimecast.com with ESMTP id
 us-mta-41-hZR6OH_RMPOkLCD0BInVgA-1; Fri, 28 Feb 2020 10:32:42 -0500
X-MC-Unique: hZR6OH_RMPOkLCD0BInVgA-1
Received: by mail-wm1-f70.google.com with SMTP id c5so1312125wmd.8
 for <39799 <at> debbugs.gnu.org>; Fri, 28 Feb 2020 07:32:42 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:organization:references:date
 :in-reply-to:message-id:user-agent:mime-version
 :content-transfer-encoding;
 bh=qzycZ/+fNeL267OvBn6+4MR/ngLzm38ylbwPig9dGPs=;
 b=cdfzY3xqGWqikE53QsdLXw5TEqKrJupm2ZPgBVmEFmNyflmVcGtc5PwkBVPZkLx9M9
 Xydf980ti+k26Qz8BAeTSpmCMErs3waTiq0tylpzBoAQLwfw5DYLqHevHXc5ax4z3u6A
 PAL9YomnoSpwoID2i7bFdkGQIEGbgKbWyebUrByIzZPxyi3xzYXcMFnT3cYKerqa3EGq
 lp85FAfEzqvzY8aL4xRU79LZa+0p5lF0PTvOsWSfbNAKtpFFbpyMGOsvHmWWkNqHgihh
 /LBlEI4iVmVrX8ZKHRaXvxzdkv53oMDHW5VZ4HZb1quB/FLMFKRXQU0qSOCIyVJ8EFtA
 +Z7A==
X-Gm-Message-State: APjAAAV6d+Pc3Z2XCYiKdTNqDyHZ14ZyKuyIbkHVpkIioTUNtek/3iKw
 F3TX+Vyo9a3o+4IkXildvOkuBqNHIkiB9io0GegU1529uZosBbjyvVkaAOpP26ryQUJd0ObP1ZK
 nOiEKj3XBBaB8dQ==
X-Received: by 2002:a1c:66d6:: with SMTP id a205mr5286527wmc.10.1582903961475; 
 Fri, 28 Feb 2020 07:32:41 -0800 (PST)
X-Google-Smtp-Source: APXvYqw2S6iqrJ6CPKsgWsOyz8RY/eCWppjcsfPB4VQ9ChdPmogVF9VT0JQ7Q1fk7fiMWw7lkgUGrA==
X-Received: by 2002:a1c:66d6:: with SMTP id a205mr5286513wmc.10.1582903961187; 
 Fri, 28 Feb 2020 07:32:41 -0800 (PST)
Received: from taka.site (ppp-46-244-193-84.dynamic.mnet-online.de.
 [46.244.193.84])
 by smtp.gmail.com with ESMTPSA id u62sm2810757wmu.17.2020.02.28.07.32.40
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 28 Feb 2020 07:32:40 -0800 (PST)
Received: from taka.site (localhost [IPv6:::1])
 by taka.site (Postfix) with ESMTP id B441C900;
 Fri, 28 Feb 2020 16:32:39 +0100 (CET)
From: Mike FABIAN <mfabian@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#39799: 28.0.50; Most emoji sequences =?utf-8?Q?don?=
 =?utf-8?Q?=E2=80=99t?= render correctly
Organization: Red Hat
References: <s9dy2spfmmt.fsf@HIDDEN> <83lfongp4p.fsf@HIDDEN>
 <s9dlfonf9jp.fsf@HIDDEN> <835zfrglu5.fsf@HIDDEN>
 <m28skm52c8.fsf@HIDDEN> <83wo86g8pg.fsf@HIDDEN>
 <m2zhd23il2.fsf@HIDDEN> <83lfomg49b.fsf@HIDDEN>
X-Face: "';
 oPz9V1+<,`}1ZuxRv~EiSusWq*{Yjr"Sdvbhq'?q=2R\\6Y9O/,SAE`{J|6I=|w/sQg<
 rW_N'E3IV6~f8?\l#Es`]S`mv',PY(`8{$$R?+gLu}Qv/Mn>)?uladFjJ@yl!_p_Jh; 5QxlD6zL:?r
 IXe4FfK$C^mWhh$o`yt; .r.FLZLQOWBt><!; -.DYZ)Nu&1?~*:\36\BGz]"L; nue;
 l\%sJ/]l{is5O Ew?0CF}dPS(ezG0xqUR)xa(L&&c;x{By"`oKvM&i!%+
Date: Fri, 28 Feb 2020 16:32:39 +0100
In-Reply-To: <83lfomg49b.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 28 Feb
 2020 16:45:04 +0200")
Message-ID: <s9dblpienhk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
X-Mimecast-Spam-Score: 0
X-Mimecast-Originator: redhat.com
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39799
Cc: rgm@HIDDEN, Robert Pluim <rpluim@HIDDEN>, 39799 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> =E3=81=95=E3=82=93=E3=81=AF=E3=81=8B=E3=81=8D=
=E3=81=BE=E3=81=97=E3=81=9F:

>> From: Robert Pluim <rpluim@HIDDEN>
>> Cc: Glenn Morris <rgm@HIDDEN>,  mfabian@HIDDEN,  39799@HIDDEN=
org
>> Date: Fri, 28 Feb 2020 15:14:01 +0100
>>=20
>>     >> It DTRT for me under Cairo if I change my fontset settings to use
>>     >> 'Noto Color Emoji' instead of Symbola for:
>>=20
>>     Eli> Is that a free font (it's from Google, AFAIK, so it might not b=
e)?  If
>>     Eli> it is free, we could modify fontset.el to use this font if avai=
lable.
>>     Eli> (Or maybe there are better free Emoji fonts out there?)
>>=20
>> Its license is Apache 2.0. It seems fairly popular. I have no opinion
>> either way.
>
> What about the fact that we still support XFT?

Is it possible to set up the fontsets by default in a way that colour
emoji fonts like "Noto Color Emoji" can be used by default in a cairo
build but avoided by default in an XFT build?

> And anyway, the name "Noto Color Emoji" seems to imply it's a font
> created to display Emoji, not symbols in general, let alone non-symbol
> blocks we currently set up to use Symbola if that is available.

Yes, if possible, "Noto Color Emoji" should be preferred for the emoji
but Symbola should be preferred for all the other symbols.

>> As Mike clarified, you need to change the fontsets in order to get
>> them to display in colour (uncomposed, of course).
>
> I don't see how that is relevant.  Fontsets are just means to cause
> Emacs use a certain font for a certain range of characters.  Fontsets
> do not affect color Emoji support.

Yes, so if you change the fontset to use a colour emoji font for a
certain range of characters (which should be emoji), these emoji will
display in colour in a cairo build.

I am not sure what happens in an XFT build, if possible such unsupported
fonts should be ignored in an XFT build.

--=20
Mike FABIAN <mfabian@HIDDEN>
=E7=9D=A1=E7=9C=A0=E4=B8=8D=E8=B6=B3=E3=81=AF=E3=81=84=E3=81=84=E4=BB=95=E4=
=BA=8B=E3=81=AE=E6=95=B5=E3=81=A0=E3=80=82





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39799; Package emacs. Full text available.

Message received at 39799 <at> debbugs.gnu.org:


Received: (at 39799) by debbugs.gnu.org; 28 Feb 2020 14:46:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 28 09:46:52 2020
Received: from localhost ([127.0.0.1]:60904 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7gui-0006QA-Ht
	for submit <at> debbugs.gnu.org; Fri, 28 Feb 2020 09:46:52 -0500
Received: from eggs.gnu.org ([209.51.188.92]:51834)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1j7gug-0006Pi-M2
 for 39799 <at> debbugs.gnu.org; Fri, 28 Feb 2020 09:46:50 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:40213)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1j7gua-0006yD-GS; Fri, 28 Feb 2020 09:46:44 -0500
Received: from [176.228.60.248] (port=2638 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1j7guZ-0005D6-3W; Fri, 28 Feb 2020 09:46:43 -0500
Date: Fri, 28 Feb 2020 16:46:30 +0200
Message-Id: <83k146g46x.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
In-reply-to: <m2zhd23il2.fsf@HIDDEN> (message from Robert Pluim on Fri, 28
 Feb 2020 15:14:01 +0100)
Subject: Re: bug#39799: 28.0.50; Most emoji sequences =?utf-8?Q?don?=
 =?utf-8?Q?=E2=80=99t?= render correctly
References: <s9dy2spfmmt.fsf@HIDDEN> <83lfongp4p.fsf@HIDDEN>
 <s9dlfonf9jp.fsf@HIDDEN> <835zfrglu5.fsf@HIDDEN>
 <m28skm52c8.fsf@HIDDEN> <83wo86g8pg.fsf@HIDDEN> <m2zhd23il2.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 39799
Cc: rgm@HIDDEN, 39799 <at> debbugs.gnu.org, mfabian@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

> From: Robert Pluim <rpluim@HIDDEN>
> Cc: Glenn Morris <rgm@HIDDEN>,  mfabian@HIDDEN,  39799 <at> debbugs.gnu.org
> Date: Fri, 28 Feb 2020 15:14:01 +0100
> 
>     Eli> Thanks.  I wonder if we could make the output more human-readable...
>     Eli> Glenn, any advice or comments?
> 
> Why does it need to be human-readable? The other files generated from
> the unicode data are not particularly readable.

Readability is desirable because the file will be read by humans.

Which other files are not readable?  I had charscript.el in mind, and
that one is quite readable.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39799; Package emacs. Full text available.

Message received at 39799 <at> debbugs.gnu.org:


Received: (at 39799) by debbugs.gnu.org; 28 Feb 2020 14:45:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 28 09:45:28 2020
Received: from localhost ([127.0.0.1]:60899 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7gtM-0006Mr-5Q
	for submit <at> debbugs.gnu.org; Fri, 28 Feb 2020 09:45:28 -0500
Received: from eggs.gnu.org ([209.51.188.92]:51579)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1j7gtK-0006Md-HW
 for 39799 <at> debbugs.gnu.org; Fri, 28 Feb 2020 09:45:26 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:40170)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1j7gtF-0006NX-Aw; Fri, 28 Feb 2020 09:45:21 -0500
Received: from [176.228.60.248] (port=2550 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1j7gtC-00051h-Jw; Fri, 28 Feb 2020 09:45:19 -0500
Date: Fri, 28 Feb 2020 16:45:04 +0200
Message-Id: <83lfomg49b.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
In-reply-to: <m2zhd23il2.fsf@HIDDEN> (message from Robert Pluim on Fri, 28
 Feb 2020 15:14:01 +0100)
Subject: Re: bug#39799: 28.0.50; Most emoji sequences =?utf-8?Q?don?=
 =?utf-8?Q?=E2=80=99t?= render correctly
References: <s9dy2spfmmt.fsf@HIDDEN> <83lfongp4p.fsf@HIDDEN>
 <s9dlfonf9jp.fsf@HIDDEN> <835zfrglu5.fsf@HIDDEN>
 <m28skm52c8.fsf@HIDDEN> <83wo86g8pg.fsf@HIDDEN> <m2zhd23il2.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 39799
Cc: rgm@HIDDEN, 39799 <at> debbugs.gnu.org, mfabian@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

> From: Robert Pluim <rpluim@HIDDEN>
> Cc: Glenn Morris <rgm@HIDDEN>,  mfabian@HIDDEN,  39799 <at> debbugs.gnu.org
> Date: Fri, 28 Feb 2020 15:14:01 +0100
> 
>     >> It DTRT for me under Cairo if I change my fontset settings to use
>     >> 'Noto Color Emoji' instead of Symbola for:
> 
>     Eli> Is that a free font (it's from Google, AFAIK, so it might not be)?  If
>     Eli> it is free, we could modify fontset.el to use this font if available.
>     Eli> (Or maybe there are better free Emoji fonts out there?)
> 
> Its license is Apache 2.0. It seems fairly popular. I have no opinion
> either way.

What about the fact that we still support XFT?

And anyway, the name "Noto Color Emoji" seems to imply it's a font
created to display Emoji, not symbols in general, let alone non-symbol
blocks we currently set up to use Symbola if that is available.

>     >> Weʼd run into the 4-character maximum for that, since some of the
>     >> sequences are 7 or more characters long.
> 
>     Eli> If the sequences are 7 character long, then the forward-matching
>     Eli> pattern will hit the same limitation as well, no?
> 
> C-h v composition-function-table says:
> 
>     PREV-CHARS is a non-negative integer (less than 4) specifying how many
>     characters before C to check the matching with PATTERN.  If it is 0,
>     PATTERN must match C and the following characters.  If it is 1,
>     PATTERN must match a character before C and the following characters.
> 
> which on careful re-reading says that the lookback canʼt be more than
> 3 characters, but that matching forward has no limit.

Depends on the patterns used, I guess.

>     Eli> The ones in http://www.unicode.org/Public/emoji/12.0/emoji-sequences.txt,
>     Eli> and specifically the flag sequences and the skin color sequences.  At
>     Eli> least AFAIU the original report.
> 
> As Mike clarified, you need to change the fontsets in order to get
> them to display in colour (uncomposed, of course).

I don't see how that is relevant.  Fontsets are just means to cause
Emacs use a certain font for a certain range of characters.  Fontsets
do not affect color Emoji support.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39799; Package emacs. Full text available.

Message received at 39799 <at> debbugs.gnu.org:


Received: (at 39799) by debbugs.gnu.org; 28 Feb 2020 14:44:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 28 09:44:17 2020
Received: from localhost ([127.0.0.1]:60892 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7gsD-0006Jp-E6
	for submit <at> debbugs.gnu.org; Fri, 28 Feb 2020 09:44:17 -0500
Received: from us-smtp-1.mimecast.com ([207.211.31.81]:39199
 helo=us-smtp-delivery-1.mimecast.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mfabian@HIDDEN>) id 1j7gsB-0006JX-Nr
 for 39799 <at> debbugs.gnu.org; Fri, 28 Feb 2020 09:44:16 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=redhat.com;
 s=mimecast20190719; t=1582901049;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=bmufDq4NI4/T1iRIhlozDzU7ptOCssEelwUmNidQ5u4=;
 b=Jh0i2R87J0piSE7xMwfMusu5co8S60CNnv66+yjDFGJQF9tUHzS4lL3nvp+peif5DgPU8Y
 WiiqlznC3QHBYIlnkNtkek7uRaBr+t3bd+NKyqiVcHbspwkFLHmrNMtDiuy0QFppaV25Rd
 cz5ep9R/NmtQOhypdlXjqOuD/z/ekEg=
Received: from mail-wr1-f71.google.com (mail-wr1-f71.google.com
 [209.85.221.71]) (Using TLS) by relay.mimecast.com with ESMTP id
 us-mta-185-hIF41W3CP9KzF_Ht89NgxA-1; Fri, 28 Feb 2020 09:44:07 -0500
X-MC-Unique: hIF41W3CP9KzF_Ht89NgxA-1
Received: by mail-wr1-f71.google.com with SMTP id z1so1423746wrs.9
 for <39799 <at> debbugs.gnu.org>; Fri, 28 Feb 2020 06:44:07 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:organization:references:date
 :in-reply-to:message-id:user-agent:mime-version
 :content-transfer-encoding;
 bh=nIsogS2CNPVA47Eb0A1wT6fxTlYYs3P0h6zNhVDgIZo=;
 b=ejv6BLi4nWBLdeAz/z6oSWb1nRpfqmyTnJJiidUn1AgZ+nVQsRs2uSQ9B0UhQ3cQwT
 ksg7N/MMJQ6S0BNxMTkIvPawhNY2wv1IqRzfdNZljfkTevcNXvj+eMzFEveslzrN8Q+i
 5z8XiRdD7t0jD0DIxVebM+ReLaMntH6Ggr3s+OyR9t0enx732lLtAakiiDHz1iF0XWo+
 /p0KC8YzQvrwbhxAtMNXU7MVSYPpLiFdGNdXtQGGZWf5NQIO5g4fgGmmy77jdkpYtA5R
 RKxoZf8oOw3+k9i/d3WGmKUuNDBZp3EPw5jBsd/kyuDv85TADAKGmkyyEckVqZOB5cr7
 uFIw==
X-Gm-Message-State: APjAAAXwvC6wKeQI8XWniKjsIFPZ0Pfg2nM30qmwoYj1vV7h9Z0PKBUD
 lpDMr36esT+L1j5Mah9m8UJpImVL5kaYF4VD9q/GpRZ5F5hNpKz5j/gY5x/lcwgkeTzCVobqzYC
 pN2L4wbt1eAVipA==
X-Received: by 2002:adf:f751:: with SMTP id z17mr5392671wrp.207.1582901046179; 
 Fri, 28 Feb 2020 06:44:06 -0800 (PST)
X-Google-Smtp-Source: APXvYqxp2PcjG9esgBgf1EEY0kX0WKg0nQkkNyAgqb/TAqeBn9RRkIwlCccgFhZOBHbmzzTxarY2uA==
X-Received: by 2002:adf:f751:: with SMTP id z17mr5392654wrp.207.1582901045937; 
 Fri, 28 Feb 2020 06:44:05 -0800 (PST)
Received: from taka.site (ppp-46-244-193-84.dynamic.mnet-online.de.
 [46.244.193.84])
 by smtp.gmail.com with ESMTPSA id m22sm2476092wmc.41.2020.02.28.06.44.05
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 28 Feb 2020 06:44:05 -0800 (PST)
Received: from taka.site (localhost [IPv6:::1])
 by taka.site (Postfix) with ESMTP id A870D8FF;
 Fri, 28 Feb 2020 15:44:04 +0100 (CET)
From: Mike FABIAN <mfabian@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#39799: 28.0.50; Most emoji sequences =?utf-8?Q?don?=
 =?utf-8?Q?=E2=80=99t?= render correctly
Organization: Red Hat
References: <s9dy2spfmmt.fsf@HIDDEN> <83lfongp4p.fsf@HIDDEN>
 <s9dlfonf9jp.fsf@HIDDEN> <835zfrglu5.fsf@HIDDEN>
 <m28skm52c8.fsf@HIDDEN> <s9dblpig9qd.fsf@HIDDEN>
 <m24kva4znm.fsf@HIDDEN> <s9dpndyes7b.fsf@HIDDEN>
 <83mu92g6hz.fsf@HIDDEN>
X-Face: "';
 oPz9V1+<,`}1ZuxRv~EiSusWq*{Yjr"Sdvbhq'?q=2R\\6Y9O/,SAE`{J|6I=|w/sQg<
 rW_N'E3IV6~f8?\l#Es`]S`mv',PY(`8{$$R?+gLu}Qv/Mn>)?uladFjJ@yl!_p_Jh; 5QxlD6zL:?r
 IXe4FfK$C^mWhh$o`yt; .r.FLZLQOWBt><!; -.DYZ)Nu&1?~*:\36\BGz]"L; nue;
 l\%sJ/]l{is5O Ew?0CF}dPS(ezG0xqUR)xa(L&&c;x{By"`oKvM&i!%+
Date: Fri, 28 Feb 2020 15:44:04 +0100
In-Reply-To: <83mu92g6hz.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 28 Feb
 2020 15:56:40 +0200")
Message-ID: <s9dh7zaepqj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
X-Mimecast-Spam-Score: 0
X-Mimecast-Originator: redhat.com
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39799
Cc: rpluim@HIDDEN, 39799 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> =E3=81=95=E3=82=93=E3=81=AF=E3=81=8B=E3=81=8D=
=E3=81=BE=E3=81=97=E3=81=9F:

>> From: Mike FABIAN <mfabian@HIDDEN>
>> Cc: 39799 <at> debbugs.gnu.org,  eliz@HIDDEN
>> Date: Fri, 28 Feb 2020 14:50:48 +0100
>>=20
>> Robert Pluim <rpluim@HIDDEN> =E3=81=95=E3=82=93=E3=81=AF=E3=81=8B=E3=
=81=8D=E3=81=BE=E3=81=97=E3=81=9F:
>>=20
>> > Hmm, is "Symbola" still a good fallback font? Or should we add "Noto
>> > Color Emoji" or similar in front of it?
>>=20
>> I think "Noto Color Emoji" is nicer than "Symbola" if available.
>> The emoji look much nicer in colour, much easier to distinguish.
>
> Symbola covers much more than just Emoji.  That was the main reason it
> was added to fontset.el.

Yes, and I think it should be kept there for all the other symbols.
And also as a fallback for emoji if no nicer colour emoji font is
installed.

Even if the current license is only for personal use, I think it is
still good to have Symbola in fontset.el to be able to use it just by
installing the font.

--=20
Mike FABIAN <mfabian@HIDDEN>
=E7=9D=A1=E7=9C=A0=E4=B8=8D=E8=B6=B3=E3=81=AF=E3=81=84=E3=81=84=E4=BB=95=E4=
=BA=8B=E3=81=AE=E6=95=B5=E3=81=A0=E3=80=82





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39799; Package emacs. Full text available.

Message received at 39799 <at> debbugs.gnu.org:


Received: (at 39799) by debbugs.gnu.org; 28 Feb 2020 14:14:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 28 09:14:11 2020
Received: from localhost ([127.0.0.1]:60861 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7gP5-0005P7-4C
	for submit <at> debbugs.gnu.org; Fri, 28 Feb 2020 09:14:11 -0500
Received: from mail-wr1-f42.google.com ([209.85.221.42]:36781)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1j7gP3-0005Ok-6F
 for 39799 <at> debbugs.gnu.org; Fri, 28 Feb 2020 09:14:09 -0500
Received: by mail-wr1-f42.google.com with SMTP id j16so3136482wrt.3
 for <39799 <at> debbugs.gnu.org>; Fri, 28 Feb 2020 06:14:09 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version:content-transfer-encoding;
 bh=HZn3feZXVe9eYlZdT/hrfs/UcNDKL5iy9mRADxmz7d4=;
 b=Hkpf/aCKn7pvKHNSaMhyLtOPmDRbUM3FO6TOrpXBouqBYBX4quAx+SARNm4NumTuRs
 BvZCyVRNY0OI68kbe8smRSpcfluHesCcS3strlEksstVQoGyzHxWyvPv7Vt7oaQQJAaM
 0KiinN2jsLE+3MuwXPT8IjHw/ngG21co3WxSv6xQ5Aeyr0woOz5hHWMM4LEP67tpRbkj
 NkaxiStEIJW70A2ejjr2wIPDPOJUQgQwaWSoK0iJ00p2fPPTrZJ/972eCJvxgTUK7WhP
 cK0ZqCr9iYSSSracRPoGo5EAr99NTUqM3LQ0bvIMjCZQaZsu/wqlwETIxJfkiJi+3a1h
 IpIA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=HZn3feZXVe9eYlZdT/hrfs/UcNDKL5iy9mRADxmz7d4=;
 b=kE7hdfpSntrbgX8V1Ks1cj504yz4xmL5HrVEoPcP8ykZvk5tniB3ljpYgTDX37FyQ8
 fXd+MzZx/e8zqGr3F3Y16jTr2THPEU2vukZYQuhLZR8cEdFrJCsmBpBXwN0YwHWHcvce
 AJI2DVn3276npeFSx646pNTw6rm8QjY6E8CbVV0bZKygX/ywGmw8H94AnD7AiOGz/d4o
 1SjXfN9dlskMJgfzEZk/UnV8JLHinYqUZFb4pqtS0GPkeSSmxPdLN6GST2XJMea1N2Rh
 JJLSh4nRjO+wkxa6hC0ze2uBGKheyBxAE6bovLATTK/shkbRjLS600Kw5O5BLZCCoc7D
 s/Ww==
X-Gm-Message-State: APjAAAXqfAGV9kWfjr+l0LyJVY5lt3SMQ1D57aUD3HlCfI76mrGpBVT9
 IuCfBmuYqeimQlO6JCcVTHw0dTpb
X-Google-Smtp-Source: APXvYqwazPfPNFfD4CL4g8X/rBZDVxO3pyrdwqIoHWAPjMBbELFc4Kyli1HqI89jW8RNdTAl2YFsxw==
X-Received: by 2002:adf:bbcf:: with SMTP id z15mr5148298wrg.266.1582899242909; 
 Fri, 28 Feb 2020 06:14:02 -0800 (PST)
Received: from rpluim-mac ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id t3sm12556923wrx.38.2020.02.28.06.14.01
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 28 Feb 2020 06:14:02 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#39799: 28.0.50; Most emoji sequences =?utf-8?Q?don?=
 =?utf-8?Q?=E2=80=99t?= render correctly
References: <s9dy2spfmmt.fsf@HIDDEN> <83lfongp4p.fsf@HIDDEN>
 <s9dlfonf9jp.fsf@HIDDEN> <835zfrglu5.fsf@HIDDEN>
 <m28skm52c8.fsf@HIDDEN> <83wo86g8pg.fsf@HIDDEN>
Date: Fri, 28 Feb 2020 15:14:01 +0100
In-Reply-To: <83wo86g8pg.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 28 Feb
 2020 15:08:59 +0200")
Message-ID: <m2zhd23il2.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39799
Cc: Glenn Morris <rgm@HIDDEN>, 39799 <at> debbugs.gnu.org, mfabian@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Fri, 28 Feb 2020 15:08:59 +0200, Eli Zaretskii <eliz@HIDDEN> said:

    >> From: Robert Pluim <rpluim@HIDDEN>
    >> Cc: Mike FABIAN <mfabian@HIDDEN>,  39799 <at> debbugs.gnu.org
    >> Date: Fri, 28 Feb 2020 13:21:59 +0100
    >>=20
    Eli> I'd prefer not to add Python as prerequisite for building Emacs.  =
We
    Eli> already use Awk, so using that'd be fine.
    >>=20
    >> I suck at awk, but my attempt is attached.

    Eli> Thanks.  I wonder if we could make the output more human-readable.=
..
    Eli> Glenn, any advice or comments?

Why does it need to be human-readable? The other files generated from
the unicode data are not particularly readable.

    >> It DTRT for me under Cairo if I change my fontset settings to use
    >> 'Noto Color Emoji' instead of Symbola for:

    Eli> Is that a free font (it's from Google, AFAIK, so it might not be)?=
  If
    Eli> it is free, we could modify fontset.el to use this font if availab=
le.
    Eli> (Or maybe there are better free Emoji fonts out there?)

Its license is Apache 2.0. It seems fairly popular. I have no opinion
either way.

    >> (#x1F300 . #x1F5FF)	;; Misc Symbols and Pictographs
    >> (#x1F900 . #x1F9FF)	;; Supplemental Symbols and Pictographs
    >>=20
    >> It matches forward off the first char, so the
    >> composition-function-table entries all have '0' as the number of cha=
rs
    >> to match. Would it be better to match backwards?

    Eli> I don't think matching backwards is better in general.  Did you ha=
ve a
    Eli> reason for thinking it was?

I thought I saw a comment in composite.c that says matching is done
backward, but I see that it=CA=BCs done forwards as well.

    >> We=CA=BCd run into the 4-character maximum for that, since some of t=
he
    >> sequences are 7 or more characters long.

    Eli> If the sequences are 7 character long, then the forward-matching
    Eli> pattern will hit the same limitation as well, no?

C-h v composition-function-table says:

    PREV-CHARS is a non-negative integer (less than 4) specifying how many
    characters before C to check the matching with PATTERN.  If it is 0,
    PATTERN must match C and the following characters.  If it is 1,
    PATTERN must match a character before C and the following characters.

which on careful re-reading says that the lookback can=CA=BCt be more than
3 characters, but that matching forward has no limit.

    Eli> The ones in http://www.unicode.org/Public/emoji/12.0/emoji-sequenc=
es.txt,
    Eli> and specifically the flag sequences and the skin color sequences. =
 At
    Eli> least AFAIU the original report.

As Mike clarified, you need to change the fontsets in order to get
them to display in colour (uncomposed, of course).

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39799; Package emacs. Full text available.

Message received at 39799 <at> debbugs.gnu.org:


Received: (at 39799) by debbugs.gnu.org; 28 Feb 2020 13:57:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 28 08:57:00 2020
Received: from localhost ([127.0.0.1]:60837 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7g8S-0004uQ-7l
	for submit <at> debbugs.gnu.org; Fri, 28 Feb 2020 08:57:00 -0500
Received: from eggs.gnu.org ([209.51.188.92]:45418)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1j7g8Q-0004u6-KS
 for 39799 <at> debbugs.gnu.org; Fri, 28 Feb 2020 08:56:58 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:39531)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1j7g8L-0007Rz-Dv; Fri, 28 Feb 2020 08:56:53 -0500
Received: from [176.228.60.248] (port=3517 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1j7g8K-0004mJ-Pp; Fri, 28 Feb 2020 08:56:53 -0500
Date: Fri, 28 Feb 2020 15:56:40 +0200
Message-Id: <83mu92g6hz.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Mike FABIAN <mfabian@HIDDEN>
In-reply-to: <s9dpndyes7b.fsf@HIDDEN> (message from Mike FABIAN on Fri, 28
 Feb 2020 14:50:48 +0100)
Subject: Re: bug#39799: 28.0.50; Most emoji sequences =?utf-8?Q?don?=
 =?utf-8?Q?=E2=80=99t?= render correctly
References: <s9dy2spfmmt.fsf@HIDDEN> <83lfongp4p.fsf@HIDDEN>
 <s9dlfonf9jp.fsf@HIDDEN> <835zfrglu5.fsf@HIDDEN>
 <m28skm52c8.fsf@HIDDEN> <s9dblpig9qd.fsf@HIDDEN>
 <m24kva4znm.fsf@HIDDEN> <s9dpndyes7b.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 39799
Cc: rpluim@HIDDEN, 39799 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

> From: Mike FABIAN <mfabian@HIDDEN>
> Cc: 39799 <at> debbugs.gnu.org,  eliz@HIDDEN
> Date: Fri, 28 Feb 2020 14:50:48 +0100
> 
> Robert Pluim <rpluim@HIDDEN> さんはかきました:
> 
> > Hmm, is "Symbola" still a good fallback font? Or should we add "Noto
> > Color Emoji" or similar in front of it?
> 
> I think "Noto Color Emoji" is nicer than "Symbola" if available.
> The emoji look much nicer in colour, much easier to distinguish.

Symbola covers much more than just Emoji.  That was the main reason it
was added to fontset.el.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39799; Package emacs. Full text available.

Message received at 39799 <at> debbugs.gnu.org:


Received: (at 39799) by debbugs.gnu.org; 28 Feb 2020 13:55:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 28 08:55:17 2020
Received: from localhost ([127.0.0.1]:60833 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7g6m-0004rY-GO
	for submit <at> debbugs.gnu.org; Fri, 28 Feb 2020 08:55:17 -0500
Received: from eggs.gnu.org ([209.51.188.92]:45185)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1j7g6k-0004rH-Tf
 for 39799 <at> debbugs.gnu.org; Fri, 28 Feb 2020 08:55:15 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:39508)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1j7g6f-0006aN-I7; Fri, 28 Feb 2020 08:55:09 -0500
Received: from [176.228.60.248] (port=3409 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1j7g6d-0004S0-Qh; Fri, 28 Feb 2020 08:55:08 -0500
Date: Fri, 28 Feb 2020 15:54:53 +0200
Message-Id: <83o8tig6ky.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Mike FABIAN <mfabian@HIDDEN>
In-reply-to: <s9dy2smescj.fsf@HIDDEN> (message from Mike FABIAN on Fri, 28
 Feb 2020 14:47:40 +0100)
Subject: Re: bug#39799: 28.0.50; Most emoji sequences =?utf-8?Q?don?=
 =?utf-8?Q?=E2=80=99t?= render correctly
References: <s9dy2spfmmt.fsf@HIDDEN> <83lfongp4p.fsf@HIDDEN>
 <s9dlfonf9jp.fsf@HIDDEN> <835zfrglu5.fsf@HIDDEN>
 <m28skm52c8.fsf@HIDDEN> <83wo86g8pg.fsf@HIDDEN>
 <s9dy2smescj.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 39799
Cc: rgm@HIDDEN, rpluim@HIDDEN, 39799 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

> From: Mike FABIAN <mfabian@HIDDEN>
> Cc: Robert Pluim <rpluim@HIDDEN>,  Glenn Morris <rgm@HIDDEN>,
>   39799 <at> debbugs.gnu.org
> Date: Fri, 28 Feb 2020 14:47:40 +0100
> 
> Eli Zaretskii <eliz@HIDDEN> さんはかきました:
> 
> >> It DTRT for me under Cairo if I change my fontset settings to use
> >> 'Noto Color Emoji' instead of Symbola for:
> >
> > Is that a free font (it's from Google, AFAIK, so it might not be)?  If
> > it is free, we could modify fontset.el to use this font if available.
> > (Or maybe there are better free Emoji fonts out there?)
> 
> “Noto Color Emoji” is free (Apache 2.0 License):
> https://github.com/googlefonts/noto-emoji/blob/master/LICENSE
> 
> “Joypixels” is also a nice colour emoji font, but it is *not* free:
> 
> https://d1j8pt39hxlh3d.cloudfront.net/contracts/finalized-pdfs/free-5.1.pdf
> 
> (free only for personal use).

Thanks for the info.

> The nice black and white emoji font “Symbola” is unfortunately not free
> either, see:
> 
> http://users.teilar.gr/~g1951d/License.pdf
> 
> free for “strictly personal and non-commercial purposes”.

That's the latest version, AFAIK; older versions were free, and can
still be found on the Internet.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39799; Package emacs. Full text available.

Message received at 39799 <at> debbugs.gnu.org:


Received: (at 39799) by debbugs.gnu.org; 28 Feb 2020 13:50:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 28 08:50:57 2020
Received: from localhost ([127.0.0.1]:60824 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7g2a-0004k4-PF
	for submit <at> debbugs.gnu.org; Fri, 28 Feb 2020 08:50:57 -0500
Received: from us-smtp-1.mimecast.com ([205.139.110.61]:36156
 helo=us-smtp-delivery-1.mimecast.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mfabian@HIDDEN>) id 1j7g2Z-0004jw-Ib
 for 39799 <at> debbugs.gnu.org; Fri, 28 Feb 2020 08:50:55 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=redhat.com;
 s=mimecast20190719; t=1582897855;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=gFbAGPlpvhgK6NNKBYi9HW7BCZWfZ0EiidNmF8bEN2E=;
 b=Jk9oqr7FLwEU9dApR/ELrj/MoueFpafY7ViXD/oGhAMlmN4MR230xE+de4o7ncibnrS33g
 RKDBk701+DIh6onrtnULme2NjCSWX/rVsg3WHI8chQmcph+YPN8Y4V1hf2T1FoLKcCXzz7
 eG8EiktCktPDCA5F8hC/u5W/7XM4k1Q=
Received: from mail-wm1-f72.google.com (mail-wm1-f72.google.com
 [209.85.128.72]) (Using TLS) by relay.mimecast.com with ESMTP id
 us-mta-422-ZkElkq38MFyvUFo2XcV54A-1; Fri, 28 Feb 2020 08:50:53 -0500
X-MC-Unique: ZkElkq38MFyvUFo2XcV54A-1
Received: by mail-wm1-f72.google.com with SMTP id j130so1163291wmj.9
 for <39799 <at> debbugs.gnu.org>; Fri, 28 Feb 2020 05:50:53 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:organization:references:date
 :in-reply-to:message-id:user-agent:mime-version
 :content-transfer-encoding;
 bh=LRcUrMJY07ALhRHZ4+OyN3CwSzxOJhPxBYBOxP9YTyw=;
 b=kCyZyaMKt7s5a6bicATWJ2e/sqdq8OiidIwCYJA+9/8XbxGNDlHcNiMm6C6ZAy5vsp
 f+JLsW38Kj6dqgcBpShAmVYPamX1yanwYBtPlUCEcosSJ4xQF37ZGewhJ1ou/WlbBryf
 nkST5xP5lPUmUXBhEiZpvLVpJ2DWid5Eynq+jbXf7q/iF+t+ehpHU3aWvCeJGKIhIRfD
 Xi01AX87jEUl1EbLhRnbCrZBgrm0tvHWaDjZZbW22+2aR837aQPutddwqqlwF4qUaP0U
 rMVQcBoKIqVSw9xiU1bCmQmgassESpb8MagEwuZ4zN4oo//0cJijRXWInYavNZbw3tX5
 fz7w==
X-Gm-Message-State: APjAAAUBRrEwiJZIy5i+FBeTcHdSPkbEl8P3nnkNRZDzbS6aOsvZ4TK2
 QLkHjstkvOdjD4WwHJFPVbip5sXwos1y1rpyvgc6qEauNKI0KvvzxFZFH4mRbJm+CfYGckOP+hw
 7cWtXdNr42pGKFQ==
X-Received: by 2002:a5d:424c:: with SMTP id s12mr4915071wrr.244.1582897850358; 
 Fri, 28 Feb 2020 05:50:50 -0800 (PST)
X-Google-Smtp-Source: APXvYqy1xlCrFZPiU9XHduG4j8p/EQr8uV2adeK81n0Nsb4m9gLIdp88rClOasomGxeKfPsgKBKwVw==
X-Received: by 2002:a5d:424c:: with SMTP id s12mr4915053wrr.244.1582897850113; 
 Fri, 28 Feb 2020 05:50:50 -0800 (PST)
Received: from taka.site (ppp-46-244-193-84.dynamic.mnet-online.de.
 [46.244.193.84])
 by smtp.gmail.com with ESMTPSA id t3sm12477796wrx.38.2020.02.28.05.50.49
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 28 Feb 2020 05:50:49 -0800 (PST)
Received: from taka.site (localhost [IPv6:::1])
 by taka.site (Postfix) with ESMTP id EF0F68FF;
 Fri, 28 Feb 2020 14:50:48 +0100 (CET)
From: Mike FABIAN <mfabian@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#39799: 28.0.50; Most emoji sequences =?utf-8?Q?don?=
 =?utf-8?Q?=E2=80=99t?= render correctly
Organization: Red Hat
References: <s9dy2spfmmt.fsf@HIDDEN> <83lfongp4p.fsf@HIDDEN>
 <s9dlfonf9jp.fsf@HIDDEN> <835zfrglu5.fsf@HIDDEN>
 <m28skm52c8.fsf@HIDDEN> <s9dblpig9qd.fsf@HIDDEN>
 <m24kva4znm.fsf@HIDDEN>
X-Face: "';
 oPz9V1+<,`}1ZuxRv~EiSusWq*{Yjr"Sdvbhq'?q=2R\\6Y9O/,SAE`{J|6I=|w/sQg<
 rW_N'E3IV6~f8?\l#Es`]S`mv',PY(`8{$$R?+gLu}Qv/Mn>)?uladFjJ@yl!_p_Jh; 5QxlD6zL:?r
 IXe4FfK$C^mWhh$o`yt; .r.FLZLQOWBt><!; -.DYZ)Nu&1?~*:\36\BGz]"L; nue;
 l\%sJ/]l{is5O Ew?0CF}dPS(ezG0xqUR)xa(L&&c;x{By"`oKvM&i!%+
Date: Fri, 28 Feb 2020 14:50:48 +0100
In-Reply-To: <m24kva4znm.fsf@HIDDEN> (Robert Pluim's message of "Fri, 28
 Feb 2020 14:19:57 +0100")
Message-ID: <s9dpndyes7b.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
X-Mimecast-Spam-Score: 0
X-Mimecast-Originator: redhat.com
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39799
Cc: 39799 <at> debbugs.gnu.org, eliz@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Robert Pluim <rpluim@HIDDEN> =E3=81=95=E3=82=93=E3=81=AF=E3=81=8B=E3=81=
=8D=E3=81=BE=E3=81=97=E3=81=9F:

> Hmm, is "Symbola" still a good fallback font? Or should we add "Noto
> Color Emoji" or similar in front of it?

I think "Noto Color Emoji" is nicer than "Symbola" if available.
The emoji look much nicer in colour, much easier to distinguish.

I think Symbola is a good black and white fallback if no colour emoji
font is available.

Unfortunately the license of Symbola is not free anymore, it used to be
but it was recently changed to =E2=80=9Cstrictly personal and non-commercia=
l
purposes=E2=80=9C:

http://users.teilar.gr/~g1951d/License.pdf

--=20
Mike FABIAN <mfabian@HIDDEN>
=E7=9D=A1=E7=9C=A0=E4=B8=8D=E8=B6=B3=E3=81=AF=E3=81=84=E3=81=84=E4=BB=95=E4=
=BA=8B=E3=81=AE=E6=95=B5=E3=81=A0=E3=80=82





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39799; Package emacs. Full text available.

Message received at 39799 <at> debbugs.gnu.org:


Received: (at 39799) by debbugs.gnu.org; 28 Feb 2020 13:48:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 28 08:48:00 2020
Received: from localhost ([127.0.0.1]:60820 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7fzk-0004ep-9L
	for submit <at> debbugs.gnu.org; Fri, 28 Feb 2020 08:48:00 -0500
Received: from us-smtp-delivery-1.mimecast.com ([207.211.31.120]:48251
 helo=us-smtp-1.mimecast.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mfabian@HIDDEN>) id 1j7fzi-0004eZ-TP
 for 39799 <at> debbugs.gnu.org; Fri, 28 Feb 2020 08:47:59 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=redhat.com;
 s=mimecast20190719; t=1582897673;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=aUC/1mYSoLXpTXKwbjomanNNtIsps9uRxj3DdykyTW8=;
 b=Z0KUMe5yn1CNNk9+WaYQkpOwQDs1e1ymAOWJ+M7WZpGFCRbrAEgPcib+zAb0TvWNZCDenH
 noOkOm3RPa+GbOPhb49H1nv91omfqPq5hNQ55qLvieaag8gews+Rz1S4Q0T5KQOEc8Jcmc
 ysv2aV3j/Ld6Ma3LujNw1KOR9FKiTSc=
Received: from mail-wr1-f69.google.com (mail-wr1-f69.google.com
 [209.85.221.69]) (Using TLS) by relay.mimecast.com with ESMTP id
 us-mta-455-b8U3kSKoPEmBTtMYw1XoTA-1; Fri, 28 Feb 2020 08:47:43 -0500
X-MC-Unique: b8U3kSKoPEmBTtMYw1XoTA-1
Received: by mail-wr1-f69.google.com with SMTP id s13so1336272wru.7
 for <39799 <at> debbugs.gnu.org>; Fri, 28 Feb 2020 05:47:43 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:organization:references:date
 :in-reply-to:message-id:user-agent:mime-version
 :content-transfer-encoding;
 bh=IhEDf81tRyl+0Fo+kYvuj+GKQ6KSEB1tfKdblGmyNII=;
 b=Mw8i6vOplQ1RXE/dSmlt9cDddnGTF86Q0za3zrkIgY1qVlLTZnf3aNzed/D8mmEKOY
 /yYfV+GGMoLtn1sv1jr1d43O/SItgbhJbrD98uU4V5M1VVaH6w0v2BTLIVikuH4Pi3bB
 x/muMj1y+LK4VWsuC+f4QcLctpOfidh+XdqV2TBBoC2eGxiBDBNey7phlMrXRKWNosBT
 ZLWWzIcxDyPCuF1A8pTJ8qGowWM5moBfUXqtWY8RtaYCXDtrxJ2yqqEC4wKV3oAFMcGR
 JJ4K2MX3eQNalBykAjRecM8vW8NrkQUe1zA1uwD/vDWHB9wXI1PXZyYBaLFedMKPGROT
 QN9A==
X-Gm-Message-State: APjAAAWtutyqzitsleQ251gNwMPHnk6aJcVG5EE26WWyf2q3TUzvN76b
 x1aEWxbsRGhLKakyIPtoJP9HdpkoJqKhO3v7DIaq9hkUzxM1bXIQXj8k5AdcvcZOmbvzsMrIT/y
 L+0Xc1Bn+ngj54g==
X-Received: by 2002:adf:e9cc:: with SMTP id l12mr3885410wrn.131.1582897662553; 
 Fri, 28 Feb 2020 05:47:42 -0800 (PST)
X-Google-Smtp-Source: APXvYqxo2+JlF4AeOPp54ndVW1ilO7p37Nc1OhUixdswLnnsT8C/0puStj+JCS2+YRqhNIEkjoN0UQ==
X-Received: by 2002:adf:e9cc:: with SMTP id l12mr3885390wrn.131.1582897662364; 
 Fri, 28 Feb 2020 05:47:42 -0800 (PST)
Received: from taka.site (ppp-46-244-193-84.dynamic.mnet-online.de.
 [46.244.193.84])
 by smtp.gmail.com with ESMTPSA id t133sm2499497wmf.31.2020.02.28.05.47.41
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 28 Feb 2020 05:47:42 -0800 (PST)
Received: from taka.site (localhost [IPv6:::1])
 by taka.site (Postfix) with ESMTP id 9CB698FF;
 Fri, 28 Feb 2020 14:47:40 +0100 (CET)
From: Mike FABIAN <mfabian@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#39799: 28.0.50; Most emoji sequences =?utf-8?Q?don?=
 =?utf-8?Q?=E2=80=99t?= render correctly
Organization: Red Hat
References: <s9dy2spfmmt.fsf@HIDDEN> <83lfongp4p.fsf@HIDDEN>
 <s9dlfonf9jp.fsf@HIDDEN> <835zfrglu5.fsf@HIDDEN>
 <m28skm52c8.fsf@HIDDEN> <83wo86g8pg.fsf@HIDDEN>
X-Face: "';
 oPz9V1+<,`}1ZuxRv~EiSusWq*{Yjr"Sdvbhq'?q=2R\\6Y9O/,SAE`{J|6I=|w/sQg<
 rW_N'E3IV6~f8?\l#Es`]S`mv',PY(`8{$$R?+gLu}Qv/Mn>)?uladFjJ@yl!_p_Jh; 5QxlD6zL:?r
 IXe4FfK$C^mWhh$o`yt; .r.FLZLQOWBt><!; -.DYZ)Nu&1?~*:\36\BGz]"L; nue;
 l\%sJ/]l{is5O Ew?0CF}dPS(ezG0xqUR)xa(L&&c;x{By"`oKvM&i!%+
Date: Fri, 28 Feb 2020 14:47:40 +0100
In-Reply-To: <83wo86g8pg.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 28 Feb
 2020 15:08:59 +0200")
Message-ID: <s9dy2smescj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
X-Mimecast-Spam-Score: 0
X-Mimecast-Originator: redhat.com
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39799
Cc: Glenn Morris <rgm@HIDDEN>, Robert Pluim <rpluim@HIDDEN>,
 39799 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> =E3=81=95=E3=82=93=E3=81=AF=E3=81=8B=E3=81=8D=
=E3=81=BE=E3=81=97=E3=81=9F:

>> It DTRT for me under Cairo if I change my fontset settings to use
>> 'Noto Color Emoji' instead of Symbola for:
>
> Is that a free font (it's from Google, AFAIK, so it might not be)?  If
> it is free, we could modify fontset.el to use this font if available.
> (Or maybe there are better free Emoji fonts out there?)

=E2=80=9CNoto Color Emoji=E2=80=9D is free (Apache 2.0 License):
https://github.com/googlefonts/noto-emoji/blob/master/LICENSE

=E2=80=9CJoypixels=E2=80=9D is also a nice colour emoji font, but it is *no=
t* free:

https://d1j8pt39hxlh3d.cloudfront.net/contracts/finalized-pdfs/free-5.1.pdf

(free only for personal use).

The nice black and white emoji font =E2=80=9CSymbola=E2=80=9D is unfortunat=
ely not free
either, see:

http://users.teilar.gr/~g1951d/License.pdf

free for =E2=80=9Cstrictly personal and non-commercial purposes=E2=80=9D.

--=20
Mike FABIAN <mfabian@HIDDEN>





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39799; Package emacs. Full text available.

Message received at 39799 <at> debbugs.gnu.org:


Received: (at 39799) by debbugs.gnu.org; 28 Feb 2020 13:20:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 28 08:20:07 2020
Received: from localhost ([127.0.0.1]:60777 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7fYl-0003pT-Fc
	for submit <at> debbugs.gnu.org; Fri, 28 Feb 2020 08:20:07 -0500
Received: from mail-wm1-f48.google.com ([209.85.128.48]:35204)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1j7fYi-0003oh-Ul
 for 39799 <at> debbugs.gnu.org; Fri, 28 Feb 2020 08:20:05 -0500
Received: by mail-wm1-f48.google.com with SMTP id m3so3174260wmi.0
 for <39799 <at> debbugs.gnu.org>; Fri, 28 Feb 2020 05:20:04 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version:content-transfer-encoding;
 bh=qrlhnmlqe/vdmf4UWKEodGuubmCSY8oHXXdoaVKUnW8=;
 b=VZpCCJW7Zfg7xsEQTEHSQp19m24v1JVZ/xODrExgQktr1E4sudbM9u0LU1NnUcrs1U
 DRP3aDpj9OrHAdg8tt81YcEIanHlkxGFTZvhP/WwypJ5yjPXr6/oIEU5ZtzlqEquni6D
 zS76PKSNMl7g6zslTV1g/k0p2MzJXi+62Y+rmAikGLgl3xOcibQlfWwGmB4yhgxk92Iq
 u0VCBvFTxKjJlN7r5oxEqop4vOzKd5z8QGrxMt5+YN5opyZkTnw5yz+C/rkT3EUPgcvh
 GMlCunhCWYqr05tq0E46jLaO5NESg7QCZb98UERYFaNs2+qPP/GWgztgwLShivfpdMWF
 l4Dg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=qrlhnmlqe/vdmf4UWKEodGuubmCSY8oHXXdoaVKUnW8=;
 b=CbV2C9e7rPsWuMHLW1FnwxyMjhxVQTSYsJR5179a8kqVvs/zGovMOOH9j9Bx5WDdRs
 DMsyj5YyY6hFHoJ+AHP2k5qEnWrsHqKOjWsRl7+tR+wQB4s+msk/lzPQ+BbJ/HFO5aAX
 x9iVpO68RA8VZEk32pPAKNpvcUjWvBTlbtBIpHot3xbBQ/02LhnWg7/hsmzDWKX/LCK2
 xOawFoV1uQ0Ia+pOD7KYQ9NZJrdjQJWR5hZd3Bwp60Xmbybvj6oAmoLgA7F7pFVdZLbZ
 Cfgsa9NvIP1YazzYX6k0XhfABki59i+82SM2urCwNswXIkqEqt9cw+M3WdlKVNzX1S6F
 JbEw==
X-Gm-Message-State: APjAAAXYeNuCrgUCpECO0X683ak8yAodE6Z4GnMYqiftu/ceGOCmCf3p
 HbO/3HXKBv7t/9JKeANsbL0=
X-Google-Smtp-Source: APXvYqxFdC9Gd8cVC72OueNrShnYRJNCApWioaPdnodIzdy/NXCZp2VCdvZpA3UkILaizn0FTneqaw==
X-Received: by 2002:a7b:c088:: with SMTP id r8mr4908722wmh.18.1582895998834;
 Fri, 28 Feb 2020 05:19:58 -0800 (PST)
Received: from rpluim-mac ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id b67sm2239521wmc.38.2020.02.28.05.19.57
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 28 Feb 2020 05:19:58 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
To: Mike FABIAN <mfabian@HIDDEN>
Subject: Re: bug#39799: 28.0.50; Most emoji sequences =?utf-8?Q?don?=
 =?utf-8?Q?=E2=80=99t?= render correctly
References: <s9dy2spfmmt.fsf@HIDDEN> <83lfongp4p.fsf@HIDDEN>
 <s9dlfonf9jp.fsf@HIDDEN> <835zfrglu5.fsf@HIDDEN>
 <m28skm52c8.fsf@HIDDEN> <s9dblpig9qd.fsf@HIDDEN>
Date: Fri, 28 Feb 2020 14:19:57 +0100
In-Reply-To: <s9dblpig9qd.fsf@HIDDEN> (Mike FABIAN's message of "Fri, 28
 Feb 2020 13:46:50 +0100")
Message-ID: <m24kva4znm.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39799
Cc: 39799 <at> debbugs.gnu.org, eliz@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Fri, 28 Feb 2020 13:46:50 +0100, Mike FABIAN <mfabian@HIDDEN> =
said:
    >> I=CA=BCm not seeing colour emoji in a -Q Cairo build. Which sequence=
 is this
    >> again?

    Mike> To check the colour, almost any emoji will work, it doesn=E2=80=
=99t have to be a
    Mike> sequence. For example, I see these in colour:

    Mike> =F0=9F=91=A9=E2=80=8D=F0=9F=A6=B0 U+1F469 U+200D U+1F9B0 woman: r=
ed hair
    Mike> =F0=9F=A7=91=E2=80=8D=F0=9F=A6=B0 U+1F9D1 U+200D U+1F9B0 person: =
red hair
    Mike> =F0=9F=98=87 U+1F607

    Mike> When I start "emacs -Q" (cairo build from current git master), I
    Mike> see the emoji first in black and white as in the attached
    Mike> emacs-default-emoji.png.

    Mike> Then, after evaluating:

    Mike> (set-fontset-font t '(#x10000 . #x1FFFF) '("Noto Color Emoji" . "=
unicode-bmp") nil 'prepend)

    Mike> I see them in colour.

    Mike> So I have put

    Mike> (set-fontset-font t '(#x10000 . #x1FFFF) '("Noto Color Emoji" . "=
unicode-bmp") nil 'prepend)

    Mike> in my init file.

OK, so you were changing the fontsets. That matches what I see.

Hmm, is "Symbola" still a good fallback font? Or should we add "Noto
Color Emoji" or similar in front of it?

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39799; Package emacs. Full text available.

Message received at 39799 <at> debbugs.gnu.org:


Received: (at 39799) by debbugs.gnu.org; 28 Feb 2020 13:09:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 28 08:09:22 2020
Received: from localhost ([127.0.0.1]:60765 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7fOL-0003Ta-SX
	for submit <at> debbugs.gnu.org; Fri, 28 Feb 2020 08:09:22 -0500
Received: from eggs.gnu.org ([209.51.188.92]:37419)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1j7fOK-0003TL-R0
 for 39799 <at> debbugs.gnu.org; Fri, 28 Feb 2020 08:09:21 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37614)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1j7fOF-00075Q-A6; Fri, 28 Feb 2020 08:09:15 -0500
Received: from [176.228.60.248] (port=4523 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1j7fOD-0006bu-Qt; Fri, 28 Feb 2020 08:09:14 -0500
Date: Fri, 28 Feb 2020 15:08:59 +0200
Message-Id: <83wo86g8pg.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>, Glenn Morris <rgm@HIDDEN>
In-reply-to: <m28skm52c8.fsf@HIDDEN> (message from Robert Pluim on Fri, 28
 Feb 2020 13:21:59 +0100)
Subject: Re: bug#39799: 28.0.50; Most emoji sequences =?utf-8?Q?don?=
 =?utf-8?Q?=E2=80=99t?= render correctly
References: <s9dy2spfmmt.fsf@HIDDEN> <83lfongp4p.fsf@HIDDEN>
 <s9dlfonf9jp.fsf@HIDDEN> <835zfrglu5.fsf@HIDDEN>
 <m28skm52c8.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 39799
Cc: 39799 <at> debbugs.gnu.org, mfabian@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

> From: Robert Pluim <rpluim@HIDDEN>
> Cc: Mike FABIAN <mfabian@HIDDEN>,  39799 <at> debbugs.gnu.org
> Date: Fri, 28 Feb 2020 13:21:59 +0100
> 
>     Eli> I'd prefer not to add Python as prerequisite for building Emacs.  We
>     Eli> already use Awk, so using that'd be fine.
> 
> I suck at awk, but my attempt is attached.

Thanks.  I wonder if we could make the output more human-readable...
Glenn, any advice or comments?

> It DTRT for me under Cairo if I change my fontset settings to use
> 'Noto Color Emoji' instead of Symbola for:

Is that a free font (it's from Google, AFAIK, so it might not be)?  If
it is free, we could modify fontset.el to use this font if available.
(Or maybe there are better free Emoji fonts out there?)

>              (#x1F300 . #x1F5FF)	;; Misc Symbols and Pictographs
>              (#x1F900 . #x1F9FF)	;; Supplemental Symbols and Pictographs
> 
> It matches forward off the first char, so the
> composition-function-table entries all have '0' as the number of chars
> to match. Would it be better to match backwards?

I don't think matching backwards is better in general.  Did you have a
reason for thinking it was?

> Weʼd run into the 4-character maximum for that, since some of the
> sequences are 7 or more characters long.

If the sequences are 7 character long, then the forward-matching
pattern will hit the same limitation as well, no?

>     >> > If you mean they are not displayed in correct colors, then Emacs
>     >> > doesn't yet support color emoji, we lack some infrastructure for
>     >> > that.  Again, work in that area is welcome, it should be relatively
>     >> > easy since we now have HarfBuzz support for text shaping.
>     >> 
>     >> Actually the color display works already. I tested with current master
>     >> (build with cairo) and the emoji display just fine in color.
> 
>     Eli> Maybe in a Cairo build.  Or maybe I'm missing something.
> 
> Iʼm not seeing colour emoji in a -Q Cairo build. Which sequence is this
> again?

The ones in http://www.unicode.org/Public/emoji/12.0/emoji-sequences.txt,
and specifically the flag sequences and the skin color sequences.  At
least AFAIU the original report.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39799; Package emacs. Full text available.

Message received at 39799 <at> debbugs.gnu.org:


Received: (at 39799) by debbugs.gnu.org; 28 Feb 2020 12:47:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 28 07:47:02 2020
Received: from localhost ([127.0.0.1]:60749 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7f2j-0002lO-VM
	for submit <at> debbugs.gnu.org; Fri, 28 Feb 2020 07:47:01 -0500
Received: from us-smtp-delivery-1.mimecast.com ([205.139.110.120]:34648
 helo=us-smtp-1.mimecast.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mfabian@HIDDEN>) id 1j7f2j-0002lD-6A
 for 39799 <at> debbugs.gnu.org; Fri, 28 Feb 2020 07:47:01 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=redhat.com;
 s=mimecast20190719; t=1582894020;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 in-reply-to:in-reply-to:references:references;
 bh=BtjsfSktddC5mWCcQwWmp1bParBw5G0q3zuat096DkU=;
 b=YpWiVlFz40pmWJGdhFRax5WwasqR2znpkv5qUZfj14dcMoIwV4imup2tS0CcPli5soyMEV
 U9g14t0zvq71NAhSc4oXqZz5SCwNfNGC6Cnfrv+O4yXEHTmTAqqT1ZNoPz/sLGeyCdrAcN
 Vw0HLbH+xc1NRwJg3st4pwZiFmp4udU=
Received: from mail-wr1-f69.google.com (mail-wr1-f69.google.com
 [209.85.221.69]) (Using TLS) by relay.mimecast.com with ESMTP id
 us-mta-318-tRy2OzfgNqyUuYsXY4fSQw-1; Fri, 28 Feb 2020 07:46:56 -0500
X-MC-Unique: tRy2OzfgNqyUuYsXY4fSQw-1
Received: by mail-wr1-f69.google.com with SMTP id 72so1281630wrc.6
 for <39799 <at> debbugs.gnu.org>; Fri, 28 Feb 2020 04:46:56 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:organization:references:date
 :in-reply-to:message-id:user-agent:mime-version;
 bh=4EAshP+ug9wwnGBQ7VU5ZigLpFQlumTowbgi1TU3qQw=;
 b=mA7Iihf23gDeN8HmT78o4bXC1fyzoVXpjNE/0tqXz/SDrzzKc23nZvolXv5yGdGgSj
 Y0uwbA8M8czweOk8ed5WAZGqmYk4dKfy0Z2N6wfPB7llNWa/Eheszg7S2CTaIIHSPVUU
 YhcGD3LL24XiPTTTMrAVSWHlHF9EvNQfKzjXhBLjhPQG9/RxrL4TAbfkqPqLkKDZW5dT
 rbV3vjpuZsLBqaYhtLkZyNHPONNOv+dpu3Yd3B7NzDy369GzRkmpjzxwcRSnzfbFmMT+
 j3as5BbMEe9qdWkdFlClvdhBOf5fIWU0OzgYEsNRgF/OFQteCiMitK2kkvuSDCSiFRpI
 hqKA==
X-Gm-Message-State: APjAAAWBmOSSqixBpHCIKrfBFIkJLug1AwwwKkjsI+32ufZork4uNdFp
 6kYdqgFDTKiMJTNTcodAl+Zg4ZIKPuEEJixX1vb3zpRjj6UVmNMz9ErAUpuKCzQrKa9Y4bi+/yN
 wqXD60CRw8dzYjw==
X-Received: by 2002:a7b:c3cd:: with SMTP id t13mr4695264wmj.88.1582894014941; 
 Fri, 28 Feb 2020 04:46:54 -0800 (PST)
X-Google-Smtp-Source: APXvYqxI1Dh1wg6BsO2d63LM91Fm1HGBT2jK7uCVHZfNY11/W6gDkQq8oIetUaRwLWnHhUyFuTDdeA==
X-Received: by 2002:a7b:c3cd:: with SMTP id t13mr4695241wmj.88.1582894014598; 
 Fri, 28 Feb 2020 04:46:54 -0800 (PST)
Received: from taka.site (ppp-46-244-193-84.dynamic.mnet-online.de.
 [46.244.193.84])
 by smtp.gmail.com with ESMTPSA id s22sm1995114wmc.16.2020.02.28.04.46.52
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 28 Feb 2020 04:46:53 -0800 (PST)
Received: from taka.site (localhost [IPv6:::1])
 by taka.site (Postfix) with ESMTP id 0FAFF8FF;
 Fri, 28 Feb 2020 13:46:51 +0100 (CET)
From: Mike FABIAN <mfabian@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#39799: 28.0.50; Most emoji sequences =?utf-8?Q?don?=
 =?utf-8?Q?=E2=80=99t?= render correctly
Organization: Red Hat
References: <s9dy2spfmmt.fsf@HIDDEN> <83lfongp4p.fsf@HIDDEN>
 <s9dlfonf9jp.fsf@HIDDEN> <835zfrglu5.fsf@HIDDEN>
 <m28skm52c8.fsf@HIDDEN>
X-Face: "';
 oPz9V1+<,`}1ZuxRv~EiSusWq*{Yjr"Sdvbhq'?q=2R\\6Y9O/,SAE`{J|6I=|w/sQg<
 rW_N'E3IV6~f8?\l#Es`]S`mv',PY(`8{$$R?+gLu}Qv/Mn>)?uladFjJ@yl!_p_Jh; 5QxlD6zL:?r
 IXe4FfK$C^mWhh$o`yt; .r.FLZLQOWBt><!; -.DYZ)Nu&1?~*:\36\BGz]"L; nue;
 l\%sJ/]l{is5O Ew?0CF}dPS(ezG0xqUR)xa(L&&c;x{By"`oKvM&i!%+
Date: Fri, 28 Feb 2020 13:46:50 +0100
In-Reply-To: <m28skm52c8.fsf@HIDDEN> (Robert Pluim's message of "Fri, 28
 Feb 2020 13:21:59 +0100")
Message-ID: <s9dblpig9qd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
X-Mimecast-Spam-Score: 0
X-Mimecast-Originator: redhat.com
Content-Type: multipart/mixed; boundary="=-=-="
X-Debbugs-Envelope-To: 39799
Cc: Eli Zaretskii <eliz@HIDDEN>, 39799 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Robert Pluim <rpluim@HIDDEN> =E3=81=95=E3=82=93=E3=81=AF=E3=81=8B=E3=81=
=8D=E3=81=BE=E3=81=97=E3=81=9F:

> I suck at awk, but my attempt is attached. It DTRT for me under Cairo
> if I change my fontset settings to use 'Noto Color Emoji' instead of
> Symbola for:
>
>              (#x1F300 . #x1F5FF)=09;; Misc Symbols and Pictographs
>              (#x1F900 . #x1F9FF)=09;; Supplemental Symbols and Pictograph=
s
>
> It matches forward off the first char, so the
> composition-function-table entries all have '0' as the number of chars
> to match. Would it be better to match backwards? We=CA=BCd run into the
> 4-character maximum for that, since some of the sequences are 7 or
> more characters long.
>
>     >> > If you mean they are not displayed in correct colors, then Emacs
>     >> > doesn't yet support color emoji, we lack some infrastructure for
>     >> > that.  Again, work in that area is welcome, it should be relativ=
ely
>     >> > easy since we now have HarfBuzz support for text shaping.
>     >>=20
>     >> Actually the color display works already. I tested with current ma=
ster
>     >> (build with cairo) and the emoji display just fine in color.
>
>     Eli> Maybe in a Cairo build.  Or maybe I'm missing something.
>
> I=CA=BCm not seeing colour emoji in a -Q Cairo build. Which sequence is t=
his
> again?

To check the colour, almost any emoji will work, it doesn=E2=80=99t have to=
 be a
sequence. For example, I see these in colour:

=F0=9F=91=A9=E2=80=8D=F0=9F=A6=B0 U+1F469 U+200D U+1F9B0 woman: red hair
=F0=9F=A7=91=E2=80=8D=F0=9F=A6=B0 U+1F9D1 U+200D U+1F9B0 person: red hair
=F0=9F=98=87 U+1F607

When I start "emacs -Q" (cairo build from current git master), I
see the emoji first in black and white as in the attached
emacs-default-emoji.png.

Then, after evaluating:

(set-fontset-font t '(#x10000 . #x1FFFF) '("Noto Color Emoji" . "unicode-bm=
p") nil 'prepend)

I see them in colour.

So I have put

(set-fontset-font t '(#x10000 . #x1FFFF) '("Noto Color Emoji" . "unicode-bm=
p") nil 'prepend)

in my init file.

--=20
Mike FABIAN <mfabian@HIDDEN>


--=-=-=
Content-Type: image/png
Content-Disposition: attachment; filename=emacs-default-emoji.png
Content-Transfer-Encoding: base64
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--=-=-=
Content-Type: image/png
Content-Disposition: attachment; filename=emacs-color-emoji.png
Content-Transfer-Encoding: base64
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=
--=-=-=--





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39799; Package emacs. Full text available.

Message received at 39799 <at> debbugs.gnu.org:


Received: (at 39799) by debbugs.gnu.org; 28 Feb 2020 12:22:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 28 07:22:09 2020
Received: from localhost ([127.0.0.1]:60733 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7eee-0008Qr-Qc
	for submit <at> debbugs.gnu.org; Fri, 28 Feb 2020 07:22:09 -0500
Received: from mail-wm1-f50.google.com ([209.85.128.50]:38527)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1j7eed-0008Qb-Lj
 for 39799 <at> debbugs.gnu.org; Fri, 28 Feb 2020 07:22:08 -0500
Received: by mail-wm1-f50.google.com with SMTP id n64so1652582wme.3
 for <39799 <at> debbugs.gnu.org>; Fri, 28 Feb 2020 04:22:07 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version; bh=1TUk1ZQwH805M85wjDEqbXUg5XiayCTR70I7T+9hxFw=;
 b=DwTKRK1yz4TzfUMO+rTo2AnC8/r1OFG8vLqcMiVhilA4tia8noUHdxLaOgviJTpYfn
 mYX7iTk8uzz227tMQeYhYdSWK0mE8V218RsMjqZjzTLYUMdnQo5VRU01wm39Yl5wBZjG
 t4RcP9LXlmdEoNaGqN8251bEjdeteTaD0MVmaU6JfR++81f0wSaN4qM8/r7rGUrhQelZ
 ejUPVTbnkiAa7PFsmjfUWLQw5yJZYajGSCaKeAmaD6JyEKCiBOYCV80bSC39v4LDm18w
 p5muUba199Lrrydv1nO+1Hv0J8CiDiHd+F+fI3xqTSKfnYPg04XfNPJpheh8QreFS3ax
 7b2Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version;
 bh=1TUk1ZQwH805M85wjDEqbXUg5XiayCTR70I7T+9hxFw=;
 b=M2CA/FmUS0brCp6eEYzsPTm5pmMO5W+6Q7miMO7PZQJ1N351yO8VChmetUZ9On1PAy
 +/HFrszNKxYNZMMCE9uNd91Yj+rRYYwEgamdHzz/p5obviRHracYc8AWnu1Y9xRGC7uS
 Sb/um6kjLbx3Fp6PsWiUnbtSFCaBXn/PMvMgw1th70xyyjEoZ7evxhgVyowIUQRJt6/O
 y4r+gxqoEHVpEhyco6d6TMIIILzAr2NhV8lEgpDwgLe6QUPUslRVYOfr5QuLro/nau0O
 yrbLHJMIDk4wxFy/9MylSV/I3M853GIzJqEPd4fxX24taXZxI+pFsVBA3RsNfnQsyKbM
 Jb7w==
X-Gm-Message-State: APjAAAVhIHOx/3+xPMKtnXINNutKkpT+QoDvDMlIo1BaznJ4aAFBHtRD
 SoWzE3kDjB+mJD223plZg0mn/S0J
X-Google-Smtp-Source: APXvYqx4d3vjgJYDX5Q5Gg5ICS6pNh2Q/nrReeGO/dpH2/3kMWcXOH/DDnbWersc03GxoYtTmq9Wnw==
X-Received: by 2002:a1c:a405:: with SMTP id n5mr2357081wme.125.1582892521236; 
 Fri, 28 Feb 2020 04:22:01 -0800 (PST)
Received: from rpluim-mac ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id b16sm7357734wrq.14.2020.02.28.04.21.59
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 28 Feb 2020 04:22:00 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#39799: 28.0.50; Most emoji sequences =?utf-8?Q?don?=
 =?utf-8?Q?=E2=80=99t?= render correctly
References: <s9dy2spfmmt.fsf@HIDDEN> <83lfongp4p.fsf@HIDDEN>
 <s9dlfonf9jp.fsf@HIDDEN> <835zfrglu5.fsf@HIDDEN>
Date: Fri, 28 Feb 2020 13:21:59 +0100
In-Reply-To: <835zfrglu5.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 28 Feb
 2020 10:25:22 +0200")
Message-ID: <m28skm52c8.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39799
Cc: 39799 <at> debbugs.gnu.org, Mike FABIAN <mfabian@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

>>>>> On Fri, 28 Feb 2020 10:25:22 +0200, Eli Zaretskii <eliz@HIDDEN> said:

    >> From: Mike FABIAN <mfabian@HIDDEN>
    >> Cc: 39799 <at> debbugs.gnu.org
    >> Date: Fri, 28 Feb 2020 08:36:10 +0100
    >>=20
    >> > Patches are welcome to convert the emoji-related files in Unicode's
    >> > character database into appropriate composition-function-table set=
up,
    >> > similar to the example above.  Some script to be run at Emacs build
    >> > time and produce, say, lisp/emoji.el to populate
    >> > composition-function-table, would be nice (see the Awk scripts in
    >> > admin/unidata as one source of inspiration).
    >>=20
    >> Pango also has a .c file which is generated by a python script from
    >> the Unicode emoji data files to make all these sequences known to Pa=
ngo.
    >>=20
    >> I can try to write a script. Would it be OK to use Python for such a
    >> script generating emoji.el?

    Eli> I'd prefer not to add Python as prerequisite for building Emacs.  =
We
    Eli> already use Awk, so using that'd be fine.

I suck at awk, but my attempt is attached. It DTRT for me under Cairo
if I change my fontset settings to use 'Noto Color Emoji' instead of
Symbola for:

             (#x1F300 . #x1F5FF)	;; Misc Symbols and Pictographs
             (#x1F900 . #x1F9FF)	;; Supplemental Symbols and Pictographs

It matches forward off the first char, so the
composition-function-table entries all have '0' as the number of chars
to match. Would it be better to match backwards? We=CA=BCd run into the
4-character maximum for that, since some of the sequences are 7 or
more characters long.

    >> > If you mean they are not displayed in correct colors, then Emacs
    >> > doesn't yet support color emoji, we lack some infrastructure for
    >> > that.  Again, work in that area is welcome, it should be relatively
    >> > easy since we now have HarfBuzz support for text shaping.
    >>=20
    >> Actually the color display works already. I tested with current mast=
er
    >> (build with cairo) and the emoji display just fine in color.

    Eli> Maybe in a Cairo build.  Or maybe I'm missing something.

I=CA=BCm not seeing colour emoji in a -Q Cairo build. Which sequence is this
again?

Robert


--=-=-=
Content-Type: text/plain
Content-Disposition: inline; filename=emoji-zwj.awk

#!/usr/bin/awk -f

## Copyright (C) 2020 Free Software Foundation, Inc.

## Author: Robert Pluim <rpluim@HIDDEN>

## This file is part of GNU Emacs.

## GNU Emacs is free software: you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation, either version 3 of the License, or
## (at your option) any later version.

## GNU Emacs is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with GNU Emacs.  If not, see <https://www.gnu.org/licenses/>.

### Commentary:

## This script takes as input Unicode's emoji-zwj-sequences.txt
## (https://www.unicode.org/Public/emoji/12.0/emoji-zwj-sequences.txt)
## and produces output for Emacs's lisp/international/emoji-zwj.el.

## For additional details, see <https://debbugs.gnu.org/39799#8>.

## Things to do after installing a new version of emoji-zwj-sequences.txt:
## Check the output against the old output.

### Code:

/^[0-9A-F]/ {
    sub(/  *;.*/, "", $0)
    num = split($0, elts)
    if (ch[elts[1]] == "")
    {
        vec[elts[1]] = ""
        ch[elts[1]] = elts[1]
    }
    else
    {
        vec[elts[1]] = vec[elts[1]] " "
    }
        vec[elts[1]] = vec[elts[1]] "\""
    for (j = 1; j <= num; j++)
    {
        c = sprintf("\\N{U+%s}", elts[j])
        vec[elts[1]] = vec[elts[1]] c
    }
    vec[elts[1]] = vec[elts[1]] "\""
}

END {
    print ";;; emoji-zwj.el --- emoji zwj character composition table"
    print ";;; Automatically generated from admin/unidata/emoji-zwj-sequences.txt"
    print "(dolist (elt '("

    for (elt in ch)
    {
        printf("(#x%s . (%s))\n", elt, vec[elt])
}
    print "    ))"
    print "  (set-char-table-range composition-function-table"
    print "                        (car elt)"
    print "                        (list (vector (regexp-opt (cdr elt))"
    print "                                      0"
    print "                                      'compose-gstring-for-graphic))))"
    print "\n"
    print "(provide 'emoji-zwj)"
}

--=-=-=
Content-Type: application/emacs-lisp
Content-Disposition: inline; filename=emoji-zwj.el
Content-Transfer-Encoding: quoted-printable

;;; emoji-zwj.el --- emoji zwj character composition table
;;; Automatically generated from admin/unidata/emoji-zwj-sequences.txt
(dolist (elt '(
(#x1F6A3 . ("\N{U+1F6A3}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F6A3}\N{U+20=
0D}\N{U+2642}\N{U+FE0F}" "\N{U+1F6A3}\N{U+1F3FB}\N{U+200D}\N{U+2640}\N{U+FE=
0F}" "\N{U+1F6A3}\N{U+1F3FB}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F6A3}\N{=
U+1F3FC}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F6A3}\N{U+1F3FC}\N{U+200D}\N=
{U+2642}\N{U+FE0F}" "\N{U+1F6A3}\N{U+1F3FD}\N{U+200D}\N{U+2640}\N{U+FE0F}" =
"\N{U+1F6A3}\N{U+1F3FD}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F6A3}\N{U+1F3=
FE}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F6A3}\N{U+1F3FE}\N{U+200D}\N{U+26=
42}\N{U+FE0F}" "\N{U+1F6A3}\N{U+1F3FF}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U=
+1F6A3}\N{U+1F3FF}\N{U+200D}\N{U+2642}\N{U+FE0F}"))
(#x26F9 . ("\N{U+26F9}\N{U+1F3FB}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+26F9=
}\N{U+1F3FB}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+26F9}\N{U+1F3FC}\N{U+200D=
}\N{U+2640}\N{U+FE0F}" "\N{U+26F9}\N{U+1F3FC}\N{U+200D}\N{U+2642}\N{U+FE0F}=
" "\N{U+26F9}\N{U+1F3FD}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+26F9}\N{U+1F3=
FD}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+26F9}\N{U+1F3FE}\N{U+200D}\N{U+264=
0}\N{U+FE0F}" "\N{U+26F9}\N{U+1F3FE}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+2=
6F9}\N{U+1F3FF}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+26F9}\N{U+1F3FF}\N{U+2=
00D}\N{U+2642}\N{U+FE0F}" "\N{U+26F9}\N{U+FE0F}\N{U+200D}\N{U+2640}\N{U+FE0=
F}" "\N{U+26F9}\N{U+FE0F}\N{U+200D}\N{U+2642}\N{U+FE0F}"))
(#x1F415 . ("\N{U+1F415}\N{U+200D}\N{U+1F9BA}"))
(#x1F645 . ("\N{U+1F645}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F645}\N{U+20=
0D}\N{U+2642}\N{U+FE0F}" "\N{U+1F645}\N{U+1F3FB}\N{U+200D}\N{U+2640}\N{U+FE=
0F}" "\N{U+1F645}\N{U+1F3FB}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F645}\N{=
U+1F3FC}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F645}\N{U+1F3FC}\N{U+200D}\N=
{U+2642}\N{U+FE0F}" "\N{U+1F645}\N{U+1F3FD}\N{U+200D}\N{U+2640}\N{U+FE0F}" =
"\N{U+1F645}\N{U+1F3FD}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F645}\N{U+1F3=
FE}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F645}\N{U+1F3FE}\N{U+200D}\N{U+26=
42}\N{U+FE0F}" "\N{U+1F645}\N{U+1F3FF}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U=
+1F645}\N{U+1F3FF}\N{U+200D}\N{U+2642}\N{U+FE0F}"))
(#x1F646 . ("\N{U+1F646}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F646}\N{U+20=
0D}\N{U+2642}\N{U+FE0F}" "\N{U+1F646}\N{U+1F3FB}\N{U+200D}\N{U+2640}\N{U+FE=
0F}" "\N{U+1F646}\N{U+1F3FB}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F646}\N{=
U+1F3FC}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F646}\N{U+1F3FC}\N{U+200D}\N=
{U+2642}\N{U+FE0F}" "\N{U+1F646}\N{U+1F3FD}\N{U+200D}\N{U+2640}\N{U+FE0F}" =
"\N{U+1F646}\N{U+1F3FD}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F646}\N{U+1F3=
FE}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F646}\N{U+1F3FE}\N{U+200D}\N{U+26=
42}\N{U+FE0F}" "\N{U+1F646}\N{U+1F3FF}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U=
+1F646}\N{U+1F3FF}\N{U+200D}\N{U+2642}\N{U+FE0F}"))
(#x1F647 . ("\N{U+1F647}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F647}\N{U+20=
0D}\N{U+2642}\N{U+FE0F}" "\N{U+1F647}\N{U+1F3FB}\N{U+200D}\N{U+2640}\N{U+FE=
0F}" "\N{U+1F647}\N{U+1F3FB}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F647}\N{=
U+1F3FC}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F647}\N{U+1F3FC}\N{U+200D}\N=
{U+2642}\N{U+FE0F}" "\N{U+1F647}\N{U+1F3FD}\N{U+200D}\N{U+2640}\N{U+FE0F}" =
"\N{U+1F647}\N{U+1F3FD}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F647}\N{U+1F3=
FE}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F647}\N{U+1F3FE}\N{U+200D}\N{U+26=
42}\N{U+FE0F}" "\N{U+1F647}\N{U+1F3FF}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U=
+1F647}\N{U+1F3FF}\N{U+200D}\N{U+2642}\N{U+FE0F}"))
(#x1F9B8 . ("\N{U+1F9B8}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F9B8}\N{U+20=
0D}\N{U+2642}\N{U+FE0F}" "\N{U+1F9B8}\N{U+1F3FB}\N{U+200D}\N{U+2640}\N{U+FE=
0F}" "\N{U+1F9B8}\N{U+1F3FB}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F9B8}\N{=
U+1F3FC}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F9B8}\N{U+1F3FC}\N{U+200D}\N=
{U+2642}\N{U+FE0F}" "\N{U+1F9B8}\N{U+1F3FD}\N{U+200D}\N{U+2640}\N{U+FE0F}" =
"\N{U+1F9B8}\N{U+1F3FD}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F9B8}\N{U+1F3=
FE}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F9B8}\N{U+1F3FE}\N{U+200D}\N{U+26=
42}\N{U+FE0F}" "\N{U+1F9B8}\N{U+1F3FF}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U=
+1F9B8}\N{U+1F3FF}\N{U+200D}\N{U+2642}\N{U+FE0F}"))
(#x1F9D1 . ("\N{U+1F9D1}\N{U+200D}\N{U+1F91D}\N{U+200D}\N{U+1F9D1}" "\N{U+1=
F9D1}\N{U+1F3FB}\N{U+200D}\N{U+1F91D}\N{U+200D}\N{U+1F9D1}\N{U+1F3FB}" "\N{=
U+1F9D1}\N{U+1F3FC}\N{U+200D}\N{U+1F91D}\N{U+200D}\N{U+1F9D1}\N{U+1F3FB}" "=
\N{U+1F9D1}\N{U+1F3FC}\N{U+200D}\N{U+1F91D}\N{U+200D}\N{U+1F9D1}\N{U+1F3FC}=
" "\N{U+1F9D1}\N{U+1F3FD}\N{U+200D}\N{U+1F91D}\N{U+200D}\N{U+1F9D1}\N{U+1F3=
FB}" "\N{U+1F9D1}\N{U+1F3FD}\N{U+200D}\N{U+1F91D}\N{U+200D}\N{U+1F9D1}\N{U+=
1F3FC}" "\N{U+1F9D1}\N{U+1F3FD}\N{U+200D}\N{U+1F91D}\N{U+200D}\N{U+1F9D1}\N=
{U+1F3FD}" "\N{U+1F9D1}\N{U+1F3FE}\N{U+200D}\N{U+1F91D}\N{U+200D}\N{U+1F9D1=
}\N{U+1F3FB}" "\N{U+1F9D1}\N{U+1F3FE}\N{U+200D}\N{U+1F91D}\N{U+200D}\N{U+1F=
9D1}\N{U+1F3FC}" "\N{U+1F9D1}\N{U+1F3FE}\N{U+200D}\N{U+1F91D}\N{U+200D}\N{U=
+1F9D1}\N{U+1F3FD}" "\N{U+1F9D1}\N{U+1F3FE}\N{U+200D}\N{U+1F91D}\N{U+200D}\=
N{U+1F9D1}\N{U+1F3FE}" "\N{U+1F9D1}\N{U+1F3FF}\N{U+200D}\N{U+1F91D}\N{U+200=
D}\N{U+1F9D1}\N{U+1F3FB}" "\N{U+1F9D1}\N{U+1F3FF}\N{U+200D}\N{U+1F91D}\N{U+=
200D}\N{U+1F9D1}\N{U+1F3FC}" "\N{U+1F9D1}\N{U+1F3FF}\N{U+200D}\N{U+1F91D}\N=
{U+200D}\N{U+1F9D1}\N{U+1F3FD}" "\N{U+1F9D1}\N{U+1F3FF}\N{U+200D}\N{U+1F91D=
}\N{U+200D}\N{U+1F9D1}\N{U+1F3FE}" "\N{U+1F9D1}\N{U+1F3FF}\N{U+200D}\N{U+1F=
91D}\N{U+200D}\N{U+1F9D1}\N{U+1F3FF}"))
(#x1F9B9 . ("\N{U+1F9B9}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F9B9}\N{U+20=
0D}\N{U+2642}\N{U+FE0F}" "\N{U+1F9B9}\N{U+1F3FB}\N{U+200D}\N{U+2640}\N{U+FE=
0F}" "\N{U+1F9B9}\N{U+1F3FB}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F9B9}\N{=
U+1F3FC}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F9B9}\N{U+1F3FC}\N{U+200D}\N=
{U+2642}\N{U+FE0F}" "\N{U+1F9B9}\N{U+1F3FD}\N{U+200D}\N{U+2640}\N{U+FE0F}" =
"\N{U+1F9B9}\N{U+1F3FD}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F9B9}\N{U+1F3=
FE}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F9B9}\N{U+1F3FE}\N{U+200D}\N{U+26=
42}\N{U+FE0F}" "\N{U+1F9B9}\N{U+1F3FF}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U=
+1F9B9}\N{U+1F3FF}\N{U+200D}\N{U+2642}\N{U+FE0F}"))
(#x1F64B . ("\N{U+1F64B}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F64B}\N{U+20=
0D}\N{U+2642}\N{U+FE0F}" "\N{U+1F64B}\N{U+1F3FB}\N{U+200D}\N{U+2640}\N{U+FE=
0F}" "\N{U+1F64B}\N{U+1F3FB}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F64B}\N{=
U+1F3FC}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F64B}\N{U+1F3FC}\N{U+200D}\N=
{U+2642}\N{U+FE0F}" "\N{U+1F64B}\N{U+1F3FD}\N{U+200D}\N{U+2640}\N{U+FE0F}" =
"\N{U+1F64B}\N{U+1F3FD}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F64B}\N{U+1F3=
FE}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F64B}\N{U+1F3FE}\N{U+200D}\N{U+26=
42}\N{U+FE0F}" "\N{U+1F64B}\N{U+1F3FF}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U=
+1F64B}\N{U+1F3FF}\N{U+200D}\N{U+2642}\N{U+FE0F}"))
(#x1F9D6 . ("\N{U+1F9D6}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F9D6}\N{U+20=
0D}\N{U+2642}\N{U+FE0F}" "\N{U+1F9D6}\N{U+1F3FB}\N{U+200D}\N{U+2640}\N{U+FE=
0F}" "\N{U+1F9D6}\N{U+1F3FB}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F9D6}\N{=
U+1F3FC}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F9D6}\N{U+1F3FC}\N{U+200D}\N=
{U+2642}\N{U+FE0F}" "\N{U+1F9D6}\N{U+1F3FD}\N{U+200D}\N{U+2640}\N{U+FE0F}" =
"\N{U+1F9D6}\N{U+1F3FD}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F9D6}\N{U+1F3=
FE}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F9D6}\N{U+1F3FE}\N{U+200D}\N{U+26=
42}\N{U+FE0F}" "\N{U+1F9D6}\N{U+1F3FF}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U=
+1F9D6}\N{U+1F3FF}\N{U+200D}\N{U+2642}\N{U+FE0F}"))
(#x1F471 . ("\N{U+1F471}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F471}\N{U+20=
0D}\N{U+2642}\N{U+FE0F}" "\N{U+1F471}\N{U+1F3FB}\N{U+200D}\N{U+2640}\N{U+FE=
0F}" "\N{U+1F471}\N{U+1F3FB}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F471}\N{=
U+1F3FC}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F471}\N{U+1F3FC}\N{U+200D}\N=
{U+2642}\N{U+FE0F}" "\N{U+1F471}\N{U+1F3FD}\N{U+200D}\N{U+2640}\N{U+FE0F}" =
"\N{U+1F471}\N{U+1F3FD}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F471}\N{U+1F3=
FE}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F471}\N{U+1F3FE}\N{U+200D}\N{U+26=
42}\N{U+FE0F}" "\N{U+1F471}\N{U+1F3FF}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U=
+1F471}\N{U+1F3FF}\N{U+200D}\N{U+2642}\N{U+FE0F}"))
(#x1F9D7 . ("\N{U+1F9D7}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F9D7}\N{U+20=
0D}\N{U+2642}\N{U+FE0F}" "\N{U+1F9D7}\N{U+1F3FB}\N{U+200D}\N{U+2640}\N{U+FE=
0F}" "\N{U+1F9D7}\N{U+1F3FB}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F9D7}\N{=
U+1F3FC}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F9D7}\N{U+1F3FC}\N{U+200D}\N=
{U+2642}\N{U+FE0F}" "\N{U+1F9D7}\N{U+1F3FD}\N{U+200D}\N{U+2640}\N{U+FE0F}" =
"\N{U+1F9D7}\N{U+1F3FD}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F9D7}\N{U+1F3=
FE}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F9D7}\N{U+1F3FE}\N{U+200D}\N{U+26=
42}\N{U+FE0F}" "\N{U+1F9D7}\N{U+1F3FF}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U=
+1F9D7}\N{U+1F3FF}\N{U+200D}\N{U+2642}\N{U+FE0F}"))
(#x1F64D . ("\N{U+1F64D}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F64D}\N{U+20=
0D}\N{U+2642}\N{U+FE0F}" "\N{U+1F64D}\N{U+1F3FB}\N{U+200D}\N{U+2640}\N{U+FE=
0F}" "\N{U+1F64D}\N{U+1F3FB}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F64D}\N{=
U+1F3FC}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F64D}\N{U+1F3FC}\N{U+200D}\N=
{U+2642}\N{U+FE0F}" "\N{U+1F64D}\N{U+1F3FD}\N{U+200D}\N{U+2640}\N{U+FE0F}" =
"\N{U+1F64D}\N{U+1F3FD}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F64D}\N{U+1F3=
FE}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F64D}\N{U+1F3FE}\N{U+200D}\N{U+26=
42}\N{U+FE0F}" "\N{U+1F64D}\N{U+1F3FF}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U=
+1F64D}\N{U+1F3FF}\N{U+200D}\N{U+2642}\N{U+FE0F}"))
(#x1F9D8 . ("\N{U+1F9D8}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F9D8}\N{U+20=
0D}\N{U+2642}\N{U+FE0F}" "\N{U+1F9D8}\N{U+1F3FB}\N{U+200D}\N{U+2640}\N{U+FE=
0F}" "\N{U+1F9D8}\N{U+1F3FB}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F9D8}\N{=
U+1F3FC}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F9D8}\N{U+1F3FC}\N{U+200D}\N=
{U+2642}\N{U+FE0F}" "\N{U+1F9D8}\N{U+1F3FD}\N{U+200D}\N{U+2640}\N{U+FE0F}" =
"\N{U+1F9D8}\N{U+1F3FD}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F9D8}\N{U+1F3=
FE}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F9D8}\N{U+1F3FE}\N{U+200D}\N{U+26=
42}\N{U+FE0F}" "\N{U+1F9D8}\N{U+1F3FF}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U=
+1F9D8}\N{U+1F3FF}\N{U+200D}\N{U+2642}\N{U+FE0F}"))
(#x1F473 . ("\N{U+1F473}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F473}\N{U+20=
0D}\N{U+2642}\N{U+FE0F}" "\N{U+1F473}\N{U+1F3FB}\N{U+200D}\N{U+2640}\N{U+FE=
0F}" "\N{U+1F473}\N{U+1F3FB}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F473}\N{=
U+1F3FC}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F473}\N{U+1F3FC}\N{U+200D}\N=
{U+2642}\N{U+FE0F}" "\N{U+1F473}\N{U+1F3FD}\N{U+200D}\N{U+2640}\N{U+FE0F}" =
"\N{U+1F473}\N{U+1F3FD}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F473}\N{U+1F3=
FE}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F473}\N{U+1F3FE}\N{U+200D}\N{U+26=
42}\N{U+FE0F}" "\N{U+1F473}\N{U+1F3FF}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U=
+1F473}\N{U+1F3FF}\N{U+200D}\N{U+2642}\N{U+FE0F}"))
(#x1F64E . ("\N{U+1F64E}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F64E}\N{U+20=
0D}\N{U+2642}\N{U+FE0F}" "\N{U+1F64E}\N{U+1F3FB}\N{U+200D}\N{U+2640}\N{U+FE=
0F}" "\N{U+1F64E}\N{U+1F3FB}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F64E}\N{=
U+1F3FC}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F64E}\N{U+1F3FC}\N{U+200D}\N=
{U+2642}\N{U+FE0F}" "\N{U+1F64E}\N{U+1F3FD}\N{U+200D}\N{U+2640}\N{U+FE0F}" =
"\N{U+1F64E}\N{U+1F3FD}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F64E}\N{U+1F3=
FE}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F64E}\N{U+1F3FE}\N{U+200D}\N{U+26=
42}\N{U+FE0F}" "\N{U+1F64E}\N{U+1F3FF}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U=
+1F64E}\N{U+1F3FF}\N{U+200D}\N{U+2642}\N{U+FE0F}"))
(#x1F9D9 . ("\N{U+1F9D9}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F9D9}\N{U+20=
0D}\N{U+2642}\N{U+FE0F}" "\N{U+1F9D9}\N{U+1F3FB}\N{U+200D}\N{U+2640}\N{U+FE=
0F}" "\N{U+1F9D9}\N{U+1F3FB}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F9D9}\N{=
U+1F3FC}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F9D9}\N{U+1F3FC}\N{U+200D}\N=
{U+2642}\N{U+FE0F}" "\N{U+1F9D9}\N{U+1F3FD}\N{U+200D}\N{U+2640}\N{U+FE0F}" =
"\N{U+1F9D9}\N{U+1F3FD}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F9D9}\N{U+1F3=
FE}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F9D9}\N{U+1F3FE}\N{U+200D}\N{U+26=
42}\N{U+FE0F}" "\N{U+1F9D9}\N{U+1F3FF}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U=
+1F9D9}\N{U+1F3FF}\N{U+200D}\N{U+2642}\N{U+FE0F}"))
(#x1F937 . ("\N{U+1F937}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F937}\N{U+20=
0D}\N{U+2642}\N{U+FE0F}" "\N{U+1F937}\N{U+1F3FB}\N{U+200D}\N{U+2640}\N{U+FE=
0F}" "\N{U+1F937}\N{U+1F3FB}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F937}\N{=
U+1F3FC}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F937}\N{U+1F3FC}\N{U+200D}\N=
{U+2642}\N{U+FE0F}" "\N{U+1F937}\N{U+1F3FD}\N{U+200D}\N{U+2640}\N{U+FE0F}" =
"\N{U+1F937}\N{U+1F3FD}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F937}\N{U+1F3=
FE}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F937}\N{U+1F3FE}\N{U+200D}\N{U+26=
42}\N{U+FE0F}" "\N{U+1F937}\N{U+1F3FF}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U=
+1F937}\N{U+1F3FF}\N{U+200D}\N{U+2642}\N{U+FE0F}"))
(#x1F477 . ("\N{U+1F477}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F477}\N{U+20=
0D}\N{U+2642}\N{U+FE0F}" "\N{U+1F477}\N{U+1F3FB}\N{U+200D}\N{U+2640}\N{U+FE=
0F}" "\N{U+1F477}\N{U+1F3FB}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F477}\N{=
U+1F3FC}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F477}\N{U+1F3FC}\N{U+200D}\N=
{U+2642}\N{U+FE0F}" "\N{U+1F477}\N{U+1F3FD}\N{U+200D}\N{U+2640}\N{U+FE0F}" =
"\N{U+1F477}\N{U+1F3FD}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F477}\N{U+1F3=
FE}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F477}\N{U+1F3FE}\N{U+200D}\N{U+26=
42}\N{U+FE0F}" "\N{U+1F477}\N{U+1F3FF}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U=
+1F477}\N{U+1F3FF}\N{U+200D}\N{U+2642}\N{U+FE0F}"))
(#x1F938 . ("\N{U+1F938}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F938}\N{U+20=
0D}\N{U+2642}\N{U+FE0F}" "\N{U+1F938}\N{U+1F3FB}\N{U+200D}\N{U+2640}\N{U+FE=
0F}" "\N{U+1F938}\N{U+1F3FB}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F938}\N{=
U+1F3FC}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F938}\N{U+1F3FC}\N{U+200D}\N=
{U+2642}\N{U+FE0F}" "\N{U+1F938}\N{U+1F3FD}\N{U+200D}\N{U+2640}\N{U+FE0F}" =
"\N{U+1F938}\N{U+1F3FD}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F938}\N{U+1F3=
FE}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F938}\N{U+1F3FE}\N{U+200D}\N{U+26=
42}\N{U+FE0F}" "\N{U+1F938}\N{U+1F3FF}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U=
+1F938}\N{U+1F3FF}\N{U+200D}\N{U+2642}\N{U+FE0F}"))
(#x1F939 . ("\N{U+1F939}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F939}\N{U+20=
0D}\N{U+2642}\N{U+FE0F}" "\N{U+1F939}\N{U+1F3FB}\N{U+200D}\N{U+2640}\N{U+FE=
0F}" "\N{U+1F939}\N{U+1F3FB}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F939}\N{=
U+1F3FC}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F939}\N{U+1F3FC}\N{U+200D}\N=
{U+2642}\N{U+FE0F}" "\N{U+1F939}\N{U+1F3FD}\N{U+200D}\N{U+2640}\N{U+FE0F}" =
"\N{U+1F939}\N{U+1F3FD}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F939}\N{U+1F3=
FE}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F939}\N{U+1F3FE}\N{U+200D}\N{U+26=
42}\N{U+FE0F}" "\N{U+1F939}\N{U+1F3FF}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U=
+1F939}\N{U+1F3FF}\N{U+200D}\N{U+2642}\N{U+FE0F}"))
(#x1F9DA . ("\N{U+1F9DA}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F9DA}\N{U+20=
0D}\N{U+2642}\N{U+FE0F}" "\N{U+1F9DA}\N{U+1F3FB}\N{U+200D}\N{U+2640}\N{U+FE=
0F}" "\N{U+1F9DA}\N{U+1F3FB}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F9DA}\N{=
U+1F3FC}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F9DA}\N{U+1F3FC}\N{U+200D}\N=
{U+2642}\N{U+FE0F}" "\N{U+1F9DA}\N{U+1F3FD}\N{U+200D}\N{U+2640}\N{U+FE0F}" =
"\N{U+1F9DA}\N{U+1F3FD}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F9DA}\N{U+1F3=
FE}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F9DA}\N{U+1F3FE}\N{U+200D}\N{U+26=
42}\N{U+FE0F}" "\N{U+1F9DA}\N{U+1F3FF}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U=
+1F9DA}\N{U+1F3FF}\N{U+200D}\N{U+2642}\N{U+FE0F}"))
(#x1F9DB . ("\N{U+1F9DB}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F9DB}\N{U+20=
0D}\N{U+2642}\N{U+FE0F}" "\N{U+1F9DB}\N{U+1F3FB}\N{U+200D}\N{U+2640}\N{U+FE=
0F}" "\N{U+1F9DB}\N{U+1F3FB}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F9DB}\N{=
U+1F3FC}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F9DB}\N{U+1F3FC}\N{U+200D}\N=
{U+2642}\N{U+FE0F}" "\N{U+1F9DB}\N{U+1F3FD}\N{U+200D}\N{U+2640}\N{U+FE0F}" =
"\N{U+1F9DB}\N{U+1F3FD}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F9DB}\N{U+1F3=
FE}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F9DB}\N{U+1F3FE}\N{U+200D}\N{U+26=
42}\N{U+FE0F}" "\N{U+1F9DB}\N{U+1F3FF}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U=
+1F9DB}\N{U+1F3FF}\N{U+200D}\N{U+2642}\N{U+FE0F}"))
(#x1F9DC . ("\N{U+1F9DC}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F9DC}\N{U+20=
0D}\N{U+2642}\N{U+FE0F}" "\N{U+1F9DC}\N{U+1F3FB}\N{U+200D}\N{U+2640}\N{U+FE=
0F}" "\N{U+1F9DC}\N{U+1F3FB}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F9DC}\N{=
U+1F3FC}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F9DC}\N{U+1F3FC}\N{U+200D}\N=
{U+2642}\N{U+FE0F}" "\N{U+1F9DC}\N{U+1F3FD}\N{U+200D}\N{U+2640}\N{U+FE0F}" =
"\N{U+1F9DC}\N{U+1F3FD}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F9DC}\N{U+1F3=
FE}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F9DC}\N{U+1F3FE}\N{U+200D}\N{U+26=
42}\N{U+FE0F}" "\N{U+1F9DC}\N{U+1F3FF}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U=
+1F9DC}\N{U+1F3FF}\N{U+200D}\N{U+2642}\N{U+FE0F}"))
(#x1F9DD . ("\N{U+1F9DD}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F9DD}\N{U+20=
0D}\N{U+2642}\N{U+FE0F}" "\N{U+1F9DD}\N{U+1F3FB}\N{U+200D}\N{U+2640}\N{U+FE=
0F}" "\N{U+1F9DD}\N{U+1F3FB}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F9DD}\N{=
U+1F3FC}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F9DD}\N{U+1F3FC}\N{U+200D}\N=
{U+2642}\N{U+FE0F}" "\N{U+1F9DD}\N{U+1F3FD}\N{U+200D}\N{U+2640}\N{U+FE0F}" =
"\N{U+1F9DD}\N{U+1F3FD}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F9DD}\N{U+1F3=
FE}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F9DD}\N{U+1F3FE}\N{U+200D}\N{U+26=
42}\N{U+FE0F}" "\N{U+1F9DD}\N{U+1F3FF}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U=
+1F9DD}\N{U+1F3FF}\N{U+200D}\N{U+2642}\N{U+FE0F}"))
(#x1F9DE . ("\N{U+1F9DE}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F9DE}\N{U+20=
0D}\N{U+2642}\N{U+FE0F}"))
(#x1F9DF . ("\N{U+1F9DF}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F9DF}\N{U+20=
0D}\N{U+2642}\N{U+FE0F}"))
(#x1F3C3 . ("\N{U+1F3C3}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F3C3}\N{U+20=
0D}\N{U+2642}\N{U+FE0F}" "\N{U+1F3C3}\N{U+1F3FB}\N{U+200D}\N{U+2640}\N{U+FE=
0F}" "\N{U+1F3C3}\N{U+1F3FB}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F3C3}\N{=
U+1F3FC}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F3C3}\N{U+1F3FC}\N{U+200D}\N=
{U+2642}\N{U+FE0F}" "\N{U+1F3C3}\N{U+1F3FD}\N{U+200D}\N{U+2640}\N{U+FE0F}" =
"\N{U+1F3C3}\N{U+1F3FD}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F3C3}\N{U+1F3=
FE}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F3C3}\N{U+1F3FE}\N{U+200D}\N{U+26=
42}\N{U+FE0F}" "\N{U+1F3C3}\N{U+1F3FF}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U=
+1F3C3}\N{U+1F3FF}\N{U+200D}\N{U+2642}\N{U+FE0F}"))
(#x1F3C4 . ("\N{U+1F3C4}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F3C4}\N{U+20=
0D}\N{U+2642}\N{U+FE0F}" "\N{U+1F3C4}\N{U+1F3FB}\N{U+200D}\N{U+2640}\N{U+FE=
0F}" "\N{U+1F3C4}\N{U+1F3FB}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F3C4}\N{=
U+1F3FC}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F3C4}\N{U+1F3FC}\N{U+200D}\N=
{U+2642}\N{U+FE0F}" "\N{U+1F3C4}\N{U+1F3FD}\N{U+200D}\N{U+2640}\N{U+FE0F}" =
"\N{U+1F3C4}\N{U+1F3FD}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F3C4}\N{U+1F3=
FE}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F3C4}\N{U+1F3FE}\N{U+200D}\N{U+26=
42}\N{U+FE0F}" "\N{U+1F3C4}\N{U+1F3FF}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U=
+1F3C4}\N{U+1F3FF}\N{U+200D}\N{U+2642}\N{U+FE0F}"))
(#x1F93C . ("\N{U+1F93C}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F93C}\N{U+20=
0D}\N{U+2642}\N{U+FE0F}"))
(#x1F93D . ("\N{U+1F93D}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F93D}\N{U+20=
0D}\N{U+2642}\N{U+FE0F}" "\N{U+1F93D}\N{U+1F3FB}\N{U+200D}\N{U+2640}\N{U+FE=
0F}" "\N{U+1F93D}\N{U+1F3FB}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F93D}\N{=
U+1F3FC}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F93D}\N{U+1F3FC}\N{U+200D}\N=
{U+2642}\N{U+FE0F}" "\N{U+1F93D}\N{U+1F3FD}\N{U+200D}\N{U+2640}\N{U+FE0F}" =
"\N{U+1F93D}\N{U+1F3FD}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F93D}\N{U+1F3=
FE}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F93D}\N{U+1F3FE}\N{U+200D}\N{U+26=
42}\N{U+FE0F}" "\N{U+1F93D}\N{U+1F3FF}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U=
+1F93D}\N{U+1F3FF}\N{U+200D}\N{U+2642}\N{U+FE0F}"))
(#x1F93E . ("\N{U+1F93E}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F93E}\N{U+20=
0D}\N{U+2642}\N{U+FE0F}" "\N{U+1F93E}\N{U+1F3FB}\N{U+200D}\N{U+2640}\N{U+FE=
0F}" "\N{U+1F93E}\N{U+1F3FB}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F93E}\N{=
U+1F3FC}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F93E}\N{U+1F3FC}\N{U+200D}\N=
{U+2642}\N{U+FE0F}" "\N{U+1F93E}\N{U+1F3FD}\N{U+200D}\N{U+2640}\N{U+FE0F}" =
"\N{U+1F93E}\N{U+1F3FD}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F93E}\N{U+1F3=
FE}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F93E}\N{U+1F3FE}\N{U+200D}\N{U+26=
42}\N{U+FE0F}" "\N{U+1F93E}\N{U+1F3FF}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U=
+1F93E}\N{U+1F3FF}\N{U+200D}\N{U+2642}\N{U+FE0F}"))
(#x1F3CA . ("\N{U+1F3CA}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F3CA}\N{U+20=
0D}\N{U+2642}\N{U+FE0F}" "\N{U+1F3CA}\N{U+1F3FB}\N{U+200D}\N{U+2640}\N{U+FE=
0F}" "\N{U+1F3CA}\N{U+1F3FB}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F3CA}\N{=
U+1F3FC}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F3CA}\N{U+1F3FC}\N{U+200D}\N=
{U+2642}\N{U+FE0F}" "\N{U+1F3CA}\N{U+1F3FD}\N{U+200D}\N{U+2640}\N{U+FE0F}" =
"\N{U+1F3CA}\N{U+1F3FD}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F3CA}\N{U+1F3=
FE}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F3CA}\N{U+1F3FE}\N{U+200D}\N{U+26=
42}\N{U+FE0F}" "\N{U+1F3CA}\N{U+1F3FF}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U=
+1F3CA}\N{U+1F3FF}\N{U+200D}\N{U+2642}\N{U+FE0F}"))
(#x1F3CB . ("\N{U+1F3CB}\N{U+1F3FB}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F=
3CB}\N{U+1F3FB}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F3CB}\N{U+1F3FC}\N{U+=
200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F3CB}\N{U+1F3FC}\N{U+200D}\N{U+2642}\N{U+=
FE0F}" "\N{U+1F3CB}\N{U+1F3FD}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F3CB}\=
N{U+1F3FD}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F3CB}\N{U+1F3FE}\N{U+200D}=
\N{U+2640}\N{U+FE0F}" "\N{U+1F3CB}\N{U+1F3FE}\N{U+200D}\N{U+2642}\N{U+FE0F}=
" "\N{U+1F3CB}\N{U+1F3FF}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F3CB}\N{U+1=
F3FF}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F3CB}\N{U+FE0F}\N{U+200D}\N{U+2=
640}\N{U+FE0F}" "\N{U+1F3CB}\N{U+FE0F}\N{U+200D}\N{U+2642}\N{U+FE0F}"))
(#x1F575 . ("\N{U+1F575}\N{U+1F3FB}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F=
575}\N{U+1F3FB}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F575}\N{U+1F3FC}\N{U+=
200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F575}\N{U+1F3FC}\N{U+200D}\N{U+2642}\N{U+=
FE0F}" "\N{U+1F575}\N{U+1F3FD}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F575}\=
N{U+1F3FD}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F575}\N{U+1F3FE}\N{U+200D}=
\N{U+2640}\N{U+FE0F}" "\N{U+1F575}\N{U+1F3FE}\N{U+200D}\N{U+2642}\N{U+FE0F}=
" "\N{U+1F575}\N{U+1F3FF}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F575}\N{U+1=
F3FF}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F575}\N{U+FE0F}\N{U+200D}\N{U+2=
640}\N{U+FE0F}" "\N{U+1F575}\N{U+FE0F}\N{U+200D}\N{U+2642}\N{U+FE0F}"))
(#x1F3CC . ("\N{U+1F3CC}\N{U+1F3FB}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F=
3CC}\N{U+1F3FB}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F3CC}\N{U+1F3FC}\N{U+=
200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F3CC}\N{U+1F3FC}\N{U+200D}\N{U+2642}\N{U+=
FE0F}" "\N{U+1F3CC}\N{U+1F3FD}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F3CC}\=
N{U+1F3FD}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F3CC}\N{U+1F3FE}\N{U+200D}=
\N{U+2640}\N{U+FE0F}" "\N{U+1F3CC}\N{U+1F3FE}\N{U+200D}\N{U+2642}\N{U+FE0F}=
" "\N{U+1F3CC}\N{U+1F3FF}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F3CC}\N{U+1=
F3FF}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F3CC}\N{U+FE0F}\N{U+200D}\N{U+2=
640}\N{U+FE0F}" "\N{U+1F3CC}\N{U+FE0F}\N{U+200D}\N{U+2642}\N{U+FE0F}"))
(#x1F6B4 . ("\N{U+1F6B4}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F6B4}\N{U+20=
0D}\N{U+2642}\N{U+FE0F}" "\N{U+1F6B4}\N{U+1F3FB}\N{U+200D}\N{U+2640}\N{U+FE=
0F}" "\N{U+1F6B4}\N{U+1F3FB}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F6B4}\N{=
U+1F3FC}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F6B4}\N{U+1F3FC}\N{U+200D}\N=
{U+2642}\N{U+FE0F}" "\N{U+1F6B4}\N{U+1F3FD}\N{U+200D}\N{U+2640}\N{U+FE0F}" =
"\N{U+1F6B4}\N{U+1F3FD}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F6B4}\N{U+1F3=
FE}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F6B4}\N{U+1F3FE}\N{U+200D}\N{U+26=
42}\N{U+FE0F}" "\N{U+1F6B4}\N{U+1F3FF}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U=
+1F6B4}\N{U+1F3FF}\N{U+200D}\N{U+2642}\N{U+FE0F}"))
(#x1F6B5 . ("\N{U+1F6B5}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F6B5}\N{U+20=
0D}\N{U+2642}\N{U+FE0F}" "\N{U+1F6B5}\N{U+1F3FB}\N{U+200D}\N{U+2640}\N{U+FE=
0F}" "\N{U+1F6B5}\N{U+1F3FB}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F6B5}\N{=
U+1F3FC}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F6B5}\N{U+1F3FC}\N{U+200D}\N=
{U+2642}\N{U+FE0F}" "\N{U+1F6B5}\N{U+1F3FD}\N{U+200D}\N{U+2640}\N{U+FE0F}" =
"\N{U+1F6B5}\N{U+1F3FD}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F6B5}\N{U+1F3=
FE}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F6B5}\N{U+1F3FE}\N{U+200D}\N{U+26=
42}\N{U+FE0F}" "\N{U+1F6B5}\N{U+1F3FF}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U=
+1F6B5}\N{U+1F3FF}\N{U+200D}\N{U+2642}\N{U+FE0F}"))
(#x1F6B6 . ("\N{U+1F6B6}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F6B6}\N{U+20=
0D}\N{U+2642}\N{U+FE0F}" "\N{U+1F6B6}\N{U+1F3FB}\N{U+200D}\N{U+2640}\N{U+FE=
0F}" "\N{U+1F6B6}\N{U+1F3FB}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F6B6}\N{=
U+1F3FC}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F6B6}\N{U+1F3FC}\N{U+200D}\N=
{U+2642}\N{U+FE0F}" "\N{U+1F6B6}\N{U+1F3FD}\N{U+200D}\N{U+2640}\N{U+FE0F}" =
"\N{U+1F6B6}\N{U+1F3FD}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F6B6}\N{U+1F3=
FE}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F6B6}\N{U+1F3FE}\N{U+200D}\N{U+26=
42}\N{U+FE0F}" "\N{U+1F6B6}\N{U+1F3FF}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U=
+1F6B6}\N{U+1F3FF}\N{U+200D}\N{U+2642}\N{U+FE0F}"))
(#x1F441 . ("\N{U+1F441}\N{U+FE0F}\N{U+200D}\N{U+1F5E8}\N{U+FE0F}"))
(#x1F926 . ("\N{U+1F926}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F926}\N{U+20=
0D}\N{U+2642}\N{U+FE0F}" "\N{U+1F926}\N{U+1F3FB}\N{U+200D}\N{U+2640}\N{U+FE=
0F}" "\N{U+1F926}\N{U+1F3FB}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F926}\N{=
U+1F3FC}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F926}\N{U+1F3FC}\N{U+200D}\N=
{U+2642}\N{U+FE0F}" "\N{U+1F926}\N{U+1F3FD}\N{U+200D}\N{U+2640}\N{U+FE0F}" =
"\N{U+1F926}\N{U+1F3FD}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F926}\N{U+1F3=
FE}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F926}\N{U+1F3FE}\N{U+200D}\N{U+26=
42}\N{U+FE0F}" "\N{U+1F926}\N{U+1F3FF}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U=
+1F926}\N{U+1F3FF}\N{U+200D}\N{U+2642}\N{U+FE0F}"))
(#x1F468 . ("\N{U+1F468}\N{U+200D}\N{U+2764}\N{U+FE0F}\N{U+200D}\N{U+1F468}=
" "\N{U+1F468}\N{U+200D}\N{U+2764}\N{U+FE0F}\N{U+200D}\N{U+1F48B}\N{U+200D}=
\N{U+1F468}" "\N{U+1F468}\N{U+200D}\N{U+1F466}" "\N{U+1F468}\N{U+200D}\N{U+=
1F466}\N{U+200D}\N{U+1F466}" "\N{U+1F468}\N{U+200D}\N{U+1F467}" "\N{U+1F468=
}\N{U+200D}\N{U+1F467}\N{U+200D}\N{U+1F466}" "\N{U+1F468}\N{U+200D}\N{U+1F4=
67}\N{U+200D}\N{U+1F467}" "\N{U+1F468}\N{U+200D}\N{U+1F468}\N{U+200D}\N{U+1=
F466}" "\N{U+1F468}\N{U+200D}\N{U+1F468}\N{U+200D}\N{U+1F466}\N{U+200D}\N{U=
+1F466}" "\N{U+1F468}\N{U+200D}\N{U+1F468}\N{U+200D}\N{U+1F467}" "\N{U+1F46=
8}\N{U+200D}\N{U+1F468}\N{U+200D}\N{U+1F467}\N{U+200D}\N{U+1F466}" "\N{U+1F=
468}\N{U+200D}\N{U+1F468}\N{U+200D}\N{U+1F467}\N{U+200D}\N{U+1F467}" "\N{U+=
1F468}\N{U+200D}\N{U+1F469}\N{U+200D}\N{U+1F466}" "\N{U+1F468}\N{U+200D}\N{=
U+1F469}\N{U+200D}\N{U+1F466}\N{U+200D}\N{U+1F466}" "\N{U+1F468}\N{U+200D}\=
N{U+1F469}\N{U+200D}\N{U+1F467}" "\N{U+1F468}\N{U+200D}\N{U+1F469}\N{U+200D=
}\N{U+1F467}\N{U+200D}\N{U+1F466}" "\N{U+1F468}\N{U+200D}\N{U+1F469}\N{U+20=
0D}\N{U+1F467}\N{U+200D}\N{U+1F467}" "\N{U+1F468}\N{U+1F3FC}\N{U+200D}\N{U+=
1F91D}\N{U+200D}\N{U+1F468}\N{U+1F3FB}" "\N{U+1F468}\N{U+1F3FD}\N{U+200D}\N=
{U+1F91D}\N{U+200D}\N{U+1F468}\N{U+1F3FB}" "\N{U+1F468}\N{U+1F3FD}\N{U+200D=
}\N{U+1F91D}\N{U+200D}\N{U+1F468}\N{U+1F3FC}" "\N{U+1F468}\N{U+1F3FE}\N{U+2=
00D}\N{U+1F91D}\N{U+200D}\N{U+1F468}\N{U+1F3FB}" "\N{U+1F468}\N{U+1F3FE}\N{=
U+200D}\N{U+1F91D}\N{U+200D}\N{U+1F468}\N{U+1F3FC}" "\N{U+1F468}\N{U+1F3FE}=
\N{U+200D}\N{U+1F91D}\N{U+200D}\N{U+1F468}\N{U+1F3FD}" "\N{U+1F468}\N{U+1F3=
FF}\N{U+200D}\N{U+1F91D}\N{U+200D}\N{U+1F468}\N{U+1F3FB}" "\N{U+1F468}\N{U+=
1F3FF}\N{U+200D}\N{U+1F91D}\N{U+200D}\N{U+1F468}\N{U+1F3FC}" "\N{U+1F468}\N=
{U+1F3FF}\N{U+200D}\N{U+1F91D}\N{U+200D}\N{U+1F468}\N{U+1F3FD}" "\N{U+1F468=
}\N{U+1F3FF}\N{U+200D}\N{U+1F91D}\N{U+200D}\N{U+1F468}\N{U+1F3FE}" "\N{U+1F=
468}\N{U+200D}\N{U+2695}\N{U+FE0F}" "\N{U+1F468}\N{U+200D}\N{U+2696}\N{U+FE=
0F}" "\N{U+1F468}\N{U+200D}\N{U+2708}\N{U+FE0F}" "\N{U+1F468}\N{U+200D}\N{U=
+1F33E}" "\N{U+1F468}\N{U+200D}\N{U+1F373}" "\N{U+1F468}\N{U+200D}\N{U+1F39=
3}" "\N{U+1F468}\N{U+200D}\N{U+1F3A4}" "\N{U+1F468}\N{U+200D}\N{U+1F3A8}" "=
\N{U+1F468}\N{U+200D}\N{U+1F3EB}" "\N{U+1F468}\N{U+200D}\N{U+1F3ED}" "\N{U+=
1F468}\N{U+200D}\N{U+1F4BB}" "\N{U+1F468}\N{U+200D}\N{U+1F4BC}" "\N{U+1F468=
}\N{U+200D}\N{U+1F527}" "\N{U+1F468}\N{U+200D}\N{U+1F52C}" "\N{U+1F468}\N{U=
+200D}\N{U+1F680}" "\N{U+1F468}\N{U+200D}\N{U+1F692}" "\N{U+1F468}\N{U+200D=
}\N{U+1F9AF}" "\N{U+1F468}\N{U+200D}\N{U+1F9BC}" "\N{U+1F468}\N{U+200D}\N{U=
+1F9BD}" "\N{U+1F468}\N{U+1F3FB}\N{U+200D}\N{U+2695}\N{U+FE0F}" "\N{U+1F468=
}\N{U+1F3FB}\N{U+200D}\N{U+2696}\N{U+FE0F}" "\N{U+1F468}\N{U+1F3FB}\N{U+200=
D}\N{U+2708}\N{U+FE0F}" "\N{U+1F468}\N{U+1F3FB}\N{U+200D}\N{U+1F33E}" "\N{U=
+1F468}\N{U+1F3FB}\N{U+200D}\N{U+1F373}" "\N{U+1F468}\N{U+1F3FB}\N{U+200D}\=
N{U+1F393}" "\N{U+1F468}\N{U+1F3FB}\N{U+200D}\N{U+1F3A4}" "\N{U+1F468}\N{U+=
1F3FB}\N{U+200D}\N{U+1F3A8}" "\N{U+1F468}\N{U+1F3FB}\N{U+200D}\N{U+1F3EB}" =
"\N{U+1F468}\N{U+1F3FB}\N{U+200D}\N{U+1F3ED}" "\N{U+1F468}\N{U+1F3FB}\N{U+2=
00D}\N{U+1F4BB}" "\N{U+1F468}\N{U+1F3FB}\N{U+200D}\N{U+1F4BC}" "\N{U+1F468}=
\N{U+1F3FB}\N{U+200D}\N{U+1F527}" "\N{U+1F468}\N{U+1F3FB}\N{U+200D}\N{U+1F5=
2C}" "\N{U+1F468}\N{U+1F3FB}\N{U+200D}\N{U+1F680}" "\N{U+1F468}\N{U+1F3FB}\=
N{U+200D}\N{U+1F692}" "\N{U+1F468}\N{U+1F3FB}\N{U+200D}\N{U+1F9AF}" "\N{U+1=
F468}\N{U+1F3FB}\N{U+200D}\N{U+1F9BC}" "\N{U+1F468}\N{U+1F3FB}\N{U+200D}\N{=
U+1F9BD}" "\N{U+1F468}\N{U+1F3FC}\N{U+200D}\N{U+2695}\N{U+FE0F}" "\N{U+1F46=
8}\N{U+1F3FC}\N{U+200D}\N{U+2696}\N{U+FE0F}" "\N{U+1F468}\N{U+1F3FC}\N{U+20=
0D}\N{U+2708}\N{U+FE0F}" "\N{U+1F468}\N{U+1F3FC}\N{U+200D}\N{U+1F33E}" "\N{=
U+1F468}\N{U+1F3FC}\N{U+200D}\N{U+1F373}" "\N{U+1F468}\N{U+1F3FC}\N{U+200D}=
\N{U+1F393}" "\N{U+1F468}\N{U+1F3FC}\N{U+200D}\N{U+1F3A4}" "\N{U+1F468}\N{U=
+1F3FC}\N{U+200D}\N{U+1F3A8}" "\N{U+1F468}\N{U+1F3FC}\N{U+200D}\N{U+1F3EB}"=
 "\N{U+1F468}\N{U+1F3FC}\N{U+200D}\N{U+1F3ED}" "\N{U+1F468}\N{U+1F3FC}\N{U+=
200D}\N{U+1F4BB}" "\N{U+1F468}\N{U+1F3FC}\N{U+200D}\N{U+1F4BC}" "\N{U+1F468=
}\N{U+1F3FC}\N{U+200D}\N{U+1F527}" "\N{U+1F468}\N{U+1F3FC}\N{U+200D}\N{U+1F=
52C}" "\N{U+1F468}\N{U+1F3FC}\N{U+200D}\N{U+1F680}" "\N{U+1F468}\N{U+1F3FC}=
\N{U+200D}\N{U+1F692}" "\N{U+1F468}\N{U+1F3FC}\N{U+200D}\N{U+1F9AF}" "\N{U+=
1F468}\N{U+1F3FC}\N{U+200D}\N{U+1F9BC}" "\N{U+1F468}\N{U+1F3FC}\N{U+200D}\N=
{U+1F9BD}" "\N{U+1F468}\N{U+1F3FD}\N{U+200D}\N{U+2695}\N{U+FE0F}" "\N{U+1F4=
68}\N{U+1F3FD}\N{U+200D}\N{U+2696}\N{U+FE0F}" "\N{U+1F468}\N{U+1F3FD}\N{U+2=
00D}\N{U+2708}\N{U+FE0F}" "\N{U+1F468}\N{U+1F3FD}\N{U+200D}\N{U+1F33E}" "\N=
{U+1F468}\N{U+1F3FD}\N{U+200D}\N{U+1F373}" "\N{U+1F468}\N{U+1F3FD}\N{U+200D=
}\N{U+1F393}" "\N{U+1F468}\N{U+1F3FD}\N{U+200D}\N{U+1F3A4}" "\N{U+1F468}\N{=
U+1F3FD}\N{U+200D}\N{U+1F3A8}" "\N{U+1F468}\N{U+1F3FD}\N{U+200D}\N{U+1F3EB}=
" "\N{U+1F468}\N{U+1F3FD}\N{U+200D}\N{U+1F3ED}" "\N{U+1F468}\N{U+1F3FD}\N{U=
+200D}\N{U+1F4BB}" "\N{U+1F468}\N{U+1F3FD}\N{U+200D}\N{U+1F4BC}" "\N{U+1F46=
8}\N{U+1F3FD}\N{U+200D}\N{U+1F527}" "\N{U+1F468}\N{U+1F3FD}\N{U+200D}\N{U+1=
F52C}" "\N{U+1F468}\N{U+1F3FD}\N{U+200D}\N{U+1F680}" "\N{U+1F468}\N{U+1F3FD=
}\N{U+200D}\N{U+1F692}" "\N{U+1F468}\N{U+1F3FD}\N{U+200D}\N{U+1F9AF}" "\N{U=
+1F468}\N{U+1F3FD}\N{U+200D}\N{U+1F9BC}" "\N{U+1F468}\N{U+1F3FD}\N{U+200D}\=
N{U+1F9BD}" "\N{U+1F468}\N{U+1F3FE}\N{U+200D}\N{U+2695}\N{U+FE0F}" "\N{U+1F=
468}\N{U+1F3FE}\N{U+200D}\N{U+2696}\N{U+FE0F}" "\N{U+1F468}\N{U+1F3FE}\N{U+=
200D}\N{U+2708}\N{U+FE0F}" "\N{U+1F468}\N{U+1F3FE}\N{U+200D}\N{U+1F33E}" "\=
N{U+1F468}\N{U+1F3FE}\N{U+200D}\N{U+1F373}" "\N{U+1F468}\N{U+1F3FE}\N{U+200=
D}\N{U+1F393}" "\N{U+1F468}\N{U+1F3FE}\N{U+200D}\N{U+1F3A4}" "\N{U+1F468}\N=
{U+1F3FE}\N{U+200D}\N{U+1F3A8}" "\N{U+1F468}\N{U+1F3FE}\N{U+200D}\N{U+1F3EB=
}" "\N{U+1F468}\N{U+1F3FE}\N{U+200D}\N{U+1F3ED}" "\N{U+1F468}\N{U+1F3FE}\N{=
U+200D}\N{U+1F4BB}" "\N{U+1F468}\N{U+1F3FE}\N{U+200D}\N{U+1F4BC}" "\N{U+1F4=
68}\N{U+1F3FE}\N{U+200D}\N{U+1F527}" "\N{U+1F468}\N{U+1F3FE}\N{U+200D}\N{U+=
1F52C}" "\N{U+1F468}\N{U+1F3FE}\N{U+200D}\N{U+1F680}" "\N{U+1F468}\N{U+1F3F=
E}\N{U+200D}\N{U+1F692}" "\N{U+1F468}\N{U+1F3FE}\N{U+200D}\N{U+1F9AF}" "\N{=
U+1F468}\N{U+1F3FE}\N{U+200D}\N{U+1F9BC}" "\N{U+1F468}\N{U+1F3FE}\N{U+200D}=
\N{U+1F9BD}" "\N{U+1F468}\N{U+1F3FF}\N{U+200D}\N{U+2695}\N{U+FE0F}" "\N{U+1=
F468}\N{U+1F3FF}\N{U+200D}\N{U+2696}\N{U+FE0F}" "\N{U+1F468}\N{U+1F3FF}\N{U=
+200D}\N{U+2708}\N{U+FE0F}" "\N{U+1F468}\N{U+1F3FF}\N{U+200D}\N{U+1F33E}" "=
\N{U+1F468}\N{U+1F3FF}\N{U+200D}\N{U+1F373}" "\N{U+1F468}\N{U+1F3FF}\N{U+20=
0D}\N{U+1F393}" "\N{U+1F468}\N{U+1F3FF}\N{U+200D}\N{U+1F3A4}" "\N{U+1F468}\=
N{U+1F3FF}\N{U+200D}\N{U+1F3A8}" "\N{U+1F468}\N{U+1F3FF}\N{U+200D}\N{U+1F3E=
B}" "\N{U+1F468}\N{U+1F3FF}\N{U+200D}\N{U+1F3ED}" "\N{U+1F468}\N{U+1F3FF}\N=
{U+200D}\N{U+1F4BB}" "\N{U+1F468}\N{U+1F3FF}\N{U+200D}\N{U+1F4BC}" "\N{U+1F=
468}\N{U+1F3FF}\N{U+200D}\N{U+1F527}" "\N{U+1F468}\N{U+1F3FF}\N{U+200D}\N{U=
+1F52C}" "\N{U+1F468}\N{U+1F3FF}\N{U+200D}\N{U+1F680}" "\N{U+1F468}\N{U+1F3=
FF}\N{U+200D}\N{U+1F692}" "\N{U+1F468}\N{U+1F3FF}\N{U+200D}\N{U+1F9AF}" "\N=
{U+1F468}\N{U+1F3FF}\N{U+200D}\N{U+1F9BC}" "\N{U+1F468}\N{U+1F3FF}\N{U+200D=
}\N{U+1F9BD}" "\N{U+1F468}\N{U+200D}\N{U+1F9B0}" "\N{U+1F468}\N{U+200D}\N{U=
+1F9B1}" "\N{U+1F468}\N{U+200D}\N{U+1F9B2}" "\N{U+1F468}\N{U+200D}\N{U+1F9B=
3}" "\N{U+1F468}\N{U+1F3FB}\N{U+200D}\N{U+1F9B0}" "\N{U+1F468}\N{U+1F3FB}\N=
{U+200D}\N{U+1F9B1}" "\N{U+1F468}\N{U+1F3FB}\N{U+200D}\N{U+1F9B2}" "\N{U+1F=
468}\N{U+1F3FB}\N{U+200D}\N{U+1F9B3}" "\N{U+1F468}\N{U+1F3FC}\N{U+200D}\N{U=
+1F9B0}" "\N{U+1F468}\N{U+1F3FC}\N{U+200D}\N{U+1F9B1}" "\N{U+1F468}\N{U+1F3=
FC}\N{U+200D}\N{U+1F9B2}" "\N{U+1F468}\N{U+1F3FC}\N{U+200D}\N{U+1F9B3}" "\N=
{U+1F468}\N{U+1F3FD}\N{U+200D}\N{U+1F9B0}" "\N{U+1F468}\N{U+1F3FD}\N{U+200D=
}\N{U+1F9B1}" "\N{U+1F468}\N{U+1F3FD}\N{U+200D}\N{U+1F9B2}" "\N{U+1F468}\N{=
U+1F3FD}\N{U+200D}\N{U+1F9B3}" "\N{U+1F468}\N{U+1F3FE}\N{U+200D}\N{U+1F9B0}=
" "\N{U+1F468}\N{U+1F3FE}\N{U+200D}\N{U+1F9B1}" "\N{U+1F468}\N{U+1F3FE}\N{U=
+200D}\N{U+1F9B2}" "\N{U+1F468}\N{U+1F3FE}\N{U+200D}\N{U+1F9B3}" "\N{U+1F46=
8}\N{U+1F3FF}\N{U+200D}\N{U+1F9B0}" "\N{U+1F468}\N{U+1F3FF}\N{U+200D}\N{U+1=
F9B1}" "\N{U+1F468}\N{U+1F3FF}\N{U+200D}\N{U+1F9B2}" "\N{U+1F468}\N{U+1F3FF=
}\N{U+200D}\N{U+1F9B3}"))
(#x1F481 . ("\N{U+1F481}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F481}\N{U+20=
0D}\N{U+2642}\N{U+FE0F}" "\N{U+1F481}\N{U+1F3FB}\N{U+200D}\N{U+2640}\N{U+FE=
0F}" "\N{U+1F481}\N{U+1F3FB}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F481}\N{=
U+1F3FC}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F481}\N{U+1F3FC}\N{U+200D}\N=
{U+2642}\N{U+FE0F}" "\N{U+1F481}\N{U+1F3FD}\N{U+200D}\N{U+2640}\N{U+FE0F}" =
"\N{U+1F481}\N{U+1F3FD}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F481}\N{U+1F3=
FE}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F481}\N{U+1F3FE}\N{U+200D}\N{U+26=
42}\N{U+FE0F}" "\N{U+1F481}\N{U+1F3FF}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U=
+1F481}\N{U+1F3FF}\N{U+200D}\N{U+2642}\N{U+FE0F}"))
(#x1F469 . ("\N{U+1F469}\N{U+200D}\N{U+2764}\N{U+FE0F}\N{U+200D}\N{U+1F468}=
" "\N{U+1F469}\N{U+200D}\N{U+2764}\N{U+FE0F}\N{U+200D}\N{U+1F469}" "\N{U+1F=
469}\N{U+200D}\N{U+2764}\N{U+FE0F}\N{U+200D}\N{U+1F48B}\N{U+200D}\N{U+1F468=
}" "\N{U+1F469}\N{U+200D}\N{U+2764}\N{U+FE0F}\N{U+200D}\N{U+1F48B}\N{U+200D=
}\N{U+1F469}" "\N{U+1F469}\N{U+200D}\N{U+1F466}" "\N{U+1F469}\N{U+200D}\N{U=
+1F466}\N{U+200D}\N{U+1F466}" "\N{U+1F469}\N{U+200D}\N{U+1F467}" "\N{U+1F46=
9}\N{U+200D}\N{U+1F467}\N{U+200D}\N{U+1F466}" "\N{U+1F469}\N{U+200D}\N{U+1F=
467}\N{U+200D}\N{U+1F467}" "\N{U+1F469}\N{U+200D}\N{U+1F469}\N{U+200D}\N{U+=
1F466}" "\N{U+1F469}\N{U+200D}\N{U+1F469}\N{U+200D}\N{U+1F466}\N{U+200D}\N{=
U+1F466}" "\N{U+1F469}\N{U+200D}\N{U+1F469}\N{U+200D}\N{U+1F467}" "\N{U+1F4=
69}\N{U+200D}\N{U+1F469}\N{U+200D}\N{U+1F467}\N{U+200D}\N{U+1F466}" "\N{U+1=
F469}\N{U+200D}\N{U+1F469}\N{U+200D}\N{U+1F467}\N{U+200D}\N{U+1F467}" "\N{U=
+1F469}\N{U+1F3FB}\N{U+200D}\N{U+1F91D}\N{U+200D}\N{U+1F468}\N{U+1F3FC}" "\=
N{U+1F469}\N{U+1F3FB}\N{U+200D}\N{U+1F91D}\N{U+200D}\N{U+1F468}\N{U+1F3FD}"=
 "\N{U+1F469}\N{U+1F3FB}\N{U+200D}\N{U+1F91D}\N{U+200D}\N{U+1F468}\N{U+1F3F=
E}" "\N{U+1F469}\N{U+1F3FB}\N{U+200D}\N{U+1F91D}\N{U+200D}\N{U+1F468}\N{U+1=
F3FF}" "\N{U+1F469}\N{U+1F3FC}\N{U+200D}\N{U+1F91D}\N{U+200D}\N{U+1F468}\N{=
U+1F3FB}" "\N{U+1F469}\N{U+1F3FC}\N{U+200D}\N{U+1F91D}\N{U+200D}\N{U+1F468}=
\N{U+1F3FD}" "\N{U+1F469}\N{U+1F3FC}\N{U+200D}\N{U+1F91D}\N{U+200D}\N{U+1F4=
68}\N{U+1F3FE}" "\N{U+1F469}\N{U+1F3FC}\N{U+200D}\N{U+1F91D}\N{U+200D}\N{U+=
1F468}\N{U+1F3FF}" "\N{U+1F469}\N{U+1F3FC}\N{U+200D}\N{U+1F91D}\N{U+200D}\N=
{U+1F469}\N{U+1F3FB}" "\N{U+1F469}\N{U+1F3FD}\N{U+200D}\N{U+1F91D}\N{U+200D=
}\N{U+1F468}\N{U+1F3FB}" "\N{U+1F469}\N{U+1F3FD}\N{U+200D}\N{U+1F91D}\N{U+2=
00D}\N{U+1F468}\N{U+1F3FC}" "\N{U+1F469}\N{U+1F3FD}\N{U+200D}\N{U+1F91D}\N{=
U+200D}\N{U+1F468}\N{U+1F3FE}" "\N{U+1F469}\N{U+1F3FD}\N{U+200D}\N{U+1F91D}=
\N{U+200D}\N{U+1F468}\N{U+1F3FF}" "\N{U+1F469}\N{U+1F3FD}\N{U+200D}\N{U+1F9=
1D}\N{U+200D}\N{U+1F469}\N{U+1F3FB}" "\N{U+1F469}\N{U+1F3FD}\N{U+200D}\N{U+=
1F91D}\N{U+200D}\N{U+1F469}\N{U+1F3FC}" "\N{U+1F469}\N{U+1F3FE}\N{U+200D}\N=
{U+1F91D}\N{U+200D}\N{U+1F468}\N{U+1F3FB}" "\N{U+1F469}\N{U+1F3FE}\N{U+200D=
}\N{U+1F91D}\N{U+200D}\N{U+1F468}\N{U+1F3FC}" "\N{U+1F469}\N{U+1F3FE}\N{U+2=
00D}\N{U+1F91D}\N{U+200D}\N{U+1F468}\N{U+1F3FD}" "\N{U+1F469}\N{U+1F3FE}\N{=
U+200D}\N{U+1F91D}\N{U+200D}\N{U+1F468}\N{U+1F3FF}" "\N{U+1F469}\N{U+1F3FE}=
\N{U+200D}\N{U+1F91D}\N{U+200D}\N{U+1F469}\N{U+1F3FB}" "\N{U+1F469}\N{U+1F3=
FE}\N{U+200D}\N{U+1F91D}\N{U+200D}\N{U+1F469}\N{U+1F3FC}" "\N{U+1F469}\N{U+=
1F3FE}\N{U+200D}\N{U+1F91D}\N{U+200D}\N{U+1F469}\N{U+1F3FD}" "\N{U+1F469}\N=
{U+1F3FF}\N{U+200D}\N{U+1F91D}\N{U+200D}\N{U+1F468}\N{U+1F3FB}" "\N{U+1F469=
}\N{U+1F3FF}\N{U+200D}\N{U+1F91D}\N{U+200D}\N{U+1F468}\N{U+1F3FC}" "\N{U+1F=
469}\N{U+1F3FF}\N{U+200D}\N{U+1F91D}\N{U+200D}\N{U+1F468}\N{U+1F3FD}" "\N{U=
+1F469}\N{U+1F3FF}\N{U+200D}\N{U+1F91D}\N{U+200D}\N{U+1F468}\N{U+1F3FE}" "\=
N{U+1F469}\N{U+1F3FF}\N{U+200D}\N{U+1F91D}\N{U+200D}\N{U+1F469}\N{U+1F3FB}"=
 "\N{U+1F469}\N{U+1F3FF}\N{U+200D}\N{U+1F91D}\N{U+200D}\N{U+1F469}\N{U+1F3F=
C}" "\N{U+1F469}\N{U+1F3FF}\N{U+200D}\N{U+1F91D}\N{U+200D}\N{U+1F469}\N{U+1=
F3FD}" "\N{U+1F469}\N{U+1F3FF}\N{U+200D}\N{U+1F91D}\N{U+200D}\N{U+1F469}\N{=
U+1F3FE}" "\N{U+1F469}\N{U+200D}\N{U+2695}\N{U+FE0F}" "\N{U+1F469}\N{U+200D=
}\N{U+2696}\N{U+FE0F}" "\N{U+1F469}\N{U+200D}\N{U+2708}\N{U+FE0F}" "\N{U+1F=
469}\N{U+200D}\N{U+1F33E}" "\N{U+1F469}\N{U+200D}\N{U+1F373}" "\N{U+1F469}\=
N{U+200D}\N{U+1F393}" "\N{U+1F469}\N{U+200D}\N{U+1F3A4}" "\N{U+1F469}\N{U+2=
00D}\N{U+1F3A8}" "\N{U+1F469}\N{U+200D}\N{U+1F3EB}" "\N{U+1F469}\N{U+200D}\=
N{U+1F3ED}" "\N{U+1F469}\N{U+200D}\N{U+1F4BB}" "\N{U+1F469}\N{U+200D}\N{U+1=
F4BC}" "\N{U+1F469}\N{U+200D}\N{U+1F527}" "\N{U+1F469}\N{U+200D}\N{U+1F52C}=
" "\N{U+1F469}\N{U+200D}\N{U+1F680}" "\N{U+1F469}\N{U+200D}\N{U+1F692}" "\N=
{U+1F469}\N{U+200D}\N{U+1F9AF}" "\N{U+1F469}\N{U+200D}\N{U+1F9BC}" "\N{U+1F=
469}\N{U+200D}\N{U+1F9BD}" "\N{U+1F469}\N{U+1F3FB}\N{U+200D}\N{U+2695}\N{U+=
FE0F}" "\N{U+1F469}\N{U+1F3FB}\N{U+200D}\N{U+2696}\N{U+FE0F}" "\N{U+1F469}\=
N{U+1F3FB}\N{U+200D}\N{U+2708}\N{U+FE0F}" "\N{U+1F469}\N{U+1F3FB}\N{U+200D}=
\N{U+1F33E}" "\N{U+1F469}\N{U+1F3FB}\N{U+200D}\N{U+1F373}" "\N{U+1F469}\N{U=
+1F3FB}\N{U+200D}\N{U+1F393}" "\N{U+1F469}\N{U+1F3FB}\N{U+200D}\N{U+1F3A4}"=
 "\N{U+1F469}\N{U+1F3FB}\N{U+200D}\N{U+1F3A8}" "\N{U+1F469}\N{U+1F3FB}\N{U+=
200D}\N{U+1F3EB}" "\N{U+1F469}\N{U+1F3FB}\N{U+200D}\N{U+1F3ED}" "\N{U+1F469=
}\N{U+1F3FB}\N{U+200D}\N{U+1F4BB}" "\N{U+1F469}\N{U+1F3FB}\N{U+200D}\N{U+1F=
4BC}" "\N{U+1F469}\N{U+1F3FB}\N{U+200D}\N{U+1F527}" "\N{U+1F469}\N{U+1F3FB}=
\N{U+200D}\N{U+1F52C}" "\N{U+1F469}\N{U+1F3FB}\N{U+200D}\N{U+1F680}" "\N{U+=
1F469}\N{U+1F3FB}\N{U+200D}\N{U+1F692}" "\N{U+1F469}\N{U+1F3FB}\N{U+200D}\N=
{U+1F9AF}" "\N{U+1F469}\N{U+1F3FB}\N{U+200D}\N{U+1F9BC}" "\N{U+1F469}\N{U+1=
F3FB}\N{U+200D}\N{U+1F9BD}" "\N{U+1F469}\N{U+1F3FC}\N{U+200D}\N{U+2695}\N{U=
+FE0F}" "\N{U+1F469}\N{U+1F3FC}\N{U+200D}\N{U+2696}\N{U+FE0F}" "\N{U+1F469}=
\N{U+1F3FC}\N{U+200D}\N{U+2708}\N{U+FE0F}" "\N{U+1F469}\N{U+1F3FC}\N{U+200D=
}\N{U+1F33E}" "\N{U+1F469}\N{U+1F3FC}\N{U+200D}\N{U+1F373}" "\N{U+1F469}\N{=
U+1F3FC}\N{U+200D}\N{U+1F393}" "\N{U+1F469}\N{U+1F3FC}\N{U+200D}\N{U+1F3A4}=
" "\N{U+1F469}\N{U+1F3FC}\N{U+200D}\N{U+1F3A8}" "\N{U+1F469}\N{U+1F3FC}\N{U=
+200D}\N{U+1F3EB}" "\N{U+1F469}\N{U+1F3FC}\N{U+200D}\N{U+1F3ED}" "\N{U+1F46=
9}\N{U+1F3FC}\N{U+200D}\N{U+1F4BB}" "\N{U+1F469}\N{U+1F3FC}\N{U+200D}\N{U+1=
F4BC}" "\N{U+1F469}\N{U+1F3FC}\N{U+200D}\N{U+1F527}" "\N{U+1F469}\N{U+1F3FC=
}\N{U+200D}\N{U+1F52C}" "\N{U+1F469}\N{U+1F3FC}\N{U+200D}\N{U+1F680}" "\N{U=
+1F469}\N{U+1F3FC}\N{U+200D}\N{U+1F692}" "\N{U+1F469}\N{U+1F3FC}\N{U+200D}\=
N{U+1F9AF}" "\N{U+1F469}\N{U+1F3FC}\N{U+200D}\N{U+1F9BC}" "\N{U+1F469}\N{U+=
1F3FC}\N{U+200D}\N{U+1F9BD}" "\N{U+1F469}\N{U+1F3FD}\N{U+200D}\N{U+2695}\N{=
U+FE0F}" "\N{U+1F469}\N{U+1F3FD}\N{U+200D}\N{U+2696}\N{U+FE0F}" "\N{U+1F469=
}\N{U+1F3FD}\N{U+200D}\N{U+2708}\N{U+FE0F}" "\N{U+1F469}\N{U+1F3FD}\N{U+200=
D}\N{U+1F33E}" "\N{U+1F469}\N{U+1F3FD}\N{U+200D}\N{U+1F373}" "\N{U+1F469}\N=
{U+1F3FD}\N{U+200D}\N{U+1F393}" "\N{U+1F469}\N{U+1F3FD}\N{U+200D}\N{U+1F3A4=
}" "\N{U+1F469}\N{U+1F3FD}\N{U+200D}\N{U+1F3A8}" "\N{U+1F469}\N{U+1F3FD}\N{=
U+200D}\N{U+1F3EB}" "\N{U+1F469}\N{U+1F3FD}\N{U+200D}\N{U+1F3ED}" "\N{U+1F4=
69}\N{U+1F3FD}\N{U+200D}\N{U+1F4BB}" "\N{U+1F469}\N{U+1F3FD}\N{U+200D}\N{U+=
1F4BC}" "\N{U+1F469}\N{U+1F3FD}\N{U+200D}\N{U+1F527}" "\N{U+1F469}\N{U+1F3F=
D}\N{U+200D}\N{U+1F52C}" "\N{U+1F469}\N{U+1F3FD}\N{U+200D}\N{U+1F680}" "\N{=
U+1F469}\N{U+1F3FD}\N{U+200D}\N{U+1F692}" "\N{U+1F469}\N{U+1F3FD}\N{U+200D}=
\N{U+1F9AF}" "\N{U+1F469}\N{U+1F3FD}\N{U+200D}\N{U+1F9BC}" "\N{U+1F469}\N{U=
+1F3FD}\N{U+200D}\N{U+1F9BD}" "\N{U+1F469}\N{U+1F3FE}\N{U+200D}\N{U+2695}\N=
{U+FE0F}" "\N{U+1F469}\N{U+1F3FE}\N{U+200D}\N{U+2696}\N{U+FE0F}" "\N{U+1F46=
9}\N{U+1F3FE}\N{U+200D}\N{U+2708}\N{U+FE0F}" "\N{U+1F469}\N{U+1F3FE}\N{U+20=
0D}\N{U+1F33E}" "\N{U+1F469}\N{U+1F3FE}\N{U+200D}\N{U+1F373}" "\N{U+1F469}\=
N{U+1F3FE}\N{U+200D}\N{U+1F393}" "\N{U+1F469}\N{U+1F3FE}\N{U+200D}\N{U+1F3A=
4}" "\N{U+1F469}\N{U+1F3FE}\N{U+200D}\N{U+1F3A8}" "\N{U+1F469}\N{U+1F3FE}\N=
{U+200D}\N{U+1F3EB}" "\N{U+1F469}\N{U+1F3FE}\N{U+200D}\N{U+1F3ED}" "\N{U+1F=
469}\N{U+1F3FE}\N{U+200D}\N{U+1F4BB}" "\N{U+1F469}\N{U+1F3FE}\N{U+200D}\N{U=
+1F4BC}" "\N{U+1F469}\N{U+1F3FE}\N{U+200D}\N{U+1F527}" "\N{U+1F469}\N{U+1F3=
FE}\N{U+200D}\N{U+1F52C}" "\N{U+1F469}\N{U+1F3FE}\N{U+200D}\N{U+1F680}" "\N=
{U+1F469}\N{U+1F3FE}\N{U+200D}\N{U+1F692}" "\N{U+1F469}\N{U+1F3FE}\N{U+200D=
}\N{U+1F9AF}" "\N{U+1F469}\N{U+1F3FE}\N{U+200D}\N{U+1F9BC}" "\N{U+1F469}\N{=
U+1F3FE}\N{U+200D}\N{U+1F9BD}" "\N{U+1F469}\N{U+1F3FF}\N{U+200D}\N{U+2695}\=
N{U+FE0F}" "\N{U+1F469}\N{U+1F3FF}\N{U+200D}\N{U+2696}\N{U+FE0F}" "\N{U+1F4=
69}\N{U+1F3FF}\N{U+200D}\N{U+2708}\N{U+FE0F}" "\N{U+1F469}\N{U+1F3FF}\N{U+2=
00D}\N{U+1F33E}" "\N{U+1F469}\N{U+1F3FF}\N{U+200D}\N{U+1F373}" "\N{U+1F469}=
\N{U+1F3FF}\N{U+200D}\N{U+1F393}" "\N{U+1F469}\N{U+1F3FF}\N{U+200D}\N{U+1F3=
A4}" "\N{U+1F469}\N{U+1F3FF}\N{U+200D}\N{U+1F3A8}" "\N{U+1F469}\N{U+1F3FF}\=
N{U+200D}\N{U+1F3EB}" "\N{U+1F469}\N{U+1F3FF}\N{U+200D}\N{U+1F3ED}" "\N{U+1=
F469}\N{U+1F3FF}\N{U+200D}\N{U+1F4BB}" "\N{U+1F469}\N{U+1F3FF}\N{U+200D}\N{=
U+1F4BC}" "\N{U+1F469}\N{U+1F3FF}\N{U+200D}\N{U+1F527}" "\N{U+1F469}\N{U+1F=
3FF}\N{U+200D}\N{U+1F52C}" "\N{U+1F469}\N{U+1F3FF}\N{U+200D}\N{U+1F680}" "\=
N{U+1F469}\N{U+1F3FF}\N{U+200D}\N{U+1F692}" "\N{U+1F469}\N{U+1F3FF}\N{U+200=
D}\N{U+1F9AF}" "\N{U+1F469}\N{U+1F3FF}\N{U+200D}\N{U+1F9BC}" "\N{U+1F469}\N=
{U+1F3FF}\N{U+200D}\N{U+1F9BD}" "\N{U+1F469}\N{U+200D}\N{U+1F9B0}" "\N{U+1F=
469}\N{U+200D}\N{U+1F9B1}" "\N{U+1F469}\N{U+200D}\N{U+1F9B2}" "\N{U+1F469}\=
N{U+200D}\N{U+1F9B3}" "\N{U+1F469}\N{U+1F3FB}\N{U+200D}\N{U+1F9B0}" "\N{U+1=
F469}\N{U+1F3FB}\N{U+200D}\N{U+1F9B1}" "\N{U+1F469}\N{U+1F3FB}\N{U+200D}\N{=
U+1F9B2}" "\N{U+1F469}\N{U+1F3FB}\N{U+200D}\N{U+1F9B3}" "\N{U+1F469}\N{U+1F=
3FC}\N{U+200D}\N{U+1F9B0}" "\N{U+1F469}\N{U+1F3FC}\N{U+200D}\N{U+1F9B1}" "\=
N{U+1F469}\N{U+1F3FC}\N{U+200D}\N{U+1F9B2}" "\N{U+1F469}\N{U+1F3FC}\N{U+200=
D}\N{U+1F9B3}" "\N{U+1F469}\N{U+1F3FD}\N{U+200D}\N{U+1F9B0}" "\N{U+1F469}\N=
{U+1F3FD}\N{U+200D}\N{U+1F9B1}" "\N{U+1F469}\N{U+1F3FD}\N{U+200D}\N{U+1F9B2=
}" "\N{U+1F469}\N{U+1F3FD}\N{U+200D}\N{U+1F9B3}" "\N{U+1F469}\N{U+1F3FE}\N{=
U+200D}\N{U+1F9B0}" "\N{U+1F469}\N{U+1F3FE}\N{U+200D}\N{U+1F9B1}" "\N{U+1F4=
69}\N{U+1F3FE}\N{U+200D}\N{U+1F9B2}" "\N{U+1F469}\N{U+1F3FE}\N{U+200D}\N{U+=
1F9B3}" "\N{U+1F469}\N{U+1F3FF}\N{U+200D}\N{U+1F9B0}" "\N{U+1F469}\N{U+1F3F=
F}\N{U+200D}\N{U+1F9B1}" "\N{U+1F469}\N{U+1F3FF}\N{U+200D}\N{U+1F9B2}" "\N{=
U+1F469}\N{U+1F3FF}\N{U+200D}\N{U+1F9B3}"))
(#x1F482 . ("\N{U+1F482}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F482}\N{U+20=
0D}\N{U+2642}\N{U+FE0F}" "\N{U+1F482}\N{U+1F3FB}\N{U+200D}\N{U+2640}\N{U+FE=
0F}" "\N{U+1F482}\N{U+1F3FB}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F482}\N{=
U+1F3FC}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F482}\N{U+1F3FC}\N{U+200D}\N=
{U+2642}\N{U+FE0F}" "\N{U+1F482}\N{U+1F3FD}\N{U+200D}\N{U+2640}\N{U+FE0F}" =
"\N{U+1F482}\N{U+1F3FD}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F482}\N{U+1F3=
FE}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F482}\N{U+1F3FE}\N{U+200D}\N{U+26=
42}\N{U+FE0F}" "\N{U+1F482}\N{U+1F3FF}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U=
+1F482}\N{U+1F3FF}\N{U+200D}\N{U+2642}\N{U+FE0F}"))
(#x1F486 . ("\N{U+1F486}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F486}\N{U+20=
0D}\N{U+2642}\N{U+FE0F}" "\N{U+1F486}\N{U+1F3FB}\N{U+200D}\N{U+2640}\N{U+FE=
0F}" "\N{U+1F486}\N{U+1F3FB}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F486}\N{=
U+1F3FC}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F486}\N{U+1F3FC}\N{U+200D}\N=
{U+2642}\N{U+FE0F}" "\N{U+1F486}\N{U+1F3FD}\N{U+200D}\N{U+2640}\N{U+FE0F}" =
"\N{U+1F486}\N{U+1F3FD}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F486}\N{U+1F3=
FE}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F486}\N{U+1F3FE}\N{U+200D}\N{U+26=
42}\N{U+FE0F}" "\N{U+1F486}\N{U+1F3FF}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U=
+1F486}\N{U+1F3FF}\N{U+200D}\N{U+2642}\N{U+FE0F}"))
(#x1F487 . ("\N{U+1F487}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F487}\N{U+20=
0D}\N{U+2642}\N{U+FE0F}" "\N{U+1F487}\N{U+1F3FB}\N{U+200D}\N{U+2640}\N{U+FE=
0F}" "\N{U+1F487}\N{U+1F3FB}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F487}\N{=
U+1F3FC}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F487}\N{U+1F3FC}\N{U+200D}\N=
{U+2642}\N{U+FE0F}" "\N{U+1F487}\N{U+1F3FD}\N{U+200D}\N{U+2640}\N{U+FE0F}" =
"\N{U+1F487}\N{U+1F3FD}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F487}\N{U+1F3=
FE}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F487}\N{U+1F3FE}\N{U+200D}\N{U+26=
42}\N{U+FE0F}" "\N{U+1F487}\N{U+1F3FF}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U=
+1F487}\N{U+1F3FF}\N{U+200D}\N{U+2642}\N{U+FE0F}"))
(#x1F9CD . ("\N{U+1F9CD}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F9CD}\N{U+20=
0D}\N{U+2642}\N{U+FE0F}" "\N{U+1F9CD}\N{U+1F3FB}\N{U+200D}\N{U+2640}\N{U+FE=
0F}" "\N{U+1F9CD}\N{U+1F3FB}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F9CD}\N{=
U+1F3FC}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F9CD}\N{U+1F3FC}\N{U+200D}\N=
{U+2642}\N{U+FE0F}" "\N{U+1F9CD}\N{U+1F3FD}\N{U+200D}\N{U+2640}\N{U+FE0F}" =
"\N{U+1F9CD}\N{U+1F3FD}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F9CD}\N{U+1F3=
FE}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F9CD}\N{U+1F3FE}\N{U+200D}\N{U+26=
42}\N{U+FE0F}" "\N{U+1F9CD}\N{U+1F3FF}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U=
+1F9CD}\N{U+1F3FF}\N{U+200D}\N{U+2642}\N{U+FE0F}"))
(#x1F9CE . ("\N{U+1F9CE}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F9CE}\N{U+20=
0D}\N{U+2642}\N{U+FE0F}" "\N{U+1F9CE}\N{U+1F3FB}\N{U+200D}\N{U+2640}\N{U+FE=
0F}" "\N{U+1F9CE}\N{U+1F3FB}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F9CE}\N{=
U+1F3FC}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F9CE}\N{U+1F3FC}\N{U+200D}\N=
{U+2642}\N{U+FE0F}" "\N{U+1F9CE}\N{U+1F3FD}\N{U+200D}\N{U+2640}\N{U+FE0F}" =
"\N{U+1F9CE}\N{U+1F3FD}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F9CE}\N{U+1F3=
FE}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F9CE}\N{U+1F3FE}\N{U+200D}\N{U+26=
42}\N{U+FE0F}" "\N{U+1F9CE}\N{U+1F3FF}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U=
+1F9CE}\N{U+1F3FF}\N{U+200D}\N{U+2642}\N{U+FE0F}"))
(#x1F9CF . ("\N{U+1F9CF}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F9CF}\N{U+20=
0D}\N{U+2642}\N{U+FE0F}" "\N{U+1F9CF}\N{U+1F3FB}\N{U+200D}\N{U+2640}\N{U+FE=
0F}" "\N{U+1F9CF}\N{U+1F3FB}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F9CF}\N{=
U+1F3FC}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F9CF}\N{U+1F3FC}\N{U+200D}\N=
{U+2642}\N{U+FE0F}" "\N{U+1F9CF}\N{U+1F3FD}\N{U+200D}\N{U+2640}\N{U+FE0F}" =
"\N{U+1F9CF}\N{U+1F3FD}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F9CF}\N{U+1F3=
FE}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F9CF}\N{U+1F3FE}\N{U+200D}\N{U+26=
42}\N{U+FE0F}" "\N{U+1F9CF}\N{U+1F3FF}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U=
+1F9CF}\N{U+1F3FF}\N{U+200D}\N{U+2642}\N{U+FE0F}"))
(#x1F46E . ("\N{U+1F46E}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F46E}\N{U+20=
0D}\N{U+2642}\N{U+FE0F}" "\N{U+1F46E}\N{U+1F3FB}\N{U+200D}\N{U+2640}\N{U+FE=
0F}" "\N{U+1F46E}\N{U+1F3FB}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F46E}\N{=
U+1F3FC}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F46E}\N{U+1F3FC}\N{U+200D}\N=
{U+2642}\N{U+FE0F}" "\N{U+1F46E}\N{U+1F3FD}\N{U+200D}\N{U+2640}\N{U+FE0F}" =
"\N{U+1F46E}\N{U+1F3FD}\N{U+200D}\N{U+2642}\N{U+FE0F}" "\N{U+1F46E}\N{U+1F3=
FE}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F46E}\N{U+1F3FE}\N{U+200D}\N{U+26=
42}\N{U+FE0F}" "\N{U+1F46E}\N{U+1F3FF}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U=
+1F46E}\N{U+1F3FF}\N{U+200D}\N{U+2642}\N{U+FE0F}"))
(#x1F46F . ("\N{U+1F46F}\N{U+200D}\N{U+2640}\N{U+FE0F}" "\N{U+1F46F}\N{U+20=
0D}\N{U+2642}\N{U+FE0F}"))
(#x1F3F3 . ("\N{U+1F3F3}\N{U+FE0F}\N{U+200D}\N{U+1F308}"))
(#x1F3F4 . ("\N{U+1F3F4}\N{U+200D}\N{U+2620}\N{U+FE0F}"))
    ))
  (set-char-table-range composition-function-table
                        (car elt)
                        (list (vector (regexp-opt (cdr elt))
                                      0
                                      'compose-gstring-for-graphic))))


(provide 'emoji-zwj)

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39799; Package emacs. Full text available.

Message received at 39799 <at> debbugs.gnu.org:


Received: (at 39799) by debbugs.gnu.org; 28 Feb 2020 08:25:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 28 03:25:48 2020
Received: from localhost ([127.0.0.1]:60624 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7axv-00066P-WD
	for submit <at> debbugs.gnu.org; Fri, 28 Feb 2020 03:25:48 -0500
Received: from eggs.gnu.org ([209.51.188.92]:56250)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1j7axu-00066D-Dh
 for 39799 <at> debbugs.gnu.org; Fri, 28 Feb 2020 03:25:46 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:51189)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1j7axp-000451-AA; Fri, 28 Feb 2020 03:25:41 -0500
Received: from [176.228.60.248] (port=3084 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1j7axk-0002Kz-KI; Fri, 28 Feb 2020 03:25:40 -0500
Date: Fri, 28 Feb 2020 10:25:22 +0200
Message-Id: <835zfrglu5.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Mike FABIAN <mfabian@HIDDEN>
In-reply-to: <s9dlfonf9jp.fsf@HIDDEN> (message from Mike FABIAN on Fri, 28
 Feb 2020 08:36:10 +0100)
Subject: Re: bug#39799: 28.0.50; Most emoji sequences =?utf-8?Q?don?=
 =?utf-8?Q?=E2=80=99t?= render correctly
References: <s9dy2spfmmt.fsf@HIDDEN> <83lfongp4p.fsf@HIDDEN>
 <s9dlfonf9jp.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39799
Cc: 39799 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Mike FABIAN <mfabian@HIDDEN>
> Cc: 39799 <at> debbugs.gnu.org
> Date: Fri, 28 Feb 2020 08:36:10 +0100
> 
> > Patches are welcome to convert the emoji-related files in Unicode's
> > character database into appropriate composition-function-table setup,
> > similar to the example above.  Some script to be run at Emacs build
> > time and produce, say, lisp/emoji.el to populate
> > composition-function-table, would be nice (see the Awk scripts in
> > admin/unidata as one source of inspiration).
> 
> Pango also has a .c file which is generated by a python script from
> the Unicode emoji data files to make all these sequences known to Pango.
> 
> I can try to write a script. Would it be OK to use Python for such a
> script generating emoji.el?

I'd prefer not to add Python as prerequisite for building Emacs.  We
already use Awk, so using that'd be fine.

Alternatively, we could do it in Emacs Lisp, similar to
unidata-gen.el, but that requires some care because we cannot run Lisp
programs until we have some version of Emacs.

> > If you mean they are not displayed in correct colors, then Emacs
> > doesn't yet support color emoji, we lack some infrastructure for
> > that.  Again, work in that area is welcome, it should be relatively
> > easy since we now have HarfBuzz support for text shaping.
> 
> Actually the color display works already. I tested with current master
> (build with cairo) and the emoji display just fine in color.

Maybe in a Cairo build.  Or maybe I'm missing something.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39799; Package emacs. Full text available.

Message received at 39799 <at> debbugs.gnu.org:


Received: (at 39799) by debbugs.gnu.org; 28 Feb 2020 07:36:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 28 02:36:30 2020
Received: from localhost ([127.0.0.1]:60588 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7aCD-0004kH-TS
	for submit <at> debbugs.gnu.org; Fri, 28 Feb 2020 02:36:30 -0500
Received: from us-smtp-2.mimecast.com ([207.211.31.81]:43464
 helo=us-smtp-delivery-1.mimecast.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mfabian@HIDDEN>) id 1j7aCB-0004k2-OE
 for 39799 <at> debbugs.gnu.org; Fri, 28 Feb 2020 02:36:28 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=redhat.com;
 s=mimecast20190719; t=1582875382;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=BW8kmeGhfseos3qY3irD9ntS2nPYQmLsb239/11gmkw=;
 b=daMvgrFaS6pAemliddj9bPFNiWvk4iZ66nasSc9ayVikPiwOvL5uRV0u5T+0wCM1sY++tT
 No6TD/jS8wCqEGHsPmVtIjT5uUH15X009sdq/bzuWdKxkkSO703plqW8y2AJimA6AmDD7q
 IQlgvGpmw9GR13u8P5SnH91nt6oULEs=
Received: from mail-wm1-f72.google.com (mail-wm1-f72.google.com
 [209.85.128.72]) (Using TLS) by relay.mimecast.com with ESMTP id
 us-mta-171-l5rH0G6wOJuv-wH-Dp8zfA-1; Fri, 28 Feb 2020 02:36:13 -0500
X-MC-Unique: l5rH0G6wOJuv-wH-Dp8zfA-1
Received: by mail-wm1-f72.google.com with SMTP id d129so801029wmd.2
 for <39799 <at> debbugs.gnu.org>; Thu, 27 Feb 2020 23:36:13 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:organization:references:date
 :in-reply-to:message-id:user-agent:mime-version
 :content-transfer-encoding;
 bh=djF4d4Cw8XaonvgscFkBRTiBDTTgsDobBFVkFl/JZBY=;
 b=FbXCWEQzilvxJjpxIr9Qpo+r6n55x5E924ue4TO/5iJ1BiSpljr2oqPWhwSd2pej0V
 6JDrzQ+DkWG7tLPM0dPlEY+q/IZwaPoe+fYaTq4EQYgHMRQ33b5CkRd0LJHGJ8SBJ7KL
 QvLT0oDdTGVA6cFWTbVXGuD/8NhlTD1eCAYyHiRo6kMk1rPHU2kkXbfaYmG8WJzJ+1vl
 rBezPnyUQ9zNsF7p3Uu/nMZFFwAddPSdyVQryCX8nzsDZQOVJ/oWeGjStpefxiCQ35Rv
 9DD7sB9O/yD12hxAIk7TBCk00tIRRTQ75vI8Gus8wqsAUibcqVVbV22zNSRtwDDnvbGg
 /n9Q==
X-Gm-Message-State: APjAAAXmguAy3DvTbZPuzMdA1HbDPH3uIwZzCzmagEYrFjwSYfYa0CW6
 +GTfw4ogMpFurtCUdRqE2C4AHvmcN+RdmUaxc/vcBCiflz9GyJj7pp+Wm7zRkKNB9LHGUy9C3Pw
 lAQ4/xdA2e3sr+Q==
X-Received: by 2002:a5d:4c4a:: with SMTP id n10mr3637288wrt.116.1582875372315; 
 Thu, 27 Feb 2020 23:36:12 -0800 (PST)
X-Google-Smtp-Source: APXvYqxpECIDg6z1FKDYkr0bIMTmhnQpBELpOB5j8ChRXBHO+hUTqhoUcB8WbHg4Ddggx/UlwqgklA==
X-Received: by 2002:a5d:4c4a:: with SMTP id n10mr3637266wrt.116.1582875372023; 
 Thu, 27 Feb 2020 23:36:12 -0800 (PST)
Received: from taka.site (ppp-46-244-193-84.dynamic.mnet-online.de.
 [46.244.193.84])
 by smtp.gmail.com with ESMTPSA id j14sm11786532wrn.32.2020.02.27.23.36.11
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 27 Feb 2020 23:36:11 -0800 (PST)
Received: from taka.site (localhost [IPv6:::1])
 by taka.site (Postfix) with ESMTP id B12C18FF;
 Fri, 28 Feb 2020 08:36:10 +0100 (CET)
From: Mike FABIAN <mfabian@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#39799: 28.0.50; Most emoji sequences =?utf-8?Q?don?=
 =?utf-8?Q?=E2=80=99t?= render correctly
Organization: Red Hat
References: <s9dy2spfmmt.fsf@HIDDEN> <83lfongp4p.fsf@HIDDEN>
X-Face: "';
 oPz9V1+<,`}1ZuxRv~EiSusWq*{Yjr"Sdvbhq'?q=2R\\6Y9O/,SAE`{J|6I=|w/sQg<
 rW_N'E3IV6~f8?\l#Es`]S`mv',PY(`8{$$R?+gLu}Qv/Mn>)?uladFjJ@yl!_p_Jh; 5QxlD6zL:?r
 IXe4FfK$C^mWhh$o`yt; .r.FLZLQOWBt><!; -.DYZ)Nu&1?~*:\36\BGz]"L; nue;
 l\%sJ/]l{is5O Ew?0CF}dPS(ezG0xqUR)xa(L&&c;x{By"`oKvM&i!%+
Date: Fri, 28 Feb 2020 08:36:10 +0100
In-Reply-To: <83lfongp4p.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 28 Feb
 2020 09:14:14 +0200")
Message-ID: <s9dlfonf9jp.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
X-Mimecast-Spam-Score: 0
X-Mimecast-Originator: redhat.com
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39799
Cc: 39799 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> =E3=81=95=E3=82=93=E3=81=AF=E3=81=8B=E3=81=8D=
=E3=81=BE=E3=81=97=E3=81=9F:

>> From: Mike FABIAN <mfabian@HIDDEN>
>> Date: Wed, 26 Feb 2020 15:28:58 +0100
>>=20
>> As can be seen in the attached screenshot, some=20
>>=20
>> =F0=9F=91=A9=E2=80=8D=F0=9F=A6=B0 U+1F469 U+200D U+1F9B0 woman: red hair
>> =F0=9F=A7=91=E2=80=8D=F0=9F=A6=B0 U+1F9D1 U+200D U+1F9B0 person: red hai=
r
>>=20
>> don=E2=80=99t render correctly in the screenshot, although they work usi=
ng the
>> same font (=E2=80=9CJoypixels=E2=80=9D, version 5.5) elsewhere, e.g. in =
gedit.
>>=20
>> Same result in Emacs when using "Noto Color Emoji", both emoji sequences
>> are rendered as 2 characters each in Emacs
>
> Not 2, 3.  Look more closely, and you will see that the U+200D ZWJ
> character is displayed as a thin (1-pixel) space between the 2 emoji.

Yes.

>> When loading
>>=20
>> http://www.unicode.org/Public/emoji/12.0/emoji-zwj-sequences.txt
>>=20
>> into Emacs one can see that most sequences don=E2=80=99t render correctl=
y
>> (actually *all* sequences, as far as I can see).
>
> That's just a matter of setting up composition-function-table to
> support these sequences.  For example, try the above again after
> evaluating:
>
>   (set-char-table-range composition-function-table '(#x1F9B0 . #x1F9B3)
> =09=09=09(list
> =09=09=09 (vector
> =09=09=09  "[\U0001F468-\U0001F469]\u200D[\U0001F9B0-\U0001F9B3]"
> =09=09=09  2
> =09=09=09  'compose-gstring-for-graphic)))

Yes, that does indeed work.

> Patches are welcome to convert the emoji-related files in Unicode's
> character database into appropriate composition-function-table setup,
> similar to the example above.  Some script to be run at Emacs build
> time and produce, say, lisp/emoji.el to populate
> composition-function-table, would be nice (see the Awk scripts in
> admin/unidata as one source of inspiration).

Pango also has a .c file which is generated by a python script from
the Unicode emoji data files to make all these sequences known to Pango.

I can try to write a script. Would it be OK to use Python for such a
script generating emoji.el?

>> Also, when loading
>>=20
>> http://www.unicode.org/Public/emoji/12.0/emoji-sequences.txt
>>=20
>> into Emacs, one can see that the Flag sequences and skin colour
>> sequences don=E2=80=99t render correctly either (not a font problem, bot=
h
>> =E2=80=9CNoto Color Emoji=E2=80=9D and =E2=80=9CJoypixels=E2=80=9D suppo=
rt these):
>
> If you mean they are not displayed in correct colors, then Emacs
> doesn't yet support color emoji, we lack some infrastructure for
> that.  Again, work in that area is welcome, it should be relatively
> easy since we now have HarfBuzz support for text shaping.

Actually the color display works already. I tested with current master
(build with cairo) and the emoji display just fine in color.

--=20
Mike FABIAN <mfabian@HIDDEN>





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39799; Package emacs. Full text available.

Message received at 39799 <at> debbugs.gnu.org:


Received: (at 39799) by debbugs.gnu.org; 28 Feb 2020 07:14:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 28 02:14:36 2020
Received: from localhost ([127.0.0.1]:60571 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7Zr2-00049z-9I
	for submit <at> debbugs.gnu.org; Fri, 28 Feb 2020 02:14:36 -0500
Received: from eggs.gnu.org ([209.51.188.92]:45898)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1j7Zr0-00049n-Cw
 for 39799 <at> debbugs.gnu.org; Fri, 28 Feb 2020 02:14:34 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:50510)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1j7Zqv-0004WF-63; Fri, 28 Feb 2020 02:14:29 -0500
Received: from [176.228.60.248] (port=2691 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1j7Zqu-0008O9-EK; Fri, 28 Feb 2020 02:14:28 -0500
Date: Fri, 28 Feb 2020 09:14:14 +0200
Message-Id: <83lfongp4p.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Mike FABIAN <mfabian@HIDDEN>
In-reply-to: <s9dy2spfmmt.fsf@HIDDEN> (message from Mike FABIAN on Wed, 26
 Feb 2020 15:28:58 +0100)
Subject: Re: bug#39799: 28.0.50;
 Most emoji sequences =?utf-8?Q?don=E2=80=99t?= render correctly
References: <s9dy2spfmmt.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39799
Cc: 39799 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Mike FABIAN <mfabian@HIDDEN>
> Date: Wed, 26 Feb 2020 15:28:58 +0100
> 
> As can be seen in the attached screenshot, some 
> 
> 👩‍🦰 U+1F469 U+200D U+1F9B0 woman: red hair
> 🧑‍🦰 U+1F9D1 U+200D U+1F9B0 person: red hair
> 
> don’t render correctly in the screenshot, although they work using the
> same font (“Joypixels”, version 5.5) elsewhere, e.g. in gedit.
> 
> Same result in Emacs when using "Noto Color Emoji", both emoji sequences
> are rendered as 2 characters each in Emacs

Not 2, 3.  Look more closely, and you will see that the U+200D ZWJ
character is displayed as a thin (1-pixel) space between the 2 emoji.

> When loading
> 
> http://www.unicode.org/Public/emoji/12.0/emoji-zwj-sequences.txt
> 
> into Emacs one can see that most sequences don’t render correctly
> (actually *all* sequences, as far as I can see).

That's just a matter of setting up composition-function-table to
support these sequences.  For example, try the above again after
evaluating:

  (set-char-table-range composition-function-table '(#x1F9B0 . #x1F9B3)
			(list
			 (vector
			  "[\U0001F468-\U0001F469]\u200D[\U0001F9B0-\U0001F9B3]"
			  2
			  'compose-gstring-for-graphic)))

Patches are welcome to convert the emoji-related files in Unicode's
character database into appropriate composition-function-table setup,
similar to the example above.  Some script to be run at Emacs build
time and produce, say, lisp/emoji.el to populate
composition-function-table, would be nice (see the Awk scripts in
admin/unidata as one source of inspiration).

> Also, when loading
> 
> http://www.unicode.org/Public/emoji/12.0/emoji-sequences.txt
> 
> into Emacs, one can see that the Flag sequences and skin colour
> sequences don’t render correctly either (not a font problem, both
> “Noto Color Emoji” and “Joypixels” support these):

If you mean they are not displayed in correct colors, then Emacs
doesn't yet support color emoji, we lack some infrastructure for
that.  Again, work in that area is welcome, it should be relatively
easy since we now have HarfBuzz support for text shaping.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39799; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 26 Feb 2020 14:29:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 26 09:29:21 2020
Received: from localhost ([127.0.0.1]:56633 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j6xge-0004Iz-7l
	for submit <at> debbugs.gnu.org; Wed, 26 Feb 2020 09:29:21 -0500
Received: from lists.gnu.org ([209.51.188.17]:46427)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mfabian@HIDDEN>) id 1j6xgc-0004Ip-5g
 for submit <at> debbugs.gnu.org; Wed, 26 Feb 2020 09:29:18 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:45209)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <mfabian@HIDDEN>) id 1j6xgZ-0007Cp-3O
 for bug-gnu-emacs@HIDDEN; Wed, 26 Feb 2020 09:29:16 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_NONE,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mfabian@HIDDEN>) id 1j6xgW-0003a1-TC
 for bug-gnu-emacs@HIDDEN; Wed, 26 Feb 2020 09:29:15 -0500
Received: from us-smtp-2.mimecast.com ([205.139.110.61]:31695
 helo=us-smtp-delivery-1.mimecast.com)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mfabian@HIDDEN>) id 1j6xgW-0003Yd-KA
 for bug-gnu-emacs@HIDDEN; Wed, 26 Feb 2020 09:29:12 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=redhat.com;
 s=mimecast20190719; t=1582727350;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:content-type:content-type;
 bh=Gpmu67kGKD+Vf8c22xgHlA2Kk6zEfcXvFiRpNC5EhqE=;
 b=J7O8Fk++laOfFgYcbmi7z4zgMNOV6HJoF5XVzizVaEGtqZ2I3eUya3jTnGsYGr8dffwBZ4
 GfANK5AvbFQ3XINozciSwEjQWP+NhJp716YH0ZM06l8/xdWxWqKPdhIcFA2zmmuPNEnvpt
 xFNRBdFhlQuw9FCRPFsNLxxcVzt6etA=
Received: from mail-wm1-f72.google.com (mail-wm1-f72.google.com
 [209.85.128.72]) (Using TLS) by relay.mimecast.com with ESMTP id
 us-mta-62-HV5fwr8qNjyDSV-PF1CDhA-1; Wed, 26 Feb 2020 09:29:02 -0500
X-MC-Unique: HV5fwr8qNjyDSV-PF1CDhA-1
Received: by mail-wm1-f72.google.com with SMTP id t17so723234wmi.7
 for <bug-gnu-emacs@HIDDEN>; Wed, 26 Feb 2020 06:29:02 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:organization:date:message-id
 :user-agent:mime-version;
 bh=Qi122lG6KvtaGcaYn4yU3KbHMODjdvez8diB7HwjLlQ=;
 b=BeSMlJ5lV7v6NX7Is37NtXpjNHyLQsSgiEkobv1rxXF1LTCaXUQNXi2FxKtIvPgaW/
 z3Kn08ZgSKLVGLZQArcPZPJakPFjC+OEe6gH0I6201yNhAek82+VVIx5rgvEnBsUJHkA
 7nehouw1LRyhjCQ0q3dOS0VM8X+aQZnRUkQw/A8I3xxH3rLPQrTmd1yMd8YHjPf2kAWn
 2ySkVDnlEeExT7B1yWnX6pJRcpQK1EmjD/KEmFau3jhDCmqQzJIQf/Gy51p+TMPHff+D
 ri36RtZB4xUJ3Jcqg2hsy8oyHodN9C8VnpM8/KKfgHfGvAMxsRj4h53aOBxCIka/B8Gx
 zZNw==
X-Gm-Message-State: APjAAAXLp6Qqf/r1kj999OL1OEhgOBFtKU2K0bfkY3vwjIESFpreITwg
 vwTquzolLJelUEJ3qrPFREXJ5HBHo5sKT1MHrY4PTPPOWuLmGBFFjLagpZaYM/ZIi1FqQdgjm+y
 OzIDc6Ns/V3nmtQ==
X-Received: by 2002:a5d:6284:: with SMTP id k4mr6068925wru.398.1582727340802; 
 Wed, 26 Feb 2020 06:29:00 -0800 (PST)
X-Google-Smtp-Source: APXvYqzVOId1yzyypA8MuxoC9Z8ty3QD2bLa8BqAYKUL+GOYbahJ/iFu2TvsifBdAun/9g87LJKV0g==
X-Received: by 2002:a5d:6284:: with SMTP id k4mr6068891wru.398.1582727340385; 
 Wed, 26 Feb 2020 06:29:00 -0800 (PST)
Received: from taka.site (ppp-46-244-193-84.dynamic.mnet-online.de.
 [46.244.193.84])
 by smtp.gmail.com with ESMTPSA id t3sm3391561wrx.38.2020.02.26.06.28.59
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 26 Feb 2020 06:28:59 -0800 (PST)
Received: from taka.site (localhost [IPv6:::1])
 by taka.site (Postfix) with ESMTP id 73FA297;
 Wed, 26 Feb 2020 15:28:58 +0100 (CET)
From: Mike FABIAN <mfabian@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; Most emoji sequences =?utf-8?Q?don=E2=80=99t?= render
 correctly
Organization: Red Hat
X-Face: "';
 oPz9V1+<,`}1ZuxRv~EiSusWq*{Yjr"Sdvbhq'?q=2R\\6Y9O/,SAE`{J|6I=|w/sQg<
 rW_N'E3IV6~f8?\l#Es`]S`mv',PY(`8{$$R?+gLu}Qv/Mn>)?uladFjJ@yl!_p_Jh; 5QxlD6zL:?r
 IXe4FfK$C^mWhh$o`yt; .r.FLZLQOWBt><!; -.DYZ)Nu&1?~*:\36\BGz]"L; nue;
 l\%sJ/]l{is5O Ew?0CF}dPS(ezG0xqUR)xa(L&&c;x{By"`oKvM&i!%+
Date: Wed, 26 Feb 2020 15:28:58 +0100
Message-ID: <s9dy2spfmmt.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
X-Mimecast-Spam-Score: 0
X-Mimecast-Originator: redhat.com
Content-Type: multipart/mixed; boundary="=-=-="
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 205.139.110.61
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

As can be seen in the attached screenshot, some=20

=F0=9F=91=A9=E2=80=8D=F0=9F=A6=B0 U+1F469 U+200D U+1F9B0 woman: red hair
=F0=9F=A7=91=E2=80=8D=F0=9F=A6=B0 U+1F9D1 U+200D U+1F9B0 person: red hair

don=E2=80=99t render correctly in the screenshot, although they work using =
the
same font (=E2=80=9CJoypixels=E2=80=9D, version 5.5) elsewhere, e.g. in ged=
it.

Same result in Emacs when using "Noto Color Emoji", both emoji sequences
are rendered as 2 characters each in Emacs (In gedit, =E2=80=9CU+1F469 U+20=
0D
U+1F9B0 woman: red hair=E2=80=9D works but =E2=80=9CU+1F9D1 U+200D U+1F9B0 =
person: red
hair=E2=80=9D does not, so this is likely because the =E2=80=9CNoto Color E=
moji=E2=80=9D font
does not yet support the latter sequence).

When loading

http://www.unicode.org/Public/emoji/12.0/emoji-zwj-sequences.txt

into Emacs one can see that most sequences don=E2=80=99t render correctly
(actually *all* sequences, as far as I can see).

Also, when loading

http://www.unicode.org/Public/emoji/12.0/emoji-sequences.txt

into Emacs, one can see that the Flag sequences and skin colour
sequences don=E2=80=99t render correctly either (not a font problem, both
=E2=80=9CNoto Color Emoji=E2=80=9D and =E2=80=9CJoypixels=E2=80=9D support =
these):

1F1FF 1F1FC   ; RGI_Emoji_Flag_Sequence      ; flag: Zimbabwe              =
                                   # E2.0   [1] (=F0=9F=87=BF=F0=9F=87=BC)

1F3F4 E0067 E0062 E0065 E006E E0067 E007F; RGI_Emoji_Tag_Sequence; flag: En=
gland                              # E5.0   [1] (=F0=9F=8F=B4=F3=A0=81=A7=
=F3=A0=81=A2=F3=A0=81=A5=F3=A0=81=AE=F3=A0=81=A7=F3=A0=81=BF)

261D 1F3FB    ; RGI_Emoji_Modifier_Sequence  ; index pointing up: light ski=
n tone                             # E1.0   [1] (=E2=98=9D=F0=9F=8F=BB)

------------


In GNU Emacs 28.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.13, c=
airo version 1.16.0)
 of 2020-02-26 built on taka.site
Repository revision: 1dd44e633aed1ea10e9b611e844618814d6537aa
Repository branch: emacs-master-mike
Windowing system distributor 'Fedora Project', version 11.0.12006000
System Description: Fedora 31 (Workstation Edition)

Recent messages:
Wrote /home/mfabian/.newsrc.eld
Saving /home/mfabian/.newsrc.eld...done
No more unseen articles
No more unread articles
Mark activated
Updating buffer list...done
Commands: m, u, t, RET, g, k, S, D, Q; q to quit; h for help
Mark set
Quit
Mark activated

Configured using:
 'configure --prefix=3D/packages/stow/emacs-master-20200226 --with-cairo'

Configured features:
XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS GSETTINGS GLIB NOTIFY
INOTIFY ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF
ZLIB TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS LIBSYSTEMD
PDUMPER LCMS2 GMP

Important settings:
  value of $LC_MESSAGES: ja_JP.UTF-8
  value of $LC_TIME: ja_JP.UTF-8
  value of $LANG: C.UTF-8
  value of $XMODIFIERS: @im=3Dibus
  locale-coding-system: utf-8-unix

Major mode: Message

Minor modes in effect:
  gnus-message-citation-mode: t
  mml-mode: t
  global-edit-server-edit-mode: t
  erc-networks-mode: t
  erc-menu-mode: t
  erc-list-mode: t
  erc-pcomplete-mode: t
  erc-autoaway-mode: t
  erc-log-mode: t
  erc-button-mode: t
  erc-netsplit-mode: t
  erc-ring-mode: t
  erc-fill-mode: t
  erc-stamp-mode: t
  erc-track-mode: t
  erc-track-minor-mode: t
  erc-match-mode: t
  erc-autojoin-mode: t
  erc-irccontrols-mode: t
  erc-noncommands-mode: t
  erc-readonly-mode: t
  erc-scrolltobottom-mode: t
  jabber-activity-mode: t
  show-paren-mode: t
  display-time-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  auto-fill-function: message-do-auto-fill
  transient-mark-mode: t
  abbrev-mode: t

Load-path shadows:
/home/mfabian/emacs-packages/woman hides /packages/stow/emacs-master-202002=
26/share/emacs/28.0.50/lisp/woman
/home/mfabian/emacs-packages/xt-mouse hides /packages/stow/emacs-master-202=
00226/share/emacs/28.0.50/lisp/xt-mouse
/home/mfabian/emacs/find-dired hides /packages/stow/emacs-master-20200226/s=
hare/emacs/28.0.50/lisp/find-dired
/home/mfabian/emacs/refill hides /packages/stow/emacs-master-20200226/share=
/emacs/28.0.50/lisp/textmodes/refill

Features:
(shadow emacsbug mm-archive jka-compr canlock sort gnus-cite mail-extr
gnus-bcklg misearch multi-isearch gnus-async qp gnus-ml disp-table
gnus-topic cursor-sensor utf-7 nndraft nnmh network-stream nsm nnml
gnus-agent gnus-srvr gnus-score score-mode nnvirtual gnus-cache
gnus-demon nntp smtpmail sendmail external-abook nnir gnus-msg gnus-art
mm-uu mml2015 mm-view mml-smime smime dig gnus-sum url url-proxy
url-privacy url-expand url-methods url-history shr url-cookie url-domsuf
url-util url-parse url-vars svg gnus-group gnus-undo gnus-start
gnus-cloud nnimap nnmail mail-source utf7 netrc nnoo parse-time iso8601
gnus-spec gnus-int gnus-range message rmc rfc822 mml mml-sec epa epg
epg-config mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utils mailheader gnus-win gnus nnheader gnus-util rmail
rmail-loaddefs rfc2047 rfc2045 ietf-drums text-property-search
mail-utils mm-util mail-prsvr ibuf-ext ibuffer ibuffer-loaddefs server
edit-server quail erc-networks erc-menu erc-list erc-pcomplete pcomplete
erc-autoaway erc-log erc-button browse-url erc-netsplit erc-ring
erc-fill erc-stamp erc-track cl-extra help-mode sauron-erc sauron
derived erc-match erc-join erc-goodies erc erc-backend erc-compat
auth-source eieio eieio-core eieio-loaddefs password-cache json map
thingatpt pp erc-loaddefs jabber jabber-libnotify dbus jabber-awesome
jabber-osd jabber-wmii jabber-xmessage jabber-festival jabber-sawfish
jabber-ratpoison jabber-screen jabber-socks5 jabber-ft-server
jabber-si-server jabber-ft-client jabber-ft-common jabber-si-client
jabber-si-common jabber-feature-neg jabber-truncate jabber-time
jabber-autoaway time-date subr-x jabber-vcard-avatars jabber-chatstates
jabber-events jabber-vcard jabber-avatar mailcap jabber-activity
jabber-watch jabber-modeline advice jabber-ahc-presence jabber-ahc
jabber-version jabber-ourversion jabber-muc-nick-completion hippie-exp
comint ansi-color ring jabber-browse jabber-search jabber-register
jabber-roster format-spec jabber-presence jabber-muc
jabber-muc-nick-coloring assoc hexrgb jabber-newdisco jabber-widget
jabber-disco jabber-chat jabber-history jabber-chatbuffer jabber-alert
jabber-iq jabber-core jabber-console sgml-mode dom ewoc jabber-keymap
jabber-sasl sasl sasl-anonymous sasl-login sasl-plain fsm jabber-logon
jabber-conn srv dns tls gnutls puny seq byte-opt bytecomp byte-compile
cconv jabber-xml xml jabber-menu jabber-autoloads jabber-util starttls
footnote rx w3m-cookie w3m easymenu timezone w3m-hist w3m-fb easy-mmode
w3m-ems mule-util w3m-ccl ccl w3m-favicon w3m-image cl-seq w3m-proc
w3m-util wid-edit cl-macs cl gv edmacro kmacro cl-loaddefs cl-lib
find-dired dired dired-loaddefs ispell paren avoid time tooltip eldoc
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel term/x-win
x-win term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads dbusbind inotify lcms2 dynamic-setting
system-font-setting font-render-setting cairo move-toolbar gtk x-toolkit
x multi-tty make-network-process emacs)

Memory information:
((conses 16 1335259 111919)
 (symbols 48 25134 2)
 (strings 32 100843 24645)
 (string-bytes 1 2730315)
 (vectors 16 51368)
 (vector-slots 8 1397567 305406)
 (floats 8 363 323)
 (intervals 56 14489 1377)
 (buffers 1000 80))

--=20
Mike FABIAN <mfabian@HIDDEN>


--=-=-=
Content-Type: image/png
Content-Disposition: attachment; filename=emacs-color-emoji.png
Content-Transfer-Encoding: base64
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--=-=-=--





Acknowledgement sent to Mike FABIAN <mfabian@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#39799; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 29 Feb 2020 10:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.